<?php  
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

if(!is_admin() ){
	return;
}



function onairelementor_pcv ( $rid = false ){
	return get_option( 'onairelementor_k_'. $rid );
}



if(  onairelementor_pcv( qtt_iid( false ) ) ){
	$msg_verify = '<h3>The license is active</h3>';
}



if(isset($_POST)){
	if(isset( $_POST['onairelementor-purchase-code']) ){
		if(check_admin_referer( 'action_verify', 'nonce_verify_license' ) && function_exists('qtt_connector_url')){

			$user = wp_get_current_user();
			$allowed_roles = array( 'administrator' );
			if( !array_intersect($allowed_roles, $user->roles ) ) {
				echo "This user is not allowed to access this page";
				return;
			}

		
			$qtt_iid = qtt_iid( true );
			$msg_rem = qtt_disable_activation_link();
			$ttg_iswpms = is_multisite() ? 1 : 0;
			$ttg_ismain = is_main_site();
			$ttg_neturl = network_site_url();
			$ttg_is_subsite = (get_site_url() == network_site_url())? 0 : 1;
			$tpc =  esc_attr( trim( $_POST['onairelementor-purchase-code'] ) );
			update_option( 'onairelementor_k_'. $qtt_iid , false ); // helps against thefts
			if (preg_match("/^(\w{8})-((\w{4})-){3}(\w{12})$/", $tpc)) {
				
				/**
				 * =======================================
				 * @since  Connector v3
				 * $bodydata: array
				 * =======================================
				 */
				$bodydata = array( 
					'ttg_connector_envato_pc' 		=> $tpc,
					'ttg_connector_website_url' 	=> get_site_url(),
					'ttg_connector_iid' 			=> $qtt_iid,
					'ttg_connector_person'			=> qtt_person(),
					'ttg_connector_abspath'			=> ABSPATH,
					'ttg_connector_iswpms'			=> $ttg_iswpms,
					'ttg_connector_ismain'			=> $ttg_ismain,
					'ttg_connector_neturl'			=> $ttg_neturl,
					'ttg_connector_subsite'			=> $ttg_is_subsite
				);
				
				$args = array(
					'method'        => 'POST',
					'timeout'       => 45,
					'redirection'   => 5,
					'httpversion'   => '1.0',
					'blocking'      => true,
					'user-agent' 	=> 'WordPress Connector',
					'headers'       => array(),
					'body'          => $bodydata // Since Connector V3
				);

				$request = wp_remote_post(  qtt_connector_url() , $args );
				if( is_wp_error( $request ) ){
					update_option( 'onairelementor_k_'. $qtt_iid , false ); // helps against thefts
					$error_message = $request->get_error_message();
					add_action( 'admin_notices', 'qtt_plugins_conn__error' );
					return $error_message;
				} else {
					/**
					 * =======================================
					 * @since  Connector v3
					 * New messages
					 * =======================================
					 */
					if( $request['response']['code'] == '200' ){
						if( stripos( strtolower( $request['body'] ) , 'error' )  !== false  ) {
							update_option( 'onairelementor_k_'. $qtt_iid , false ); // helps against thefts
							$msg_verify= '<span class="qtt-welcome__msg__error">'.$request['body'].'</span><br>';
							$msg_verify.= qtt_support_message();
						} else {
							$msg_verify= '<span class="qtt-welcome__msg__success">'.esc_html__('Congratulations! Your purchase code was correctly verified!', 'qtt').'</span>';
							echo '<style>.onair-elementor-welcome__notice {display: none !important;}</style>';
							update_option( 'onairelementor_k_'. $qtt_iid , esc_attr( trim( $request['body'] ) ) ); // helps against thefts
						}
					} else {
						$msg_verify= esc_html( $request['response']['code'] );
					}
				}				
			}  else {
				$msg_verify= '<span class="qtt-welcome__msg__error">'.esc_html__('Sorry, this is not a valid purchase code.', 'qtt').'</span>';
			} 	
		}
	}
}
