<?php
/**
 * @package WordPress
 * @subpackage onair
 * @version 1.0.0
 * Carousel design fields
*/

namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;


add_action('elementor/element/before_section_end', function( $section, $section_id, $args ) {

	if( $section_id == 'Onair_Elementor_section_carousel_global' ){
		$section->add_control(
			'items_per_row_desktop',
			[
				'label' => esc_html__( 'Items per row', 'onair-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'multiple' => false,
				'default' => '3',
				'options' =>[
					'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6'
				]
			]
		);
		$section->add_control(
			'items_per_row_tablet',
			[
				'label' => esc_html__( 'Items per row tablet', 'onair-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'multiple' => false,
				'default' => '2',
				'options' =>[
					'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6'
				]
			]
		);

		// $section->add_control(
		// 	'items_per_row_mobile',
		// 	[
		// 		'label' => esc_html__( 'Items per row mobile', 'onair-elementor' ),
		// 		'type' => \Elementor\Controls_Manager::SELECT,
		// 		'multiple' => false,
		// 		'default' => '1',
		// 		'options' =>[
		// 			'1'=>'1','2'=>'2','3'=>'3','4'=>'4'
		// 		]
		// 	]
		// );

	
		

		// $section->add_control(
		// 	'autoplay_timeout',
		// 	[
		// 		'label' => esc_html__( 'Autoplay timeout', 'onair-elementor' ),
		// 		'description' => esc_html__( '0 = disabled', 'onair-elementor' ),
		// 		'type' => \Elementor\Controls_Manager::NUMBER,
		// 		'min' => 0,
		// 		'max' => 60000,
		// 		'step' => 1000,
		// 		'default' => 4000
		// 	]
		// );

		$section->add_control(
			'pause_on_hover',
			[
				'label' => esc_html__( 'Pause on hover', 'onair-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'return_value' => 'true',
			]
		);
		$section->add_control(
			'loop',
			[
				'label' => esc_html__( 'Loop', 'onair-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'return_value' => 'true',
				'default' => 'true'
			]
		);
		$section->add_control(
			'center',
			[
				'label' => esc_html__( 'Center', 'onair-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'return_value' => 'true',
			]
		);
		$section->add_control(
			'nav',
			[
				'label' => esc_html__( 'Arrows', 'onair-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => esc_html__('Show', 'onair-elementor' ),
				'label_off' => esc_html__('Hide', 'onair-elementor' ),
				'return_value' => 'true',
				'default' => 'true'
			]
		);
		$section->add_control(
			'dots',
			[
				'label' => esc_html__( 'Dots', 'onair-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => esc_html__('Show', 'onair-elementor' ),
				'label_off' => esc_html__('Hide', 'onair-elementor' ),
				'return_value' => 'true',
			]
		);

	}
}, 10, 3 );