<?php
/**
 * @package WordPress
 * @subpackage proradio
 * @version 1.6.4
 * Theme function for custom parts:
 * Custom Buttons
*/
// don't load directly
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}


if(!function_exists( 'onair_template_button' )){
	function onair_template_button( $atts ){
		extract( shortcode_atts( array(
			'text' => '',
			'link' => '',
			'target' => '',
			'playradio' => false,
			'radio_id' => false,
			'popup_w' => false,
			'popup_h' => false,
			'btn_size' => 'qt-btn-m',
			'btn_style' => 'qt-btn-default',
			'btn_alignment' => '',
			'css_class' => ''
		), $atts ) );
	

		if('popup' === $target){
			$css_class .= ' qt-popupwindow noajax ';

		}
		if($popup_w){
			$popup_w = $popup_w['size'];
		}
		if($popup_h){
			$popup_h = $popup_h['size'];
		}

		
									
		

		if($btn_alignment == 'aligncenter'){
			?>
			<p class="aligncenter">
			<?php
		}
		?>
		<a href="<?php echo esc_attr($link); ?>" <?php 

		$play_data = '';
		if( $playradio && $radio_id ){
			$args = array(
				'post_type' => 'radiochannel',
				'p' => $radio_id
			);
			$wp_query_channelslist = new WP_Query( $args );
			if ( $wp_query_channelslist->have_posts() ) : while ( $wp_query_channelslist->have_posts() ) : $wp_query_channelslist->the_post();
				$post = $wp_query_channelslist->post;
				setup_postdata( $post );
				$bgurl = '';
				$bg_id = get_post_meta( $post->ID, "qt_radio_background", true );
				if($bg_id){
					$bgurl = wp_get_attachment_image_src($bg_id,'full');
				}
				$logo = '';
				$logo_id = get_post_meta( $post->ID, "qt_radio_logo", true );
				if($logo_id){
					$logo = wp_get_attachment_image_src($logo_id,'qantumthemes-thumb-squared');
				}
				$id = $post->ID;
				?>
						data-title="<?php echo addslashes(get_the_title()); ?>" 
						data-subtitle="<?php echo esc_attr((get_post_meta( $post->ID, "qt_radio_subtitle", true ))); ?>" 
						<?php if(is_array($bgurl)) { ?>data-background="<?php echo esc_url($bgurl[0]); ?>"<?php } ?>
						data-logo="<?php echo esc_attr(get_post_meta( $post->ID, "qt_radio_logo", true )); ?>" 
						data-playtrack="<?php echo esc_attr(get_post_meta( $post->ID, "mp3_stream_url", true )); ?>"
						data-qtradioid="<?php echo esc_attr( $post->ID ); ?>"
						data-icymetadata="<?php echo esc_attr(get_post_meta( $post->ID, "icymetadata", true )); ?>"
						data-host="<?php echo esc_attr(get_post_meta( $post->ID, "qtradiofeedHost", true )); ?>"
						data-port="<?php echo esc_attr(get_post_meta( $post->ID, "qtradiofeedPort", true )); ?>"
						data-channel="<?php echo esc_attr(get_post_meta( $post->ID, "qtradiofeedChannel", true )); ?>"
						data-protocol="<?php echo esc_attr(get_post_meta( $post->ID, "qtradiofeedProtocol", true )); ?>"
						data-icecasturl="<?php echo esc_attr(get_post_meta( $post->ID, "qticecasturl", true )); ?>" 
						data-icecastmountpoint="<?php echo esc_attr(get_post_meta( $post->ID, "qticecastMountpoint", true )); ?>" 
						data-icecastchannel="<?php echo esc_attr(get_post_meta( $post->ID, "qticecastChannel", true )); ?>" 
						data-radiodotco="<?php echo esc_attr(get_post_meta( $post->ID, "qtradiodotco", true )); ?>" 
						data-airtime="<?php echo esc_attr(get_post_meta( $post->ID, "qtairtime", true )); ?>" 
						data-radionomy="<?php echo esc_url(get_post_meta( $post->ID, "qtradionomy", true )); ?>" 
						data-live365="<?php echo esc_attr(get_post_meta( $post->ID, "qtlive365", true )); ?>"
						data-securesystems="<?php echo esc_attr(get_post_meta( $post->ID, "qtSecuresystems", true )); ?>"
						data-mediacp="<?php echo esc_attr(get_post_meta( $post->ID, "qtMediaCP", true )); ?>"
						data-winmedia="<?php echo esc_attr(get_post_meta( $post->ID, "qtWinMedia", true )); ?>"
						data-textfeed="<?php echo esc_url(get_post_meta( $post->ID, "qttextfeed", true )); ?>"
						data-jazler="<?php echo esc_url(get_post_meta( $post->ID, "qtjazler", true )); ?>"
						data-stats_path=""
						data-played_path=""
						data-channel=""
				<?php
				$first = "";
			endwhile; 
			endif;
			wp_reset_postdata();
		}

		if($target == "_blank"){ ?> target="_blank" <?php } ?> class="qt-btn qw-disableembedding <?php  echo esc_attr($btn_size.' '.$btn_style.' '.$btn_alignment.' '.$css_class); ?>" data-width="<?php echo esc_attr( $popup_w ); ?>" data-height="<?php echo esc_attr( $popup_h ); ?>">

		<?php  

		if($playradio){
			?>
			<i class="dripicons-media-play"></i>
			<?php 
		}
		
		echo esc_attr($text); 

		?></a>
		<?php  
		if($btn_alignment == 'aligncenter'){
			?>
			</p>
			<?php
		}
	}
}
