<?php
/**
 * @source  https://developers.elementor.com/elementor-controls/
 * @author  Qantum Themes SL
 * @package  Elementor OnAir
 * @version  1.0.0
 */


namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class OnairElementorCF7 extends Widget_Base {
	public function get_name() {
		return 'onair-elementor-qt-cf7'; // need to use same ID in the script js
	}
	public function get_title() {
		return esc_html__( 'Contact Form 7', 'onair-elementor' );
	}
	public function get_icon() {
		return 'onair-elementor-icons icon-prel-cf7';
	}
	public function get_categories() {
		return [ 'aaa-onair' ]; // needs to be registered in _plugin.php
	}

	protected function register_controls() {
		$this->start_controls_section(
			'section_settings_form',
			[
				'label' => esc_html__( 'Settings', 'onair-elementor' ),
			]
		);
			
			$this->add_control(
				'form_id',
				[
					'label' => esc_html__( 'Form', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'multiple' => false,
					'options' => elementor_onair_autocomplete('wpcf7_contact_form')
				]
			);
			
		$this->end_controls_section();
	}

	/**
	 * Frontend
	 */
	protected function render() {
		$atts = $this->get_settings_for_display();
		echo do_shortcode('[contact-form-7 id="'.$atts['form_id'].'"]');
	}
	
	protected function content_template() {}
}