<?php
/**
 * @source  https://developers.elementor.com/elementor-controls/
 * @author  Qantum Themes SL
 * @package  Elementor OnAir
 * @version  1.0.0
 */


namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class OnairElementorQtVideo extends Widget_Base {
	public function get_name() {
		return 'onair-elementor-qtvideo'; // need to use same ID in the script js
	}
	public function get_title() {
		return esc_html__( 'Video Gallery', 'onair-elementor' );
	}
	public function get_icon() {
		return 'onair-elementor-icons icon-prel-video-gallery';
	}
	public function get_categories() {
		return [ 'aaa-onair' ]; // needs to be registered in _plugin.php
	}
	public function __construct($data = [], $args = null) {
      parent::__construct($data, $args);
      wp_register_script( 'onair-elementor-qtvideo', plugins_url( '/qt-video.js', __FILE__ ), [ 'elementor-frontend', 'vdl_subpages_js' ], '1.0.0', true );
   	}
 	public function get_script_depends() {
	     return [ 'onair-elementor-qtvideo' ];
	}

	// Controls
	protected function register_controls() {
		$this->start_controls_section(
			'Onair_Elementor_settings',
			[
				'label' => esc_html__( 'Settings', 'onair-elementor' ),
			]
		);


			// $this->add_control(
			// 	'tax_filter',
			// 	[
			// 		'label' => esc_html__( 'Category filters', 'onair-elementor' ),
			// 		'type' => \Elementor\Controls_Manager::SELECT2,
			// 		'label_block' => true,
			// 		'multiple' => true,
			// 		'options' => Onair_Elementor_get_terms_array('vdl_filters')
			// 	]
			// );
			// $this->add_control(
			// 	'tax_filter_exc',
			// 	[
			// 		'label' => esc_html__( 'Exclude by category', 'onair-elementor' ),
			// 		'type' => \Elementor\Controls_Manager::SELECT2,
			// 		'label_block' => true,
			// 		'multiple' => true,
			// 		'options' => Onair_Elementor_get_terms_array('vdl_filters')
			// 	]
			// );


			$this->add_control(
				'columns',
				[
					'label' => esc_html__( 'Columns', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 4,
					'options' =>[
						1 => esc_html__( "1", "onairelementor"),
						2 => esc_html__( "2", "onairelementor"),
						3 => esc_html__( "3", "onairelementor"),
						4 => esc_html__( "4", "onairelementor"),
					]
				]
			);

			$this->add_control(
				'showfilters',
				[
					'label' => esc_html__( 'Show filters', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 'yes',
					'options' =>[
						'yes' => esc_html__( "yes", "onairelementor"),
						'no' => esc_html__( "no", "onairelementor"),
					]
				]
			);
			$this->add_control(
				'showtitle',
				[
					'label' => esc_html__( 'Show title', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 'yes',
					'options' =>[
						'yes' => esc_html__( "yes", "onairelementor"),
						'no' => esc_html__( "no", "onairelementor"),
					]
				]
			);
			$this->add_control(
				'showtags',
				[
					'label' => esc_html__( 'Show tags', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 'yes',
					'options' =>[
						'yes' => esc_html__( "yes", "onairelementor"),
						'no' => esc_html__( "no", "onairelementor"),
					]
				]
			);

	

			$this->add_control(
				'showpreview',
				[
					'label' => esc_html__( "Open in lightbox", 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 'yes',
					'options' =>[
						'yes' => esc_html__( "yes", "onairelementor"),
						'no' => esc_html__( "no", "onairelementor"),
					]
				]
			);

			$this->add_control(
				'quantity',
				[
					'label' => esc_html__( "Quantity", 'onair-elementor' ),
					'type' => Controls_Manager::NUMBER,
				]
			);
		
		$this->end_controls_section();
	}
	/**
	 * Frontend
	 */
	protected function render() {
		$atts = $this->get_settings_for_display();

		// if(array_key_exists('tax_filter', $atts)){
		// 	if(is_array($atts['tax_filter'])) {
		// 		$atts['tax_filter'] = implode(',', $atts['tax_filter']);
		// 	}
		// }
		// if(array_key_exists('tax_filter_exc', $atts)){
		// 	if(is_array($atts['tax_filter_exc'])) {
		// 		$atts['tax_filter_exc'] = implode(',', $atts['tax_filter_exc']);
		// 	}
		// }
		

		if(shortcode_exists('videolove')){
			echo do_shortcode('[videolove columns="'.$atts['columns'].'" showfilters="'.$atts['showfilters'].'" showtitle="'.$atts['showtitle'].'" showtags="'.$atts['showtags'].'" quantity="'.$atts['quantity'].'" showpreview="'.$atts['showpreview'].'"]');
		}
	}
	protected function content_template() {}
}