<?php
/**
 * @source  https://developers.elementor.com/elementor-controls/
 * @author  Qantum Themes SL
 * @package  Elementor OnAir
 * @version  1.0.1
 */


namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class OnairElementorSharing extends Widget_Base {
	public function get_name() {
		return 'onair-elementor-sharing'; // need to use same ID in the script js
	}
	public function get_title() {
		return __( 'Sharing Icons', 'onair-elementor' );
	}
	public function get_icon() {
		return 'onair-elementor-icons icon-prel-social';
	}
	public function get_categories() {
		return [ 'onair-elementor' ]; // needs to be registered in _plugin.php
	}
	protected function register_controls() {
		$this->start_controls_section(
			'section_icons',
			[
				'label' => __( 'Icons', 'onair-elementor' ),
			]
		);	
			$this->add_control(
				'e_style',
				[
					'label' => esc_html__( 'Style', 'elementor-onair' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'multiple' => false,
					'options' =>[
						'' => esc_html__( "Default", "onair"),
						'qt-sharepage-vertical' 	=>	esc_html__( "Vertical", 'onair-elementor'),
						'qt-sharepage-horizontal'	=>	esc_html__( "Horizontal", 'onair-elementor'),
					]
				]
			);
			$this->add_control(
				'e_alignment',
				[
					'label' => esc_html__( 'Alignment', 'elementor-onair' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'multiple' => false,
					'options' =>[
						'' => esc_html__( "Default", "onair"),
						'qt-left' 	=>	esc_html__( "Left", 'onair-elementor'),
						'qt-right'	=>	esc_html__( "Right", 'onair-elementor'),
						'qt-center'	=>	esc_html__( "Center", 'onair-elementor'),
					]
				]
			);
		$this->end_controls_section();
	}

	/**
	 * Frontend
	 */
	protected function render() {
		if(function_exists('qantumthemes_short_sharing')){
			echo qantumthemes_short_sharing( $this->get_settings_for_display() );
		}
	}
	protected function content_template() {}
}