<?php
/**
 * @source  https://developers.elementor.com/elementor-controls/
 * @author  Qantum Themes SL
 * @package  Elementor OnAir
 * @version  2.2.0
 */


namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class OnairElementorShowOnairMini extends Widget_Base {
	public function get_name() {
		return 'onair-elementor-show-onair-mini'; // need to use same ID in the script js
	}
	public function get_title() {
		return esc_html__( 'Show On Air Mini', 'onair-elementor' );
	}
	public function get_icon() {
		return 'onair-elementor-icons icon-prel-radio-feed';
	}
	public function get_categories() {
		return [ 'aaa-onair' ]; // needs to be registered in _plugin.php
	}
	// Javascript
	
	protected function register_controls() {
		/**
		 * ======================================
		 * Section:
		 * Query parameters
		 * ======================================
		 */
		
		$this->start_controls_section(
			'Onair_Elementor_query',
			[
				'label' => esc_html__( 'Filters', 'onair-elementor' ),
			]
		);
			
			$this->add_control(
				'tax_filter',
				[
					'label' => esc_html__( 'Schedule filters', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT2,
					'label_block' => true,
					'options' => Onair_Elementor_get_terms_array( 'schedulefilter' )
				]
			);
			// Important::::::::::::::::::::::::::::::::::::
			// Fields added by query-fields.php
			// :::::::::::::::::::::::::::::::::::::::::::::
		$this->end_controls_section();
	}
	/**
	 * Frontend
	 */
	protected function render() {
		$atts = $this->get_settings_for_display();
		if(array_key_exists('tax_filter', $atts)){
			if(is_array($atts['tax_filter'])) {
				$atts['tax_filter'] = implode(',', $atts['tax_filter']);
			}
		}
		if(function_exists('qantumthemes_onairmini')){
			echo qantumthemes_onairmini( $atts );
		}
	}
	protected function content_template() {}
}