<?php
/**
 * @source  https://developers.elementor.com/elementor-controls/
 * @author  Qantum Themes SL
 * @package  Elementor OnAir
 * @version  1.0.0
 */


namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class OnairElementorShowTimetable extends Widget_Base {
	public function get_name() {
		return 'onair-elementor-show-timetable'; // need to use same ID in the script js
	}
	public function get_title() {
		return esc_html__( 'Single show Timetable', 'elementor-onair' );
	}
	public function get_icon() {
		return 'onair-elementor-icons icon-prel-shows-onair';
	}
	public function get_categories() {
		return [ 'aaa-onair' ]; // needs to be registered in _plugin.php
	}

	protected function register_controls() {
		$this->start_controls_section(
			'section_settings',
			[
				'label' => esc_html__( 'Settings', 'elementor-onair' ),
			]
		);
			$this->add_control(
				'include_by_id',
				[
					'label' => esc_html__( 'Choose show by title', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT2,
					'label_block' => true,
					'multiple' => false,
					'options' => elementor_onair_autocomplete('shows')
				]
			);
		$this->end_controls_section();
	}

	/**
	 * Frontend
	 */
	protected function render() {
		$atts = $this->get_settings_for_display();
		
		
		include( __DIR__ . '/show-timetable-template.php' );
	}
	
	protected function content_template() {}
}