<?php
/**
 * @source  https://developers.elementor.com/elementor-controls/
 * @author  Qantum Themes SL
 * @package  Elementor OnAir
 * @version  1.0.0
 */


namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class OnairElementorSpacer extends Widget_Base {
	public function get_name() {
		return 'onair-elementor-spacer'; // need to use same ID in the script js
	}
	public function get_title() {
		return __( 'Responsive spacer', 'onair-elementor' );
	}
	public function get_icon() {
		return 'onair-elementor-icons icon-prel-spacer';
	}
	public function get_categories() {
		return [ 'onair-elementor' ]; // needs to be registered in _plugin.php
	}

	protected function register_controls() {
		$this->start_controls_section(
			'section_settings',
			[
				'label' => esc_html__( 'Settings', 'onair-elementor' ),
			]
		);	
			$this->add_control(
				'size',
				[
					'label' => esc_html__( 'Size', 'onair-elementor' ),
					'description'=> esc_html__( 'The visual size depends on the screen size. Perfect for responsive design.', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 'm',
					'options' =>[
						"xxs" => esc_html__( "XXS", 'onair-elementor' ),
						"xs" => esc_html__( "XS", 'onair-elementor' ),
						"s" =>	esc_html__( "S", 'onair-elementor' ),
						"m" =>	esc_html__( "M", 'onair-elementor' ),
						"l" =>	esc_html__( "L", 'onair-elementor' ),
					]
				]
			);
		$this->end_controls_section();
	}

	/**
	 * Frontend
	 */
	protected function render() {
		$atts = $this->get_settings_for_display();
		if(function_exists('onair_spacer')){
			echo onair_spacer( $atts );
		}
	}

	
	protected function content_template() {}
}