<?php
/**
 * @source  https://developers.elementor.com/elementor-controls/
 * @author  Qantum Themes SL
 * @package  Elementor OnAir
 * @version  1.0.0
 */


namespace OnairElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;
use Elementor\Base_Data_Control;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class OnairElementorSponsors extends Widget_Base {
	public function get_name() {
		return 'onair-elementor-sponsors'; // need to use same ID in the script js
	}
	public function get_title() {
		return esc_html__( 'Sponsors carousel', 'onair-elementor' );
	}
	public function get_icon() {
		return 'onair-elementor-icons icon-prel-sponsor-carousel';
	}
	public function get_categories() {
		return [ 'aaa-onair' ]; // needs to be registered in _plugin.php
	}
		/**
	 * @since version PR.2.3.0 loaded from minified scripts.
	 * To unse unminified, edit _plugin.php line 53 $use_minified_script = true;
	 * 
	 * 
	 * */
	 public function __construct($data = [], $args = null) {
      parent::__construct($data, $args);
      wp_register_script( 'onair-elementor-sponsors', plugins_url( '/sponsors.js', __FILE__ ), [ 'elementor-frontend' ], '1.0.0', true );
   	}
 	public function get_script_depends() {
	     return [ 'onair-elementor-sponsors' ];
	}
	protected function register_controls() {


		/**
		 * ======================================
		 * Section:
		 * Query parameters
		 * ======================================
		 */
		$this->start_controls_section(
			'Onair_Elementor_section_query_sponsors',
			[
				'label' => esc_html__( 'Filtering', 'onair-elementor' ),
			]
		);	

			$this->add_control(
				'e_include_by_id',
				[
					'label' => esc_html__( 'Select', 'onair-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT2,
					'label_block' => true,
					'description' => esc_html__( "Filter sponsors", "onairelementor" ),
					'multiple' => true,
					'options' => elementor_onair_autocomplete('qtsponsor')
				]
			);

		// Important::::::::::::::::::::::::::::::::::::
		// Fields added by query-fields.php
		// :::::::::::::::::::::::::::::::::::::::::::::
		$this->end_controls_section();

		/**
		 * ======================================
		 * Section:
		 * Carousel parameters
		 * ======================================
		 */
		$this->start_controls_section(
			'Onair_Elementor_section_carousel_global',
			[
				'label' => esc_html__( 'Settings', 'onair-elementor' ),
			]
		);
		// Important::::::::::::::::::::::::::::::::::::
		// Fields added by carousel-fields.php
		// :::::::::::::::::::::::::::::::::::::::::::::
		$this->end_controls_section();
		
	}
	/**
	 * Frontend
	 */
	protected function render() {
		$atts = $this->get_settings_for_display();
		if(function_exists('qantumthemes_sponsors_shortcode')){
			echo qantumthemes_sponsors_shortcode( $atts );
		}
	}
	protected function content_template() {}
}