<?php  
/**
 * @package QT Loveit
 * 
 */


if(!function_exists('qtli_post_like')){
function qtli_post_like()
{
    // Check for nonce security
    $nonce = $_POST['nonce'];
  
    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
        die ( 'Illegal token.');
     
    if(isset($_POST['post_like']))
    {
        // Retrieve user IP address
        $ip = $_SERVER['REMOTE_ADDR'];
        $post_id = $_POST['post_id'];
         
        // Get voters'IPs for the current post
        $meta_IP = get_post_meta($post_id, "qtli_voted_IP");
        $voted_IP = $meta_IP[0];
 
        if(!is_array($voted_IP))
            $voted_IP = array();
         
        // Get votes count for the current post
        $meta_count = get_post_meta($post_id, "qtli_votes_count", true);
 
        // Use has already voted ?
        if(!qtli_hasAlreadyVoted($post_id))
        {
            $voted_IP[$ip] = time();
 
            // Save IP and increase votes count
            update_post_meta($post_id, "qtli_voted_IP", $voted_IP);
            update_post_meta($post_id, "qtli_votes_count", ++$meta_count);
             
            // Display count (ie jQuery return value)
            echo $meta_count;
        }
        else
            echo "already";
    }
    exit;
}}


if(!function_exists('qtli_hasAlreadyVoted')){
function qtli_hasAlreadyVoted($post_id)
{
    global $timebeforerevote;
 
    // Retrieve post votes IPs
    $meta_IP = get_post_meta($post_id, "qtli_voted_IP");
    if(!is_array($meta_IP)) {
        // die($meta_IP);
    }
    if(array_key_exists(0,  $meta_IP)) {


        $voted_IP = $meta_IP[0];
         
        if(!is_array($voted_IP))
            $voted_IP = array();
             
        // Retrieve current user IP
        $ip = $_SERVER['REMOTE_ADDR'];
         
        // If user has already voted
        if(in_array($ip, array_keys($voted_IP)))
        {
            $time = $voted_IP[$ip];
            $now = time();
             
            // Compare between current time and vote time
            if(round(($now - $time) / 60) > $timebeforerevote)
                return false;
                 
            return true;
        }
    }
     
    return false;
}}