/*!
 * Materialize v0.97.6 (http://materializecss.com)
 * Copyright 2014-2015 Materialize
 * MIT License (https://raw.githubusercontent.com/Dogfalo/materialize/master/LICENSE)
 */
/** @license
	Animator.js 1.1.9
	
	This library is released under the BSD license:

	Copyright (c) 2006, Bernard Sumption. All rights reserved.
	
	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions are met:
	
	Redistributions of source code must retain the above copyright notice, this
	list of conditions and the following disclaimer. Redistributions in binary
	form must reproduce the above copyright notice, this list of conditions and
	the following disclaimer in the documentation and/or other materials
	provided with the distribution. Neither the name BernieCode nor
	the names of its contributors may be used to endorse or promote products
	derived from this software without specific prior written permission. 
	
	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
	AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR
	ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
	DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
	SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
	LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
	OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
	DAMAGE.

*/
function Animator(t){this.setOptions(t);var e=this;this.timerDelegate=function(){e.onTimerEvent()},this.subjects=[],this.subjectScopes=[],this.target=0,this.state=0,this.lastTime=null}function NumericalStyleSubject(t,e,i,n,o){this.els=Animator.makeArray(t),"opacity"==e&&window.ActiveXObject?this.property="filter":this.property=Animator.camelize(e),this.from=parseFloat(i),this.to=parseFloat(n),this.units=null!=o?o:"px"}function ColorStyleSubject(t,e,i,n){this.els=Animator.makeArray(t),this.property=Animator.camelize(e),this.to=this.expandColor(n),this.from=this.expandColor(i),this.origFrom=i,this.origTo=n}function DiscreteStyleSubject(t,e,i,n,o){this.els=Animator.makeArray(t),this.property=Animator.camelize(e),this.from=i,this.to=n,this.threshold=o||.5}function CSSStyleSubject(t,e,i){if(t=Animator.makeArray(t),this.subjects=[],0!=t.length){var n,o,a,n,n,s,r,l,u,c;if(i)a=this.parseStyle(e,t[0]),o=this.parseStyle(i,t[0]);else for(n in a={},o=this.parseStyle(e,t[0]))a[n]=CSSStyleSubject.getStyle(t[0],n);for(n in a)a[n]==o[n]&&(delete a[n],delete o[n]);for(n in a){var d=String(a[n]),h=String(o[n]);if(null!=o[n]){if(u=ColorStyleSubject.parseColor(d))c=ColorStyleSubject.parseColor(h),l=ColorStyleSubject;else if(d.match(CSSStyleSubject.numericalRe)&&h.match(CSSStyleSubject.numericalRe)){u=parseFloat(d),c=parseFloat(h),l=NumericalStyleSubject,r=CSSStyleSubject.numericalRe.exec(d);var p=CSSStyleSubject.numericalRe.exec(h);s=null!=r[1]?r[1]:null!=p[1]?p[1]:p}else{if(!d.match(CSSStyleSubject.discreteRe)||!h.match(CSSStyleSubject.discreteRe)){window.DEBUG&&alert("Unrecognised format for value of "+n+": '"+a[n]+"'");continue}u=d,c=h,l=DiscreteStyleSubject,s=0}this.subjects[this.subjects.length]=new l(t,n,u,c,s)}else window.DEBUG&&alert("No to style provided for '"+n+'"')}}}function AnimatorChain(t,e){this.animators=t,this.setOptions(e);for(var i=0;i<this.animators.length;i++)this.listenTo(this.animators[i]);this.forwards=!1,this.current=0}function Accordion(t){this.setOptions(t);var e=this.options.initialSection,i;this.options.rememberance&&(i=document.location.hash.substring(1)),this.rememberanceTexts=[],this.ans=[];for(var n=this,o=0;o<this.options.sections.length;o++){var a=this.options.sections[o],s=new Animator(this.options.animatorOptions),r=this.options.from+this.options.shift*o,l=this.options.to+this.options.shift*o;s.addSubject(new NumericalStyleSubject(a,this.options.property,r,l,this.options.units)),s.jumpTo(0);var u=this.options.getActivator(a);u.index=o,u.onclick=function(){n.show(this.index)},this.ans[this.ans.length]=s,this.rememberanceTexts[o]=u.innerHTML.replace(/\s/g,""),this.rememberanceTexts[o]===i&&(e=o)}this.show(e)}var jQuery,Vel,threeSixtyPlayer,ThreeSixtyPlayer;void 0===jQuery&&(jQuery="function"==typeof require?$=require("jquery"):$);jQuery.easing.jswing=jQuery.easing.swing,jQuery.extend(jQuery.easing,{def:"easeOutQuad",swing:function(t,e,i,n,o){return jQuery.easing[jQuery.easing.def](t,e,i,n,o)},easeInQuad:function(t,e,i,n,o){return n*(e/=o)*e+i},easeOutQuad:function(t,e,i,n,o){return-n*(e/=o)*(e-2)+i},easeInOutQuad:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e+i:-n/2*(--e*(e-2)-1)+i},easeInCubic:function(t,e,i,n,o){return n*(e/=o)*e*e+i},easeOutCubic:function(t,e,i,n,o){return n*((e=e/o-1)*e*e+1)+i},easeInOutCubic:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e*e+i:n/2*((e-=2)*e*e+2)+i},easeInQuart:function(t,e,i,n,o){return n*(e/=o)*e*e*e+i},easeOutQuart:function(t,e,i,n,o){return-n*((e=e/o-1)*e*e*e-1)+i},easeInOutQuart:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e*e*e+i:-n/2*((e-=2)*e*e*e-2)+i},easeInQuint:function(t,e,i,n,o){return n*(e/=o)*e*e*e*e+i},easeOutQuint:function(t,e,i,n,o){return n*((e=e/o-1)*e*e*e*e+1)+i},easeInOutQuint:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e*e*e*e+i:n/2*((e-=2)*e*e*e*e+2)+i},easeInSine:function(t,e,i,n,o){return-n*Math.cos(e/o*(Math.PI/2))+n+i},easeOutSine:function(t,e,i,n,o){return n*Math.sin(e/o*(Math.PI/2))+i},easeInOutSine:function(t,e,i,n,o){return-n/2*(Math.cos(Math.PI*e/o)-1)+i},easeInExpo:function(t,e,i,n,o){return 0==e?i:n*Math.pow(2,10*(e/o-1))+i},easeOutExpo:function(t,e,i,n,o){return e==o?i+n:n*(1-Math.pow(2,-10*e/o))+i},easeInOutExpo:function(t,e,i,n,o){return 0==e?i:e==o?i+n:(e/=o/2)<1?n/2*Math.pow(2,10*(e-1))+i:n/2*(2-Math.pow(2,-10*--e))+i},easeInCirc:function(t,e,i,n,o){return-n*(Math.sqrt(1-(e/=o)*e)-1)+i},easeOutCirc:function(t,e,i,n,o){return n*Math.sqrt(1-(e=e/o-1)*e)+i},easeInOutCirc:function(t,e,i,n,o){return(e/=o/2)<1?-n/2*(Math.sqrt(1-e*e)-1)+i:n/2*(Math.sqrt(1-(e-=2)*e)+1)+i},easeInElastic:function(t,e,i,n,o){var a=1.70158,s=0,r=n;if(0==e)return i;if(1==(e/=o))return i+n;if(s||(s=.3*o),r<Math.abs(n)){r=n;var a=s/4}else var a=s/(2*Math.PI)*Math.asin(n/r);return-r*Math.pow(2,10*(e-=1))*Math.sin((e*o-a)*(2*Math.PI)/s)+i},easeOutElastic:function(t,e,i,n,o){var a=1.70158,s=0,r=n;if(0==e)return i;if(1==(e/=o))return i+n;if(s||(s=.3*o),r<Math.abs(n)){r=n;var a=s/4}else var a=s/(2*Math.PI)*Math.asin(n/r);return r*Math.pow(2,-10*e)*Math.sin((e*o-a)*(2*Math.PI)/s)+n+i},easeInOutElastic:function(t,e,i,n,o){var a=1.70158,s=0,r=n;if(0==e)return i;if(2==(e/=o/2))return i+n;if(s||(s=o*(.3*1.5)),r<Math.abs(n)){r=n;var a=s/4}else var a=s/(2*Math.PI)*Math.asin(n/r);return 1>e?r*Math.pow(2,10*(e-=1))*Math.sin((e*o-a)*(2*Math.PI)/s)*-.5+i:r*Math.pow(2,-10*(e-=1))*Math.sin((e*o-a)*(2*Math.PI)/s)*.5+n+i},easeInBack:function(t,e,i,n,o,a){return null==a&&(a=1.70158),n*(e/=o)*e*((a+1)*e-a)+i},easeOutBack:function(t,e,i,n,o,a){return null==a&&(a=1.70158),n*((e=e/o-1)*e*((a+1)*e+a)+1)+i},easeInOutBack:function(t,e,i,n,o,a){return null==a&&(a=1.70158),(e/=o/2)<1?n/2*(e*e*((1+(a*=1.525))*e-a))+i:n/2*((e-=2)*e*((1+(a*=1.525))*e+a)+2)+i},easeInBounce:function(t,e,i,n,o){return n-jQuery.easing.easeOutBounce(t,o-e,0,n,o)+i},easeOutBounce:function(t,e,i,n,o){return(e/=o)<1/2.75?n*(7.5625*e*e)+i:2/2.75>e?n*(7.5625*(e-=1.5/2.75)*e+.75)+i:2.5/2.75>e?n*(7.5625*(e-=2.25/2.75)*e+.9375)+i:n*(7.5625*(e-=2.625/2.75)*e+.984375)+i},easeInOutBounce:function(t,e,i,n,o){return o/2>e?.5*jQuery.easing.easeInBounce(t,2*e,0,n,o)+i:.5*jQuery.easing.easeOutBounce(t,2*e-o,0,n,o)+.5*n+i}}),jQuery.extend(jQuery.easing,{easeInOutMaterial:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e+i:n/4*((e-=2)*e*e+2)+i}}),jQuery.Velocity?console.log("Velocity is already loaded. You may be needlessly importing Velocity again; note that Materialize includes Velocity."):(function(t){function e(t){var e=t.length,n=i.type(t);return"function"!==n&&!i.isWindow(t)&&(!(1!==t.nodeType||!e)||("array"===n||0===e||"number"==typeof e&&e>0&&e-1 in t))}if(!t.jQuery){var i=function(t,e){return new i.fn.init(t,e)};i.isWindow=function(t){return null!=t&&t==t.window},i.type=function(t){return null==t?t+"":"object"==typeof t||"function"==typeof t?o[s.call(t)]||"object":typeof t},i.isArray=Array.isArray||function(t){return"array"===i.type(t)},i.isPlainObject=function(t){var e;if(!t||"object"!==i.type(t)||t.nodeType||i.isWindow(t))return!1;try{if(t.constructor&&!a.call(t,"constructor")&&!a.call(t.constructor.prototype,"isPrototypeOf"))return!1}catch(t){return!1}for(e in t);return void 0===e||a.call(t,e)},i.each=function(t,i,n){var o,a=0,s=t.length,r=e(t);if(n){if(r)for(;s>a&&!1!==(o=i.apply(t[a],n));a++);else for(a in t)if(!1===(o=i.apply(t[a],n)))break}else if(r)for(;s>a&&!1!==(o=i.call(t[a],a,t[a]));a++);else for(a in t)if(!1===(o=i.call(t[a],a,t[a])))break;return t},i.data=function(t,e,o){if(void 0===o){var a,s=(a=t[i.expando])&&n[a];if(void 0===e)return s;if(s&&e in s)return s[e]}else if(void 0!==e){var a=t[i.expando]||(t[i.expando]=++i.uuid);return n[a]=n[a]||{},n[a][e]=o,o}},i.removeData=function(t,e){var o=t[i.expando],a=o&&n[o];a&&i.each(e,(function(t,e){delete a[e]}))},i.extend=function(t){var e,n,o,a,s,r,l=t||{},u=1,c=arguments.length,d=!1;for("boolean"==typeof l&&(d=l,l=arguments[u]||{},u++),"object"!=typeof l&&"function"!==i.type(l)&&(l={}),u===c&&(l=this,u--);c>u;u++)if(null!=(s=arguments[u]))for(a in s)e=l[a],l!==(o=s[a])&&(d&&o&&(i.isPlainObject(o)||(n=i.isArray(o)))?(n?(n=!1,r=e&&i.isArray(e)?e:[]):r=e&&i.isPlainObject(e)?e:{},l[a]=i.extend(d,r,o)):void 0!==o&&(l[a]=o));return l},i.queue=function(t,n,o){function a(t,i){var n=i||[];return null!=t&&(e(Object(t))?function(t,e){for(var i=+e.length,n=0,o=t.length;i>n;)t[o++]=e[n++];if(i!=i)for(;void 0!==e[n];)t[o++]=e[n++];t.length=o}(n,"string"==typeof t?[t]:t):[].push.call(n,t)),n}if(t){n=(n||"fx")+"queue";var s=i.data(t,n);return o?(!s||i.isArray(o)?s=i.data(t,n,a(o)):s.push(o),s):s||[]}},i.dequeue=function(t,e){i.each(t.nodeType?[t]:t,(function(t,n){e=e||"fx";var o=i.queue(n,e),a=o.shift();"inprogress"===a&&(a=o.shift()),a&&("fx"===e&&o.unshift("inprogress"),a.call(n,(function(){i.dequeue(n,e)})))}))},i.fn=i.prototype={init:function(t){if(t.nodeType)return this[0]=t,this;throw new Error("Not a DOM node.")},offset:function(){var e=this[0].getBoundingClientRect?this[0].getBoundingClientRect():{top:0,left:0};return{top:e.top+(t.pageYOffset||document.scrollTop||0)-(document.clientTop||0),left:e.left+(t.pageXOffset||document.scrollLeft||0)-(document.clientLeft||0)}},position:function(){function t(){for(var t=this.offsetParent||document;t&&"html"===!t.nodeType.toLowerCase&&"static"===t.style.position;)t=t.offsetParent;return t||document}var e=this[0],t=t.apply(e),n=this.offset(),o=/^(?:body|html)$/i.test(t.nodeName)?{top:0,left:0}:i(t).offset();return n.top-=parseFloat(e.style.marginTop)||0,n.left-=parseFloat(e.style.marginLeft)||0,t.style&&(o.top+=parseFloat(t.style.borderTopWidth)||0,o.left+=parseFloat(t.style.borderLeftWidth)||0),{top:n.top-o.top,left:n.left-o.left}}};var n={};i.expando="velocity"+(new Date).getTime(),i.uuid=0;for(var o={},a=o.hasOwnProperty,s=o.toString,r="Boolean Number String Function Array Date RegExp Object Error".split(" "),l=0;l<r.length;l++)o["[object "+r[l]+"]"]=r[l].toLowerCase();i.fn.init.prototype=i.fn,t.Velocity={Utilities:i}}}(window),function(t){"object"==typeof module&&"object"==typeof module.exports?module.exports=t():"function"==typeof define&&define.amd?define(t):t()}((function(){return function(t,e,i,n){function o(t){for(var e=-1,i=t?t.length:0,n=[];++e<i;){var o=t[e];o&&n.push(o)}return n}function a(t){return m.isWrapped(t)?t=[].slice.call(t):m.isNode(t)&&(t=[t]),t}function s(t){var e=h.data(t,"velocity");return null===e?n:e}function r(t){return function(e){return Math.round(e*t)*(1/t)}}function l(t,i,n,o){function a(t,e){return 1-3*e+3*t}function s(t,e){return 3*e-6*t}function r(t){return 3*t}function l(t,e,i){return((a(e,i)*t+s(e,i))*t+r(e))*t}function u(t,e,i){return 3*a(e,i)*t*t+2*s(e,i)*t+r(e)}function c(e,i){for(var o=0;m>o;++o){var a=u(i,t,n),s;if(0===a)return i;i-=(l(i,t,n)-e)/a}return i}function d(){for(var e=0;b>e;++e)x[e]=l(e*w,t,n)}function h(e,i,o){var a,s,r=0;do{(a=l(s=i+(o-i)/2,t,n)-e)>0?o=s:i=s}while(Math.abs(a)>v&&++r<y);return s}function p(e){for(var i=0,o=1,a=b-1;o!=a&&x[o]<=e;++o)i+=w;--o;var s,r=i+(e-x[o])/(x[o+1]-x[o])*w,l=u(r,t,n);return l>=g?c(e,r):0==l?r:h(e,i,i+w)}function f(){k=!0,(t!=i||n!=o)&&d()}var m=4,g=.001,v=1e-7,y=10,b=11,w=1/(b-1),S="Float32Array"in e;if(4!==arguments.length)return!1;for(var C=0;4>C;++C)if("number"!=typeof arguments[C]||isNaN(arguments[C])||!isFinite(arguments[C]))return!1;t=Math.min(t,1),n=Math.min(n,1),t=Math.max(t,0),n=Math.max(n,0);var x=S?new Float32Array(b):new Array(b),k=!1,T=function(e){return k||f(),t===i&&n===o?e:0===e?0:1===e?1:l(p(e),i,o)};T.getControlPoints=function(){return[{x:t,y:i},{x:n,y:o}]};var _="generateBezier("+[t,i,n,o]+")";return T.toString=function(){return _},T}function u(t,e){var i=t;return m.isString(t)?b.Easings[t]||(i=!1):i=m.isArray(t)&&1===t.length?r.apply(null,t):m.isArray(t)&&2===t.length?w.apply(null,t.concat([e])):!(!m.isArray(t)||4!==t.length)&&l.apply(null,t),!1===i&&(i=b.Easings[b.defaults.easing]?b.defaults.easing:y),i}function c(t){if(t){var e=(new Date).getTime(),i=b.State.calls.length;i>1e4&&(b.State.calls=o(b.State.calls));for(var a=0;i>a;a++)if(b.State.calls[a]){var r=b.State.calls[a],l=r[0],u=r[2],p=r[3],f=!!p,g=null;p||(p=b.State.calls[a][3]=e-16);for(var v=Math.min((e-p)/u.duration,1),y=0,w=l.length;w>y;y++){var C=l[y],k=C.element;if(s(k)){var T=!1;if(u.display!==n&&null!==u.display&&"none"!==u.display){if("flex"===u.display){var _=["-webkit-box","-moz-box","-ms-flexbox","-webkit-flex"];h.each(_,(function(t,e){S.setPropertyValue(k,"display",e)}))}S.setPropertyValue(k,"display",u.display)}for(var O in u.visibility!==n&&"hidden"!==u.visibility&&S.setPropertyValue(k,"visibility",u.visibility),C)if("element"!==O){var P,M=C[O],A=m.isString(M.easing)?b.Easings[M.easing]:M.easing;if(1===v)P=M.endValue;else{var E=M.endValue-M.startValue;if(P=M.startValue+E*A(v,u,E),!f&&P===M.currentValue)continue}if(M.currentValue=P,"tween"===O)g=P;else{if(S.Hooks.registered[O]){var D=S.Hooks.getRoot(O),I=s(k).rootPropertyValueCache[D];I&&(M.rootPropertyValue=I)}var $=S.setPropertyValue(k,O,M.currentValue+(0===parseFloat(P)?"":M.unitType),M.rootPropertyValue,M.scrollData);S.Hooks.registered[O]&&(s(k).rootPropertyValueCache[D]=S.Normalizations.registered[D]?S.Normalizations.registered[D]("extract",null,$[1]):$[1]),"transform"===$[0]&&(T=!0)}}u.mobileHA&&s(k).transformCache.translate3d===n&&(s(k).transformCache.translate3d="(0px, 0px, 0px)",T=!0),T&&S.flushTransformCache(k)}}u.display!==n&&"none"!==u.display&&(b.State.calls[a][2].display=!1),u.visibility!==n&&"hidden"!==u.visibility&&(b.State.calls[a][2].visibility=!1),u.progress&&u.progress.call(r[1],r[1],v,Math.max(0,p+u.duration-e),p,g),1===v&&d(a)}}b.State.isTicking&&x(c)}function d(t,e){if(!b.State.calls[t])return!1;for(var i=b.State.calls[t][0],o=b.State.calls[t][1],a=b.State.calls[t][2],r=b.State.calls[t][4],l=!1,u=0,c=i.length;c>u;u++){var d=i[u].element;if(e||a.loop||("none"===a.display&&S.setPropertyValue(d,"display",a.display),"hidden"===a.visibility&&S.setPropertyValue(d,"visibility",a.visibility)),!0!==a.loop&&(h.queue(d)[1]===n||!/\.velocityQueueEntryFlag/i.test(h.queue(d)[1]))&&s(d)){s(d).isAnimating=!1,s(d).rootPropertyValueCache={};var p=!1;h.each(S.Lists.transforms3D,(function(t,e){var i=/^scale/.test(e)?1:0,o=s(d).transformCache[e];s(d).transformCache[e]!==n&&new RegExp("^\\("+i+"[^.]").test(o)&&(p=!0,delete s(d).transformCache[e])})),a.mobileHA&&(p=!0,delete s(d).transformCache.translate3d),p&&S.flushTransformCache(d),S.Values.removeClass(d,"velocity-animating")}if(!e&&a.complete&&!a.loop&&u===c-1)try{a.complete.call(o,o)}catch(t){setTimeout((function(){throw t}),1)}r&&!0!==a.loop&&r(o),s(d)&&!0===a.loop&&!e&&(h.each(s(d).tweensContainer,(function(t,e){/^rotate/.test(t)&&360===parseFloat(e.endValue)&&(e.endValue=0,e.startValue=360),/^backgroundPosition/.test(t)&&100===parseFloat(e.endValue)&&"%"===e.unitType&&(e.endValue=0,e.startValue=100)})),b(d,"reverse",{loop:!0,delay:a.delay})),!1!==a.queue&&h.dequeue(d,a.queue)}b.State.calls[t]=!1;for(var f=0,m=b.State.calls.length;m>f;f++)if(!1!==b.State.calls[f]){l=!0;break}!1===l&&(b.State.isTicking=!1,delete b.State.calls,b.State.calls=[])}var h,p=function(){if(i.documentMode)return i.documentMode;for(var t=7;t>4;t--){var e=i.createElement("div");if(e.innerHTML="\x3c!--[if IE "+t+"]><span></span><![endif]--\x3e",e.getElementsByTagName("span").length)return e=null,t}return n}(),f=function(){var t=0;return e.webkitRequestAnimationFrame||e.mozRequestAnimationFrame||function(e){var i,n=(new Date).getTime();return i=Math.max(0,16-(n-t)),t=n+i,setTimeout((function(){e(n+i)}),i)}}(),m={isString:function(t){return"string"==typeof t},isArray:Array.isArray||function(t){return"[object Array]"===Object.prototype.toString.call(t)},isFunction:function(t){return"[object Function]"===Object.prototype.toString.call(t)},isNode:function(t){return t&&t.nodeType},isNodeList:function(t){return"object"==typeof t&&/^\[object (HTMLCollection|NodeList|Object)\]$/.test(Object.prototype.toString.call(t))&&t.length!==n&&(0===t.length||"object"==typeof t[0]&&t[0].nodeType>0)},isWrapped:function(t){return t&&(t.jquery||e.Zepto&&e.Zepto.zepto.isZ(t))},isSVG:function(t){return e.SVGElement&&t instanceof e.SVGElement},isEmptyObject:function(t){for(var e in t)return!1;return!0}},g=!1;if(t.fn&&t.fn.jquery?(h=t,g=!0):h=e.Velocity.Utilities,8>=p&&!g)throw new Error("Velocity: IE8 and below require jQuery to be loaded before Velocity.");if(!(7>=p)){var v=400,y="swing",b={State:{isMobile:/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent),isAndroid:/Android/i.test(navigator.userAgent),isGingerbread:/Android 2\.3\.[3-7]/i.test(navigator.userAgent),isChrome:e.chrome,isFirefox:/Firefox/i.test(navigator.userAgent),prefixElement:i.createElement("div"),prefixMatches:{},scrollAnchor:null,scrollPropertyLeft:null,scrollPropertyTop:null,isTicking:!1,calls:[]},CSS:{},Utilities:h,Redirects:{},Easings:{},Promise:e.Promise,defaults:{queue:"",duration:v,easing:y,begin:n,complete:n,progress:n,display:n,visibility:n,loop:!1,delay:!1,mobileHA:!0,_cacheValues:!0},init:function(t){h.data(t,"velocity",{isSVG:m.isSVG(t),isAnimating:!1,computedStyle:null,tweensContainer:null,rootPropertyValueCache:{},transformCache:{}})},hook:null,mock:!1,version:{major:1,minor:2,patch:2},debug:!1};e.pageYOffset!==n?(b.State.scrollAnchor=e,b.State.scrollPropertyLeft="pageXOffset",b.State.scrollPropertyTop="pageYOffset"):(b.State.scrollAnchor=i.documentElement||i.body.parentNode||i.body,b.State.scrollPropertyLeft="scrollLeft",b.State.scrollPropertyTop="scrollTop");var w=function(){function t(t){return-t.tension*t.x-t.friction*t.v}function e(e,i,n){var o={x:e.x+n.dx*i,v:e.v+n.dv*i,tension:e.tension,friction:e.friction};return{dx:o.v,dv:t(o)}}function i(i,n){var o={dx:i.v,dv:t(i)},a=e(i,.5*n,o),s=e(i,.5*n,a),r=e(i,n,s),l=1/6*(o.dx+2*(a.dx+s.dx)+r.dx),u=1/6*(o.dv+2*(a.dv+s.dv)+r.dv);return i.x=i.x+l*n,i.v=i.v+u*n,i}return function t(e,n,o){var a,s,r,l={x:-1,v:0,tension:null,friction:null},u=[0],c=0,d=1e-4,h=.016;for(e=parseFloat(e)||500,n=parseFloat(n)||20,o=o||null,l.tension=e,l.friction=n,(a=null!==o)?s=(c=t(e,n))/o*h:s=h;r=i(r||l,s),u.push(1+r.x),c+=16,Math.abs(r.x)>d&&Math.abs(r.v)>d;);return a?function(t){return u[t*(u.length-1)|0]}:c}}();b.Easings={linear:function(t){return t},swing:function(t){return.5-Math.cos(t*Math.PI)/2},spring:function(t){return 1-Math.cos(4.5*t*Math.PI)*Math.exp(6*-t)}},h.each([["ease",[.25,.1,.25,1]],["ease-in",[.42,0,1,1]],["ease-out",[0,0,.58,1]],["ease-in-out",[.42,0,.58,1]],["easeInSine",[.47,0,.745,.715]],["easeOutSine",[.39,.575,.565,1]],["easeInOutSine",[.445,.05,.55,.95]],["easeInQuad",[.55,.085,.68,.53]],["easeOutQuad",[.25,.46,.45,.94]],["easeInOutQuad",[.455,.03,.515,.955]],["easeInCubic",[.55,.055,.675,.19]],["easeOutCubic",[.215,.61,.355,1]],["easeInOutCubic",[.645,.045,.355,1]],["easeInQuart",[.895,.03,.685,.22]],["easeOutQuart",[.165,.84,.44,1]],["easeInOutQuart",[.77,0,.175,1]],["easeInQuint",[.755,.05,.855,.06]],["easeOutQuint",[.23,1,.32,1]],["easeInOutQuint",[.86,0,.07,1]],["easeInExpo",[.95,.05,.795,.035]],["easeOutExpo",[.19,1,.22,1]],["easeInOutExpo",[1,0,0,1]],["easeInCirc",[.6,.04,.98,.335]],["easeOutCirc",[.075,.82,.165,1]],["easeInOutCirc",[.785,.135,.15,.86]]],(function(t,e){b.Easings[e[0]]=l.apply(null,e[1])}));var S=b.CSS={RegEx:{isHex:/^#([A-f\d]{3}){1,2}$/i,valueUnwrap:/^[A-z]+\((.*)\)$/i,wrappedValueAlreadyExtracted:/[0-9.]+ [0-9.]+ [0-9.]+( [0-9.]+)?/,valueSplit:/([A-z]+\(.+\))|(([A-z0-9#-.]+?)(?=\s|$))/gi},Lists:{colors:["fill","stroke","stopColor","color","backgroundColor","borderColor","borderTopColor","borderRightColor","borderBottomColor","borderLeftColor","outlineColor"],transformsBase:["translateX","translateY","scale","scaleX","scaleY","skewX","skewY","rotateZ"],transforms3D:["transformPerspective","translateZ","scaleZ","rotateX","rotateY"]},Hooks:{templates:{textShadow:["Color X Y Blur","black 0px 0px 0px"],boxShadow:["Color X Y Blur Spread","black 0px 0px 0px 0px"],clip:["Top Right Bottom Left","0px 0px 0px 0px"],backgroundPosition:["X Y","0% 0%"],transformOrigin:["X Y Z","50% 50% 0px"],perspectiveOrigin:["X Y","50% 50%"]},registered:{},register:function(){for(var t=0;t<S.Lists.colors.length;t++){var e="color"===S.Lists.colors[t]?"0 0 0 1":"255 255 255 1";S.Hooks.templates[S.Lists.colors[t]]=["Red Green Blue Alpha",e]}var i,n,o;if(p)for(i in S.Hooks.templates){o=(n=S.Hooks.templates[i])[0].split(" ");var a=n[1].match(S.RegEx.valueSplit);"Color"===o[0]&&(o.push(o.shift()),a.push(a.shift()),S.Hooks.templates[i]=[o.join(" "),a.join(" ")])}for(i in S.Hooks.templates)for(var t in o=(n=S.Hooks.templates[i])[0].split(" ")){var s=i+o[t],r=t;S.Hooks.registered[s]=[i,r]}},getRoot:function(t){var e=S.Hooks.registered[t];return e?e[0]:t},cleanRootPropertyValue:function(t,e){return S.RegEx.valueUnwrap.test(e)&&(e=e.match(S.RegEx.valueUnwrap)[1]),S.Values.isCSSNullValue(e)&&(e=S.Hooks.templates[t][1]),e},extractValue:function(t,e){var i=S.Hooks.registered[t];if(i){var n=i[0],o=i[1];return(e=S.Hooks.cleanRootPropertyValue(n,e)).toString().match(S.RegEx.valueSplit)[o]}return e},injectValue:function(t,e,i){var n=S.Hooks.registered[t];if(n){var o,a,s=n[0],r=n[1];return(o=(i=S.Hooks.cleanRootPropertyValue(s,i)).toString().match(S.RegEx.valueSplit))[r]=e,a=o.join(" ")}return i}},Normalizations:{registered:{clip:function(t,e,i){switch(t){case"name":return"clip";case"extract":var n;return S.RegEx.wrappedValueAlreadyExtracted.test(i)?n=i:n=(n=i.toString().match(S.RegEx.valueUnwrap))?n[1].replace(/,(\s+)?/g," "):i,n;case"inject":return"rect("+i+")"}},blur:function(t,e,i){switch(t){case"name":return b.State.isFirefox?"filter":"-webkit-filter";case"extract":var n=parseFloat(i);if(!n&&0!==n){var o=i.toString().match(/blur\(([0-9]+[A-z]+)\)/i);n=o?o[1]:0}return n;case"inject":return parseFloat(i)?"blur("+i+")":"none"}},opacity:function(t,e,i){if(8>=p)switch(t){case"name":return"filter";case"extract":var n=i.toString().match(/alpha\(opacity=(.*)\)/i);return i=n?n[1]/100:1;case"inject":return e.style.zoom=1,parseFloat(i)>=1?"":"alpha(opacity="+parseInt(100*parseFloat(i),10)+")"}else switch(t){case"name":return"opacity";case"extract":return i;case"inject":return i}}},register:function(){9>=p||b.State.isGingerbread||(S.Lists.transformsBase=S.Lists.transformsBase.concat(S.Lists.transforms3D));for(var t=0;t<S.Lists.transformsBase.length;t++)!function(){var e=S.Lists.transformsBase[t];S.Normalizations.registered[e]=function(t,i,o){switch(t){case"name":return"transform";case"extract":return s(i)===n||s(i).transformCache[e]===n?/^scale/i.test(e)?1:0:s(i).transformCache[e].replace(/[()]/g,"");case"inject":var a=!1;switch(e.substr(0,e.length-1)){case"translate":a=!/(%|px|em|rem|vw|vh|\d)$/i.test(o);break;case"scal":case"scale":b.State.isAndroid&&s(i).transformCache[e]===n&&1>o&&(o=1),a=!/(\d)$/i.test(o);break;case"skew":a=!/(deg|\d)$/i.test(o);break;case"rotate":a=!/(deg|\d)$/i.test(o)}return a||(s(i).transformCache[e]="("+o+")"),s(i).transformCache[e]}}}();for(var t=0;t<S.Lists.colors.length;t++)!function(){var e=S.Lists.colors[t];S.Normalizations.registered[e]=function(t,i,o){switch(t){case"name":return e;case"extract":var a;if(S.RegEx.wrappedValueAlreadyExtracted.test(o))a=o;else{var s,r={black:"rgb(0, 0, 0)",blue:"rgb(0, 0, 255)",gray:"rgb(128, 128, 128)",green:"rgb(0, 128, 0)",red:"rgb(255, 0, 0)",white:"rgb(255, 255, 255)"};/^[A-z]+$/i.test(o)?s=r[o]!==n?r[o]:r.black:S.RegEx.isHex.test(o)?s="rgb("+S.Values.hexToRgb(o).join(" ")+")":/^rgba?\(/i.test(o)||(s=r.black),a=(s||o).toString().match(S.RegEx.valueUnwrap)[1].replace(/,(\s+)?/g," ")}return 8>=p||3!==a.split(" ").length||(a+=" 1"),a;case"inject":return 8>=p?4===o.split(" ").length&&(o=o.split(/\s+/).slice(0,3).join(" ")):3===o.split(" ").length&&(o+=" 1"),(8>=p?"rgb":"rgba")+"("+o.replace(/\s+/g,",").replace(/\.(\d)+(?=,)/g,"")+")"}}}()}},Names:{camelCase:function(t){return t.replace(/-(\w)/g,(function(t,e){return e.toUpperCase()}))},SVGAttribute:function(t){var e="width|height|x|y|cx|cy|r|rx|ry|x1|x2|y1|y2";return(p||b.State.isAndroid&&!b.State.isChrome)&&(e+="|transform"),new RegExp("^("+e+")$","i").test(t)},prefixCheck:function(t){if(b.State.prefixMatches[t])return[b.State.prefixMatches[t],!0];for(var e=["","Webkit","Moz","ms","O"],i=0,n=e.length;n>i;i++){var o;if(o=0===i?t:e[i]+t.replace(/^\w/,(function(t){return t.toUpperCase()})),m.isString(b.State.prefixElement.style[o]))return b.State.prefixMatches[t]=o,[o,!0]}return[t,!1]}},Values:{hexToRgb:function(t){var e,i=/^#?([a-f\d])([a-f\d])([a-f\d])$/i,n=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i;return t=t.replace(i,(function(t,e,i,n){return e+e+i+i+n+n})),(e=n.exec(t))?[parseInt(e[1],16),parseInt(e[2],16),parseInt(e[3],16)]:[0,0,0]},isCSSNullValue:function(t){return 0==t||/^(none|auto|transparent|(rgba\(0, ?0, ?0, ?0\)))$/i.test(t)},getUnitType:function(t){return/^(rotate|skew)/i.test(t)?"deg":/(^(scale|scaleX|scaleY|scaleZ|alpha|flexGrow|flexHeight|zIndex|fontWeight)$)|((opacity|red|green|blue|alpha)$)/i.test(t)?"":"px"},getDisplayType:function(t){var e=t&&t.tagName.toString().toLowerCase();return/^(b|big|i|small|tt|abbr|acronym|cite|code|dfn|em|kbd|strong|samp|var|a|bdo|br|img|map|object|q|script|span|sub|sup|button|input|label|select|textarea)$/i.test(e)?"inline":/^(li)$/i.test(e)?"list-item":/^(tr)$/i.test(e)?"table-row":/^(table)$/i.test(e)?"table":/^(tbody)$/i.test(e)?"table-row-group":"block"},addClass:function(t,e){t.classList?t.classList.add(e):t.className+=(t.className.length?" ":"")+e},removeClass:function(t,e){t.classList?t.classList.remove(e):t.className=t.className.toString().replace(new RegExp("(^|\\s)"+e.split(" ").join("|")+"(\\s|$)","gi")," ")}},getPropertyValue:function(t,i,o,a){function r(t,i){function o(){u&&S.setPropertyValue(t,"display","none")}var l=0;if(8>=p)l=h.css(t,i);else{var u=!1,c;if(/^(width|height)$/.test(i)&&0===S.getPropertyValue(t,"display")&&(u=!0,S.setPropertyValue(t,"display",S.Values.getDisplayType(t))),!a){if("height"===i&&"border-box"!==S.getPropertyValue(t,"boxSizing").toString().toLowerCase()){var d=t.offsetHeight-(parseFloat(S.getPropertyValue(t,"borderTopWidth"))||0)-(parseFloat(S.getPropertyValue(t,"borderBottomWidth"))||0)-(parseFloat(S.getPropertyValue(t,"paddingTop"))||0)-(parseFloat(S.getPropertyValue(t,"paddingBottom"))||0);return o(),d}if("width"===i&&"border-box"!==S.getPropertyValue(t,"boxSizing").toString().toLowerCase()){var f=t.offsetWidth-(parseFloat(S.getPropertyValue(t,"borderLeftWidth"))||0)-(parseFloat(S.getPropertyValue(t,"borderRightWidth"))||0)-(parseFloat(S.getPropertyValue(t,"paddingLeft"))||0)-(parseFloat(S.getPropertyValue(t,"paddingRight"))||0);return o(),f}}c=s(t)===n?e.getComputedStyle(t,null):s(t).computedStyle?s(t).computedStyle:s(t).computedStyle=e.getComputedStyle(t,null),"borderColor"===i&&(i="borderTopColor"),(""===(l=9===p&&"filter"===i?c.getPropertyValue(i):c[i])||null===l)&&(l=t.style[i]),o()}if("auto"===l&&/^(top|right|bottom|left)$/i.test(i)){var m=r(t,"position");("fixed"===m||"absolute"===m&&/top|left/i.test(i))&&(l=h(t).position()[i]+"px")}return l}var l;if(S.Hooks.registered[i]){var u=i,c=S.Hooks.getRoot(u);o===n&&(o=S.getPropertyValue(t,S.Names.prefixCheck(c)[0])),S.Normalizations.registered[c]&&(o=S.Normalizations.registered[c]("extract",t,o)),l=S.Hooks.extractValue(u,o)}else if(S.Normalizations.registered[i]){var d,f;"transform"!==(d=S.Normalizations.registered[i]("name",t))&&(f=r(t,S.Names.prefixCheck(d)[0]),S.Values.isCSSNullValue(f)&&S.Hooks.templates[i]&&(f=S.Hooks.templates[i][1])),l=S.Normalizations.registered[i]("extract",t,f)}if(!/^[\d-]/.test(l))if(s(t)&&s(t).isSVG&&S.Names.SVGAttribute(i))if(/^(height|width)$/i.test(i))try{l=t.getBBox()[i]}catch(t){l=0}else l=t.getAttribute(i);else l=r(t,S.Names.prefixCheck(i)[0]);return S.Values.isCSSNullValue(l)&&(l=0),b.debug>=2&&console.log("Get "+i+": "+l),l},setPropertyValue:function(t,i,n,o,a){var r=i;if("scroll"===i)a.container?a.container["scroll"+a.direction]=n:"Left"===a.direction?e.scrollTo(n,a.alternateValue):e.scrollTo(a.alternateValue,n);else if(S.Normalizations.registered[i]&&"transform"===S.Normalizations.registered[i]("name",t))S.Normalizations.registered[i]("inject",t,n),r="transform",n=s(t).transformCache[i];else{if(S.Hooks.registered[i]){var l=i,u=S.Hooks.getRoot(i);o=o||S.getPropertyValue(t,u),n=S.Hooks.injectValue(l,n,o),i=u}if(S.Normalizations.registered[i]&&(n=S.Normalizations.registered[i]("inject",t,n),i=S.Normalizations.registered[i]("name",t)),r=S.Names.prefixCheck(i)[0],8>=p)try{t.style[r]=n}catch(t){b.debug&&console.log("Browser does not support ["+n+"] for ["+r+"]")}else s(t)&&s(t).isSVG&&S.Names.SVGAttribute(i)?t.setAttribute(i,n):t.style[r]=n;b.debug>=2&&console.log("Set "+i+" ("+r+"): "+n)}return[r,n]},flushTransformCache:function(t){function e(e){return parseFloat(S.getPropertyValue(t,e))}var i="";if((p||b.State.isAndroid&&!b.State.isChrome)&&s(t).isSVG){var n={translate:[e("translateX"),e("translateY")],skewX:[e("skewX")],skewY:[e("skewY")],scale:1!==e("scale")?[e("scale"),e("scale")]:[e("scaleX"),e("scaleY")],rotate:[e("rotateZ"),0,0]};h.each(s(t).transformCache,(function(t){/^translate/i.test(t)?t="translate":/^scale/i.test(t)?t="scale":/^rotate/i.test(t)&&(t="rotate"),n[t]&&(i+=t+"("+n[t].join(" ")+") ",delete n[t])}))}else{var o,a;h.each(s(t).transformCache,(function(e){return o=s(t).transformCache[e],"transformPerspective"===e?(a=o,!0):(9===p&&"rotateZ"===e&&(e="rotate"),void(i+=e+o+" "))})),a&&(i="perspective"+a+" "+i)}S.setPropertyValue(t,"transform",i)}};S.Hooks.register(),S.Normalizations.register(),b.hook=function(t,e,i){var o=n;return t=a(t),h.each(t,(function(t,a){if(s(a)===n&&b.init(a),i===n)o===n&&(o=b.CSS.getPropertyValue(a,e));else{var r=b.CSS.setPropertyValue(a,e,i);"transform"===r[0]&&b.CSS.flushTransformCache(a),o=r}})),o};var C=function(t){function o(){return l?P.promise||null:p}function r(){function t(t){function d(t,e){var i=n,o=n,s=n;return m.isArray(t)?(i=t[0],!m.isArray(t[1])&&/^[\d-]/.test(t[1])||m.isFunction(t[1])||S.RegEx.isHex.test(t[1])?s=t[1]:(m.isString(t[1])&&!S.RegEx.isHex.test(t[1])||m.isArray(t[1]))&&(o=e?t[1]:u(t[1],r.duration),t[2]!==n&&(s=t[2]))):i=t,e||(o=o||r.easing),m.isFunction(i)&&(i=i.call(a,T,k)),m.isFunction(s)&&(s=s.call(a,T,k)),[i||0,o,s]}function p(t,e){var i,n;return n=(e||"0").toString().toLowerCase().replace(/[%A-z]+$/,(function(t){return i=t,""})),i||(i=S.Values.getUnitType(t)),[n,i]}function f(){var t={myParent:a.parentNode||i.body,position:S.getPropertyValue(a,"position"),fontSize:S.getPropertyValue(a,"fontSize")},n=t.position===q.lastPosition&&t.myParent===q.lastParent,o=t.fontSize===q.lastFontSize;q.lastParent=t.myParent,q.lastPosition=t.position,q.lastFontSize=t.fontSize;var r=100,l={};if(o&&n)l.emToPx=q.lastEmToPx,l.percentToPxWidth=q.lastPercentToPxWidth,l.percentToPxHeight=q.lastPercentToPxHeight;else{var u=s(a).isSVG?i.createElementNS("http://www.w3.org/2000/svg","rect"):i.createElement("div");b.init(u),t.myParent.appendChild(u),h.each(["overflow","overflowX","overflowY"],(function(t,e){b.CSS.setPropertyValue(u,e,"hidden")})),b.CSS.setPropertyValue(u,"position",t.position),b.CSS.setPropertyValue(u,"fontSize",t.fontSize),b.CSS.setPropertyValue(u,"boxSizing","content-box"),h.each(["minWidth","maxWidth","width","minHeight","maxHeight","height"],(function(t,e){b.CSS.setPropertyValue(u,e,"100%")})),b.CSS.setPropertyValue(u,"paddingLeft","100em"),l.percentToPxWidth=q.lastPercentToPxWidth=(parseFloat(S.getPropertyValue(u,"width",null,!0))||1)/r,l.percentToPxHeight=q.lastPercentToPxHeight=(parseFloat(S.getPropertyValue(u,"height",null,!0))||1)/r,l.emToPx=q.lastEmToPx=(parseFloat(S.getPropertyValue(u,"paddingLeft"))||1)/r,t.myParent.removeChild(u)}return null===q.remToPx&&(q.remToPx=parseFloat(S.getPropertyValue(i.body,"fontSize"))||16),null===q.vwToPx&&(q.vwToPx=parseFloat(e.innerWidth)/100,q.vhToPx=parseFloat(e.innerHeight)/100),l.remToPx=q.remToPx,l.vwToPx=q.vwToPx,l.vhToPx=q.vhToPx,b.debug>=1&&console.log("Unit ratios: "+JSON.stringify(l),a),l}if(r.begin&&0===T)try{r.begin.call(g,g)}catch(t){setTimeout((function(){throw t}),1)}if("scroll"===M){
var v,C,x,_=/^x$/i.test(r.axis)?"Left":"Top",O=parseFloat(r.offset)||0;r.container?m.isWrapped(r.container)||m.isNode(r.container)?(r.container=r.container[0]||r.container,x=(v=r.container["scroll"+_])+h(a).position()[_.toLowerCase()]+O):r.container=null:(v=b.State.scrollAnchor[b.State["scrollProperty"+_]],C=b.State.scrollAnchor[b.State["scrollProperty"+("Left"===_?"Top":"Left")]],x=h(a).offset()[_.toLowerCase()]+O),l={scroll:{rootPropertyValue:!1,startValue:v,currentValue:v,endValue:x,unitType:"",easing:r.easing,scrollData:{container:r.container,direction:_,alternateValue:C}},element:a},b.debug&&console.log("tweensContainer (scroll): ",l.scroll,a)}else if("reverse"===M){if(!s(a).tweensContainer)return void h.dequeue(a,r.queue);"none"===s(a).opts.display&&(s(a).opts.display="auto"),"hidden"===s(a).opts.visibility&&(s(a).opts.visibility="visible"),s(a).opts.loop=!1,s(a).opts.begin=null,s(a).opts.complete=null,w.easing||delete r.easing,w.duration||delete r.duration,r=h.extend({},s(a).opts,r);var A=h.extend(!0,{},s(a).tweensContainer);for(var E in A)if("element"!==E){var D=A[E].startValue;A[E].startValue=A[E].currentValue=A[E].endValue,A[E].endValue=D,m.isEmptyObject(w)||(A[E].easing=r.easing),b.debug&&console.log("reverse tweensContainer ("+E+"): "+JSON.stringify(A[E]),a)}l=A}else if("start"===M){var A;for(var I in s(a).tweensContainer&&!0===s(a).isAnimating&&(A=s(a).tweensContainer),h.each(y,(function(t,e){if(RegExp("^"+S.Lists.colors.join("$|^")+"$").test(t)){var i=d(e,!0),o=i[0],a=i[1],s=i[2];if(S.RegEx.isHex.test(o)){for(var r=["Red","Green","Blue"],l=S.Values.hexToRgb(o),u=s?S.Values.hexToRgb(s):n,c=0;c<r.length;c++){var h=[l[c]];a&&h.push(a),u!==n&&h.push(u[c]),y[t+r[c]]=h}delete y[t]}}})),y){var $=d(y[I]),j=$[0],N=$[1],H=$[2];I=S.Names.camelCase(I);var F=S.Hooks.getRoot(I),R=!1;if(s(a).isSVG||"tween"===F||!1!==S.Names.prefixCheck(F)[1]||S.Normalizations.registered[F]!==n){(r.display!==n&&null!==r.display&&"none"!==r.display||r.visibility!==n&&"hidden"!==r.visibility)&&/opacity|filter/.test(I)&&!H&&0!==j&&(H=0),r._cacheValues&&A&&A[I]?(H===n&&(H=A[I].endValue+A[I].unitType),R=s(a).rootPropertyValueCache[F]):S.Hooks.registered[I]?H===n?(R=S.getPropertyValue(a,F),H=S.getPropertyValue(a,I,R)):R=S.Hooks.templates[F][1]:H===n&&(H=S.getPropertyValue(a,I));var z,V,B,W=!1;if(H=(z=p(I,H))[0],B=z[1],j=(z=p(I,j))[0].replace(/^([+-\/*])=/,(function(t,e){return W=e,""})),V=z[1],H=parseFloat(H)||0,j=parseFloat(j)||0,"%"===V&&(/^(fontSize|lineHeight)$/.test(I)?(j/=100,V="em"):/^scale/.test(I)?(j/=100,V=""):/(Red|Green|Blue)$/i.test(I)&&(j=j/100*255,V="")),/[\/*]/.test(W))V=B;else if(B!==V&&0!==H)if(0===j)V=B;else{o=o||f();var Q=/margin|padding|left|right|width|text|word|letter/i.test(I)||/X$/.test(I)||"x"===I?"x":"y";switch(B){case"%":H*="x"===Q?o.percentToPxWidth:o.percentToPxHeight;break;case"px":break;default:H*=o[B+"ToPx"]}switch(V){case"%":H*=1/("x"===Q?o.percentToPxWidth:o.percentToPxHeight);break;case"px":break;default:H*=1/o[V+"ToPx"]}}switch(W){case"+":j=H+j;break;case"-":j=H-j;break;case"*":j*=H;break;case"/":j=H/j}l[I]={rootPropertyValue:R,startValue:H,currentValue:H,endValue:j,unitType:V,easing:N},b.debug&&console.log("tweensContainer ("+I+"): "+JSON.stringify(l[I]),a)}else b.debug&&console.log("Skipping ["+F+"] due to a lack of browser support.")}l.element=a}l.element&&(S.Values.addClass(a,"velocity-animating"),L.push(l),""===r.queue&&(s(a).tweensContainer=l,s(a).opts=r),s(a).isAnimating=!0,T===k-1?(b.State.calls.push([L,g,r,null,P.resolver]),!1===b.State.isTicking&&(b.State.isTicking=!0,c())):T++)}var o,a=this,r=h.extend({},b.defaults,w),l={};switch(s(a)===n&&b.init(a),parseFloat(r.delay)&&!1!==r.queue&&h.queue(a,r.queue,(function(t){b.velocityQueueEntryFlag=!0,s(a).delayTimer={setTimeout:setTimeout(t,parseFloat(r.delay)),next:t}})),r.duration.toString().toLowerCase()){case"fast":r.duration=200;break;case"normal":r.duration=v;break;case"slow":r.duration=600;break;default:r.duration=parseFloat(r.duration)||1}!1!==b.mock&&(!0===b.mock?r.duration=r.delay=1:(r.duration*=parseFloat(b.mock)||1,r.delay*=parseFloat(b.mock)||1)),r.easing=u(r.easing,r.duration),r.begin&&!m.isFunction(r.begin)&&(r.begin=null),r.progress&&!m.isFunction(r.progress)&&(r.progress=null),r.complete&&!m.isFunction(r.complete)&&(r.complete=null),r.display!==n&&null!==r.display&&(r.display=r.display.toString().toLowerCase(),"auto"===r.display&&(r.display=b.CSS.Values.getDisplayType(a))),r.visibility!==n&&null!==r.visibility&&(r.visibility=r.visibility.toString().toLowerCase()),r.mobileHA=r.mobileHA&&b.State.isMobile&&!b.State.isGingerbread,!1===r.queue?r.delay?setTimeout(t,r.delay):t():h.queue(a,r.queue,(function(e,i){return!0===i?(P.promise&&P.resolver(g),!0):(b.velocityQueueEntryFlag=!0,void t(e))})),""!==r.queue&&"fx"!==r.queue||"inprogress"===h.queue(a)[0]||h.dequeue(a)}var l,p,f,g,y,w,x=t&&(t.p||h.isPlainObject(t.properties)&&!t.properties.names||m.isString(t.properties));if(m.isWrapped(this)?(l=!1,f=0,g=this,p=this):(l=!0,f=1,g=x?t.elements||t.e:t),g=a(g)){x?(y=t.properties||t.p,w=t.options||t.o):(y=arguments[f],w=arguments[f+1]);var k=g.length,T=0;if(!/^(stop|finish)$/i.test(y)&&!h.isPlainObject(w)){var _=f+1;w={};for(var O=_;O<arguments.length;O++)m.isArray(arguments[O])||!/^(fast|normal|slow)$/i.test(arguments[O])&&!/^\d/.test(arguments[O])?m.isString(arguments[O])||m.isArray(arguments[O])?w.easing=arguments[O]:m.isFunction(arguments[O])&&(w.complete=arguments[O]):w.duration=arguments[O]}var P={promise:null,resolver:null,rejecter:null},M;switch(l&&b.Promise&&(P.promise=new b.Promise((function(t,e){P.resolver=t,P.rejecter=e}))),y){case"scroll":M="scroll";break;case"reverse":M="reverse";break;case"finish":case"stop":h.each(g,(function(t,e){s(e)&&s(e).delayTimer&&(clearTimeout(s(e).delayTimer.setTimeout),s(e).delayTimer.next&&s(e).delayTimer.next(),delete s(e).delayTimer)}));var A=[];return h.each(b.State.calls,(function(t,e){e&&h.each(e[1],(function(i,o){var a=w===n?"":w;return!0!==a&&e[2].queue!==a&&(w!==n||!1!==e[2].queue)||void h.each(g,(function(i,n){n===o&&((!0===w||m.isString(w))&&(h.each(h.queue(n,m.isString(w)?w:""),(function(t,e){m.isFunction(e)&&e(null,!0)})),h.queue(n,m.isString(w)?w:"",[])),"stop"===y?(s(n)&&s(n).tweensContainer&&!1!==a&&h.each(s(n).tweensContainer,(function(t,e){e.endValue=e.currentValue})),A.push(t)):"finish"===y&&(e[2].duration=1))}))}))})),"stop"===y&&(h.each(A,(function(t,e){d(e,!0)})),P.promise&&P.resolver(g)),o();default:if(!h.isPlainObject(y)||m.isEmptyObject(y)){if(m.isString(y)&&b.Redirects[y]){var E,D=(E=h.extend({},w)).duration,I=E.delay||0;return!0===E.backwards&&(g=h.extend(!0,[],g).reverse()),h.each(g,(function(t,e){parseFloat(E.stagger)?E.delay=I+parseFloat(E.stagger)*t:m.isFunction(E.stagger)&&(E.delay=I+E.stagger.call(e,t,k)),E.drag&&(E.duration=parseFloat(D)||(/^(callout|transition)/.test(y)?1e3:v),E.duration=Math.max(E.duration*(E.backwards?1-t/k:(t+1)/k),.75*E.duration,200)),b.Redirects[y].call(e,e,E||{},t,k,g,P.promise?P:n)})),o()}var $="Velocity: First argument ("+y+") was not a property map, a known action, or a registered redirect. Aborting.";return P.promise?P.rejecter(new Error($)):console.log($),o()}M="start"}var q={lastParent:null,lastPosition:null,lastFontSize:null,lastPercentToPxWidth:null,lastPercentToPxHeight:null,lastEmToPx:null,remToPx:null,vwToPx:null,vhToPx:null},L=[],j,E;if(h.each(g,(function(t,e){m.isNode(e)&&r.call(e)})),(E=h.extend({},b.defaults,w)).loop=parseInt(E.loop),j=2*E.loop-1,E.loop)for(var N=0;j>N;N++){var H={delay:E.delay,progress:E.progress};N===j-1&&(H.display=E.display,H.visibility=E.visibility,H.complete=E.complete),C(g,"reverse",H)}return o()}};(b=h.extend(C,b)).animate=C;var x=e.requestAnimationFrame||f;return b.State.isMobile||i.hidden===n||i.addEventListener("visibilitychange",(function(){i.hidden?(x=function(t){return setTimeout((function(){t(!0)}),16)},c()):x=e.requestAnimationFrame||f})),t.Velocity=b,t!==e&&(t.fn.velocity=C,t.fn.velocity.defaults=b.defaults),h.each(["Down","Up"],(function(t,e){b.Redirects["slide"+e]=function(t,i,o,a,s,r){var l=h.extend({},i),u=l.begin,c=l.complete,d={height:"",marginTop:"",marginBottom:"",paddingTop:"",paddingBottom:""},p={};l.display===n&&(l.display="Down"===e?"inline"===b.CSS.Values.getDisplayType(t)?"inline-block":"block":"none"),l.begin=function(){for(var i in u&&u.call(s,s),d){p[i]=t.style[i];var n=b.CSS.getPropertyValue(t,i);d[i]="Down"===e?[n,0]:[0,n]}p.overflow=t.style.overflow,t.style.overflow="hidden"},l.complete=function(){for(var e in p)t.style[e]=p[e];c&&c.call(s,s),r&&r.resolver(s)},b(t,d,l)}})),h.each(["In","Out"],(function(t,e){b.Redirects["fade"+e]=function(t,i,o,a,s,r){var l=h.extend({},i),u={opacity:"In"===e?1:0},c=l.complete;l.complete=o!==a-1?l.begin=null:function(){c&&c.call(s,s),r&&r.resolver(s)},l.display===n&&(l.display="In"===e?"auto":"none"),b(this,u,l)}})),b}jQuery.fn.velocity=jQuery.fn.animate}(window.jQuery||window.Zepto||window,window,document)}))),function(t,e,i,n){"use strict";function o(t,e,i){return setTimeout(c(t,i),e)}function a(t,e,i){return!!Array.isArray(t)&&(s(t,i[e],i),!0)}function s(t,e,i){var o;if(t)if(t.forEach)t.forEach(e,i);else if(t.length!==n)for(o=0;o<t.length;)e.call(i,t[o],o,t),o++;else for(o in t)t.hasOwnProperty(o)&&e.call(i,t[o],o,t)}function r(t,e,i){for(var o=Object.keys(e),a=0;a<o.length;)(!i||i&&t[o[a]]===n)&&(t[o[a]]=e[o[a]]),a++;return t}function l(t,e){return r(t,e,!0)}function u(t,e,i){var n,o=e.prototype;(n=t.prototype=Object.create(o)).constructor=t,n._super=o,i&&r(n,i)}function c(t,e){return function(){return t.apply(e,arguments)}}function d(t,e){return typeof t==ct?t.apply(e&&e[0]||n,e):t}function h(t,e){return t===n?e:t}function p(t,e,i){s(v(e),(function(e){t.addEventListener(e,i,!1)}))}function f(t,e,i){s(v(e),(function(e){t.removeEventListener(e,i,!1)}))}function m(t,e){for(;t;){if(t==e)return!0;t=t.parentNode}return!1}function g(t,e){return t.indexOf(e)>-1}function v(t){return t.trim().split(/\s+/g)}function y(t,e,i){if(t.indexOf&&!i)return t.indexOf(e);for(var n=0;n<t.length;){if(i&&t[n][i]==e||!i&&t[n]===e)return n;n++}return-1}function b(t){return Array.prototype.slice.call(t,0)}function w(t,e,i){for(var n=[],o=[],a=0;a<t.length;){var s=e?t[a][e]:t[a];y(o,s)<0&&n.push(t[a]),o[a]=s,a++}return i&&(n=e?n.sort((function(t,i){return t[e]>i[e]})):n.sort()),n}function S(t,e){for(var i,o,a=e[0].toUpperCase()+e.slice(1),s=0;s<lt.length;){if((o=(i=lt[s])?i+a:e)in t)return o;s++}return n}function C(){return ft++}function x(t){var e=t.ownerDocument;return e.defaultView||e.parentWindow}function k(t,e){var i=this;this.manager=t,this.callback=e,this.element=t.element,this.target=t.options.inputTarget,this.domHandler=function(e){d(t.options.enable,[t])&&i.handler(e)},this.init()}function T(t){var e,i=t.options.inputClass;return new(e=i||(vt?H:yt?z:gt?B:N))(t,_)}function _(t,e,i){var n=i.pointers.length,o=i.changedPointers.length,a=e&kt&&0==n-o,s=e&(_t|Ot)&&0==n-o;i.isFirst=!!a,i.isFinal=!!s,a&&(t.session={}),i.eventType=e,O(t,i),t.emit("hammer.input",i),t.recognize(i),t.session.prevInput=i}function O(t,e){var i=t.session,n=e.pointers,o=n.length;i.firstInput||(i.firstInput=A(e)),o>1&&!i.firstMultiple?i.firstMultiple=A(e):1===o&&(i.firstMultiple=!1);var a=i.firstInput,s=i.firstMultiple,r=s?s.center:a.center,l=e.center=E(n);e.timeStamp=pt(),e.deltaTime=e.timeStamp-a.timeStamp,e.angle=q(r,l),e.distance=$(r,l),P(i,e),e.offsetDirection=I(e.deltaX,e.deltaY),e.scale=s?j(s.pointers,n):1,e.rotation=s?L(s.pointers,n):0,M(i,e);var u=t.element;m(e.srcEvent.target,u)&&(u=e.srcEvent.target),e.target=u}function P(t,e){var i=e.center,n=t.offsetDelta||{},o=t.prevDelta||{},a=t.prevInput||{};(e.eventType===kt||a.eventType===_t)&&(o=t.prevDelta={x:a.deltaX||0,y:a.deltaY||0},n=t.offsetDelta={x:i.x,y:i.y}),e.deltaX=o.x+(i.x-n.x),e.deltaY=o.y+(i.y-n.y)}function M(t,e){var i,o,a,s,r=t.lastInterval||e,l=e.timeStamp-r.timeStamp;if(e.eventType!=Ot&&(l>xt||r.velocity===n)){var u=r.deltaX-e.deltaX,c=r.deltaY-e.deltaY,d=D(l,u,c);o=d.x,a=d.y,i=ht(d.x)>ht(d.y)?d.x:d.y,s=I(u,c),t.lastInterval=e}else i=r.velocity,o=r.velocityX,a=r.velocityY,s=r.direction;e.velocity=i,e.velocityX=o,e.velocityY=a,e.direction=s}function A(t){for(var e=[],i=0;i<t.pointers.length;)e[i]={clientX:dt(t.pointers[i].clientX),clientY:dt(t.pointers[i].clientY)},i++;return{timeStamp:pt(),pointers:e,center:E(e),deltaX:t.deltaX,deltaY:t.deltaY}}function E(t){var e=t.length;if(1===e)return{x:dt(t[0].clientX),y:dt(t[0].clientY)};for(var i=0,n=0,o=0;e>o;)i+=t[o].clientX,n+=t[o].clientY,o++;return{x:dt(i/e),y:dt(n/e)}}function D(t,e,i){return{x:e/t||0,y:i/t||0}}function I(t,e){return t===e?Pt:ht(t)>=ht(e)?t>0?Mt:At:e>0?Et:Dt}function $(t,e,i){i||(i=Lt);var n=e[i[0]]-t[i[0]],o=e[i[1]]-t[i[1]];return Math.sqrt(n*n+o*o)}function q(t,e,i){i||(i=Lt);var n=e[i[0]]-t[i[0]],o=e[i[1]]-t[i[1]];return 180*Math.atan2(o,n)/Math.PI}function L(t,e){return q(e[1],e[0],jt)-q(t[1],t[0],jt)}function j(t,e){return $(e[0],e[1],jt)/$(t[0],t[1],jt)}function N(){this.evEl=Ht,this.evWin=Ft,this.allow=!0,this.pressed=!1,k.apply(this,arguments)}function H(){this.evEl=Vt,this.evWin=Bt,k.apply(this,arguments),this.store=this.manager.session.pointerEvents=[]}function F(){this.evTarget=Qt,this.evWin=Xt,this.started=!1,k.apply(this,arguments)}function R(t,e){var i=b(t.touches),n=b(t.changedTouches);return e&(_t|Ot)&&(i=w(i.concat(n),"identifier",!0)),[i,n]}function z(){this.evTarget=Yt,this.targetIds={},k.apply(this,arguments)}function V(t,e){var i=b(t.touches),n=this.targetIds;if(e&(kt|Tt)&&1===i.length)return n[i[0].identifier]=!0,[i,i];var o,a,s=b(t.changedTouches),r=[],l=this.target;if(a=i.filter((function(t){return m(t.target,l)})),e===kt)for(o=0;o<a.length;)n[a[o].identifier]=!0,o++;for(o=0;o<s.length;)n[s[o].identifier]&&r.push(s[o]),e&(_t|Ot)&&delete n[s[o].identifier],o++;return r.length?[w(a.concat(r),"identifier",!0),r]:void 0}function B(){k.apply(this,arguments);var t=c(this.handler,this);this.touch=new z(this.manager,t),this.mouse=new N(this.manager,t)}function W(t,e){this.manager=t,this.set(e)}function Q(t){if(g(t,ee))return ee;var e=g(t,ie),i=g(t,ne);return e&&i?ie+" "+ne:e||i?e?ie:ne:g(t,te)?te:Kt}function X(t){this.id=C(),this.manager=null,this.options=l(t||{},this.defaults),this.options.enable=h(this.options.enable,!0),this.state=oe,this.simultaneous={},this.requireFail=[]}function U(t){return t&ue?"cancel":t&re?"end":t&se?"move":t&ae?"start":""}function Y(t){return t==Dt?"down":t==Et?"up":t==Mt?"left":t==At?"right":""}function G(t,e){var i=e.manager;return i?i.get(t):t}function Z(){X.apply(this,arguments)}function J(){Z.apply(this,arguments),this.pX=null,this.pY=null}function K(){Z.apply(this,arguments)}function tt(){X.apply(this,arguments),this._timer=null,this._input=null}function et(){Z.apply(this,arguments)}function it(){Z.apply(this,arguments)}function nt(){X.apply(this,arguments),this.pTime=!1,this.pCenter=!1,this._timer=null,this._input=null,this.count=0}function ot(t,e){return(e=e||{}).recognizers=h(e.recognizers,ot.defaults.preset),new at(t,e)}function at(t,e){e=e||{},this.options=l(e,ot.defaults),this.options.inputTarget=this.options.inputTarget||t,this.handlers={},this.session={},this.recognizers=[],this.element=t,this.input=T(this),this.touchAction=new W(this,this.options.touchAction),st(this,!0),s(e.recognizers,(function(t){var e=this.add(new t[0](t[1]));t[2]&&e.recognizeWith(t[2]),t[3]&&e.requireFailure(t[3])}),this)}function st(t,e){var i=t.element;s(t.options.cssProps,(function(t,n){i.style[S(i.style,n)]=e?t:""}))}function rt(t,i){var n=e.createEvent("Event");n.initEvent(t,!0,!0),n.gesture=i,i.target.dispatchEvent(n)}var lt=["","webkit","moz","MS","ms","o"],ut=e.createElement("div"),ct="function",dt=Math.round,ht=Math.abs,pt=Date.now,ft=1,mt=/mobile|tablet|ip(ad|hone|od)|android/i,gt="ontouchstart"in t,vt=S(t,"PointerEvent")!==n,yt=gt&&mt.test(navigator.userAgent),bt="touch",wt="pen",St="mouse",Ct="kinect",xt=25,kt=1,Tt=2,_t=4,Ot=8,Pt=1,Mt=2,At=4,Et=8,Dt=16,It=Mt|At,$t=Et|Dt,qt=It|$t,Lt=["x","y"],jt=["clientX","clientY"];k.prototype={handler:function(){},init:function(){this.evEl&&p(this.element,this.evEl,this.domHandler),this.evTarget&&p(this.target,this.evTarget,this.domHandler),this.evWin&&p(x(this.element),this.evWin,this.domHandler)},destroy:function(){this.evEl&&f(this.element,this.evEl,this.domHandler),this.evTarget&&f(this.target,this.evTarget,this.domHandler),this.evWin&&f(x(this.element),this.evWin,this.domHandler)}};var Nt={mousedown:kt,mousemove:Tt,mouseup:_t},Ht="mousedown",Ft="mousemove mouseup";u(N,k,{handler:function(t){var e=Nt[t.type];e&kt&&0===t.button&&(this.pressed=!0),e&Tt&&1!==t.which&&(e=_t),this.pressed&&this.allow&&(e&_t&&(this.pressed=!1),this.callback(this.manager,e,{pointers:[t],changedPointers:[t],pointerType:St,srcEvent:t}))}});var Rt={pointerdown:kt,pointermove:Tt,pointerup:_t,pointercancel:Ot,pointerout:Ot},zt={2:bt,3:wt,4:St,5:Ct},Vt="pointerdown",Bt="pointermove pointerup pointercancel";t.MSPointerEvent&&(Vt="MSPointerDown",Bt="MSPointerMove MSPointerUp MSPointerCancel"),u(H,k,{handler:function(t){var e=this.store,i=!1,n=t.type.toLowerCase().replace("ms",""),o=Rt[n],a=zt[t.pointerType]||t.pointerType,s=a==bt,r=y(e,t.pointerId,"pointerId");o&kt&&(0===t.button||s)?0>r&&(e.push(t),r=e.length-1):o&(_t|Ot)&&(i=!0),0>r||(e[r]=t,this.callback(this.manager,o,{pointers:e,changedPointers:[t],pointerType:a,srcEvent:t}),i&&e.splice(r,1))}});var Wt={touchstart:kt,touchmove:Tt,touchend:_t,touchcancel:Ot},Qt="touchstart",Xt="touchstart touchmove touchend touchcancel";u(F,k,{handler:function(t){var e=Wt[t.type];if(e===kt&&(this.started=!0),this.started){var i=R.call(this,t,e);e&(_t|Ot)&&0==i[0].length-i[1].length&&(this.started=!1),this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:bt,srcEvent:t})}}});var Ut={touchstart:kt,touchmove:Tt,touchend:_t,touchcancel:Ot},Yt="touchstart touchmove touchend touchcancel";u(z,k,{handler:function(t){var e=Ut[t.type],i=V.call(this,t,e);i&&this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:bt,srcEvent:t})}}),u(B,k,{handler:function(t,e,i){var n=i.pointerType==bt,o=i.pointerType==St;if(n)this.mouse.allow=!1;else if(o&&!this.mouse.allow)return;e&(_t|Ot)&&(this.mouse.allow=!0),this.callback(t,e,i)},destroy:function(){this.touch.destroy(),this.mouse.destroy()}});var Gt=S(ut.style,"touchAction"),Zt=Gt!==n,Jt="compute",Kt="auto",te="manipulation",ee="none",ie="pan-x",ne="pan-y";W.prototype={set:function(t){t==Jt&&(t=this.compute()),Zt&&(this.manager.element.style[Gt]=t),this.actions=t.toLowerCase().trim()},update:function(){this.set(this.manager.options.touchAction)},compute:function(){var t=[];return s(this.manager.recognizers,(function(e){d(e.options.enable,[e])&&(t=t.concat(e.getTouchAction()))})),Q(t.join(" "))},preventDefaults:function(t){if(!Zt){var e=t.srcEvent,i=t.offsetDirection;if(this.manager.session.prevented)return void e.preventDefault();var n=this.actions,o=g(n,ee),a=g(n,ne),s=g(n,ie);return o||a&&i&It||s&&i&$t?this.preventSrc(e):void 0}},preventSrc:function(t){this.manager.session.prevented=!0,t.preventDefault()}};var oe=1,ae=2,se=4,re=8,le=re,ue=16,ce=32;X.prototype={defaults:{},set:function(t){return r(this.options,t),this.manager&&this.manager.touchAction.update(),this},recognizeWith:function(t){if(a(t,"recognizeWith",this))return this;var e=this.simultaneous;return e[(t=G(t,this)).id]||(e[t.id]=t,t.recognizeWith(this)),this},dropRecognizeWith:function(t){return a(t,"dropRecognizeWith",this)||(t=G(t,this),delete this.simultaneous[t.id]),this},requireFailure:function(t){if(a(t,"requireFailure",this))return this;var e=this.requireFail;return-1===y(e,t=G(t,this))&&(e.push(t),t.requireFailure(this)),this},dropRequireFailure:function(t){if(a(t,"dropRequireFailure",this))return this;t=G(t,this);var e=y(this.requireFail,t);return e>-1&&this.requireFail.splice(e,1),this},hasRequireFailures:function(){return this.requireFail.length>0},canRecognizeWith:function(t){return!!this.simultaneous[t.id]},emit:function(t){function e(e){i.manager.emit(i.options.event+(e?U(n):""),t)}var i=this,n=this.state;re>n&&e(!0),e(),n>=re&&e(!0)},tryEmit:function(t){return this.canEmit()?this.emit(t):void(this.state=32)},canEmit:function(){for(var t=0;t<this.requireFail.length;){if(!(this.requireFail[t].state&(32|oe)))return!1;t++}return!0},recognize:function(t){var e=r({},t);return d(this.options.enable,[this,e])?(this.state&(le|ue|32)&&(this.state=oe),this.state=this.process(e),void(this.state&(ae|se|re|ue)&&this.tryEmit(e))):(this.reset(),void(this.state=32))},process:function(){},getTouchAction:function(){},reset:function(){}},u(Z,X,{defaults:{pointers:1},attrTest:function(t){var e=this.options.pointers;return 0===e||t.pointers.length===e},process:function(t){var e=this.state,i=t.eventType,n=e&(ae|se),o=this.attrTest(t);return n&&(i&Ot||!o)?e|ue:n||o?i&_t?e|re:e&ae?e|se:ae:32}}),u(J,Z,{defaults:{event:"pan",threshold:10,pointers:1,direction:qt},getTouchAction:function(){var t=this.options.direction,e=[];return t&It&&e.push(ne),t&$t&&e.push(ie),e},directionTest:function(t){var e=this.options,i=!0,n=t.distance,o=t.direction,a=t.deltaX,s=t.deltaY;return o&e.direction||(e.direction&It?(o=0===a?Pt:0>a?Mt:At,i=a!=this.pX,n=Math.abs(t.deltaX)):(o=0===s?Pt:0>s?Et:Dt,i=s!=this.pY,n=Math.abs(t.deltaY))),t.direction=o,i&&n>e.threshold&&o&e.direction},attrTest:function(t){return Z.prototype.attrTest.call(this,t)&&(this.state&ae||!(this.state&ae)&&this.directionTest(t))},emit:function(t){this.pX=t.deltaX,this.pY=t.deltaY;var e=Y(t.direction);e&&this.manager.emit(this.options.event+e,t),this._super.emit.call(this,t)}}),u(K,Z,{defaults:{event:"pinch",threshold:0,pointers:2},getTouchAction:function(){return[ee]},attrTest:function(t){return this._super.attrTest.call(this,t)&&(Math.abs(t.scale-1)>this.options.threshold||this.state&ae)},emit:function(t){if(this._super.emit.call(this,t),1!==t.scale){var e=t.scale<1?"in":"out";this.manager.emit(this.options.event+e,t)}}}),u(tt,X,{defaults:{event:"press",pointers:1,time:500,threshold:5},getTouchAction:function(){return[Kt]},process:function(t){var e=this.options,i=t.pointers.length===e.pointers,n=t.distance<e.threshold,a=t.deltaTime>e.time;if(this._input=t,!n||!i||t.eventType&(_t|Ot)&&!a)this.reset();else if(t.eventType&kt)this.reset(),this._timer=o((function(){this.state=le,this.tryEmit()}),e.time,this);else if(t.eventType&_t)return le;return 32},reset:function(){clearTimeout(this._timer)},emit:function(t){this.state===le&&(t&&t.eventType&_t?this.manager.emit(this.options.event+"up",t):(this._input.timeStamp=pt(),this.manager.emit(this.options.event,this._input)))}}),u(et,Z,{defaults:{event:"rotate",threshold:0,pointers:2},getTouchAction:function(){return[ee]},attrTest:function(t){return this._super.attrTest.call(this,t)&&(Math.abs(t.rotation)>this.options.threshold||this.state&ae)}}),u(it,Z,{defaults:{event:"swipe",threshold:10,velocity:.65,direction:It|$t,pointers:1},getTouchAction:function(){return J.prototype.getTouchAction.call(this)},attrTest:function(t){var e,i=this.options.direction;return i&(It|$t)?e=t.velocity:i&It?e=t.velocityX:i&$t&&(e=t.velocityY),this._super.attrTest.call(this,t)&&i&t.direction&&t.distance>this.options.threshold&&ht(e)>this.options.velocity&&t.eventType&_t},emit:function(t){var e=Y(t.direction);e&&this.manager.emit(this.options.event+e,t),this.manager.emit(this.options.event,t)}}),u(nt,X,{defaults:{event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:2,posThreshold:10},getTouchAction:function(){return[te]},process:function(t){var e=this.options,i=t.pointers.length===e.pointers,n=t.distance<e.threshold,a=t.deltaTime<e.time;if(this.reset(),t.eventType&kt&&0===this.count)return this.failTimeout();if(n&&a&&i){if(t.eventType!=_t)return this.failTimeout();var s=!this.pTime||t.timeStamp-this.pTime<e.interval,r=!this.pCenter||$(this.pCenter,t.center)<e.posThreshold,l;if(this.pTime=t.timeStamp,this.pCenter=t.center,r&&s?this.count+=1:this.count=1,this._input=t,0===this.count%e.taps)return this.hasRequireFailures()?(this._timer=o((function(){this.state=le,this.tryEmit()}),e.interval,this),ae):le}return 32},failTimeout:function(){return this._timer=o((function(){this.state=32}),this.options.interval,this),32},reset:function(){clearTimeout(this._timer)},emit:function(){this.state==le&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))}}),ot.VERSION="2.0.4",ot.defaults={domEvents:!1,touchAction:Jt,enable:!0,inputTarget:null,inputClass:null,preset:[[et,{enable:!1}],[K,{enable:!1},["rotate"]],[it,{direction:It}],[J,{direction:It},["swipe"]],[nt],[nt,{event:"doubletap",taps:2},["tap"]],[tt]],cssProps:{userSelect:"default",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}};var de=1,he=2;at.prototype={set:function(t){return r(this.options,t),t.touchAction&&this.touchAction.update(),t.inputTarget&&(this.input.destroy(),this.input.target=t.inputTarget,this.input.init()),this},stop:function(t){this.session.stopped=t?2:1},recognize:function(t){var e=this.session;if(!e.stopped){this.touchAction.preventDefaults(t);var i,n=this.recognizers,o=e.curRecognizer;(!o||o&&o.state&le)&&(o=e.curRecognizer=null);for(var a=0;a<n.length;)i=n[a],2===e.stopped||o&&i!=o&&!i.canRecognizeWith(o)?i.reset():i.recognize(t),!o&&i.state&(ae|se|re)&&(o=e.curRecognizer=i),a++}},get:function(t){if(t instanceof X)return t;for(var e=this.recognizers,i=0;i<e.length;i++)if(e[i].options.event==t)return e[i];return null},add:function(t){if(a(t,"add",this))return this;var e=this.get(t.options.event);return e&&this.remove(e),this.recognizers.push(t),t.manager=this,this.touchAction.update(),t},remove:function(t){if(a(t,"remove",this))return this;var e=this.recognizers;return t=this.get(t),e.splice(y(e,t),1),this.touchAction.update(),this},on:function(t,e){var i=this.handlers;return s(v(t),(function(t){i[t]=i[t]||[],i[t].push(e)})),this},off:function(t,e){var i=this.handlers;return s(v(t),(function(t){e?i[t].splice(y(i[t],e),1):delete i[t]})),this},emit:function(t,e){this.options.domEvents&&rt(t,e);var i=this.handlers[t]&&this.handlers[t].slice();if(i&&i.length){e.type=t,e.preventDefault=function(){e.srcEvent.preventDefault()};for(var n=0;n<i.length;)i[n](e),n++}},destroy:function(){this.element&&st(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null}},r(ot,{INPUT_START:kt,INPUT_MOVE:Tt,INPUT_END:_t,INPUT_CANCEL:Ot,STATE_POSSIBLE:oe,STATE_BEGAN:ae,STATE_CHANGED:se,STATE_ENDED:re,STATE_RECOGNIZED:le,STATE_CANCELLED:ue,STATE_FAILED:32,DIRECTION_NONE:Pt,DIRECTION_LEFT:Mt,DIRECTION_RIGHT:At,DIRECTION_UP:Et,DIRECTION_DOWN:Dt,DIRECTION_HORIZONTAL:It,DIRECTION_VERTICAL:$t,DIRECTION_ALL:qt,Manager:at,Input:k,TouchAction:W,TouchInput:z,MouseInput:N,PointerEventInput:H,TouchMouseInput:B,SingleTouchInput:F,Recognizer:X,AttrRecognizer:Z,Tap:nt,Pan:J,Swipe:it,Pinch:K,Rotate:et,Press:tt,on:p,off:f,each:s,merge:l,extend:r,inherit:u,bindFn:c,prefixed:S}),typeof define==ct&&define.amd?define((function(){return ot})):"undefined"!=typeof module&&module.exports?module.exports=ot:t[i]=ot}(window,document,"Hammer"),function(t){"function"==typeof define&&define.amd?define(["jquery","hammerjs"],t):"object"==typeof exports?t(require("jquery"),require("hammerjs")):t(jQuery,Hammer)}((function(t,e){function i(i,n){var o=t(i);o.data("hammer")||o.data("hammer",new e(o[0],n))}t.fn.hammer=function(t){return this.each((function(){i(this,t)}))},e.Manager.prototype.emit=function(e){return function(i,n){e.call(this,i,n),t(this.element).trigger({type:i,gesture:n})}}(e.Manager.prototype.emit)})),function(t){t.Package?Materialize={}:t.Materialize={}}(window),Materialize.guid=function(){function t(){return Math.floor(65536*(1+Math.random())).toString(16).substring(1)}return function(){return t()+t()+"-"+t()+"-"+t()+"-"+t()+"-"+t()+t()+t()}}(),Materialize.elementOrParentIsFixed=function(t){var e=$(t),i=e.add(e.parents()),n=!1;return i.each((function(){return"fixed"===$(this).css("position")?(n=!0,!1):void 0})),n},Vel=$?$.Velocity:jQuery?jQuery.Velocity:Velocity,function(t){t.fn.collapsible=function(e){var i={accordion:void 0};return e=t.extend(i,e),this.each((function(){function i(e){r=s.find("> li > .collapsible-header"),e.hasClass("active")?e.parent().addClass("active"):e.parent().removeClass("active"),e.parent().hasClass("active")?e.siblings(".collapsible-body").stop(!0,!1).slideDown({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){t(this).css("height","")}}):e.siblings(".collapsible-body").stop(!0,!1).slideUp({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){t(this).css("height","")}}),r.not(e).removeClass("active").parent().removeClass("active"),r.not(e).parent().children(".collapsible-body").stop(!0,!1).slideUp({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){t(this).css("height","")}})}function n(e){e.hasClass("active")?e.parent().addClass("active"):e.parent().removeClass("active"),e.parent().hasClass("active")?e.siblings(".collapsible-body").stop(!0,!1).slideDown({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){t(this).css("height","")}}):e.siblings(".collapsible-body").stop(!0,!1).slideUp({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){t(this).css("height","")}})}function o(t){var e;return a(t).length>0}function a(t){return t.closest("li > .collapsible-header")}var s=t(this),r=t(this).find("> li > .collapsible-header"),l=s.data("collapsible");s.off("click.collapse","> li > .collapsible-header"),r.off("click.collapse"),s.on("click.collapse","> li > .collapsible-header",(function(s){var r=t(this),u=t(s.target);o(u)&&(u=a(u)),u.toggleClass("active"),e.accordion||"accordion"===l||void 0===l?i(u):(n(u),r.hasClass("active")&&n(r))}));var r=s.find("> li > .collapsible-header");e.accordion||"accordion"===l||void 0===l?i(r.filter(".active").first()):r.filter(".active").each((function(){n(t(this))}))}))},t(document).ready((function(){t(".collapsible").collapsible()}))}(jQuery),function(t){t.fn.scrollTo=function(e){return t(this).scrollTop(t(this).scrollTop()-t(this).offset().top+t(e).offset().top),this},t.fn.dropdown=function(e){var i={inDuration:300,outDuration:225,constrain_width:!0,hover:!1,gutter:0,belowOrigin:!1,alignment:"left"};this.each((function(){function n(){void 0!==s.data("induration")&&(r.inDuration=s.data("inDuration")),void 0!==s.data("outduration")&&(r.outDuration=s.data("outDuration")),void 0!==s.data("constrainwidth")&&(r.constrain_width=s.data("constrainwidth")),void 0!==s.data("hover")&&(r.hover=s.data("hover")),void 0!==s.data("gutter")&&(r.gutter=s.data("gutter")),void 0!==s.data("beloworigin")&&(r.belowOrigin=s.data("beloworigin")),void 0!==s.data("alignment")&&(r.alignment=s.data("alignment"))}function o(e){"focus"===e&&(l=!0),n(),u.addClass("active"),s.addClass("active"),!0===r.constrain_width?u.css("width",s.outerWidth()):u.css("white-space","nowrap");var i=window.innerHeight,o=s.innerHeight(),a=s.offset().left,c=s.offset().top-t(window).scrollTop(),d=r.alignment,h=0,p=0,f=0;!0===r.belowOrigin&&(f=o);var m=0,g=s.parent();if(!g.is("body")&&g[0].scrollHeight>g[0].clientHeight&&(m=g[0].scrollTop),a+u.innerWidth()>t(window).width()?d="right":a-u.innerWidth()+s.innerWidth()<0&&(d="left"),c+u.innerHeight()>i)if(c+o-u.innerHeight()<0){var v=i-c-f;u.css("max-height",v)}else f||(f+=o),f-=u.innerHeight();if("left"===d)h=r.gutter,p=s.position().left+h;else if("right"===d){var y;p=s.position().left+s.outerWidth()-u.outerWidth()+(h=-r.gutter)}u.css({position:"absolute",top:s.position().top+f+m,left:p}),u.stop(!0,!0).css("opacity",0).slideDown({queue:!1,duration:r.inDuration,easing:"easeOutCubic",complete:function(){t(this).css("height","")}}).animate({opacity:1},{queue:!1,duration:r.inDuration,easing:"easeOutSine"})}function a(){l=!1,u.fadeOut(r.outDuration),u.removeClass("active"),s.removeClass("active"),setTimeout((function(){u.css("max-height","")}),r.outDuration)}
var s=t(this),r=t.extend({},i,e),l=!1,u=t("#"+s.attr("data-activates"));if(n(),s.after(u),r.hover){var c=!1;s.unbind("click."+s.attr("id")),s.on("mouseenter",(function(t){!1===c&&(o(),c=!0)})),s.on("mouseleave",(function(e){var i=e.toElement||e.relatedTarget;t(i).closest(".dropdown-content").is(u)||(u.stop(!0,!0),a(),c=!1)})),u.on("mouseleave",(function(e){var i=e.toElement||e.relatedTarget;t(i).closest(".dropdown-button").is(s)||(u.stop(!0,!0),a(),c=!1)}))}else s.unbind("click."+s.attr("id")),s.bind("click."+s.attr("id"),(function(e){l||(s[0]!=e.currentTarget||s.hasClass("active")||0!==t(e.target).closest(".dropdown-content").length?s.hasClass("active")&&(a(),t(document).unbind("click."+u.attr("id")+" touchstart."+u.attr("id"))):(e.preventDefault(),o("click")),u.hasClass("active")&&t(document).bind("click."+u.attr("id")+" touchstart."+u.attr("id"),(function(e){u.is(e.target)||s.is(e.target)||s.find(e.target).length||(a(),t(document).unbind("click."+u.attr("id")+" touchstart."+u.attr("id")))})))}));s.on("open",(function(t,e){o(e)})),s.on("close",a)}))},t(document).ready((function(){t(".dropdown-button").dropdown()}))}(jQuery),function(t){var e=0,i=0,n=function(){return"materialize-lean-overlay-"+ ++i};t.fn.extend({openModal:function(i){var o=t("body"),a=o.innerWidth();o.css("overflow","hidden"),o.width(a);var s={opacity:.5,in_duration:350,out_duration:250,ready:void 0,complete:void 0,dismissible:!0,starting_top:"4%"},r=t(this);r.hasClass("open")||(overlayID=n(),$overlay=t('<div class="lean-overlay"></div>'),lStack=++e,$overlay.attr("id",overlayID).css("z-index",1e3+2*lStack),r.data("overlay-id",overlayID).css("z-index",1e3+2*lStack+1),r.addClass("open"),t("body").append($overlay),(i=t.extend(s,i)).dismissible&&($overlay.click((function(){r.closeModal(i)})),t(document).on("keyup.leanModal"+overlayID,(function(t){27===t.keyCode&&r.closeModal(i)}))),r.find(".modal-close").on("click.close",(function(t){r.closeModal(i)})),$overlay.css({display:"block",opacity:0}),r.css({display:"block",opacity:0}),$overlay.velocity({opacity:i.opacity},{duration:i.in_duration,queue:!1,ease:"easeOutCubic"}),r.data("associated-overlay",$overlay[0]),r.hasClass("bottom-sheet")?r.velocity({bottom:"0",opacity:1},{duration:i.in_duration,queue:!1,ease:"easeOutCubic",complete:function(){"function"==typeof i.ready&&i.ready()}}):(t.Velocity.hook(r,"scaleX",.7),r.css({top:i.starting_top}),r.velocity({top:"10%",opacity:1,scaleX:"1"},{duration:i.in_duration,queue:!1,ease:"easeOutCubic",complete:function(){"function"==typeof i.ready&&i.ready()}})))}}),t.fn.extend({closeModal:function(i){var n={out_duration:250,complete:void 0},o=t(this),a=o.data("overlay-id"),s=t("#"+a);o.removeClass("open"),i=t.extend(n,i),t("body").css({overflow:"",width:""}),o.find(".modal-close").off("click.close"),t(document).off("keyup.leanModal"+a),s.velocity({opacity:0},{duration:i.out_duration,queue:!1,ease:"easeOutQuart"}),o.hasClass("bottom-sheet")?o.velocity({bottom:"-100%",opacity:0},{duration:i.out_duration,queue:!1,ease:"easeOutCubic",complete:function(){s.css({display:"none"}),"function"==typeof i.complete&&i.complete(),s.remove(),e--}}):o.velocity({top:i.starting_top,opacity:0,scaleX:.7},{duration:i.out_duration,complete:function(){t(this).css("display","none"),"function"==typeof i.complete&&i.complete(),s.remove(),e--}})}}),t.fn.extend({leanModal:function(e){return this.each((function(){var i={starting_top:"4%"},n=t.extend(i,e);t(this).click((function(e){n.starting_top=(t(this).offset().top-t(window).scrollTop())/1.15;var i=t(this).attr("href")||"#"+t(this).data("target");t(i).openModal(n),e.preventDefault()}))}))}})}(jQuery),function(t){t.fn.materialbox=function(){return this.each((function(){function e(){a=!1;var e=l.parent(".material-placeholder"),n=(window.innerWidth,window.innerHeight,l.data("width")),s=l.data("height");l.velocity("stop",!0),t("#materialbox-overlay").velocity("stop",!0),t(".materialbox-caption").velocity("stop",!0),t("#materialbox-overlay").velocity({opacity:0},{duration:r,queue:!1,easing:"easeOutQuad",complete:function(){o=!1,t(this).remove()}}),l.velocity({width:n,height:s,left:0,top:0},{duration:r,queue:!1,easing:"easeOutQuad"}),t(".materialbox-caption").velocity({opacity:0},{duration:r,queue:!1,easing:"easeOutQuad",complete:function(){e.css({height:"",width:"",position:"",top:"",left:""}),l.css({height:"",top:"",left:"",width:"","max-width":"",position:"","z-index":""}),l.removeClass("active"),a=!0,t(this).remove(),i&&i.css("overflow","")}})}if(!t(this).hasClass("initialized")){t(this).addClass("initialized");var i,n,o=!1,a=!0,s=275,r=200,l=t(this),u=t("<div></div>").addClass("material-placeholder");l.wrap(u),l.on("click",(function(){var r=l.parent(".material-placeholder"),u=window.innerWidth,c=window.innerHeight,d=l.width(),h=l.height();if(!1===a)return e(),!1;if(o&&!0===a)return e(),!1;for(a=!1,l.addClass("active"),o=!0,r.css({width:r[0].getBoundingClientRect().width,height:r[0].getBoundingClientRect().height,position:"relative",top:0,left:0}),i=void 0,n=r[0].parentNode;null!==n&&!t(n).is(document);){var p=t(n);"visible"!==p.css("overflow")&&(p.css("overflow","visible"),i=void 0===i?p:i.add(p)),n=n.parentNode}l.css({position:"absolute","z-index":1e3}).data("width",d).data("height",h);var f=t('<div id="materialbox-overlay"></div>').css({opacity:0}).click((function(){!0===a&&e()}));if(l.before(f),f.velocity({opacity:1},{duration:s,queue:!1,easing:"easeOutQuad"}),""!==l.data("caption")){var m=t('<div class="materialbox-caption"></div>');m.text(l.data("caption")),t("body").append(m),m.css({display:"inline"}),m.velocity({opacity:1},{duration:s,queue:!1,easing:"easeOutQuad"})}var g=0,v,y,b=0,w=0;d/u>h/c?(b=.9*u,w=.9*u*(g=h/d)):(b=.9*c*(g=d/h),w=.9*c),l.hasClass("responsive-img")?l.velocity({"max-width":b,width:d},{duration:0,queue:!1,complete:function(){l.css({left:0,top:0}).velocity({height:w,width:b,left:t(document).scrollLeft()+u/2-l.parent(".material-placeholder").offset().left-b/2,top:t(document).scrollTop()+c/2-l.parent(".material-placeholder").offset().top-w/2},{duration:s,queue:!1,easing:"easeOutQuad",complete:function(){a=!0}})}}):l.css("left",0).css("top",0).velocity({height:w,width:b,left:t(document).scrollLeft()+u/2-l.parent(".material-placeholder").offset().left-b/2,top:t(document).scrollTop()+c/2-l.parent(".material-placeholder").offset().top-w/2},{duration:s,queue:!1,easing:"easeOutQuad",complete:function(){a=!0}})})),t(window).scroll((function(){o&&e()})),t(document).keyup((function(t){27===t.keyCode&&!0===a&&o&&e()}))}}))},t(document).ready((function(){t(".materialboxed").materialbox()}))}(jQuery),function(t){t.fn.parallax=function(){var e=t(window).width();return this.each((function(i){function n(i){var n;n=601>e?o.height()>0?o.height():o.children("img").height():o.height()>0?o.height():500;var a=o.children("img").first(),s,r=a.height()-n,l=o.offset().top+n,u=o.offset().top,c=t(window).scrollTop(),d=window.innerHeight,h,p=(c+d-u)/(n+d),f=Math.round(r*p);i&&a.css("display","block"),l>c&&c+d>u&&a.css("transform","translate3D(-50%,"+f+"px, 0)")}var o=t(this);o.addClass("parallax"),o.children("img").one("load",(function(){n(!0)})).each((function(){this.complete&&t(this).load()})),t(window).scroll((function(){e=t(window).width(),n(!1)})),t(window).resize((function(){e=t(window).width(),n(!1)}))}))}}(jQuery),function(t){var e={init:function(){return this.each((function(){var e=t(this);t(window).width(),e.width("100%");var i,n,o=e.find("li.tab a"),a=e.width(),s=Math.max(a,e[0].scrollWidth)/o.length,r=0;0===(i=t(o.filter('[href="'+location.hash+'"]'))).length&&(i=t(this).find("li.tab a.active").first()),0===i.length&&(i=t(this).find("li.tab a").first()),i.addClass("active"),0>(r=o.index(i))&&(r=0),void 0!==i[0]&&(n=t(i[0].hash)),e.append('<div class="indicator"></div>');var l=e.find(".indicator");e.is(":visible")&&(l.css({right:a-(r+1)*s}),l.css({left:r*s})),t(window).resize((function(){a=e.width(),s=Math.max(a,e[0].scrollWidth)/o.length,0>r&&(r=0),0!==s&&0!==a&&(l.css({right:a-(r+1)*s}),l.css({left:r*s}))})),o.not(i).each((function(){t(this.hash).hide()})),e.on("click","a",(function(u){if(t(this).parent().hasClass("disabled"))u.preventDefault();else{a=e.width(),s=Math.max(a,e[0].scrollWidth)/o.length,i.removeClass("active"),void 0!==n&&n.hide(),i=t(this),n=t(this.hash),o=e.find("li.tab a"),i.addClass("active");var c=r;0>(r=o.index(t(this)))&&(r=0),void 0!==n&&n.show(),r-c>=0?(l.velocity({right:a-(r+1)*s},{duration:300,queue:!1,easing:"easeOutQuad"}),l.velocity({left:r*s},{duration:300,queue:!1,easing:"easeOutQuad",delay:90})):(l.velocity({left:r*s},{duration:300,queue:!1,easing:"easeOutQuad"}),l.velocity({right:a-(r+1)*s},{duration:300,queue:!1,easing:"easeOutQuad",delay:90})),u.preventDefault()}}))}))},select_tab:function(t){this.find('a[href="#'+t+'"]').trigger("click")}};t.fn.tabs=function(i){return e[i]?e[i].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof i&&i?void t.error("Method "+i+" does not exist on jQuery.tooltip"):e.init.apply(this,arguments)},t(document).ready((function(){t("ul.tabs").tabs()}))}(jQuery),function(t){t.fn.tooltip=function(i){var n=5,o={delay:350};return"remove"===i?(this.each((function(){t("#"+t(this).attr("data-tooltip-id")).remove(),t(this).off("mouseenter.tooltip mouseleave.tooltip")})),!1):(i=t.extend(o,i),this.each((function(){var n=Materialize.guid(),o=t(this);o.attr("data-tooltip-id",n);var a=t("<span></span>").text(o.attr("data-tooltip")),s=t("<div></div>");s.addClass("material-tooltip").append(a).appendTo(t("body")).attr("id",n);var r=t("<div></div>").addClass("backdrop");r.appendTo(s),r.css({top:0,left:0}),o.off("mouseenter.tooltip mouseleave.tooltip");var l,u=!1;o.on({"mouseenter.tooltip":function(t){var n=o.attr("data-delay");n=void 0===n||""===n?i.delay:n,l=setTimeout((function(){u=!0,s.velocity("stop"),r.velocity("stop"),s.css({display:"block",left:"0px",top:"0px"}),s.children("span").text(o.attr("data-tooltip"));var t,i,n,a=o.outerWidth(),l=o.outerHeight(),c=o.attr("data-position"),d=s.outerHeight(),h=s.outerWidth(),p="0px",f="0px",m=8;"top"===c?(t=o.offset().top-d-5,i=o.offset().left+a/2-h/2,n=e(i,t,h,d),p="-10px",r.css({borderRadius:"14px 14px 0 0",transformOrigin:"50% 90%",marginTop:d,marginLeft:h/2-r.width()/2})):"left"===c?(t=o.offset().top+l/2-d/2,i=o.offset().left-h-5,n=e(i,t,h,d),f="-10px",r.css({width:"14px",height:"14px",borderRadius:"14px 0 0 14px",transformOrigin:"95% 50%",marginTop:d/2,marginLeft:h})):"right"===c?(t=o.offset().top+l/2-d/2,i=o.offset().left+a+5,n=e(i,t,h,d),f="+10px",r.css({width:"14px",height:"14px",borderRadius:"0 14px 14px 0",transformOrigin:"5% 50%",marginTop:d/2,marginLeft:"0px"})):(t=o.offset().top+o.outerHeight()+5,i=o.offset().left+a/2-h/2,n=e(i,t,h,d),p="+10px",r.css({marginLeft:h/2-r.width()/2})),s.css({top:n.y,left:n.x}),8>(m=h/8)&&(m=8),("right"===c||"left"===c)&&(6>(m=h/10)&&(m=6)),s.velocity({marginTop:p,marginLeft:f},{duration:350,queue:!1}).velocity({opacity:1},{duration:300,delay:50,queue:!1}),r.css({display:"block"}).velocity({opacity:1},{duration:55,delay:0,queue:!1}).velocity({scale:m},{duration:300,delay:0,queue:!1,easing:"easeInOutQuad"})}),n)},"mouseleave.tooltip":function(){u=!1,clearTimeout(l),setTimeout((function(){1!=u&&(s.velocity({opacity:0,marginTop:0,marginLeft:0},{duration:225,queue:!1}),r.velocity({opacity:0,scale:1},{duration:225,queue:!1,complete:function(){r.css("display","none"),s.css("display","none"),u=!1}}))}),225)}})})))};var e=function(e,i,n,o){var a=e,s=i;return 0>a?a=4:a+n>window.innerWidth&&(a-=a+n-window.innerWidth),0>s?s=4:s+o>window.innerHeight+t(window).scrollTop&&(s-=s+o-window.innerHeight),{x:a,y:s}};t(document).ready((function(){t(".tooltipped").tooltip()}))}(jQuery),function(t){"use strict";function e(t){return null!==t&&t===t.window}function i(t){return e(t)?t:9===t.nodeType&&t.defaultView}function n(t){var e,n,o={top:0,left:0},a=t&&t.ownerDocument;return e=a.documentElement,void 0!==t.getBoundingClientRect&&(o=t.getBoundingClientRect()),n=i(a),{top:o.top+n.pageYOffset-e.clientTop,left:o.left+n.pageXOffset-e.clientLeft}}function o(t){var e="";for(var i in t)t.hasOwnProperty(i)&&(e+=i+":"+t[i]+";");return e}function a(t){if(!1===c.allowEvent(t))return null;for(var e=null,i=t.target||t.srcElement;null!==i.parentElement;){if(!(i instanceof SVGElement||-1===i.className.indexOf("waves-effect"))){e=i;break}if(i.classList.contains("waves-effect")){e=i;break}i=i.parentElement}return e}function s(e){var i=a(e);null!==i&&(u.show(e,i),"ontouchstart"in t&&(i.addEventListener("touchend",u.hide,!1),i.addEventListener("touchcancel",u.hide,!1)),i.addEventListener("mouseup",u.hide,!1),i.addEventListener("mouseleave",u.hide,!1))}var r=r||{},l=document.querySelectorAll.bind(document),u={duration:750,show:function(t,e){if(2===t.button)return!1;var i=e||this,a=document.createElement("div");a.className="waves-ripple",i.appendChild(a);var s=n(i),r=t.pageY-s.top,l=t.pageX-s.left,c="scale("+i.clientWidth/100*10+")";"touches"in t&&(r=t.touches[0].pageY-s.top,l=t.touches[0].pageX-s.left),a.setAttribute("data-hold",Date.now()),a.setAttribute("data-scale",c),a.setAttribute("data-x",l),a.setAttribute("data-y",r);var d={top:r+"px",left:l+"px"};a.className=a.className+" waves-notransition",a.setAttribute("style",o(d)),a.className=a.className.replace("waves-notransition",""),d["-webkit-transform"]=c,d["-moz-transform"]=c,d["-ms-transform"]=c,d["-o-transform"]=c,d.transform=c,d.opacity="1",d["-webkit-transition-duration"]=u.duration+"ms",d["-moz-transition-duration"]=u.duration+"ms",d["-o-transition-duration"]=u.duration+"ms",d["transition-duration"]=u.duration+"ms",d["-webkit-transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",d["-moz-transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",d["-o-transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",d["transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",a.setAttribute("style",o(d))},hide:function(t){c.touchup(t);var e=this,i=(e.clientWidth,null),n=e.getElementsByClassName("waves-ripple");if(!(n.length>0))return!1;var a=(i=n[n.length-1]).getAttribute("data-x"),s=i.getAttribute("data-y"),r=i.getAttribute("data-scale"),l,d=350-(Date.now()-Number(i.getAttribute("data-hold")));0>d&&(d=0),setTimeout((function(){var t={top:s+"px",left:a+"px",opacity:"0","-webkit-transition-duration":u.duration+"ms","-moz-transition-duration":u.duration+"ms","-o-transition-duration":u.duration+"ms","transition-duration":u.duration+"ms","-webkit-transform":r,"-moz-transform":r,"-ms-transform":r,"-o-transform":r,transform:r};i.setAttribute("style",o(t)),setTimeout((function(){try{e.removeChild(i)}catch(t){return!1}}),u.duration)}),d)},wrapInput:function(t){for(var e=0;e<t.length;e++){var i=t[e];if("input"===i.tagName.toLowerCase()){var n=i.parentNode;if("i"===n.tagName.toLowerCase()&&-1!==n.className.indexOf("waves-effect"))continue;var o=document.createElement("i");o.className=i.className+" waves-input-wrapper";var a=i.getAttribute("style");a||(a=""),o.setAttribute("style",a),i.className="waves-button-input",i.removeAttribute("style"),n.replaceChild(o,i),o.appendChild(i)}}}},c={touches:0,allowEvent:function(t){var e=!0;return"touchstart"===t.type?c.touches+=1:"touchend"===t.type||"touchcancel"===t.type?setTimeout((function(){c.touches>0&&(c.touches-=1)}),500):"mousedown"===t.type&&c.touches>0&&(e=!1),e},touchup:function(t){c.allowEvent(t)}};r.displayEffect=function(e){"duration"in(e=e||{})&&(u.duration=e.duration),u.wrapInput(l(".waves-effect")),"ontouchstart"in t&&document.body.addEventListener("touchstart",s,!1),document.body.addEventListener("mousedown",s,!1)},r.attach=function(e){"input"===e.tagName.toLowerCase()&&(u.wrapInput([e]),e=e.parentElement),"ontouchstart"in t&&e.addEventListener("touchstart",s,!1),e.addEventListener("mousedown",s,!1)},t.Waves=r,document.addEventListener("DOMContentLoaded",(function(){r.displayEffect()}),!1)}(window),Materialize.toast=function(t,e,i,n){function o(t){var e=document.createElement("div");if(e.classList.add("toast"),i)for(var o=i.split(" "),a=0,s=o.length;s>a;a++)e.classList.add(o[a]);("object"==typeof HTMLElement?t instanceof HTMLElement:t&&"object"==typeof t&&null!==t&&1===t.nodeType&&"string"==typeof t.nodeName)?e.appendChild(t):t instanceof jQuery?e.appendChild(t[0]):e.innerHTML=t;var r=new Hammer(e,{prevent_default:!1});return r.on("pan",(function(t){var i=t.deltaX,n=80;e.classList.contains("panning")||e.classList.add("panning");var o=1-Math.abs(i/n);0>o&&(o=0),Vel(e,{left:i,opacity:o},{duration:50,queue:!1,easing:"easeOutQuad"})})),r.on("panend",(function(t){var i=t.deltaX,o=80;Math.abs(i)>o?Vel(e,{marginTop:"-40px"},{duration:375,easing:"easeOutExpo",queue:!1,complete:function(){"function"==typeof n&&n(),e.parentNode.removeChild(e)}}):(e.classList.remove("panning"),Vel(e,{left:0,opacity:1},{duration:300,easing:"easeOutExpo",queue:!1}))})),e}i=i||"";var a=document.getElementById("toast-container");null===a&&((a=document.createElement("div")).id="toast-container",document.body.appendChild(a));var s=o(t);t&&a.appendChild(s),s.style.top="35px",s.style.opacity=0,Vel(s,{top:"0px",opacity:1},{duration:300,easing:"easeOutCubic",queue:!1});var r=e,l=setInterval((function(){null===s.parentNode&&window.clearInterval(l),s.classList.contains("panning")||(r-=20),0>=r&&(Vel(s,{opacity:0,marginTop:"-40px"},{duration:375,easing:"easeOutExpo",queue:!1,complete:function(){"function"==typeof n&&n(),this[0].parentNode.removeChild(this[0])}}),window.clearInterval(l))}),20)},function(t){var e={init:function(e){var i={menuWidth:240,edge:"left",closeOnClick:!1};e=t.extend(i,e),t(this).each((function(){function i(i){s=!1,r=!1,t("body").css({overflow:"",width:""}),t("#sidenav-overlay").velocity({opacity:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){t(this).remove()}}),"left"===e.edge?(a.css({width:"",right:"",left:"0"}),o.velocity({translateX:"-100%"},{duration:200,queue:!1,easing:"easeOutCubic",complete:function(){!0===i&&(o.removeAttr("style"),o.css("width",e.menuWidth))}})):(a.css({width:"",right:"0",left:""}),o.velocity({translateX:"100%"},{duration:200,queue:!1,easing:"easeOutCubic",complete:function(){!0===i&&(o.removeAttr("style"),o.css("width",e.menuWidth))}}))}var n=t(this),o=t("#"+n.attr("data-activates"));240!=e.menuWidth&&o.css("width",e.menuWidth);var a=t('<div class="drag-target"></div>');t("body").append(a),"left"==e.edge?(o.css("transform","translateX(-100%)"),a.css({left:0})):(o.addClass("right-aligned").css("transform","translateX(100%)"),a.css({right:0})),o.hasClass("fixed")&&window.innerWidth>992&&o.css("transform","translateX(0)"),o.hasClass("fixed")&&t(window).resize((function(){window.innerWidth>992?0!=t("#sidenav-overlay").length&&r?i(!0):o.css("transform","translateX(0%)"):!1===r&&("left"===e.edge?o.css("transform","translateX(-100%)"):o.css("transform","translateX(100%)"))})),!0===e.closeOnClick&&o.on("click.itemclick","a:not(.collapsible-header)",(function(){i()}));var s=!1,r=!1;a.on("click",(function(){i()})),a.hammer({prevent_default:!1}).bind("pan",(function(n){if("touch"==n.gesture.pointerType){var a=(n.gesture.direction,n.gesture.center.x),s=(n.gesture.center.y,n.gesture.velocityX,t("body")),l=s.innerWidth(),u;if(s.css("overflow","hidden"),s.width(l),0===t("#sidenav-overlay").length){var c=t('<div id="sidenav-overlay"></div>');c.css("opacity",0).click((function(){i()})),t("body").append(c)}if("left"===e.edge&&(a>e.menuWidth?a=e.menuWidth:0>a&&(a=0)),"left"===e.edge)a<e.menuWidth/2?r=!1:a>=e.menuWidth/2&&(r=!0),o.css("transform","translateX("+(a-e.menuWidth)+"px)");else{a<window.innerWidth-e.menuWidth/2?r=!0:a>=window.innerWidth-e.menuWidth/2&&(r=!1);var d=a-e.menuWidth/2;0>d&&(d=0),o.css("transform","translateX("+d+"px)")}"left"===e.edge?(u=a/e.menuWidth,t("#sidenav-overlay").velocity({opacity:u},{duration:10,queue:!1,easing:"easeOutQuad"})):(u=Math.abs((a-window.innerWidth)/e.menuWidth),t("#sidenav-overlay").velocity({opacity:u},{duration:10,queue:!1,easing:"easeOutQuad"}))}})).bind("panend",(function(i){if("touch"==i.gesture.pointerType){var n=i.gesture.velocityX,l=i.gesture.center.x,u=l-e.menuWidth,c=l-e.menuWidth/2;u>0&&(u=0),0>c&&(c=0),s=!1,"left"===e.edge?r&&.3>=n||-.5>n?(0!=u&&o.velocity({translateX:[0,u]},{duration:300,queue:!1,easing:"easeOutQuad"}),t("#sidenav-overlay").velocity({opacity:1},{duration:50,queue:!1,easing:"easeOutQuad"}),a.css({width:"50%",right:0,left:""})):(!r||n>.3)&&(t("body").css({overflow:"",width:""}),o.velocity({translateX:[-1*e.menuWidth-10,u]},{duration:200,queue:!1,easing:"easeOutQuad"}),t("#sidenav-overlay").velocity({opacity:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){t(this).remove()}}),a.css({width:"10px",right:"",left:0})):r&&n>=-.3||n>.5?(o.velocity({translateX:[0,c]},{duration:300,queue:!1,easing:"easeOutQuad"}),t("#sidenav-overlay").velocity({opacity:1},{duration:50,queue:!1,easing:"easeOutQuad"}),a.css({width:"50%",right:"",left:0})):(!r||-.3>n)&&(t("body").css({overflow:"",width:""}),o.velocity({translateX:[e.menuWidth+10,c]},{duration:200,queue:!1,easing:"easeOutQuad"}),t("#sidenav-overlay").velocity({opacity:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){t(this).remove()}}),a.css({width:"10px",right:0,left:""}))}})),n.click((function(){if(!0===r)r=!1,s=!1,i();else{var n=t("body"),l=n.innerWidth();n.css("overflow","hidden"),n.width(l),t("body").append(a),"left"===e.edge?(a.css({width:"50%",right:0,left:""}),o.velocity({translateX:[0,-1*e.menuWidth]},{duration:300,queue:!1,easing:"easeOutQuad"})):(a.css({width:"50%",right:"",left:0}),o.velocity({translateX:[0,e.menuWidth]},{duration:300,queue:!1,easing:"easeOutQuad"}));var u=t('<div id="sidenav-overlay"></div>');u.css("opacity",0).click((function(){r=!1,s=!1,i(),u.velocity({opacity:0},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){t(this).remove()}})})),t("body").append(u),u.velocity({opacity:1},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){r=!0,s=!1}})}return!1}))}))},show:function(){this.trigger("click")},hide:function(){t("#sidenav-overlay").trigger("click")}};t.fn.sideNav=function(i){return e[i]?e[i].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof i&&i?void t.error("Method "+i+" does not exist on jQuery.sideNav"):e.init.apply(this,arguments)}}(jQuery),function(t){function e(e,i,n,o){var a=t();return t.each(s,(function(t,s){if(s.height()>0){var r=s.offset().top,l=s.offset().left,u=l+s.width(),c=r+s.height(),d;!(l>i||o>u||r>n||e>c)&&a.push(s)}})),a}function i(){++u;var i=a.scrollTop(),n=a.scrollLeft(),o=n+a.width(),s=i+a.height(),l=e(i+c.top+200,o+c.right,s+c.bottom,n+c.left);t.each(l,(function(t,e){var i;"number"!=typeof e.data("scrollSpy:ticks")&&e.triggerHandler("scrollSpy:enter"),e.data("scrollSpy:ticks",u)})),t.each(r,(function(t,e){var i=e.data("scrollSpy:ticks");"number"==typeof i&&i!==u&&(e.triggerHandler("scrollSpy:exit"),e.data("scrollSpy:ticks",null))})),r=l}function n(){a.trigger("scrollSpy:winSize")}function o(t,e,i){var n,o,a,s=null,r=0;i||(i={});var l=function(){r=!1===i.leading?0:d(),s=null,a=t.apply(n,o),n=o=null};return function(){var u=d();r||!1!==i.leading||(r=u);var c=e-(u-r);return n=this,o=arguments,0>=c?(clearTimeout(s),s=null,r=u,a=t.apply(n,o),n=o=null):s||!1===i.trailing||(s=setTimeout(l,c)),a}}var a=t(window),s=[],r=[],l=!1,u=0,c={top:0,right:0,bottom:0,left:0},d=Date.now||function(){return(new Date).getTime()};t.scrollSpy=function(e,n){var r=[];(e=t(e)).each((function(e,i){s.push(t(i)),t(i).data("scrollSpy:id",e),t('a[href="#'+t(i).attr("id")+'"]').click((function(e){e.preventDefault();var i=t(this.hash).offset().top+1;t("html, body").animate({scrollTop:i-200},{duration:400,queue:!1,easing:"easeOutCubic"})}))})),n=n||{throttle:100},c.top=n.offsetTop||0,c.right=n.offsetRight||0,c.bottom=n.offsetBottom||0,c.left=n.offsetLeft||0;var u=o(i,n.throttle||100),d=function(){t(document).ready(u)};return l||(a.on("scroll",d),a.on("resize",d),l=!0),setTimeout(d,0),e.on("scrollSpy:enter",(function(){r=t.grep(r,(function(t){return 0!=t.height()}));var e=t(this);r[0]?(t('a[href="#'+r[0].attr("id")+'"]').removeClass("active"),e.data("scrollSpy:id")<r[0].data("scrollSpy:id")?r.unshift(t(this)):r.push(t(this))):r.push(t(this)),t('a[href="#'+r[0].attr("id")+'"]').addClass("active")})),e.on("scrollSpy:exit",(function(){if((r=t.grep(r,(function(t){return 0!=t.height()})))[0]){t('a[href="#'+r[0].attr("id")+'"]').removeClass("active");var e=t(this);(r=t.grep(r,(function(t){return t.attr("id")!=e.attr("id")})))[0]&&t('a[href="#'+r[0].attr("id")+'"]').addClass("active")}})),e},t.winSizeSpy=function(e){return t.winSizeSpy=function(){return a},e=e||{throttle:100},a.on("resize",o(n,e.throttle||100))},t.fn.scrollSpy=function(e){return t.scrollSpy(t(this),e)}}(jQuery),function(t){t(document).ready((function(){function e(e){var i=e.css("font-family"),n=e.css("font-size");n&&o.css("font-size",n),i&&o.css("font-family",i),"off"===e.attr("wrap")&&o.css("overflow-wrap","normal").css("white-space","pre"),o.text(e.val()+"\n");var a=o.html().replace(/\n/g,"<br>");o.html(a),e.is(":visible")?o.css("width",e.width()):o.css("width",t(window).width()/2),e.css("height",o.height())}Materialize.updateTextFields=function(){var e;t("input[type=text], input[type=password], input[type=email], input[type=url], input[type=tel], input[type=number], input[type=search], textarea").each((function(e,i){t(i).val().length>0||i.autofocus||void 0!==t(this).attr("placeholder")||!0===t(i)[0].validity.badInput?t(this).siblings("label, i").addClass("active"):t(this).siblings("label, i").removeClass("active")}))};var i="input[type=text], input[type=password], input[type=email], input[type=url], input[type=tel], input[type=number], input[type=search], textarea";t(document).on("change",i,(function(){(0!==t(this).val().length||void 0!==t(this).attr("placeholder"))&&t(this).siblings("label").addClass("active"),validate_field(t(this))})),t(document).ready((function(){Materialize.updateTextFields()})),t(document).on("reset",(function(e){var n=t(e.target);n.is("form")&&(n.find(i).removeClass("valid").removeClass("invalid"),n.find(i).each((function(){""===t(this).attr("value")&&t(this).siblings("label, i").removeClass("active")})),n.find("select.initialized").each((function(){var t=n.find("option[selected]").text();n.siblings("input.select-dropdown").val(t)})))})),t(document).on("focus",i,(function(){t(this).siblings("label, i").addClass("active")})),t(document).on("blur",i,(function(){var e=t(this);0===e.val().length&&!0!==e[0].validity.badInput&&void 0===e.attr("placeholder")&&e.siblings("label, i").removeClass("active"),0===e.val().length&&!0!==e[0].validity.badInput&&void 0!==e.attr("placeholder")&&e.siblings("i").removeClass("active"),validate_field(e)})),window.validate_field=function(t){var e=void 0!==t.attr("length"),i=parseInt(t.attr("length")),n=t.val().length;0===t.val().length&&!1===t[0].validity.badInput?t.hasClass("validate")&&(t.removeClass("valid"),t.removeClass("invalid")):t.hasClass("validate")&&(t.is(":valid")&&e&&i>=n||t.is(":valid")&&!e?(t.removeClass("invalid"),t.addClass("valid")):(t.removeClass("valid"),t.addClass("invalid")))};var n="input[type=radio], input[type=checkbox]";t(document).on("keyup.radio",n,(function(e){var i;if(9===e.which)return t(this).addClass("tabbed"),void t(this).one("blur",(function(e){t(this).removeClass("tabbed")}))}));var o=t(".hiddendiv").first();o.length||(o=t('<div class="hiddendiv common"></div>'),t("body").append(o));var a=".materialize-textarea";t(a).each((function(){var i=t(this);i.val().length&&e(i)})),t("body").on("keyup keydown autoresize",a,(function(){e(t(this))})),t(document).on("change",'.file-field input[type="file"]',(function(){for(var e,i=t(this).closest(".file-field").find("input.file-path"),n=t(this)[0].files,o=[],a=0;a<n.length;a++)o.push(n[a].name);i.val(o.join(", ")),i.trigger("change")}));var s,r="input[type=range]",l=!1;t(r).each((function(){var e=t('<span class="thumb"><span class="value"></span></span>');t(this).after(e)}));var u=".range-field";t(document).on("change",r,(function(e){var i;t(this).siblings(".thumb").find(".value").html(t(this).val())})),t(document).on("input mousedown touchstart",r,(function(e){var i=t(this).siblings(".thumb"),n=t(this).outerWidth();i.length<=0&&(i=t('<span class="thumb"><span class="value"></span></span>'),t(this).after(i)),i.find(".value").html(t(this).val()),l=!0,t(this).addClass("active"),i.hasClass("active")||i.velocity({height:"30px",width:"30px",top:"-20px",marginLeft:"-15px"},{duration:300,easing:"easeOutExpo"}),"input"!==e.type&&(0>(s=void 0===e.pageX||null===e.pageX?e.originalEvent.touches[0].pageX-t(this).offset().left:e.pageX-t(this).offset().left)?s=0:s>n&&(s=n),i.addClass("active").css("left",s)),i.find(".value").html(t(this).val())})),t(document).on("mouseup touchend",u,(function(){l=!1,t(this).removeClass("active")})),t(document).on("mousemove touchmove",u,(function(e){var i,n=t(this).children(".thumb");if(l){n.hasClass("active")||n.velocity({height:"30px",width:"30px",top:"-20px",marginLeft:"-15px"},{duration:300,easing:"easeOutExpo"}),i=void 0===e.pageX||null===e.pageX?e.originalEvent.touches[0].pageX-t(this).offset().left:e.pageX-t(this).offset().left;var o=t(this).outerWidth();0>i?i=0:i>o&&(i=o),n.addClass("active").css("left",i),n.find(".value").html(n.siblings(r).val())}})),t(document).on("mouseout touchleave",u,(function(){if(!l){var e=t(this).children(".thumb");e.hasClass("active")&&e.velocity({height:"0",width:"0",top:"10px",marginLeft:"-6px"},{duration:100}),e.removeClass("active")}}))})),t.fn.material_select=function(e){function i(t,e,i){var o=t.indexOf(e),a=-1===o;return a?t.push(e):t.splice(o,1),i.siblings("ul.dropdown-content").find("li").eq(e).toggleClass("active"),i.find("option").eq(e).prop("selected",a),n(t,i),a}function n(t,e){for(var i="",n=0,o=t.length;o>n;n++){var a=e.find("option").eq(t[n]).text();i+=0===n?a:", "+a}""===i&&(i=e.find("option:disabled").eq(0).text()),e.siblings("input.select-dropdown").val(i)}t(this).each((function(){var n=t(this);if(!n.hasClass("browser-default")){var o=!!n.attr("multiple"),a=n.data("select-id");if(a&&(n.parent().find("span.caret").remove(),n.parent().find("input").remove(),n.unwrap(),t("ul#select-options-"+a).remove()),"destroy"===e)return void n.data("select-id",null).removeClass("initialized");var s=Materialize.guid();n.data("select-id",s);var r=t('<div class="select-wrapper"></div>');r.addClass(n.attr("class"));var l=t('<ul id="select-options-'+s+'" class="dropdown-content select-dropdown '+(o?"multiple-select-dropdown":"")+'"></ul>'),u=n.children("option, optgroup"),c=[],d=!1,h=n.find("option:selected").html()||n.find("option:first").html()||"",p=function(e,i,n){var o=i.is(":disabled")?"disabled ":"",a="optgroup-option"===n?"optgroup-option ":"",s=i.data("icon"),r=i.attr("class");if(s){var u="";return r&&(u=' class="'+r+'"'),"multiple"===n?l.append(t('<li class="'+o+'"><img src="'+s+'"'+u+'><span><input type="checkbox"'+o+"/><label></label>"+i.html()+"</span></li>")):l.append(t('<li class="'+o+a+'"><img src="'+s+'"'+u+"><span>"+i.html()+"</span></li>")),!0}"multiple"===n?l.append(t('<li class="'+o+'"><span><input type="checkbox"'+o+"/><label></label>"+i.html()+"</span></li>")):l.append(t('<li class="'+o+a+'"><span>'+i.html()+"</span></li>"))};u.length&&u.each((function(){if(t(this).is("option"))o?p(n,t(this),"multiple"):p(n,t(this));else if(t(this).is("optgroup")){var e=t(this).children("option");l.append(t('<li class="optgroup"><span>'+t(this).attr("label")+"</span></li>")),e.each((function(){p(n,t(this),"optgroup-option")}))}})),l.find("li:not(.optgroup)").each((function(a){t(this).click((function(s){if(!t(this).hasClass("disabled")&&!t(this).hasClass("optgroup")){var r=!0;o?(t('input[type="checkbox"]',this).prop("checked",(function(t,e){return!e})),r=i(c,t(this).index(),n),g.trigger("focus")):(l.find("li").removeClass("active"),t(this).toggleClass("active"),g.val(t(this).text())),
v(l,t(this)),n.find("option").eq(a).prop("selected",r),n.trigger("change"),void 0!==e&&e()}s.stopPropagation()}))})),n.wrap(r);var f=t('<span class="caret">&#9660;</span>');n.is(":disabled")&&f.addClass("disabled");var m=h.replace(/"/g,"&quot;"),g=t('<input type="text" class="select-dropdown" readonly="true" '+(n.is(":disabled")?"disabled":"")+' data-activates="select-options-'+s+'" value="'+m+'"/>');n.before(g),g.before(f),g.after(l),n.is(":disabled")||g.dropdown({hover:!1,closeOnClick:!1}),n.attr("tabindex")&&t(g[0]).attr("tabindex",n.attr("tabindex")),n.addClass("initialized"),g.on({focus:function(){if(t("ul.select-dropdown").not(l[0]).is(":visible")&&t("input.select-dropdown").trigger("close"),!l.is(":visible")){t(this).trigger("open",["focus"]);var e=t(this).val(),i=l.find("li").filter((function(){return t(this).text().toLowerCase()===e.toLowerCase()}))[0];v(l,i)}},click:function(t){t.stopPropagation()}}),g.on("blur",(function(){o||t(this).trigger("close"),l.find("li.selected").removeClass("selected")})),l.hover((function(){d=!0}),(function(){d=!1})),t(window).on({click:function(){o&&(d||g.trigger("close"))}}),o&&n.find("option:selected:not(:disabled)").each((function(){var e=t(this).index();i(c,e,n),l.find("li").eq(e).find(":checkbox").prop("checked",!0)}));var v=function(e,i){if(i){e.find("li.selected").removeClass("selected");var n=t(i);n.addClass("selected"),l.scrollTo(n)}},y=[],b=function(e){if(9!=e.which)if(40!=e.which||l.is(":visible")){if(13!=e.which||l.is(":visible")){e.preventDefault();var i=String.fromCharCode(e.which).toLowerCase(),n;if(i&&-1===[9,13,27,38,40].indexOf(e.which)){y.push(i);var a=y.join(""),s=l.find("li").filter((function(){return 0===t(this).text().toLowerCase().indexOf(a)}))[0];s&&v(l,s)}if(13==e.which){var r=l.find("li.selected:not(.disabled)")[0];r&&(t(r).trigger("click"),o||g.trigger("close"))}40==e.which&&(s=l.find("li.selected").length?l.find("li.selected").next("li:not(.disabled)")[0]:l.find("li:not(.disabled)")[0],v(l,s)),27==e.which&&g.trigger("close"),38==e.which&&((s=l.find("li.selected").prev("li:not(.disabled)")[0])&&v(l,s)),setTimeout((function(){y=[]}),1e3)}}else g.trigger("open");else g.trigger("close")};g.on("keydown",b)}}))}}(jQuery),function(t){var e={init:function(e){var i={indicators:!0,height:400,transition:500,interval:6e3};return e=t.extend(i,e),this.each((function(){function i(t,e){t.hasClass("center-align")?t.velocity({opacity:0,translateY:-100},{duration:e,queue:!1}):t.hasClass("right-align")?t.velocity({opacity:0,translateX:100},{duration:e,queue:!1}):t.hasClass("left-align")&&t.velocity({opacity:0,translateX:-100},{duration:e,queue:!1})}function n(t){t>=u.length?t=0:0>t&&(t=u.length-1),(c=l.find(".active").index())!=t&&(o=u.eq(c),$caption=o.find(".caption"),o.removeClass("active"),o.velocity({opacity:0},{duration:e.transition,queue:!1,easing:"easeOutQuad",complete:function(){u.not(".active").velocity({opacity:0,translateX:0,translateY:0},{duration:0,queue:!1})}}),i($caption,e.transition),e.indicators&&a.eq(c).removeClass("active"),u.eq(t).velocity({opacity:1},{duration:e.transition,queue:!1,easing:"easeOutQuad"}),u.eq(t).find(".caption").velocity({opacity:1,translateX:0,translateY:0},{duration:e.transition,delay:e.transition,queue:!1,easing:"easeOutQuad"}),u.eq(t).addClass("active"),e.indicators&&a.eq(t).addClass("active"))}var o,a,s,r=t(this),l=r.find("ul.slides").first(),u=l.find("li"),c=l.find(".active").index();-1!=c&&(o=u.eq(c)),r.hasClass("fullscreen")||(e.indicators?r.height(e.height+40):r.height(e.height),l.height(e.height)),u.find(".caption").each((function(){i(t(this),0)})),u.find("img").each((function(){var e="data:image/gif;base64,R0lGODlhAQABAIABAP///wAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==";t(this).attr("src")!==e&&(t(this).css("background-image","url("+t(this).attr("src")+")"),t(this).attr("src",e))})),e.indicators&&(a=t('<ul class="indicators"></ul>'),u.each((function(i){var o=t('<li class="indicator-item"></li>');o.click((function(){var i,o;n(l.parent().find(t(this)).index()),clearInterval(s),s=setInterval((function(){c=l.find(".active").index(),u.length==c+1?c=0:c+=1,n(c)}),e.transition+e.interval)})),a.append(o)})),r.append(a),a=r.find("ul.indicators").find("li.indicator-item")),o?o.show():(u.first().addClass("active").velocity({opacity:1},{duration:e.transition,queue:!1,easing:"easeOutQuad"}),c=0,o=u.eq(c),e.indicators&&a.eq(c).addClass("active")),o.find("img").each((function(){o.find(".caption").velocity({opacity:1,translateX:0,translateY:0},{duration:e.transition,queue:!1,easing:"easeOutQuad"})})),s=setInterval((function(){n((c=l.find(".active").index())+1)}),e.transition+e.interval);var d=!1,h=!1,p=!1;r.hammer({prevent_default:!1}).bind("pan",(function(t){if("touch"===t.gesture.pointerType){clearInterval(s);var e=t.gesture.direction,i=t.gesture.deltaX,n=t.gesture.velocityX,o;$curr_slide=l.find(".active"),$curr_slide.velocity({translateX:i},{duration:50,queue:!1,easing:"easeOutQuad"}),4===e&&(i>r.innerWidth()/2||-.65>n)?p=!0:2===e&&(i<-1*r.innerWidth()/2||n>.65)&&(h=!0),h&&(0===(o=$curr_slide.next()).length&&(o=u.first()),o.velocity({opacity:1},{duration:300,queue:!1,easing:"easeOutQuad"})),p&&(0===(o=$curr_slide.prev()).length&&(o=u.last()),o.velocity({opacity:1},{duration:300,queue:!1,easing:"easeOutQuad"}))}})).bind("panend",(function(t){"touch"===t.gesture.pointerType&&($curr_slide=l.find(".active"),d=!1,curr_index=l.find(".active").index(),!p&&!h||u.length<=1?$curr_slide.velocity({translateX:0},{duration:300,queue:!1,easing:"easeOutQuad"}):h?(n(curr_index+1),$curr_slide.velocity({translateX:-1*r.innerWidth()},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){$curr_slide.velocity({opacity:0,translateX:0},{duration:0,queue:!1})}})):p&&(n(curr_index-1),$curr_slide.velocity({translateX:r.innerWidth()},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){$curr_slide.velocity({opacity:0,translateX:0},{duration:0,queue:!1})}})),h=!1,p=!1,clearInterval(s),s=setInterval((function(){c=l.find(".active").index(),u.length==c+1?c=0:c+=1,n(c)}),e.transition+e.interval))})),r.on("sliderPause",(function(){clearInterval(s)})),r.on("sliderStart",(function(){clearInterval(s),s=setInterval((function(){c=l.find(".active").index(),u.length==c+1?c=0:c+=1,n(c)}),e.transition+e.interval)})),r.on("sliderNext",(function(){n((c=l.find(".active").index())+1)})),r.on("sliderPrev",(function(){n((c=l.find(".active").index())-1)}))}))},pause:function(){t(this).trigger("sliderPause")},start:function(){t(this).trigger("sliderStart")},next:function(){t(this).trigger("sliderNext")},prev:function(){t(this).trigger("sliderPrev")}};t.fn.slider=function(i){return e[i]?e[i].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof i&&i?void t.error("Method "+i+" does not exist on jQuery.tooltip"):e.init.apply(this,arguments)}}(jQuery),function(t){t(document).ready((function(){t(document).on("click.card",".card",(function(e){t(this).find("> .card-reveal").length&&(t(e.target).is(t(".card-reveal .card-title"))||t(e.target).is(t(".card-reveal .card-title i"))?t(this).find(".card-reveal").velocity({translateY:0},{duration:225,queue:!1,easing:"easeInOutQuad",complete:function(){t(this).css({display:"none"})}}):(t(e.target).is(t(".card .activator"))||t(e.target).is(t(".card .activator i")))&&(t(e.target).closest(".card").css("overflow","hidden"),t(this).find(".card-reveal").css({display:"block"}).velocity("stop",!1).velocity({translateY:"-100%"},{duration:300,queue:!1,easing:"easeInOutQuad"}))),t(".card-reveal").closest(".card").css("overflow","hidden")}))}))}(jQuery),function(t){t(document).ready((function(){t(document).on("click.chip",".chip .material-icons",(function(e){t(this).parent().remove()}))}))}(jQuery),function(t){t.fn.pushpin=function(e){var i={top:0,bottom:1/0,offset:0};return e=t.extend(i,e),$index=0,this.each((function(){function i(t){t.removeClass("pin-top"),t.removeClass("pinned"),t.removeClass("pin-bottom")}function n(n,o){n.each((function(){e.top<=o&&e.bottom>=o&&!t(this).hasClass("pinned")&&(i(t(this)),t(this).css("top",e.offset),t(this).addClass("pinned")),o<e.top&&!t(this).hasClass("pin-top")&&(i(t(this)),t(this).css("top",0),t(this).addClass("pin-top")),o>e.bottom&&!t(this).hasClass("pin-bottom")&&(i(t(this)),t(this).addClass("pin-bottom"),t(this).css("top",e.bottom-s))}))}var o=Materialize.guid(),a=t(this),s=t(this).offset().top;n(a,t(window).scrollTop()),t(window).on("scroll."+o,(function(){var i=t(window).scrollTop()+e.offset;n(a,i)}))}))}}(jQuery),function(t){t(document).ready((function(){t.fn.reverse=[].reverse,t(document).on("mouseenter.fixedActionBtn",".fixed-action-btn:not(.click-to-toggle)",(function(i){var n=t(this);e(n)})),t(document).on("mouseleave.fixedActionBtn",".fixed-action-btn:not(.click-to-toggle)",(function(e){var n=t(this);i(n)})),t(document).on("click.fixedActionBtn",".fixed-action-btn.click-to-toggle > a",(function(n){var o,a=t(this).parent();a.hasClass("active")?i(a):e(a)}))})),t.fn.extend({openFAB:function(){e(t(this))},closeFAB:function(){i(t(this))}});var e=function(e){if($this=e,!1===$this.hasClass("active")){var i,n,o;!0===$this.hasClass("horizontal")?n=40:i=40,$this.addClass("active"),$this.find("ul .btn-floating").velocity({scaleY:".4",scaleX:".4",translateY:i+"px",translateX:n+"px"},{duration:0});var a=0;$this.find("ul .btn-floating").reverse().each((function(){t(this).velocity({opacity:"1",scaleX:"1",scaleY:"1",translateY:"0",translateX:"0"},{duration:80,delay:a}),a+=40}))}},i=function(t){var e,i,n;$this=t,!0===$this.hasClass("horizontal")?i=40:e=40,$this.removeClass("active"),$this.find("ul .btn-floating").velocity("stop",!0),$this.find("ul .btn-floating").velocity({opacity:"0",scaleX:".4",scaleY:".4",translateY:e+"px",translateX:i+"px"},{duration:80})}}(jQuery),function(t){Materialize.fadeInImage=function(e){var i=t(e);i.css({opacity:0}),t(i).velocity({opacity:1},{duration:650,queue:!1,easing:"easeOutSine"}),t(i).velocity({opacity:1},{duration:1300,queue:!1,easing:"swing",step:function(e,i){i.start=100;var n=e/100,o=150-(100-e)/1.75;100>o&&(o=100),e>=0&&t(this).css({"-webkit-filter":"grayscale("+n+")brightness("+o+"%)",filter:"grayscale("+n+")brightness("+o+"%)"})}})},Materialize.showStaggeredList=function(e){var i=0;t(e).find("li").velocity({translateX:"-100px"},{duration:0}),t(e).find("li").each((function(){t(this).velocity({opacity:"1",translateX:"0"},{duration:800,delay:i,easing:[60,10]}),i+=120}))},t(document).ready((function(){var e=!1,i=!1;t(".dismissable").each((function(){t(this).hammer({prevent_default:!1}).bind("pan",(function(n){if("touch"===n.gesture.pointerType){var o=t(this),a=n.gesture.direction,s=n.gesture.deltaX,r=n.gesture.velocityX;o.velocity({translateX:s},{duration:50,queue:!1,easing:"easeOutQuad"}),4===a&&(s>o.innerWidth()/2||-.75>r)&&(e=!0),2===a&&(s<-1*o.innerWidth()/2||r>.75)&&(i=!0)}})).bind("panend",(function(n){if(Math.abs(n.gesture.deltaX)<t(this).innerWidth()/2&&(i=!1,e=!1),"touch"===n.gesture.pointerType){var o=t(this),a;if(e||i)a=e?o.innerWidth():-1*o.innerWidth(),o.velocity({translateX:a},{duration:100,queue:!1,easing:"easeOutQuad",complete:function(){o.css("border","none"),o.velocity({height:0,padding:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){o.remove()}})}});else o.velocity({translateX:0},{duration:100,queue:!1,easing:"easeOutQuad"});e=!1,i=!1}}))}))}))}(jQuery),function(t){Materialize.scrollFire=function(t){var e=!1;window.addEventListener("scroll",(function(){e=!0})),setInterval((function(){if(e){e=!1;for(var i=window.pageYOffset+window.innerHeight,n=0;n<t.length;n++){var o=t[n],a=o.selector,s=o.offset,r=o.callback,l=document.querySelector(a),u;if(null!==l)if(i>l.getBoundingClientRect().top+window.pageYOffset+s&&!0!==o.done){if("function"==typeof r)r.call(this);else if("string"==typeof r){var c;new Function(r)()}o.done=!0}}}}),100)}}(jQuery),function(t){"function"==typeof define&&define.amd?define("picker",["jquery"],t):"object"==typeof exports?module.exports=t(require("jquery")):this.Picker=t(jQuery)}((function(t){function e(a,s,l,d){function h(){return e._.node("div",e._.node("div",e._.node("div",e._.node("div",k.component.nodes(b.open),S.box),S.wrap),S.frame),S.holder)}function p(){C.data(s,k).addClass(S.input).attr("tabindex",-1).val(C.data("value")?k.get("select",w.format):a.value),w.editable||C.on("focus."+b.id+" click."+b.id,(function(t){t.preventDefault(),k.$root.eq(0).focus()})).on("keydown."+b.id,g),o(a,{haspopup:!0,expanded:!1,readonly:!1,owns:a.id+"_root"})}function f(){k.$root.on({keydown:g,focusin:function(t){k.$root.removeClass(S.focused),t.stopPropagation()},"mousedown click":function(e){var i=e.target;i!=k.$root.children()[0]&&(e.stopPropagation(),"mousedown"!=e.type||t(i).is("input, select, textarea, button, option")||(e.preventDefault(),k.$root.eq(0).focus()))}}).on({focus:function(){C.addClass(S.target)},blur:function(){C.removeClass(S.target)}}).on("focus.toOpen",v).on("click","[data-pick], [data-nav], [data-clear], [data-close]",(function(){var e=t(this),i=e.data(),n=e.hasClass(S.navDisabled)||e.hasClass(S.disabled),o=r();o=o&&(o.type||o.href),(n||o&&!t.contains(k.$root[0],o))&&k.$root.eq(0).focus(),!n&&i.nav?k.set("highlight",k.component.item.highlight,{nav:i.nav}):!n&&"pick"in i?k.set("select",i.pick):i.clear?k.clear().close(!0):i.close&&k.close(!0)})),o(k.$root[0],"hidden",!0)}function m(){var e;!0===w.hiddenName?(e=a.name,a.name=""):e=(e=["string"==typeof w.hiddenPrefix?w.hiddenPrefix:"","string"==typeof w.hiddenSuffix?w.hiddenSuffix:"_submit"])[0]+a.name+e[1],k._hidden=t('<input type=hidden name="'+e+'"'+(C.data("value")||a.value?' value="'+k.get("select",w.formatSubmit)+'"':"")+">")[0],C.on("change."+b.id,(function(){k._hidden.value=a.value?k.get("select",w.formatSubmit):""})),w.container?t(w.container).append(k._hidden):C.after(k._hidden)}function g(t){var e=t.keyCode,i=/^(8|46)$/.test(e);return 27==e?(k.close(),!1):void((32==e||i||!b.open&&k.component.key[e])&&(t.preventDefault(),t.stopPropagation(),i?k.clear().close():k.open()))}function v(t){t.stopPropagation(),"focus"==t.type&&k.$root.addClass(S.focused),k.open()}if(!a)return e;var y=!1,b={id:a.id||"P"+Math.abs(~~(Math.random()*new Date))},w=l?t.extend(!0,{},l.defaults,d):d||{},S=t.extend({},e.klasses(),w.klass),C=t(a),x=function(){return this.start()},k=x.prototype={constructor:x,$node:C,start:function(){return b&&b.start?k:(b.methods={},b.start=!0,b.open=!1,b.type=a.type,a.autofocus=a==r(),a.readOnly=!w.editable,a.id=a.id||b.id,"text"!=a.type&&(a.type="text"),k.component=new l(k,w),k.$root=t(e._.node("div",h(),S.picker,'id="'+a.id+'_root" tabindex="0"')),f(),w.formatSubmit&&m(),p(),w.container?t(w.container).append(k.$root):C.after(k.$root),k.on({start:k.component.onStart,render:k.component.onRender,stop:k.component.onStop,open:k.component.onOpen,close:k.component.onClose,set:k.component.onSet}).on({start:w.onStart,render:w.onRender,stop:w.onStop,open:w.onOpen,close:w.onClose,set:w.onSet}),y=i(k.$root.children()[0]),a.autofocus&&k.open(),k.trigger("start").trigger("render"))},render:function(t){return t?k.$root.html(h()):k.$root.find("."+S.box).html(k.component.nodes(b.open)),k.trigger("render")},stop:function(){return b.start?(k.close(),k._hidden&&k._hidden.parentNode.removeChild(k._hidden),k.$root.remove(),C.removeClass(S.input).removeData(s),setTimeout((function(){C.off("."+b.id)}),0),a.type=b.type,a.readOnly=!1,k.trigger("stop"),b.methods={},b.start=!1,k):k},open:function(i){return b.open?k:(C.addClass(S.active),o(a,"expanded",!0),setTimeout((function(){k.$root.addClass(S.opened),o(k.$root[0],"hidden",!1)}),0),!1!==i&&(b.open=!0,y&&c.css("overflow","hidden").css("padding-right","+="+n()),k.$root.eq(0).focus(),u.on("click."+b.id+" focusin."+b.id,(function(t){var e=t.target;e!=a&&e!=document&&3!=t.which&&k.close(e===k.$root.children()[0])})).on("keydown."+b.id,(function(i){var n=i.keyCode,o=k.component.key[n],a=i.target;27==n?k.close(!0):a!=k.$root[0]||!o&&13!=n?t.contains(k.$root[0],a)&&13==n&&(i.preventDefault(),a.click()):(i.preventDefault(),o?e._.trigger(k.component.key.go,k,[e._.trigger(o)]):k.$root.find("."+S.highlighted).hasClass(S.disabled)||k.set("select",k.component.item.highlight).close())}))),k.trigger("open"))},close:function(t){return t&&(k.$root.off("focus.toOpen").eq(0).focus(),setTimeout((function(){k.$root.on("focus.toOpen",v)}),0)),C.removeClass(S.active),o(a,"expanded",!1),setTimeout((function(){k.$root.removeClass(S.opened+" "+S.focused),o(k.$root[0],"hidden",!0)}),0),b.open?(b.open=!1,y&&c.css("overflow","").css("padding-right","-="+n()),u.off("."+b.id),k.trigger("close")):k},clear:function(t){return k.set("clear",null,t)},set:function(e,i,n){var o,a,s=t.isPlainObject(e),r=s?e:{};if(n=s&&t.isPlainObject(i)?i:n||{},e){for(o in s||(r[e]=i),r)a=r[o],o in k.component.item&&(void 0===a&&(a=null),k.component.set(o,a,n)),("select"==o||"clear"==o)&&C.val("clear"==o?"":k.get(o,w.format)).trigger("change");k.render()}return n.muted?k:k.trigger("set",r)},get:function(t,i){if(null!=b[t=t||"value"])return b[t];if("valueSubmit"==t){if(k._hidden)return k._hidden.value;t="value"}if("value"==t)return a.value;if(t in k.component.item){if("string"==typeof i){var n=k.component.get(t);return n?e._.trigger(k.component.formats.toString,k.component,[i,n]):""}return k.component.get(t)}},on:function(e,i,n){var o,a,s=t.isPlainObject(e),r=s?e:{};if(e)for(o in s||(r[e]=i),r)a=r[o],n&&(o="_"+o),b.methods[o]=b.methods[o]||[],b.methods[o].push(a);return k},off:function(){var t,e,i=arguments;for(t=0,namesCount=i.length;t<namesCount;t+=1)(e=i[t])in b.methods&&delete b.methods[e];return k},trigger:function(t,i){var n=function(t){var n=b.methods[t];n&&n.map((function(t){e._.trigger(t,k,[i])}))};return n("_"+t),n(t),k}};return new x}function i(t){var e,i="position";return t.currentStyle?e=t.currentStyle[i]:window.getComputedStyle&&(e=getComputedStyle(t)[i]),"fixed"==e}function n(){if(c.height()<=l.height())return 0;var e=t('<div style="visibility:hidden;width:100px" />').appendTo("body"),i=e[0].offsetWidth;e.css("overflow","scroll");var n,o=t('<div style="width:100%" />').appendTo(e)[0].offsetWidth;return e.remove(),i-o}function o(e,i,n){if(t.isPlainObject(i))for(var o in i)a(e,o,i[o]);else a(e,i,n)}function a(t,e,i){t.setAttribute(("role"==e?"":"aria-")+e,i)}function s(e,i){for(var n in t.isPlainObject(e)||(e={attribute:i}),i="",e){var o=("role"==n?"":"aria-")+n,a;i+=null==e[n]?"":o+'="'+e[n]+'"'}return i}function r(){try{return document.activeElement}catch(t){}}var l=t(window),u=t(document),c=t(document.documentElement);return e.klasses=function(t){return{picker:t=t||"picker",opened:t+"--opened",focused:t+"--focused",input:t+"__input",active:t+"__input--active",target:t+"__input--target",holder:t+"__holder",frame:t+"__frame",wrap:t+"__wrap",box:t+"__box"}},e._={group:function(t){for(var i,n="",o=e._.trigger(t.min,t);o<=e._.trigger(t.max,t,[o]);o+=t.i)i=e._.trigger(t.item,t,[o]),n+=e._.node(t.node,i[0],i[1],i[2]);return n},node:function(e,i,n,o){return i?"<"+e+(n=n?' class="'+n+'"':"")+(o=o?" "+o:"")+">"+(i=t.isArray(i)?i.join(""):i)+"</"+e+">":""},lead:function(t){return(10>t?"0":"")+t},trigger:function(t,e,i){return"function"==typeof t?t.apply(e,i||[]):t},digits:function(t){return/\d/.test(t[1])?2:1},isDate:function(t){return{}.toString.call(t).indexOf("Date")>-1&&this.isInteger(t.getDate())},isInteger:function(t){return{}.toString.call(t).indexOf("Number")>-1&&t%1==0},ariaAttr:s},e.extend=function(i,n){t.fn[i]=function(o,a){var s=this.data(i);return"picker"==o?s:s&&"string"==typeof o?e._.trigger(s[o],s,[a]):this.each((function(){var a;t(this).data(i)||new e(this,i,n,o)}))},t.fn[i].defaults=n.defaults},e})),function(t){"function"==typeof define&&define.amd?define(["picker","jquery"],t):"object"==typeof exports?module.exports=t(require("./picker.js"),require("jquery")):t(Picker,jQuery)}((function(t,e){function i(t,e){var i=this,n=t.$node[0],o=n.value,a=t.$node.data("value"),s=a||o,r=a?e.formatSubmit:e.format,l=function(){return n.currentStyle?"rtl"==n.currentStyle.direction:"rtl"==getComputedStyle(t.$root[0]).direction};i.settings=e,i.$node=t.$node,i.queue={min:"measure create",max:"measure create",now:"now create",select:"parse create validate",highlight:"parse navigate create validate",view:"parse create validate viewset",disable:"deactivate",enable:"activate"},i.item={},i.item.clear=null,i.item.disable=(e.disable||[]).slice(0),i.item.enable=-function(t){return!0===t[0]?t.shift():-1}(i.item.disable),i.set("min",e.min).set("max",e.max).set("now"),s?i.set("select",s,{format:r}):i.set("select",null).set("highlight",i.item.now),i.key={40:7,38:-7,39:function(){return l()?-1:1},37:function(){return l()?1:-1},go:function(t){var e=i.item.highlight,n=new Date(e.year,e.month,e.date+t);i.set("highlight",n,{interval:t}),this.render()}},t.on("render",(function(){t.$root.find("."+e.klass.selectMonth).on("change",(function(){var i=this.value;i&&(t.set("highlight",[t.get("view").year,i,t.get("highlight").date]),t.$root.find("."+e.klass.selectMonth).trigger("focus"))})),t.$root.find("."+e.klass.selectYear).on("change",(function(){var i=this.value;i&&(t.set("highlight",[i,t.get("view").month,t.get("highlight").date]),t.$root.find("."+e.klass.selectYear).trigger("focus"))}))}),1).on("open",(function(){var n="";i.disabled(i.get("now"))&&(n=":not(."+e.klass.buttonToday+")"),t.$root.find("button"+n+", select").attr("disabled",!1)}),1).on("close",(function(){t.$root.find("button, select").attr("disabled",!0)}),1)}var n=7,o=6,a=t._;i.prototype.set=function(t,e,i){var n=this,o=n.item;return null===e?("clear"==t&&(t="select"),o[t]=e,n):(o["enable"==t?"disable":"flip"==t?"enable":t]=n.queue[t].split(" ").map((function(o){return e=n[o](t,e,i)})).pop(),"select"==t?n.set("highlight",o.select,i):"highlight"==t?n.set("view",o.highlight,i):t.match(/^(flip|min|max|disable|enable)$/)&&(o.select&&n.disabled(o.select)&&n.set("select",o.select,i),o.highlight&&n.disabled(o.highlight)&&n.set("highlight",o.highlight,i)),n)},i.prototype.get=function(t){return this.item[t]},i.prototype.create=function(t,i,n){var o,s=this;return(i=void 0===i?t:i)==-1/0||i==1/0?o=i:e.isPlainObject(i)&&a.isInteger(i.pick)?i=i.obj:e.isArray(i)?(i=new Date(i[0],i[1],i[2]),i=a.isDate(i)?i:s.create().obj):i=a.isInteger(i)||a.isDate(i)?s.normalize(new Date(i),n):s.now(t,i,n),{year:o||i.getFullYear(),month:o||i.getMonth(),date:o||i.getDate(),day:o||i.getDay(),obj:o||i,pick:o||i.getTime()}},i.prototype.createRange=function(t,i){var n=this,o=function(t){return!0===t||e.isArray(t)||a.isDate(t)?n.create(t):t};return a.isInteger(t)||(t=o(t)),a.isInteger(i)||(i=o(i)),a.isInteger(t)&&e.isPlainObject(i)?t=[i.year,i.month,i.date+t]:a.isInteger(i)&&e.isPlainObject(t)&&(i=[t.year,t.month,t.date+i]),{from:o(t),to:o(i)}},i.prototype.withinRange=function(t,e){return t=this.createRange(t.from,t.to),e.pick>=t.from.pick&&e.pick<=t.to.pick},i.prototype.overlapRanges=function(t,e){var i=this;return t=i.createRange(t.from,t.to),e=i.createRange(e.from,e.to),i.withinRange(t,e.from)||i.withinRange(t,e.to)||i.withinRange(e,t.from)||i.withinRange(e,t.to)},i.prototype.now=function(t,e,i){return e=new Date,i&&i.rel&&e.setDate(e.getDate()+i.rel),this.normalize(e,i)},i.prototype.navigate=function(t,i,n){var o,a,s,r,l=e.isArray(i),u=e.isPlainObject(i),c=this.item.view;if(l||u){for(u?(a=i.year,s=i.month,r=i.date):(a=+i[0],s=+i[1],r=+i[2]),n&&n.nav&&c&&c.month!==s&&(a=c.year,s=c.month),a=(o=new Date(a,s+(n&&n.nav?n.nav:0),1)).getFullYear(),s=o.getMonth();new Date(a,s,r).getMonth()!==s;)r-=1;i=[a,s,r]}return i},i.prototype.normalize=function(t){return t.setHours(0,0,0,0),t},i.prototype.measure=function(t,e){var i=this;return e?"string"==typeof e?e=i.parse(t,e):a.isInteger(e)&&(e=i.now(t,e,{rel:e})):e="min"==t?-1/0:1/0,e},i.prototype.viewset=function(t,e){return this.create([e.year,e.month,1])},i.prototype.validate=function(t,i,n){var o,s,r,l,u=this,c=i,d=n&&n.interval?n.interval:1,h=-1===u.item.enable,p=u.item.min,f=u.item.max,m=h&&u.item.disable.filter((function(t){if(e.isArray(t)){var n=u.create(t).pick;n<i.pick?o=!0:n>i.pick&&(s=!0)}return a.isInteger(t)})).length;if((!n||!n.nav)&&(!h&&u.disabled(i)||h&&u.disabled(i)&&(m||o||s)||!h&&(i.pick<=p.pick||i.pick>=f.pick)))for(h&&!m&&(!s&&d>0||!o&&0>d)&&(d*=-1);u.disabled(i)&&(Math.abs(d)>1&&(i.month<c.month||i.month>c.month)&&(i=c,d=d>0?1:-1),i.pick<=p.pick?(r=!0,d=1,i=u.create([p.year,p.month,p.date+(i.pick===p.pick?0:-1)])):i.pick>=f.pick&&(l=!0,d=-1,i=u.create([f.year,f.month,f.date+(i.pick===f.pick?0:1)])),!r||!l);)i=u.create([i.year,i.month,i.date+d]);return i},i.prototype.disabled=function(t){var i=this,n=i.item.disable.filter((function(n){return a.isInteger(n)?t.day===(i.settings.firstDay?n:n-1)%7:e.isArray(n)||a.isDate(n)?t.pick===i.create(n).pick:e.isPlainObject(n)?i.withinRange(n,t):void 0}));return n=n.length&&!n.filter((function(t){return e.isArray(t)&&"inverted"==t[3]||e.isPlainObject(t)&&t.inverted})).length,-1===i.item.enable?!n:n||t.pick<i.item.min.pick||t.pick>i.item.max.pick},i.prototype.parse=function(t,e,i){var n=this,o={};return e&&"string"==typeof e?(i&&i.format||((i=i||{}).format=n.settings.format),n.formats.toArray(i.format).map((function(t){var i=n.formats[t],s=i?a.trigger(i,n,[e,o]):t.replace(/^!/,"").length;i&&(o[t]=e.substr(0,s)),e=e.substr(s)})),[o.yyyy||o.yy,+(o.mm||o.m)-1,o.dd||o.d]):e},i.prototype.formats=function(){function t(t,e,i){var n=t.match(/\w+/)[0];return i.mm||i.m||(i.m=e.indexOf(n)+1),n.length}function e(t){return t.match(/\w+/)[0].length}return{d:function(t,e){return t?a.digits(t):e.date},dd:function(t,e){return t?2:a.lead(e.date)},ddd:function(t,i){return t?e(t):this.settings.weekdaysShort[i.day]},dddd:function(t,i){return t?e(t):this.settings.weekdaysFull[i.day]},m:function(t,e){return t?a.digits(t):e.month+1},mm:function(t,e){return t?2:a.lead(e.month+1)},mmm:function(e,i){var n=this.settings.monthsShort;return e?t(e,n,i):n[i.month]},mmmm:function(e,i){var n=this.settings.monthsFull;return e?t(e,n,i):n[i.month]},yy:function(t,e){return t?2:(""+e.year).slice(2)},yyyy:function(t,e){return t?4:e.year},toArray:function(t){return t.split(/(d{1,4}|m{1,4}|y{4}|yy|!.)/g)},toString:function(t,e){var i=this;return i.formats.toArray(t).map((function(t){return a.trigger(i.formats[t],i,[0,e])||t.replace(/^!/,"")})).join("")}}}(),i.prototype.isDateExact=function(t,i){var n=this;return a.isInteger(t)&&a.isInteger(i)||"boolean"==typeof t&&"boolean"==typeof i?t===i:(a.isDate(t)||e.isArray(t))&&(a.isDate(i)||e.isArray(i))?n.create(t).pick===n.create(i).pick:!(!e.isPlainObject(t)||!e.isPlainObject(i))&&(n.isDateExact(t.from,i.from)&&n.isDateExact(t.to,i.to))},i.prototype.isDateOverlap=function(t,i){var n=this,o=n.settings.firstDay?1:0;return a.isInteger(t)&&(a.isDate(i)||e.isArray(i))?(t=t%7+o)===n.create(i).day+1:a.isInteger(i)&&(a.isDate(t)||e.isArray(t))?(i=i%7+o)===n.create(t).day+1:!(!e.isPlainObject(t)||!e.isPlainObject(i))&&n.overlapRanges(t,i)},i.prototype.flipEnable=function(t){var e=this.item;e.enable=t||(-1==e.enable?1:-1)},i.prototype.deactivate=function(t,i){var n=this,o=n.item.disable.slice(0);return"flip"==i?n.flipEnable():!1===i?(n.flipEnable(1),o=[]):!0===i?(n.flipEnable(-1),o=[]):i.map((function(t){for(var i,s=0;s<o.length;s+=1)if(n.isDateExact(t,o[s])){i=!0;break}i||(a.isInteger(t)||a.isDate(t)||e.isArray(t)||e.isPlainObject(t)&&t.from&&t.to)&&o.push(t)})),o},i.prototype.activate=function(t,i){var n=this,o=n.item.disable,s=o.length;return"flip"==i?n.flipEnable():!0===i?(n.flipEnable(1),o=[]):!1===i?(n.flipEnable(-1),o=[]):i.map((function(t){var i,r,l,u;for(l=0;s>l;l+=1){if(r=o[l],n.isDateExact(r,t)){i=o[l]=null,u=!0;break}if(n.isDateOverlap(r,t)){e.isPlainObject(t)?(t.inverted=!0,i=t):e.isArray(t)?(i=t)[3]||i.push("inverted"):a.isDate(t)&&(i=[t.getFullYear(),t.getMonth(),t.getDate(),"inverted"]);break}}if(i)for(l=0;s>l;l+=1)if(n.isDateExact(o[l],t)){o[l]=null;break}if(u)for(l=0;s>l;l+=1)if(n.isDateOverlap(o[l],t)){o[l]=null;break}i&&o.push(i)})),o.filter((function(t){return null!=t}))},i.prototype.nodes=function(t){var e=this,i=e.settings,n=e.item,o=n.now,s=n.select,r=n.highlight,l=n.view,u=n.disable,c=n.min,d=n.max,h=function(t,e){return i.firstDay&&(t.push(t.shift()),e.push(e.shift())),a.node("thead",a.node("tr",a.group({min:0,max:6,i:1,node:"th",item:function(n){return[t[n],i.klass.weekdays,'scope=col title="'+e[n]+'"']}})))}((i.showWeekdaysFull?i.weekdaysFull:i.weekdaysLetter).slice(0),i.weekdaysFull.slice(0)),p=function(t){return a.node("div"," ",i.klass["nav"+(t?"Next":"Prev")]+(t&&l.year>=d.year&&l.month>=d.month||!t&&l.year<=c.year&&l.month<=c.month?" "+i.klass.navDisabled:""),"data-nav="+(t||-1)+" "+a.ariaAttr({role:"button",controls:e.$node[0].id+"_table"})+' title="'+(t?i.labelMonthNext:i.labelMonthPrev)+'"')},f=function(n){var o=i.showMonthsShort?i.monthsShort:i.monthsFull;return"short_months"==n&&(o=i.monthsShort),i.selectMonths&&null==n?a.node("select",a.group({min:0,max:11,i:1,node:"option",item:function(t){return[o[t],0,"value="+t+(l.month==t?" selected":"")+(l.year==c.year&&t<c.month||l.year==d.year&&t>d.month?" disabled":"")]}}),i.klass.selectMonth+" browser-default",(t?"":"disabled")+" "+a.ariaAttr({controls:e.$node[0].id+"_table"})+' title="'+i.labelMonthSelect+'"'):"short_months"==n?null!=s?a.node("div",o[s.month]):a.node("div",o[l.month]):a.node("div",o[l.month],i.klass.month)},m=function(n){var o=l.year,s=!0===i.selectYears?5:~~(i.selectYears/2);if(s){var r=c.year,u=d.year,h=o-s,p=o+s;if(r>h&&(p+=r-h,h=r),p>u){var f=h-r,m=p-u;h-=f>m?m:f,p=u}if(i.selectYears&&null==n)return a.node("select",a.group({min:h,max:p,i:1,node:"option",item:function(t){return[t,0,"value="+t+(o==t?" selected":"")]}}),i.klass.selectYear+" browser-default",(t?"":"disabled")+" "+a.ariaAttr({controls:e.$node[0].id+"_table"})+' title="'+i.labelYearSelect+'"')}return"raw"==n?a.node("div",o):a.node("div",o,i.klass.year)};return createDayLabel=function(){return null!=s?a.node("div",s.date):a.node("div",o.date)},createWeekdayLabel=function(){var t,e;return t=null!=s?s.day:o.day,i.weekdaysFull[t]},a.node("div",a.node("div",createWeekdayLabel(),"picker__weekday-display")+a.node("div",f("short_months"),i.klass.month_display)+a.node("div",createDayLabel(),i.klass.day_display)+a.node("div",m("raw"),i.klass.year_display),i.klass.date_display)+a.node("div",a.node("div",(i.selectYears,f()+m()+p()+p(1)),i.klass.header)+a.node("table",h+a.node("tbody",a.group({min:0,max:5,i:1,node:"tr",item:function(t){var n=i.firstDay&&0===e.create([l.year,l.month,1]).day?-7:0;return[a.group({min:7*t-l.day+n+1,max:function(){return this.min+7-1},i:1,node:"td",item:function(t){t=e.create([l.year,l.month,t+(i.firstDay?1:0)]);var n=s&&s.pick==t.pick,h=r&&r.pick==t.pick,p=u&&e.disabled(t)||t.pick<c.pick||t.pick>d.pick,f=a.trigger(e.formats.toString,e,[i.format,t]);return[a.node("div",t.date,function(e){return e.push(l.month==t.month?i.klass.infocus:i.klass.outfocus),o.pick==t.pick&&e.push(i.klass.now),n&&e.push(i.klass.selected),h&&e.push(i.klass.highlighted),p&&e.push(i.klass.disabled),e.join(" ")}([i.klass.day]),"data-pick="+t.pick+" "+a.ariaAttr({role:"gridcell",label:f,selected:!(!n||e.$node.val()!==f)||null,activedescendant:!!h||null,disabled:!!p||null})),"",a.ariaAttr({role:"presentation"})]}})]}})),i.klass.table,'id="'+e.$node[0].id+'_table" '+a.ariaAttr({role:"grid",controls:e.$node[0].id,readonly:!0})),i.klass.calendar_container)+a.node("div",a.node("button",i.today,"btn-flat picker__today","type=button data-pick="+o.pick+(t&&!e.disabled(o)?"":" disabled")+" "+a.ariaAttr({controls:e.$node[0].id}))+a.node("button",i.clear,"btn-flat picker__clear","type=button data-clear=1"+(t?"":" disabled")+" "+a.ariaAttr({controls:e.$node[0].id}))+a.node("button",i.close,"btn-flat picker__close","type=button data-close=true "+(t?"":" disabled")+" "+a.ariaAttr({controls:e.$node[0].id})),i.klass.footer)},i.defaults=function(t){return{labelMonthNext:"Next month",labelMonthPrev:"Previous month",labelMonthSelect:"Select a month",labelYearSelect:"Select a year",
monthsFull:["January","February","March","April","May","June","July","August","September","October","November","December"],monthsShort:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],weekdaysFull:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],weekdaysShort:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],weekdaysLetter:["S","M","T","W","T","F","S"],today:"Today",clear:"Clear",close:"Close",format:"d mmmm, yyyy",klass:{table:t+"table",header:t+"header",date_display:t+"date-display",day_display:t+"day-display",month_display:t+"month-display",year_display:t+"year-display",calendar_container:t+"calendar-container",navPrev:t+"nav--prev",navNext:t+"nav--next",navDisabled:t+"nav--disabled",month:t+"month",year:t+"year",selectMonth:t+"select--month",selectYear:t+"select--year",weekdays:t+"weekday",day:t+"day",disabled:t+"day--disabled",selected:t+"day--selected",highlighted:t+"day--highlighted",now:t+"day--today",infocus:t+"day--infocus",outfocus:t+"day--outfocus",footer:t+"footer",buttonClear:t+"button--clear",buttonToday:t+"button--today",buttonClose:t+"button--close"}}}(t.klasses().picker+"__"),t.extend("pickadate",i)})),function(t){function e(){var e=+t(this).attr("length"),i=+t(this).val().length,n=e>=i;t(this).parent().find('span[class="character-counter"]').html(i+"/"+e),o(n,t(this))}function i(e){var i=e.parent().find('span[class="character-counter"]');i.length||(i=t("<span/>").addClass("character-counter").css("float","right").css("font-size","12px").css("height",1),e.parent().append(i))}function n(){t(this).parent().find('span[class="character-counter"]').html("")}function o(t,e){var i=e.hasClass("invalid");t&&i?e.removeClass("invalid"):t||i||(e.removeClass("valid"),e.addClass("invalid"))}t.fn.characterCounter=function(){return this.each((function(){var o=t(this),a,s;o.parent().find('span[class="character-counter"]').length||void 0!==o.attr("length")&&(o.on("input",e),o.on("focus",e),o.on("blur",n),i(o))}))},t(document).ready((function(){t("input, textarea").characterCounter()}))}(jQuery),function(t){var e={init:function(e){var i={time_constant:200,dist:-100,shift:0,padding:0,full_width:!1};return e=t.extend(i,e),this.each((function(){function i(){void 0!==window.ontouchstart&&(E[0].addEventListener("touchstart",c),E[0].addEventListener("touchmove",d),E[0].addEventListener("touchend",h)),E[0].addEventListener("mousedown",c),E[0].addEventListener("mousemove",d),E[0].addEventListener("mouseup",h),E[0].addEventListener("click",u)}function n(t){return t.targetTouches&&t.targetTouches.length>=1?t.targetTouches[0].clientX:t.clientX}function o(t){return t.targetTouches&&t.targetTouches.length>=1?t.targetTouches[0].clientY:t.clientY}function a(t){return t>=b?t%b:0>t?a(b+t%b):t}function s(t){var i,n,o,s,r,l,u;for(f="number"==typeof t?t:f,m=Math.floor((f+v/2)/v),r=-(s=0>(o=f-m*v)?1:-1)*o*2/v,e.full_width?u="translateX(0)":(u="translateX("+(E[0].clientWidth-item_width)/2+"px) ",u+="translateY("+(E[0].clientHeight-item_width)/2+"px)"),(l=p[a(m)]).style[T]=u+" translateX("+-o/2+"px) translateX("+s*e.shift*r*i+"px) translateZ("+e.dist*r+"px)",l.style.zIndex=0,e.full_width?tweenedOpacity=1:tweenedOpacity=1-.2*r,l.style.opacity=tweenedOpacity,n=b>>1,i=1;n>=i;++i)e.full_width?(zTranslation=e.dist,tweenedOpacity=i===n&&0>o?1-r:1):(zTranslation=e.dist*(2*i+r*s),tweenedOpacity=1-.2*(2*i+r*s)),(l=p[a(m+i)]).style[T]=u+" translateX("+(e.shift+(v*i-o)/2)+"px) translateZ("+zTranslation+"px)",l.style.zIndex=-i,l.style.opacity=tweenedOpacity,e.full_width?(zTranslation=e.dist,tweenedOpacity=i===n&&o>0?1-r:1):(zTranslation=e.dist*(2*i-r*s),tweenedOpacity=1-.2*(2*i-r*s)),(l=p[a(m-i)]).style[T]=u+" translateX("+(-e.shift+(-v*i-o)/2)+"px) translateZ("+zTranslation+"px)",l.style.zIndex=-i,l.style.opacity=tweenedOpacity;(l=p[a(m)]).style[T]=u+" translateX("+-o/2+"px) translateX("+s*e.shift*r+"px) translateZ("+e.dist*r+"px)",l.style.zIndex=0,e.full_width?tweenedOpacity=1:tweenedOpacity=1-.2*r,l.style.opacity=tweenedOpacity}function r(){var t,e,i,n;e=(t=Date.now())-O,O=t,i=f-_,_=f,k=.8*(n=1e3*i/(1+e))+.2*k}function l(){var t,i;C&&(t=Date.now()-O,(i=C*Math.exp(-t/e.time_constant))>2||-2>i?(s(x-i),requestAnimationFrame(l)):s(x))}function u(i){if(M)return i.preventDefault(),i.stopPropagation(),!1;if(!e.full_width){var n=t(i.target).closest(".carousel-item").index(),o=m%b-n;0>o?Math.abs(o+b)<Math.abs(o)&&(o+=b):o>0&&Math.abs(o-b)<o&&(o-=b),0>o?t(this).trigger("carouselNext",[Math.abs(o)]):o>0&&t(this).trigger("carouselPrev",[o])}}function c(t){g=!0,M=!1,A=!1,w=n(t),S=o(t),k=C=0,_=f,O=Date.now(),clearInterval(P),P=setInterval(r,100)}function d(t){var e,i,a;if(g)if(e=n(t),y=o(t),i=w-e,30>(a=Math.abs(S-y))&&!A)(i>2||-2>i)&&(M=!0,w=e,s(f+i));else{if(M)return t.preventDefault(),t.stopPropagation(),!1;A=!0}return M?(t.preventDefault(),t.stopPropagation(),!1):void 0}function h(t){return g=!1,clearInterval(P),x=f,(k>10||-10>k)&&(x=f+(C=.9*k)),x=Math.round(x/v)*v,C=x-f,O=Date.now(),requestAnimationFrame(l),t.preventDefault(),t.stopPropagation(),!1}var p,f,m,g,v,b,w,S,C,x,k,T,_,O,P,M,A,E=t(this);return!!E.hasClass("initialized")||(e.full_width&&(e.dist=0,imageHeight=E.find(".carousel-item img").first().load((function(){E.css("height",t(this).height())}))),E.addClass("initialized"),g=!1,f=x=0,p=[],item_width=E.find(".carousel-item").first().innerWidth(),v=2*item_width+e.padding,E.find(".carousel-item").each((function(){p.push(t(this)[0])})),b=p.length,T="transform",["webkit","Moz","O","ms"].every((function(t){var e=t+"Transform";return void 0===document.body.style[e]||(T=e,!1)})),window.onresize=s,i(),s(f),t(this).on("carouselNext",(function(t,e){void 0===e&&(e=1),f!==(x=f+v*e)&&(C=x-f,O=Date.now(),requestAnimationFrame(l))})),void t(this).on("carouselPrev",(function(t,e){void 0===e&&(e=1),f!==(x=f-v*e)&&(C=x-f,O=Date.now(),requestAnimationFrame(l))})))}))},next:function(e){t(this).trigger("carouselNext",[e])},prev:function(e){t(this).trigger("carouselPrev",[e])}};t.fn.carousel=function(i){return e[i]?e[i].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof i&&i?void t.error("Method "+i+" does not exist on jQuery.carousel"):e.init.apply(this,arguments)}}(jQuery),function(t,e,i){function n(t){return t}function o(t){return decodeURIComponent(t.replace(a," "))}var a=/\+/g,s=t.cookie=function(i,a,r){if(void 0!==a){if(r=t.extend({},s.defaults,r),null===a&&(r.expires=-1),"number"==typeof r.expires){var l=r.expires,u=r.expires=new Date;u.setDate(u.getDate()+l)}return a=s.json?JSON.stringify(a):String(a),e.cookie=[encodeURIComponent(i),"=",s.raw?a:encodeURIComponent(a),r.expires?"; expires="+r.expires.toUTCString():"",r.path?"; path="+r.path:"",r.domain?"; domain="+r.domain:"",r.secure?"; secure":""].join("")}for(var c=s.raw?n:o,d=e.cookie.split("; "),h=0,p=d.length;h<p;h++){var f=d[h].split("=");if(c(f.shift())===i){var m=c(f.join("="));return s.json?JSON.parse(m):m}}return null};s.defaults={},t.removeCookie=function(e,i){return null!==t.cookie(e)&&(t.cookie(e,null,i),!0)}}(jQuery,document),function(t){"use strict";"function"==typeof define&&define.amd?define(["jquery"],t):"undefined"!=typeof exports?module.exports=t(require("jquery")):t(jQuery)}((function(t){"use strict";var e=window.Slick||{};(e=function(){function e(e,n){var o,a=this;a.defaults={accessibility:!0,adaptiveHeight:!1,appendArrows:t(e),appendDots:t(e),arrows:!0,asNavFor:null,prevArrow:'<button type="button" data-role="none" class="slick-prev" aria-label="Previous" tabindex="0" role="button">Previous</button>',nextArrow:'<button type="button" data-role="none" class="slick-next" aria-label="Next" tabindex="0" role="button">Next</button>',autoplay:!1,autoplaySpeed:3e3,centerMode:!1,centerPadding:"50px",cssEase:"ease",customPaging:function(e,i){return t('<button type="button" data-role="none" role="button" tabindex="0" />').text(i+1)},dots:!1,dotsClass:"slick-dots",draggable:!0,easing:"linear",edgeFriction:.35,fade:!1,focusOnSelect:!1,infinite:!0,initialSlide:0,lazyLoad:"ondemand",mobileFirst:!1,pauseOnHover:!0,pauseOnFocus:!0,pauseOnDotsHover:!1,respondTo:"window",responsive:null,rows:1,rtl:!1,slide:"",slidesPerRow:1,slidesToShow:1,slidesToScroll:1,speed:500,swipe:!0,swipeToSlide:!1,touchMove:!0,touchThreshold:5,useCSS:!0,useTransform:!0,variableWidth:!1,vertical:!1,verticalSwiping:!1,waitForAnimate:!0,zIndex:1e3},a.initials={animating:!1,dragging:!1,autoPlayTimer:null,currentDirection:0,currentLeft:null,currentSlide:0,direction:1,$dots:null,listWidth:null,listHeight:null,loadIndex:0,$nextArrow:null,$prevArrow:null,slideCount:null,slideWidth:null,$slideTrack:null,$slides:null,sliding:!1,slideOffset:0,swipeLeft:null,$list:null,touchObject:{},transformsEnabled:!1,unslicked:!1},t.extend(a,a.initials),a.activeBreakpoint=null,a.animType=null,a.animProp=null,a.breakpoints=[],a.breakpointSettings=[],a.cssTransitions=!1,a.focussed=!1,a.interrupted=!1,a.hidden="hidden",a.paused=!0,a.positionProp=null,a.respondTo=null,a.rowCount=1,a.shouldClick=!0,a.$slider=t(e),a.$slidesCache=null,a.transformType=null,a.transitionType=null,a.visibilityChange="visibilitychange",a.windowWidth=0,a.windowTimer=null,o=t(e).data("slick")||{},a.options=t.extend({},a.defaults,n,o),a.currentSlide=a.options.initialSlide,a.originalSettings=a.options,void 0!==document.mozHidden?(a.hidden="mozHidden",a.visibilityChange="mozvisibilitychange"):void 0!==document.webkitHidden&&(a.hidden="webkitHidden",a.visibilityChange="webkitvisibilitychange"),a.autoPlay=t.proxy(a.autoPlay,a),a.autoPlayClear=t.proxy(a.autoPlayClear,a),a.autoPlayIterator=t.proxy(a.autoPlayIterator,a),a.changeSlide=t.proxy(a.changeSlide,a),a.clickHandler=t.proxy(a.clickHandler,a),a.selectHandler=t.proxy(a.selectHandler,a),a.setPosition=t.proxy(a.setPosition,a),a.swipeHandler=t.proxy(a.swipeHandler,a),a.dragHandler=t.proxy(a.dragHandler,a),a.keyHandler=t.proxy(a.keyHandler,a),a.instanceUid=i++,a.htmlExpr=/^(?:\s*(<[\w\W]+>)[^>]*)$/,a.registerBreakpoints(),a.init(!0)}var i=0;return e}()).prototype.activateADA=function(){var t;this.$slideTrack.find(".slick-active").attr({"aria-hidden":"false"}).find("a, input, button, select").attr({tabindex:"0"})},e.prototype.addSlide=e.prototype.slickAdd=function(e,i,n){var o=this;if("boolean"==typeof i)n=i,i=null;else if(0>i||i>=o.slideCount)return!1;o.unload(),"number"==typeof i?0===i&&0===o.$slides.length?t(e).appendTo(o.$slideTrack):n?t(e).insertBefore(o.$slides.eq(i)):t(e).insertAfter(o.$slides.eq(i)):!0===n?t(e).prependTo(o.$slideTrack):t(e).appendTo(o.$slideTrack),o.$slides=o.$slideTrack.children(this.options.slide),o.$slideTrack.children(this.options.slide).detach(),o.$slideTrack.append(o.$slides),o.$slides.each((function(e,i){t(i).attr("data-slick-index",e)})),o.$slidesCache=o.$slides,o.reinit()},e.prototype.animateHeight=function(){var t=this;if(1===t.options.slidesToShow&&!0===t.options.adaptiveHeight&&!1===t.options.vertical){var e=t.$slides.eq(t.currentSlide).outerHeight(!0);t.$list.animate({height:e},t.options.speed)}},e.prototype.animateSlide=function(e,i){var n={},o=this;o.animateHeight(),!0===o.options.rtl&&!1===o.options.vertical&&(e=-e),!1===o.transformsEnabled?!1===o.options.vertical?o.$slideTrack.animate({left:e},o.options.speed,o.options.easing,i):o.$slideTrack.animate({top:e},o.options.speed,o.options.easing,i):!1===o.cssTransitions?(!0===o.options.rtl&&(o.currentLeft=-o.currentLeft),t({animStart:o.currentLeft}).animate({animStart:e},{duration:o.options.speed,easing:o.options.easing,step:function(t){t=Math.ceil(t),!1===o.options.vertical?(n[o.animType]="translate("+t+"px, 0px)",o.$slideTrack.css(n)):(n[o.animType]="translate(0px,"+t+"px)",o.$slideTrack.css(n))},complete:function(){i&&i.call()}})):(o.applyTransition(),e=Math.ceil(e),!1===o.options.vertical?n[o.animType]="translate3d("+e+"px, 0px, 0px)":n[o.animType]="translate3d(0px,"+e+"px, 0px)",o.$slideTrack.css(n),i&&setTimeout((function(){o.disableTransition(),i.call()}),o.options.speed))},e.prototype.getNavTarget=function(){var e=this,i=e.options.asNavFor;return i&&null!==i&&(i=t(i).not(e.$slider)),i},e.prototype.asNavFor=function(e){var i,n=this.getNavTarget();null!==n&&"object"==typeof n&&n.each((function(){var i=t(this).slick("getSlick");i.unslicked||i.slideHandler(e,!0)}))},e.prototype.applyTransition=function(t){var e=this,i={};!1===e.options.fade?i[e.transitionType]=e.transformType+" "+e.options.speed+"ms "+e.options.cssEase:i[e.transitionType]="opacity "+e.options.speed+"ms "+e.options.cssEase,!1===e.options.fade?e.$slideTrack.css(i):e.$slides.eq(t).css(i)},e.prototype.autoPlay=function(){var t=this;t.autoPlayClear(),t.slideCount>t.options.slidesToShow&&(t.autoPlayTimer=setInterval(t.autoPlayIterator,t.options.autoplaySpeed))},e.prototype.autoPlayClear=function(){var t=this;t.autoPlayTimer&&clearInterval(t.autoPlayTimer)},e.prototype.autoPlayIterator=function(){var t=this,e=t.currentSlide+t.options.slidesToScroll;t.paused||t.interrupted||t.focussed||(!1===t.options.infinite&&(1===t.direction&&t.currentSlide+1===t.slideCount-1?t.direction=0:0===t.direction&&(e=t.currentSlide-t.options.slidesToScroll,t.currentSlide-1==0&&(t.direction=1))),t.slideHandler(e))},e.prototype.buildArrows=function(){var e=this;!0===e.options.arrows&&(e.$prevArrow=t(e.options.prevArrow).addClass("slick-arrow"),e.$nextArrow=t(e.options.nextArrow).addClass("slick-arrow"),e.slideCount>e.options.slidesToShow?(e.$prevArrow.removeClass("slick-hidden").removeAttr("aria-hidden tabindex"),e.$nextArrow.removeClass("slick-hidden").removeAttr("aria-hidden tabindex"),e.htmlExpr.test(e.options.prevArrow)&&e.$prevArrow.prependTo(e.options.appendArrows),e.htmlExpr.test(e.options.nextArrow)&&e.$nextArrow.appendTo(e.options.appendArrows),!0!==e.options.infinite&&e.$prevArrow.addClass("slick-disabled").attr("aria-disabled","true")):e.$prevArrow.add(e.$nextArrow).addClass("slick-hidden").attr({"aria-disabled":"true",tabindex:"-1"}))},e.prototype.buildDots=function(){var e,i,n=this;if(!0===n.options.dots&&n.slideCount>n.options.slidesToShow){for(n.$slider.addClass("slick-dotted"),i=t("<ul />").addClass(n.options.dotsClass),e=0;e<=n.getDotCount();e+=1)i.append(t("<li />").append(n.options.customPaging.call(this,n,e)));n.$dots=i.appendTo(n.options.appendDots),n.$dots.find("li").first().addClass("slick-active").attr("aria-hidden","false")}},e.prototype.buildOut=function(){var e=this;e.$slides=e.$slider.children(e.options.slide+":not(.slick-cloned)").addClass("slick-slide"),e.slideCount=e.$slides.length,e.$slides.each((function(e,i){t(i).attr("data-slick-index",e).data("originalStyling",t(i).attr("style")||"")})),e.$slider.addClass("slick-slider"),e.$slideTrack=0===e.slideCount?t('<div class="slick-track"/>').appendTo(e.$slider):e.$slides.wrapAll('<div class="slick-track"/>').parent(),e.$list=e.$slideTrack.wrap('<div aria-live="polite" class="slick-list"/>').parent(),e.$slideTrack.css("opacity",0),(!0===e.options.centerMode||!0===e.options.swipeToSlide)&&(e.options.slidesToScroll=1),t("img[data-lazy]",e.$slider).not("[src]").addClass("slick-loading"),e.setupInfinite(),e.buildArrows(),e.buildDots(),e.updateDots(),e.setSlideClasses("number"==typeof e.currentSlide?e.currentSlide:0),!0===e.options.draggable&&e.$list.addClass("draggable")},e.prototype.buildRows=function(){var t,e,i,n,o,a,s,r=this;if(n=document.createDocumentFragment(),a=r.$slider.children(),r.options.rows>1){for(s=r.options.slidesPerRow*r.options.rows,o=Math.ceil(a.length/s),t=0;o>t;t++){var l=document.createElement("div");for(e=0;e<r.options.rows;e++){var u=document.createElement("div");for(i=0;i<r.options.slidesPerRow;i++){var c=t*s+(e*r.options.slidesPerRow+i);a.get(c)&&u.appendChild(a.get(c))}l.appendChild(u)}n.appendChild(l)}r.$slider.empty().append(n),r.$slider.children().children().children().css({width:100/r.options.slidesPerRow+"%",display:"inline-block"})}},e.prototype.checkResponsive=function(e,i){var n,o,a,s=this,r=!1,l=s.$slider.width(),u=window.innerWidth||t(window).width();if("window"===s.respondTo?a=u:"slider"===s.respondTo?a=l:"min"===s.respondTo&&(a=Math.min(u,l)),s.options.responsive&&s.options.responsive.length&&null!==s.options.responsive){for(n in o=null,s.breakpoints)s.breakpoints.hasOwnProperty(n)&&(!1===s.originalSettings.mobileFirst?a<s.breakpoints[n]&&(o=s.breakpoints[n]):a>s.breakpoints[n]&&(o=s.breakpoints[n]));null!==o?null!==s.activeBreakpoint?(o!==s.activeBreakpoint||i)&&(s.activeBreakpoint=o,"unslick"===s.breakpointSettings[o]?s.unslick(o):(s.options=t.extend({},s.originalSettings,s.breakpointSettings[o]),!0===e&&(s.currentSlide=s.options.initialSlide),s.refresh(e)),r=o):(s.activeBreakpoint=o,"unslick"===s.breakpointSettings[o]?s.unslick(o):(s.options=t.extend({},s.originalSettings,s.breakpointSettings[o]),!0===e&&(s.currentSlide=s.options.initialSlide),s.refresh(e)),r=o):null!==s.activeBreakpoint&&(s.activeBreakpoint=null,s.options=s.originalSettings,!0===e&&(s.currentSlide=s.options.initialSlide),s.refresh(e),r=o),e||!1===r||s.$slider.trigger("breakpoint",[s,r])}},e.prototype.changeSlide=function(e,i){var n,o,a,s=this,r=t(e.currentTarget);switch(r.is("a")&&e.preventDefault(),r.is("li")||(r=r.closest("li")),n=(a=s.slideCount%s.options.slidesToScroll!=0)?0:(s.slideCount-s.currentSlide)%s.options.slidesToScroll,e.data.message){case"previous":o=0===n?s.options.slidesToScroll:s.options.slidesToShow-n,s.slideCount>s.options.slidesToShow&&s.slideHandler(s.currentSlide-o,!1,i);break;case"next":o=0===n?s.options.slidesToScroll:n,s.slideCount>s.options.slidesToShow&&s.slideHandler(s.currentSlide+o,!1,i);break;case"index":var l=0===e.data.index?0:e.data.index||r.index()*s.options.slidesToScroll;s.slideHandler(s.checkNavigable(l),!1,i),r.children().trigger("focus");break;default:return}},e.prototype.checkNavigable=function(t){var e,i,n;if(i=0,t>(e=this.getNavigableIndexes())[e.length-1])t=e[e.length-1];else for(var o in e){if(t<e[o]){t=i;break}i=e[o]}return t},e.prototype.cleanUpEvents=function(){var e=this;e.options.dots&&null!==e.$dots&&t("li",e.$dots).off("click.slick",e.changeSlide).off("mouseenter.slick",t.proxy(e.interrupt,e,!0)).off("mouseleave.slick",t.proxy(e.interrupt,e,!1)),e.$slider.off("focus.slick blur.slick"),!0===e.options.arrows&&e.slideCount>e.options.slidesToShow&&(e.$prevArrow&&e.$prevArrow.off("click.slick",e.changeSlide),e.$nextArrow&&e.$nextArrow.off("click.slick",e.changeSlide)),e.$list.off("touchstart.slick mousedown.slick",e.swipeHandler),e.$list.off("touchmove.slick mousemove.slick",e.swipeHandler),e.$list.off("touchend.slick mouseup.slick",e.swipeHandler),e.$list.off("touchcancel.slick mouseleave.slick",e.swipeHandler),e.$list.off("click.slick",e.clickHandler),t(document).off(e.visibilityChange,e.visibility),e.cleanUpSlideEvents(),!0===e.options.accessibility&&e.$list.off("keydown.slick",e.keyHandler),!0===e.options.focusOnSelect&&t(e.$slideTrack).children().off("click.slick",e.selectHandler),t(window).off("orientationchange.slick.slick-"+e.instanceUid,e.orientationChange),t(window).off("resize.slick.slick-"+e.instanceUid,e.resize),t("[draggable!=true]",e.$slideTrack).off("dragstart",e.preventDefault),t(window).off("load.slick.slick-"+e.instanceUid,e.setPosition),t(document).off("ready.slick.slick-"+e.instanceUid,e.setPosition)},e.prototype.cleanUpSlideEvents=function(){var e=this;e.$list.off("mouseenter.slick",t.proxy(e.interrupt,e,!0)),e.$list.off("mouseleave.slick",t.proxy(e.interrupt,e,!1))},e.prototype.cleanUpRows=function(){var t,e=this;e.options.rows>1&&((t=e.$slides.children().children()).removeAttr("style"),e.$slider.empty().append(t))},e.prototype.clickHandler=function(t){var e;!1===this.shouldClick&&(t.stopImmediatePropagation(),t.stopPropagation(),t.preventDefault())},e.prototype.destroy=function(e){var i=this;i.autoPlayClear(),i.touchObject={},i.cleanUpEvents(),t(".slick-cloned",i.$slider).detach(),i.$dots&&i.$dots.remove(),i.$prevArrow&&i.$prevArrow.length&&(i.$prevArrow.removeClass("slick-disabled slick-arrow slick-hidden").removeAttr("aria-hidden aria-disabled tabindex").css("display",""),i.htmlExpr.test(i.options.prevArrow)&&i.$prevArrow.remove()),i.$nextArrow&&i.$nextArrow.length&&(i.$nextArrow.removeClass("slick-disabled slick-arrow slick-hidden").removeAttr("aria-hidden aria-disabled tabindex").css("display",""),i.htmlExpr.test(i.options.nextArrow)&&i.$nextArrow.remove()),i.$slides&&(i.$slides.removeClass("slick-slide slick-active slick-center slick-visible slick-current").removeAttr("aria-hidden").removeAttr("data-slick-index").each((function(){t(this).attr("style",t(this).data("originalStyling"))})),i.$slideTrack.children(this.options.slide).detach(),i.$slideTrack.detach(),i.$list.detach(),i.$slider.append(i.$slides)),i.cleanUpRows(),i.$slider.removeClass("slick-slider"),i.$slider.removeClass("slick-initialized"),i.$slider.removeClass("slick-dotted"),i.unslicked=!0,e||i.$slider.trigger("destroy",[i])},e.prototype.disableTransition=function(t){var e=this,i={};i[e.transitionType]="",!1===e.options.fade?e.$slideTrack.css(i):e.$slides.eq(t).css(i)},e.prototype.fadeSlide=function(t,e){var i=this;!1===i.cssTransitions?(i.$slides.eq(t).css({zIndex:i.options.zIndex}),i.$slides.eq(t).animate({opacity:1},i.options.speed,i.options.easing,e)):(i.applyTransition(t),i.$slides.eq(t).css({opacity:1,zIndex:i.options.zIndex}),e&&setTimeout((function(){i.disableTransition(t),e.call()}),i.options.speed))},e.prototype.fadeSlideOut=function(t){var e=this;!1===e.cssTransitions?e.$slides.eq(t).animate({opacity:0,zIndex:e.options.zIndex-2},e.options.speed,e.options.easing):(e.applyTransition(t),e.$slides.eq(t).css({opacity:0,zIndex:e.options.zIndex-2}))},e.prototype.filterSlides=e.prototype.slickFilter=function(t){var e=this;null!==t&&(e.$slidesCache=e.$slides,e.unload(),e.$slideTrack.children(this.options.slide).detach(),e.$slidesCache.filter(t).appendTo(e.$slideTrack),e.reinit())},e.prototype.focusHandler=function(){var e=this;e.$slider.off("focus.slick blur.slick").on("focus.slick blur.slick","*:not(.slick-arrow)",(function(i){i.stopImmediatePropagation();var n=t(this);setTimeout((function(){e.options.pauseOnFocus&&(e.focussed=n.is(":focus"),e.autoPlay())}),0)}))},e.prototype.getCurrent=e.prototype.slickCurrentSlide=function(){var t;return this.currentSlide},e.prototype.getDotCount=function(){var t=this,e=0,i=0,n=0;if(!0===t.options.infinite)for(;e<t.slideCount;)++n,e=i+t.options.slidesToScroll,i+=t.options.slidesToScroll<=t.options.slidesToShow?t.options.slidesToScroll:t.options.slidesToShow;else if(!0===t.options.centerMode)n=t.slideCount;else if(t.options.asNavFor)for(;e<t.slideCount;)++n,e=i+t.options.slidesToScroll,i+=t.options.slidesToScroll<=t.options.slidesToShow?t.options.slidesToScroll:t.options.slidesToShow;else n=1+Math.ceil((t.slideCount-t.options.slidesToShow)/t.options.slidesToScroll);return n-1},e.prototype.getLeft=function(t){var e,i,n,o=this,a=0;return o.slideOffset=0,i=o.$slides.first().outerHeight(!0),!0===o.options.infinite?(o.slideCount>o.options.slidesToShow&&(o.slideOffset=o.slideWidth*o.options.slidesToShow*-1,a=i*o.options.slidesToShow*-1),o.slideCount%o.options.slidesToScroll!=0&&t+o.options.slidesToScroll>o.slideCount&&o.slideCount>o.options.slidesToShow&&(t>o.slideCount?(o.slideOffset=(o.options.slidesToShow-(t-o.slideCount))*o.slideWidth*-1,a=(o.options.slidesToShow-(t-o.slideCount))*i*-1):(o.slideOffset=o.slideCount%o.options.slidesToScroll*o.slideWidth*-1,a=o.slideCount%o.options.slidesToScroll*i*-1))):t+o.options.slidesToShow>o.slideCount&&(o.slideOffset=(t+o.options.slidesToShow-o.slideCount)*o.slideWidth,a=(t+o.options.slidesToShow-o.slideCount)*i),o.slideCount<=o.options.slidesToShow&&(o.slideOffset=0,a=0),!0===o.options.centerMode&&!0===o.options.infinite?o.slideOffset+=o.slideWidth*Math.floor(o.options.slidesToShow/2)-o.slideWidth:!0===o.options.centerMode&&(o.slideOffset=0,o.slideOffset+=o.slideWidth*Math.floor(o.options.slidesToShow/2)),e=!1===o.options.vertical?t*o.slideWidth*-1+o.slideOffset:t*i*-1+a,!0===o.options.variableWidth&&(n=o.slideCount<=o.options.slidesToShow||!1===o.options.infinite?o.$slideTrack.children(".slick-slide").eq(t):o.$slideTrack.children(".slick-slide").eq(t+o.options.slidesToShow),e=!0===o.options.rtl?n[0]?-1*(o.$slideTrack.width()-n[0].offsetLeft-n.width()):0:n[0]?-1*n[0].offsetLeft:0,!0===o.options.centerMode&&(n=o.slideCount<=o.options.slidesToShow||!1===o.options.infinite?o.$slideTrack.children(".slick-slide").eq(t):o.$slideTrack.children(".slick-slide").eq(t+o.options.slidesToShow+1),e=!0===o.options.rtl?n[0]?-1*(o.$slideTrack.width()-n[0].offsetLeft-n.width()):0:n[0]?-1*n[0].offsetLeft:0,e+=(o.$list.width()-n.outerWidth())/2)),e},e.prototype.getOption=e.prototype.slickGetOption=function(t){var e;return this.options[t]},e.prototype.getNavigableIndexes=function(){var t,e=this,i=0,n=0,o=[];for(!1===e.options.infinite?t=e.slideCount:(i=-1*e.options.slidesToScroll,n=-1*e.options.slidesToScroll,t=2*e.slideCount);t>i;)o.push(i),i=n+e.options.slidesToScroll,n+=e.options.slidesToScroll<=e.options.slidesToShow?e.options.slidesToScroll:e.options.slidesToShow;return o},e.prototype.getSlick=function(){return this},e.prototype.getSlideCount=function(){var e,i,n,o=this;return n=!0===o.options.centerMode?o.slideWidth*Math.floor(o.options.slidesToShow/2):0,!0===o.options.swipeToSlide?(o.$slideTrack.find(".slick-slide").each((function(e,a){return a.offsetLeft-n+t(a).outerWidth()/2>-1*o.swipeLeft?(i=a,!1):void 0})),e=Math.abs(t(i).attr("data-slick-index")-o.currentSlide)||1):o.options.slidesToScroll},e.prototype.goTo=e.prototype.slickGoTo=function(t,e){var i;this.changeSlide({data:{message:"index",index:parseInt(t)}},e)},e.prototype.init=function(e){var i=this;t(i.$slider).hasClass("slick-initialized")||(t(i.$slider).addClass("slick-initialized"),i.buildRows(),i.buildOut(),i.setProps(),i.startLoad(),i.loadSlider(),i.initializeEvents(),i.updateArrows(),i.updateDots(),i.checkResponsive(!0),i.focusHandler()),e&&i.$slider.trigger("init",[i]),!0===i.options.accessibility&&i.initADA(),i.options.autoplay&&(i.paused=!1,i.autoPlay())},e.prototype.initADA=function(){var e=this;e.$slides.add(e.$slideTrack.find(".slick-cloned")).attr({"aria-hidden":"true",tabindex:"-1"}).find("a, input, button, select").attr({tabindex:"-1"}),e.$slideTrack.attr("role","listbox"),e.$slides.not(e.$slideTrack.find(".slick-cloned")).each((function(i){t(this).attr({role:"option","aria-describedby":"slick-slide"+e.instanceUid+i})})),null!==e.$dots&&e.$dots.attr("role","tablist").find("li").each((function(i){t(this).attr({role:"presentation","aria-selected":"false","aria-controls":"navigation"+e.instanceUid+i,id:"slick-slide"+e.instanceUid+i})})).first().attr("aria-selected","true").end().find("button").attr("role","button").end().closest("div").attr("role","toolbar"),e.activateADA()},e.prototype.initArrowEvents=function(){var t=this;!0===t.options.arrows&&t.slideCount>t.options.slidesToShow&&(t.$prevArrow.off("click.slick").on("click.slick",{message:"previous"},t.changeSlide),t.$nextArrow.off("click.slick").on("click.slick",{message:"next"},t.changeSlide))},e.prototype.initDotEvents=function(){var e=this;!0===e.options.dots&&e.slideCount>e.options.slidesToShow&&t("li",e.$dots).on("click.slick",{message:"index"},e.changeSlide),!0===e.options.dots&&!0===e.options.pauseOnDotsHover&&t("li",e.$dots).on("mouseenter.slick",t.proxy(e.interrupt,e,!0)).on("mouseleave.slick",t.proxy(e.interrupt,e,!1))},e.prototype.initSlideEvents=function(){var e=this;e.options.pauseOnHover&&(e.$list.on("mouseenter.slick",t.proxy(e.interrupt,e,!0)),e.$list.on("mouseleave.slick",t.proxy(e.interrupt,e,!1)))},e.prototype.initializeEvents=function(){var e=this;e.initArrowEvents(),e.initDotEvents(),e.initSlideEvents(),e.$list.on("touchstart.slick mousedown.slick",{action:"start"},e.swipeHandler),e.$list.on("touchmove.slick mousemove.slick",{action:"move"},e.swipeHandler),e.$list.on("touchend.slick mouseup.slick",{action:"end"},e.swipeHandler),e.$list.on("touchcancel.slick mouseleave.slick",{action:"end"},e.swipeHandler),e.$list.on("click.slick",e.clickHandler),t(document).on(e.visibilityChange,t.proxy(e.visibility,e)),!0===e.options.accessibility&&e.$list.on("keydown.slick",e.keyHandler),!0===e.options.focusOnSelect&&t(e.$slideTrack).children().on("click.slick",e.selectHandler),t(window).on("orientationchange.slick.slick-"+e.instanceUid,t.proxy(e.orientationChange,e)),t(window).on("resize.slick.slick-"+e.instanceUid,t.proxy(e.resize,e)),t("[draggable!=true]",e.$slideTrack).on("dragstart",e.preventDefault),t(window).on("load.slick.slick-"+e.instanceUid,e.setPosition),t(document).on("ready.slick.slick-"+e.instanceUid,e.setPosition)},e.prototype.initUI=function(){var t=this;!0===t.options.arrows&&t.slideCount>t.options.slidesToShow&&(t.$prevArrow.show(),t.$nextArrow.show()),!0===t.options.dots&&t.slideCount>t.options.slidesToShow&&t.$dots.show()},e.prototype.keyHandler=function(t){var e=this;t.target.tagName.match("TEXTAREA|INPUT|SELECT")||(37===t.keyCode&&!0===e.options.accessibility?e.changeSlide({data:{message:!0===e.options.rtl?"next":"previous"}}):39===t.keyCode&&!0===e.options.accessibility&&e.changeSlide({data:{message:!0===e.options.rtl?"previous":"next"}}))},e.prototype.lazyLoad=function(){function e(e){t("img[data-lazy]",e).each((function(){var e=t(this),i=t(this).attr("data-lazy"),n=document.createElement("img");n.onload=function(){e.animate({opacity:0},100,(function(){e.attr("src",i).animate({opacity:1},200,(function(){e.removeAttr("data-lazy").removeClass("slick-loading")})),s.$slider.trigger("lazyLoaded",[s,e,i])}))},n.onerror=function(){e.removeAttr("data-lazy").removeClass("slick-loading").addClass("slick-lazyload-error"),s.$slider.trigger("lazyLoadError",[s,e,i])},n.src=i}))}var i,n,o,a,s=this;!0===s.options.centerMode?!0===s.options.infinite?a=(o=s.currentSlide+(s.options.slidesToShow/2+1))+s.options.slidesToShow+2:(o=Math.max(0,s.currentSlide-(s.options.slidesToShow/2+1)),a=s.options.slidesToShow/2+1+2+s.currentSlide):(o=s.options.infinite?s.options.slidesToShow+s.currentSlide:s.currentSlide,a=Math.ceil(o+s.options.slidesToShow),!0===s.options.fade&&(o>0&&o--,a<=s.slideCount&&a++)),e(i=s.$slider.find(".slick-slide").slice(o,a)),s.slideCount<=s.options.slidesToShow?e(n=s.$slider.find(".slick-slide")):s.currentSlide>=s.slideCount-s.options.slidesToShow?e(n=s.$slider.find(".slick-cloned").slice(0,s.options.slidesToShow)):0===s.currentSlide&&e(n=s.$slider.find(".slick-cloned").slice(-1*s.options.slidesToShow))},e.prototype.loadSlider=function(){var t=this;t.setPosition(),t.$slideTrack.css({opacity:1}),t.$slider.removeClass("slick-loading"),t.initUI(),"progressive"===t.options.lazyLoad&&t.progressiveLazyLoad()},e.prototype.next=e.prototype.slickNext=function(){var t;this.changeSlide({data:{message:"next"}})},e.prototype.orientationChange=function(){var t=this;t.checkResponsive(),t.setPosition()},e.prototype.pause=e.prototype.slickPause=function(){var t=this;t.autoPlayClear(),t.paused=!0},e.prototype.play=e.prototype.slickPlay=function(){var t=this;t.autoPlay(),t.options.autoplay=!0,t.paused=!1,t.focussed=!1,t.interrupted=!1},e.prototype.postSlide=function(t){var e=this;e.unslicked||(e.$slider.trigger("afterChange",[e,t]),e.animating=!1,e.setPosition(),e.swipeLeft=null,e.options.autoplay&&e.autoPlay(),!0===e.options.accessibility&&e.initADA())},e.prototype.prev=e.prototype.slickPrev=function(){var t;this.changeSlide({data:{message:"previous"}})},e.prototype.preventDefault=function(t){t.preventDefault()},e.prototype.progressiveLazyLoad=function(e){e=e||1;var i,n,o,a=this,s=t("img[data-lazy]",a.$slider);s.length?(i=s.first(),n=i.attr("data-lazy"),(o=document.createElement("img")).onload=function(){i.attr("src",n).removeAttr("data-lazy").removeClass("slick-loading"),!0===a.options.adaptiveHeight&&a.setPosition(),a.$slider.trigger("lazyLoaded",[a,i,n]),a.progressiveLazyLoad()},o.onerror=function(){3>e?setTimeout((function(){a.progressiveLazyLoad(e+1)}),500):(i.removeAttr("data-lazy").removeClass("slick-loading").addClass("slick-lazyload-error"),a.$slider.trigger("lazyLoadError",[a,i,n]),a.progressiveLazyLoad())},
o.src=n):a.$slider.trigger("allImagesLoaded",[a])},e.prototype.refresh=function(e){var i,n,o=this;n=o.slideCount-o.options.slidesToShow,!o.options.infinite&&o.currentSlide>n&&(o.currentSlide=n),o.slideCount<=o.options.slidesToShow&&(o.currentSlide=0),i=o.currentSlide,o.destroy(!0),t.extend(o,o.initials,{currentSlide:i}),o.init(),e||o.changeSlide({data:{message:"index",index:i}},!1)},e.prototype.registerBreakpoints=function(){var e,i,n,o=this,a=o.options.responsive||null;if("array"===t.type(a)&&a.length){for(e in o.respondTo=o.options.respondTo||"window",a)if(n=o.breakpoints.length-1,i=a[e].breakpoint,a.hasOwnProperty(e)){for(;n>=0;)o.breakpoints[n]&&o.breakpoints[n]===i&&o.breakpoints.splice(n,1),n--;o.breakpoints.push(i),o.breakpointSettings[i]=a[e].settings}o.breakpoints.sort((function(t,e){return o.options.mobileFirst?t-e:e-t}))}},e.prototype.reinit=function(){var e=this;e.$slides=e.$slideTrack.children(e.options.slide).addClass("slick-slide"),e.slideCount=e.$slides.length,e.currentSlide>=e.slideCount&&0!==e.currentSlide&&(e.currentSlide=e.currentSlide-e.options.slidesToScroll),e.slideCount<=e.options.slidesToShow&&(e.currentSlide=0),e.registerBreakpoints(),e.setProps(),e.setupInfinite(),e.buildArrows(),e.updateArrows(),e.initArrowEvents(),e.buildDots(),e.updateDots(),e.initDotEvents(),e.cleanUpSlideEvents(),e.initSlideEvents(),e.checkResponsive(!1,!0),!0===e.options.focusOnSelect&&t(e.$slideTrack).children().on("click.slick",e.selectHandler),e.setSlideClasses("number"==typeof e.currentSlide?e.currentSlide:0),e.setPosition(),e.focusHandler(),e.paused=!e.options.autoplay,e.autoPlay(),e.$slider.trigger("reInit",[e])},e.prototype.resize=function(){var e=this;t(window).width()!==e.windowWidth&&(clearTimeout(e.windowDelay),e.windowDelay=window.setTimeout((function(){e.windowWidth=t(window).width(),e.checkResponsive(),e.unslicked||e.setPosition()}),50))},e.prototype.removeSlide=e.prototype.slickRemove=function(t,e,i){var n=this;return"boolean"==typeof t?t=!0===(e=t)?0:n.slideCount-1:t=!0===e?--t:t,!(n.slideCount<1||0>t||t>n.slideCount-1)&&(n.unload(),!0===i?n.$slideTrack.children().remove():n.$slideTrack.children(this.options.slide).eq(t).remove(),n.$slides=n.$slideTrack.children(this.options.slide),n.$slideTrack.children(this.options.slide).detach(),n.$slideTrack.append(n.$slides),n.$slidesCache=n.$slides,void n.reinit())},e.prototype.setCSS=function(t){var e,i,n=this,o={};!0===n.options.rtl&&(t=-t),e="left"==n.positionProp?Math.ceil(t)+"px":"0px",i="top"==n.positionProp?Math.ceil(t)+"px":"0px",o[n.positionProp]=t,!1===n.transformsEnabled?n.$slideTrack.css(o):(o={},!1===n.cssTransitions?(o[n.animType]="translate("+e+", "+i+")",n.$slideTrack.css(o)):(o[n.animType]="translate3d("+e+", "+i+", 0px)",n.$slideTrack.css(o)))},e.prototype.setDimensions=function(){var t=this;!1===t.options.vertical?!0===t.options.centerMode&&t.$list.css({padding:"0px "+t.options.centerPadding}):(t.$list.height(t.$slides.first().outerHeight(!0)*t.options.slidesToShow),!0===t.options.centerMode&&t.$list.css({padding:t.options.centerPadding+" 0px"})),t.listWidth=t.$list.width(),t.listHeight=t.$list.height(),!1===t.options.vertical&&!1===t.options.variableWidth?(t.slideWidth=Math.ceil(t.listWidth/t.options.slidesToShow),t.$slideTrack.width(Math.ceil(t.slideWidth*t.$slideTrack.children(".slick-slide").length))):!0===t.options.variableWidth?t.$slideTrack.width(5e3*t.slideCount):(t.slideWidth=Math.ceil(t.listWidth),t.$slideTrack.height(Math.ceil(t.$slides.first().outerHeight(!0)*t.$slideTrack.children(".slick-slide").length)));var e=t.$slides.first().outerWidth(!0)-t.$slides.first().width();!1===t.options.variableWidth&&t.$slideTrack.children(".slick-slide").width(t.slideWidth-e)},e.prototype.setFade=function(){var e,i=this;i.$slides.each((function(n,o){e=i.slideWidth*n*-1,!0===i.options.rtl?t(o).css({position:"relative",right:e,top:0,zIndex:i.options.zIndex-2,opacity:0}):t(o).css({position:"relative",left:e,top:0,zIndex:i.options.zIndex-2,opacity:0})})),i.$slides.eq(i.currentSlide).css({zIndex:i.options.zIndex-1,opacity:1})},e.prototype.setHeight=function(){var t=this;if(1===t.options.slidesToShow&&!0===t.options.adaptiveHeight&&!1===t.options.vertical){var e=t.$slides.eq(t.currentSlide).outerHeight(!0);t.$list.css("height",e)}},e.prototype.setOption=e.prototype.slickSetOption=function(e,i,n){var o,a,s,r,l,u=this,c=!1;if("object"===t.type(e)?(s=e,c=i,l="multiple"):"string"===t.type(e)&&(s=e,r=i,c=n,"responsive"===e&&"array"===t.type(i)?l="responsive":void 0!==i&&(l="single")),"single"===l)u.options[s]=r;else if("multiple"===l)t.each(s,(function(t,e){u.options[t]=e}));else if("responsive"===l)for(a in r)if("array"!==t.type(u.options.responsive))u.options.responsive=[r[a]];else{for(o=u.options.responsive.length-1;o>=0;)u.options.responsive[o].breakpoint===r[a].breakpoint&&u.options.responsive.splice(o,1),o--;u.options.responsive.push(r[a])}c&&(u.unload(),u.reinit())},e.prototype.setPosition=function(){var t=this;t.setDimensions(),t.setHeight(),!1===t.options.fade?t.setCSS(t.getLeft(t.currentSlide)):t.setFade(),t.$slider.trigger("setPosition",[t])},e.prototype.setProps=function(){var t=this,e=document.body.style;t.positionProp=!0===t.options.vertical?"top":"left","top"===t.positionProp?t.$slider.addClass("slick-vertical"):t.$slider.removeClass("slick-vertical"),(void 0!==e.WebkitTransition||void 0!==e.MozTransition||void 0!==e.msTransition)&&!0===t.options.useCSS&&(t.cssTransitions=!0),t.options.fade&&("number"==typeof t.options.zIndex?t.options.zIndex<3&&(t.options.zIndex=3):t.options.zIndex=t.defaults.zIndex),void 0!==e.OTransform&&(t.animType="OTransform",t.transformType="-o-transform",t.transitionType="OTransition",void 0===e.perspectiveProperty&&void 0===e.webkitPerspective&&(t.animType=!1)),void 0!==e.MozTransform&&(t.animType="MozTransform",t.transformType="-moz-transform",t.transitionType="MozTransition",void 0===e.perspectiveProperty&&void 0===e.MozPerspective&&(t.animType=!1)),void 0!==e.webkitTransform&&(t.animType="webkitTransform",t.transformType="-webkit-transform",t.transitionType="webkitTransition",void 0===e.perspectiveProperty&&void 0===e.webkitPerspective&&(t.animType=!1)),void 0!==e.msTransform&&(t.animType="msTransform",t.transformType="-ms-transform",t.transitionType="msTransition",void 0===e.msTransform&&(t.animType=!1)),void 0!==e.transform&&!1!==t.animType&&(t.animType="transform",t.transformType="transform",t.transitionType="transition"),t.transformsEnabled=t.options.useTransform&&null!==t.animType&&!1!==t.animType},e.prototype.setSlideClasses=function(t){var e,i,n,o,a=this;i=a.$slider.find(".slick-slide").removeClass("slick-active slick-center slick-current").attr("aria-hidden","true"),a.$slides.eq(t).addClass("slick-current"),!0===a.options.centerMode?(e=Math.floor(a.options.slidesToShow/2),!0===a.options.infinite&&(t>=e&&t<=a.slideCount-1-e?a.$slides.slice(t-e,t+e+1).addClass("slick-active").attr("aria-hidden","false"):(n=a.options.slidesToShow+t,i.slice(n-e+1,n+e+2).addClass("slick-active").attr("aria-hidden","false")),0===t?i.eq(i.length-1-a.options.slidesToShow).addClass("slick-center"):t===a.slideCount-1&&i.eq(a.options.slidesToShow).addClass("slick-center")),a.$slides.eq(t).addClass("slick-center")):t>=0&&t<=a.slideCount-a.options.slidesToShow?a.$slides.slice(t,t+a.options.slidesToShow).addClass("slick-active").attr("aria-hidden","false"):i.length<=a.options.slidesToShow?i.addClass("slick-active").attr("aria-hidden","false"):(o=a.slideCount%a.options.slidesToShow,n=!0===a.options.infinite?a.options.slidesToShow+t:t,a.options.slidesToShow==a.options.slidesToScroll&&a.slideCount-t<a.options.slidesToShow?i.slice(n-(a.options.slidesToShow-o),n+o).addClass("slick-active").attr("aria-hidden","false"):i.slice(n,n+a.options.slidesToShow).addClass("slick-active").attr("aria-hidden","false")),"ondemand"===a.options.lazyLoad&&a.lazyLoad()},e.prototype.setupInfinite=function(){var e,i,n,o=this;if(!0===o.options.fade&&(o.options.centerMode=!1),!0===o.options.infinite&&!1===o.options.fade&&(i=null,o.slideCount>o.options.slidesToShow)){for(n=!0===o.options.centerMode?o.options.slidesToShow+1:o.options.slidesToShow,e=o.slideCount;e>o.slideCount-n;e-=1)i=e-1,t(o.$slides[i]).clone(!0).attr("id","").attr("data-slick-index",i-o.slideCount).prependTo(o.$slideTrack).addClass("slick-cloned");for(e=0;n>e;e+=1)i=e,t(o.$slides[i]).clone(!0).attr("id","").attr("data-slick-index",i+o.slideCount).appendTo(o.$slideTrack).addClass("slick-cloned");o.$slideTrack.find(".slick-cloned").find("[id]").each((function(){t(this).attr("id","")}))}},e.prototype.interrupt=function(t){var e=this;t||e.autoPlay(),e.interrupted=t},e.prototype.selectHandler=function(e){var i=this,n=t(e.target).is(".slick-slide")?t(e.target):t(e.target).parents(".slick-slide"),o=parseInt(n.attr("data-slick-index"));return o||(o=0),i.slideCount<=i.options.slidesToShow?(i.setSlideClasses(o),void i.asNavFor(o)):void i.slideHandler(o)},e.prototype.slideHandler=function(t,e,i){var n,o,a,s,r,l=null,u=this;return e=e||!1,!0===u.animating&&!0===u.options.waitForAnimate||!0===u.options.fade&&u.currentSlide===t||u.slideCount<=u.options.slidesToShow?void 0:(!1===e&&u.asNavFor(t),n=t,l=u.getLeft(n),s=u.getLeft(u.currentSlide),u.currentLeft=null===u.swipeLeft?s:u.swipeLeft,!1===u.options.infinite&&!1===u.options.centerMode&&(0>t||t>u.getDotCount()*u.options.slidesToScroll)||!1===u.options.infinite&&!0===u.options.centerMode&&(0>t||t>u.slideCount-u.options.slidesToScroll)?void(!1===u.options.fade&&(n=u.currentSlide,!0!==i?u.animateSlide(s,(function(){u.postSlide(n)})):u.postSlide(n))):(u.options.autoplay&&clearInterval(u.autoPlayTimer),o=0>n?u.slideCount%u.options.slidesToScroll!=0?u.slideCount-u.slideCount%u.options.slidesToScroll:u.slideCount+n:n>=u.slideCount?u.slideCount%u.options.slidesToScroll!=0?0:n-u.slideCount:n,u.animating=!0,u.$slider.trigger("beforeChange",[u,u.currentSlide,o]),a=u.currentSlide,u.currentSlide=o,u.setSlideClasses(u.currentSlide),u.options.asNavFor&&((r=(r=u.getNavTarget()).slick("getSlick")).slideCount<=r.options.slidesToShow&&r.setSlideClasses(u.currentSlide)),u.updateDots(),u.updateArrows(),!0===u.options.fade?(!0!==i?(u.fadeSlideOut(a),u.fadeSlide(o,(function(){u.postSlide(o)}))):u.postSlide(o),void u.animateHeight()):void(!0!==i?u.animateSlide(l,(function(){u.postSlide(o)})):u.postSlide(o))))},e.prototype.startLoad=function(){var t=this;!0===t.options.arrows&&t.slideCount>t.options.slidesToShow&&(t.$prevArrow.hide(),t.$nextArrow.hide()),!0===t.options.dots&&t.slideCount>t.options.slidesToShow&&t.$dots.hide(),t.$slider.addClass("slick-loading")},e.prototype.swipeDirection=function(){var t,e,i,n,o=this;return t=o.touchObject.startX-o.touchObject.curX,e=o.touchObject.startY-o.touchObject.curY,i=Math.atan2(e,t),0>(n=Math.round(180*i/Math.PI))&&(n=360-Math.abs(n)),45>=n&&n>=0||360>=n&&n>=315?!1===o.options.rtl?"left":"right":n>=135&&225>=n?!1===o.options.rtl?"right":"left":!0===o.options.verticalSwiping?n>=35&&135>=n?"down":"up":"vertical"},e.prototype.swipeEnd=function(t){var e,i,n=this;if(n.dragging=!1,n.interrupted=!1,n.shouldClick=!(n.touchObject.swipeLength>10),void 0===n.touchObject.curX)return!1;if(!0===n.touchObject.edgeHit&&n.$slider.trigger("edge",[n,n.swipeDirection()]),n.touchObject.swipeLength>=n.touchObject.minSwipe){switch(i=n.swipeDirection()){case"left":case"down":e=n.options.swipeToSlide?n.checkNavigable(n.currentSlide+n.getSlideCount()):n.currentSlide+n.getSlideCount(),n.currentDirection=0;break;case"right":case"up":e=n.options.swipeToSlide?n.checkNavigable(n.currentSlide-n.getSlideCount()):n.currentSlide-n.getSlideCount(),n.currentDirection=1}"vertical"!=i&&(n.slideHandler(e),n.touchObject={},n.$slider.trigger("swipe",[n,i]))}else n.touchObject.startX!==n.touchObject.curX&&(n.slideHandler(n.currentSlide),n.touchObject={})},e.prototype.swipeHandler=function(t){var e=this;if(!(!1===e.options.swipe||"ontouchend"in document&&!1===e.options.swipe||!1===e.options.draggable&&-1!==t.type.indexOf("mouse")))switch(e.touchObject.fingerCount=t.originalEvent&&void 0!==t.originalEvent.touches?t.originalEvent.touches.length:1,e.touchObject.minSwipe=e.listWidth/e.options.touchThreshold,!0===e.options.verticalSwiping&&(e.touchObject.minSwipe=e.listHeight/e.options.touchThreshold),t.data.action){case"start":e.swipeStart(t);break;case"move":e.swipeMove(t);break;case"end":e.swipeEnd(t)}},e.prototype.swipeMove=function(t){var e,i,n,o,a,s=this;return a=void 0!==t.originalEvent?t.originalEvent.touches:null,!(!s.dragging||a&&1!==a.length)&&(e=s.getLeft(s.currentSlide),s.touchObject.curX=void 0!==a?a[0].pageX:t.clientX,s.touchObject.curY=void 0!==a?a[0].pageY:t.clientY,s.touchObject.swipeLength=Math.round(Math.sqrt(Math.pow(s.touchObject.curX-s.touchObject.startX,2))),!0===s.options.verticalSwiping&&(s.touchObject.swipeLength=Math.round(Math.sqrt(Math.pow(s.touchObject.curY-s.touchObject.startY,2)))),"vertical"!==(i=s.swipeDirection())?(void 0!==t.originalEvent&&s.touchObject.swipeLength>4&&t.preventDefault(),o=(!1===s.options.rtl?1:-1)*(s.touchObject.curX>s.touchObject.startX?1:-1),!0===s.options.verticalSwiping&&(o=s.touchObject.curY>s.touchObject.startY?1:-1),n=s.touchObject.swipeLength,s.touchObject.edgeHit=!1,!1===s.options.infinite&&(0===s.currentSlide&&"right"===i||s.currentSlide>=s.getDotCount()&&"left"===i)&&(n=s.touchObject.swipeLength*s.options.edgeFriction,s.touchObject.edgeHit=!0),!1===s.options.vertical?s.swipeLeft=e+n*o:s.swipeLeft=e+n*(s.$list.height()/s.listWidth)*o,!0===s.options.verticalSwiping&&(s.swipeLeft=e+n*o),!0!==s.options.fade&&!1!==s.options.touchMove&&(!0===s.animating?(s.swipeLeft=null,!1):void s.setCSS(s.swipeLeft))):void 0)},e.prototype.swipeStart=function(t){var e,i=this;return i.interrupted=!0,1!==i.touchObject.fingerCount||i.slideCount<=i.options.slidesToShow?(i.touchObject={},!1):(void 0!==t.originalEvent&&void 0!==t.originalEvent.touches&&(e=t.originalEvent.touches[0]),i.touchObject.startX=i.touchObject.curX=void 0!==e?e.pageX:t.clientX,i.touchObject.startY=i.touchObject.curY=void 0!==e?e.pageY:t.clientY,void(i.dragging=!0))},e.prototype.unfilterSlides=e.prototype.slickUnfilter=function(){var t=this;null!==t.$slidesCache&&(t.unload(),t.$slideTrack.children(this.options.slide).detach(),t.$slidesCache.appendTo(t.$slideTrack),t.reinit())},e.prototype.unload=function(){var e=this;t(".slick-cloned",e.$slider).remove(),e.$dots&&e.$dots.remove(),e.$prevArrow&&e.htmlExpr.test(e.options.prevArrow)&&e.$prevArrow.remove(),e.$nextArrow&&e.htmlExpr.test(e.options.nextArrow)&&e.$nextArrow.remove(),e.$slides.removeClass("slick-slide slick-active slick-visible slick-current").attr("aria-hidden","true").css("width","")},e.prototype.unslick=function(t){var e=this;e.$slider.trigger("unslick",[e,t]),e.destroy()},e.prototype.updateArrows=function(){var t,e=this;t=Math.floor(e.options.slidesToShow/2),!0===e.options.arrows&&e.slideCount>e.options.slidesToShow&&!e.options.infinite&&(e.$prevArrow.removeClass("slick-disabled").attr("aria-disabled","false"),e.$nextArrow.removeClass("slick-disabled").attr("aria-disabled","false"),0===e.currentSlide?(e.$prevArrow.addClass("slick-disabled").attr("aria-disabled","true"),e.$nextArrow.removeClass("slick-disabled").attr("aria-disabled","false")):(e.currentSlide>=e.slideCount-e.options.slidesToShow&&!1===e.options.centerMode||e.currentSlide>=e.slideCount-1&&!0===e.options.centerMode)&&(e.$nextArrow.addClass("slick-disabled").attr("aria-disabled","true"),e.$prevArrow.removeClass("slick-disabled").attr("aria-disabled","false")))},e.prototype.updateDots=function(){var t=this;null!==t.$dots&&(t.$dots.find("li").removeClass("slick-active").attr("aria-hidden","true"),t.$dots.find("li").eq(Math.floor(t.currentSlide/t.options.slidesToScroll)).addClass("slick-active").attr("aria-hidden","false"))},e.prototype.visibility=function(){var t=this;t.options.autoplay&&(document[t.hidden]?t.interrupted=!0:t.interrupted=!1)},t.fn.slick=function(t){var i,n,o=this,a=t,s=Array.prototype.slice.call(arguments,1),r=o.length;for(i=0;r>i;i++)if("object"==typeof a||void 0===a?o[i].slick=new e(o[i],a):n=o[i].slick[a].apply(o[i].slick,s),void 0!==n)return n;return o}})),function(t){"object"==typeof exports?module.exports=t(require("jquery")):"function"==typeof define&&define.amd?define(["jquery"],t):t(jQuery)}((function(t){"use strict";var e={},i=Math.max,n=Math.min;e.c={},e.c.d=t(document),e.c.t=function(t){return t.originalEvent.touches.length-1},e.o=function(){var i=this;this.o=null,this.$=null,this.i=null,this.g=null,this.v=null,this.cv=null,this.x=0,this.y=0,this.w=0,this.h=0,this.$c=null,this.c=null,this.t=0,this.isInit=!1,this.fgColor=null,this.pColor=null,this.dH=null,this.cH=null,this.eH=null,this.rH=null,this.scale=1,this.relative=!1,this.relativeWidth=!1,this.relativeHeight=!1,this.$div=null,this.run=function(){var e=function(t,e){var n;for(n in e)i.o[n]=e[n];i._carve().init(),i._configure()._draw()};if(!this.$.data("kontroled")){if(this.$.data("kontroled",!0),this.extend(),this.o=t.extend({min:void 0!==this.$.data("min")?this.$.data("min"):0,max:void 0!==this.$.data("max")?this.$.data("max"):100,stopper:!0,readOnly:this.$.data("readonly")||"readonly"===this.$.attr("readonly"),cursor:(!0===this.$.data("cursor")?30:this.$.data("cursor"))||0,thickness:this.$.data("thickness")&&Math.max(Math.min(this.$.data("thickness"),1),.01)||.35,lineCap:this.$.data("linecap")||"butt",width:this.$.data("width")||200,height:this.$.data("height")||200,displayInput:null==this.$.data("displayinput")||this.$.data("displayinput"),displayPrevious:this.$.data("displayprevious"),fgColor:this.$.data("fgcolor")||"#87CEEB",inputColor:this.$.data("inputcolor"),font:this.$.data("font")||"Arial",fontWeight:this.$.data("font-weight")||"bold",inline:!1,step:this.$.data("step")||1,rotation:this.$.data("rotation"),draw:null,change:null,cancel:null,release:null,format:function(t){return t},parse:function(t){return parseFloat(t)}},this.o),this.o.flip="anticlockwise"===this.o.rotation||"acw"===this.o.rotation,this.o.inputColor||(this.o.inputColor=this.o.fgColor),this.$.is("fieldset")?(this.v={},this.i=this.$.find("input"),this.i.each((function(e){var n=t(this);i.i[e]=n,i.v[e]=i.o.parse(n.val()),n.bind("change blur",(function(){var t={};t[e]=n.val(),i.val(i._validate(t))}))})),this.$.find("legend").remove()):(this.i=this.$,this.v=this.o.parse(this.$.val()),""===this.v&&(this.v=this.o.min),this.$.bind("change blur",(function(){i.val(i._validate(i.o.parse(i.$.val())))}))),!this.o.displayInput&&this.$.hide(),this.$c=t(document.createElement("canvas")).attr({width:this.o.width,height:this.o.height}),this.$div=t('<div style="'+(this.o.inline?"display:inline;":"")+"width:"+this.o.width+"px;height:"+this.o.height+'px;"></div>'),this.$.wrap(this.$div).before(this.$c),this.$div=this.$.parent(),"undefined"!=typeof G_vmlCanvasManager&&G_vmlCanvasManager.initElement(this.$c[0]),this.c=this.$c[0].getContext?this.$c[0].getContext("2d"):null,!this.c)throw{name:"CanvasNotSupportedException",message:"Canvas not supported. Please use excanvas on IE8.0.",toString:function(){return this.name+": "+this.message}};return this.scale=(window.devicePixelRatio||1)/(this.c.webkitBackingStorePixelRatio||this.c.mozBackingStorePixelRatio||this.c.msBackingStorePixelRatio||this.c.oBackingStorePixelRatio||this.c.backingStorePixelRatio||1),this.relativeWidth=this.o.width%1!=0&&this.o.width.indexOf("%"),this.relativeHeight=this.o.height%1!=0&&this.o.height.indexOf("%"),this.relative=this.relativeWidth||this.relativeHeight,this._carve(),this.v instanceof Object?(this.cv={},this.copy(this.v,this.cv)):this.cv=this.v,this.$.bind("configure",e).parent().bind("configure",e),this._listen()._configure()._xy().init(),this.isInit=!0,this.$.val(this.o.format(this.v)),this._draw(),this}},this._carve=function(){if(this.relative){var t=this.relativeWidth?this.$div.parent().width()*parseInt(this.o.width)/100:this.$div.parent().width(),e=this.relativeHeight?this.$div.parent().height()*parseInt(this.o.height)/100:this.$div.parent().height();this.w=this.h=Math.min(t,e)}else this.w=this.o.width,this.h=this.o.height;return this.$div.css({width:this.w+"px",height:this.h+"px"}),this.$c.attr({width:this.w,height:this.h}),1!==this.scale&&(this.$c[0].width=this.$c[0].width*this.scale,this.$c[0].height=this.$c[0].height*this.scale,this.$c.width(this.w),this.$c.height(this.h)),this},this._draw=function(){var t=!0;i.g=i.c,i.clear(),i.dH&&(t=i.dH()),!1!==t&&i.draw()},this._touch=function(t){var n=function(t){var e=i.xy2val(t.originalEvent.touches[i.t].pageX,t.originalEvent.touches[i.t].pageY);e!=i.cv&&(i.cH&&!1===i.cH(e)||(i.change(i._validate(e)),i._draw()))};return this.t=e.c.t(t),n(t),e.c.d.bind("touchmove.k",n).bind("touchend.k",(function(){e.c.d.unbind("touchmove.k touchend.k"),i.val(i.cv)})),this},this._mouse=function(t){var n=function(t){var e=i.xy2val(t.pageX,t.pageY);e!=i.cv&&(i.cH&&!1===i.cH(e)||(i.change(i._validate(e)),i._draw()))};return n(t),e.c.d.bind("mousemove.k",n).bind("keyup.k",(function(t){if(27===t.keyCode){if(e.c.d.unbind("mouseup.k mousemove.k keyup.k"),i.eH&&!1===i.eH())return;i.cancel()}})).bind("mouseup.k",(function(t){e.c.d.unbind("mousemove.k mouseup.k keyup.k"),i.val(i.cv)})),this},this._xy=function(){var t=this.$c.offset();return this.x=t.left,this.y=t.top,this},this._listen=function(){return this.o.readOnly?this.$.attr("readonly","readonly"):(this.$c.bind("mousedown",(function(t){t.preventDefault(),i._xy()._mouse(t)})).bind("touchstart",(function(t){t.preventDefault(),i._xy()._touch(t)})),this.listen()),this.relative&&t(window).resize(t.debounce(50,(function(){i._carve().init(),i._draw()}))),this},this._configure=function(){return this.o.draw&&(this.dH=this.o.draw),this.o.change&&(this.cH=this.o.change),this.o.cancel&&(this.eH=this.o.cancel),this.o.release&&(this.rH=this.o.release),this.o.displayPrevious?(this.pColor=this.h2rgba(this.o.fgColor,"0.4"),this.fgColor=this.h2rgba(this.o.fgColor,"0.6")):this.fgColor=this.o.fgColor,this},this._clear=function(){this.$c[0].width=this.$c[0].width},this._validate=function(t){var e=~~((t<0?-.5:.5)+t/this.o.step)*this.o.step;return Math.round(100*e)/100},this.listen=function(){},this.extend=function(){},this.init=function(){},this.change=function(t){},this.val=function(t){},this.xy2val=function(t,e){},this.draw=function(){},this.clear=function(){this._clear()},this.h2rgba=function(t,e){var i;return t=t.substring(1,7),"rgba("+(i=[parseInt(t.substring(0,2),16),parseInt(t.substring(2,4),16),parseInt(t.substring(4,6),16)])[0]+","+i[1]+","+i[2]+","+e+")"},this.copy=function(t,e){for(var i in t)e[i]=t[i]}},e.Dial=function(){e.o.call(this),this.startAngle=null,this.xy=null,this.radius=null,this.lineWidth=null,this.cursorExt=null,this.w2=null,this.PI2=2*Math.PI,this.extend=function(){this.o=t.extend({bgColor:this.$.data("bgcolor")||"#EEEEEE",angleOffset:this.$.data("angleoffset")||0,angleArc:this.$.data("anglearc")||360,inline:!0},this.o)},this.val=function(t,e){if(null==t)return this.v;t=this.o.parse(t),!1!==e&&t!=this.v&&this.rH&&!1===this.rH(t)||(this.cv=this.o.stopper?i(n(t,this.o.max),this.o.min):t,this.v=this.cv,this.$.val(this.o.format(this.v)),this._draw())},this.xy2val=function(t,e){var o,a;return o=Math.atan2(t-(this.x+this.w2),-(e-this.y-this.w2))-this.angleOffset,this.o.flip&&(o=this.angleArc-o-this.PI2),this.angleArc!=this.PI2&&o<0&&o>-.5?o=0:o<0&&(o+=this.PI2),a=o*(this.o.max-this.o.min)/this.angleArc+this.o.min,this.o.stopper&&(a=i(n(a,this.o.max),this.o.min)),a},this.listen=function(){var e=this,o,a,s=function(t){t.preventDefault();var s=t.originalEvent,r=s.detail||s.wheelDeltaX,l=s.detail||s.wheelDeltaY,u=e._validate(e.o.parse(e.$.val()))+(r>0||l>0?e.o.step:r<0||l<0?-e.o.step:0);u=i(n(u,e.o.max),e.o.min),e.val(u,!1),e.rH&&(clearTimeout(o),o=setTimeout((function(){e.rH(u),o=null}),100),a||(a=setTimeout((function(){o&&e.rH(u),a=null}),200)))},r,l,u=1,c={37:-e.o.step,38:e.o.step,39:e.o.step,40:-e.o.step};this.$.bind("keydown",(function(o){var a=o.keyCode;if(a>=96&&a<=105&&(a=o.keyCode=a-48),r=parseInt(String.fromCharCode(a)),isNaN(r)&&(13!==a&&8!==a&&9!==a&&189!==a&&(190!==a||e.$.val().match(/\./))&&o.preventDefault(),t.inArray(a,[37,38,39,40])>-1)){o.preventDefault();var s=e.o.parse(e.$.val())+c[a]*u;e.o.stopper&&(s=i(n(s,e.o.max),e.o.min)),e.change(e._validate(s)),e._draw(),l=window.setTimeout((function(){u*=2}),30)}})).bind("keyup",(function(t){isNaN(r)?l&&(window.clearTimeout(l),l=null,u=1,e.val(e.$.val())):e.$.val()>e.o.max&&e.$.val(e.o.max)||e.$.val()<e.o.min&&e.$.val(e.o.min)})),this.$c.bind("mousewheel DOMMouseScroll",s),this.$.bind("mousewheel DOMMouseScroll",s)},this.init=function(){(this.v<this.o.min||this.v>this.o.max)&&(this.v=this.o.min),this.$.val(this.v),this.w2=this.w/2,this.cursorExt=this.o.cursor/100,this.xy=this.w2*this.scale,this.lineWidth=this.xy*this.o.thickness,this.lineCap=this.o.lineCap,this.radius=this.xy-this.lineWidth/2,this.o.angleOffset&&(this.o.angleOffset=isNaN(this.o.angleOffset)?0:this.o.angleOffset),this.o.angleArc&&(this.o.angleArc=isNaN(this.o.angleArc)?this.PI2:this.o.angleArc),this.angleOffset=this.o.angleOffset*Math.PI/180,this.angleArc=this.o.angleArc*Math.PI/180,this.startAngle=1.5*Math.PI+this.angleOffset,this.endAngle=1.5*Math.PI+this.angleOffset+this.angleArc;var t=i(String(Math.abs(this.o.max)).length,String(Math.abs(this.o.min)).length,2)+2;this.o.displayInput&&this.i.css({width:(this.w/2+4>>0)+"px",height:(this.w/3>>0)+"px",position:"absolute","vertical-align":"middle","margin-top":(this.w/3>>0)+"px","margin-left":"-"+(3*this.w/4+2>>0)+"px",border:0,background:"none",font:this.o.fontWeight+" "+(this.w/t>>0)+"px "+this.o.font,"text-align":"center",color:this.o.inputColor||this.o.fgColor,padding:"0px","-webkit-appearance":"none"})||this.i.css({width:"0px",visibility:"hidden"})},this.change=function(t){this.cv=t,this.$.val(this.o.format(t))},this.angle=function(t){return(t-this.o.min)*this.angleArc/(this.o.max-this.o.min)},this.arc=function(t){var e,i;return t=this.angle(t),i=this.o.flip?(e=this.endAngle+1e-5)-t-1e-5:(e=this.startAngle-1e-5)+t+1e-5,this.o.cursor&&(e=i-this.cursorExt)&&(i+=this.cursorExt),{s:e,e:i,d:this.o.flip&&!this.o.cursor}},this.draw=function(){var t=this.g,e=this.arc(this.cv),i,n=1;t.lineWidth=this.lineWidth,t.lineCap=this.lineCap,"none"!==this.o.bgColor&&(t.beginPath(),t.strokeStyle=this.o.bgColor,t.arc(this.xy,this.xy,this.radius,this.endAngle-1e-5,this.startAngle+1e-5,!0),t.stroke()),this.o.displayPrevious&&(i=this.arc(this.v),t.beginPath(),t.strokeStyle=this.pColor,t.arc(this.xy,this.xy,this.radius,i.s,i.e,i.d),t.stroke(),n=this.cv==this.v),t.beginPath(),t.strokeStyle=n?this.o.fgColor:this.fgColor,t.arc(this.xy,this.xy,this.radius,e.s,e.e,e.d),t.stroke()},this.cancel=function(){this.val(this.v)}},t.fn.dial=t.fn.knob=function(i){return this.each((function(){var n=new e.Dial;n.o=i,n.$=t(this),n.run()})).parent()}})),function(t,e){var i=t.jQuery||t.Cowboy||(t.Cowboy={}),n;i.throttle=n=function(t,n,o,a){function s(){function i(){l=+new Date,o.apply(u,d)}function s(){r=e}var u=this,c=+new Date-l,d=arguments;a&&!r&&i(),r&&clearTimeout(r),a===e&&c>t?i():!0!==n&&(r=setTimeout(a?s:i,a===e?t-c:t))}var r,l=0;return"boolean"!=typeof n&&(a=o,o=n,n=e),i.guid&&(s.guid=o.guid=o.guid||i.guid++),s},i.debounce=function(t,i,o){return o===e?n(t,i,!1):n(t,o,!1!==i)}}(this),
/*!
 * jQuery ClassyCountdown
 * vox.SPACE
 *
 * Written by voxspace AT riseup.net
 * Licensed under the MIT license https://vox.SPACE/LICENSE-MIT
 * Version 1.1.0
 *
 */
function(t){t.fn.ClassyCountdown=function(e,i){function n(){l=Math.floor(h/86400),u=Math.floor(h%86400/3600),c=Math.floor(h%86400%3600/60),d=Math.floor(h%86400%3600%60%60)}function o(){h--,n(),0>=h&&(p||(p=!0,f.onEndCallback()),d=c=u=l=0),r.find(".ClassyCountdown-days input").val(365-l).trigger("change"),r.find(".ClassyCountdown-hours input").val(24-u).trigger("change"),r.find(".ClassyCountdown-minutes input").val(60-c).trigger("change"),r.find(".ClassyCountdown-seconds input").val(60-d).trigger("change"),r.find(".ClassyCountdown-days .ClassyCountdown-value > div").html(l),r.find(".ClassyCountdown-hours .ClassyCountdown-value > div").html(u),r.find(".ClassyCountdown-minutes .ClassyCountdown-value > div").html(c),r.find(".ClassyCountdown-seconds .ClassyCountdown-value > div").html(d)}function a(){r.find(".ClassyCountdown-wrapper > div").each((function(){t(this).css("height",t(this).width()+"px")})),f.style.textResponsive&&r.find(".ClassyCountdown-value").css("font-size",Math.floor(r.find("> div").eq(0).width()*f.style.textResponsive/10)+"px"),r.find(".ClassyCountdown-value").each((function(){t(this).css("margin-top",Math.floor(0-parseInt(t(this).height())/2)+"px")})),r.find(".ClassyCountdown-days input").trigger("change"),r.find(".ClassyCountdown-hours input").trigger("change"),r.find(".ClassyCountdown-minutes input").trigger("change"),r.find(".ClassyCountdown-seconds input").trigger("change")}function s(t){switch(t){case"flat-colors":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"flat-colors-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"flat-colors-very-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"flat-colors-black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black-very-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black-black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"white":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}};case"white-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}};case"white-very-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}};case"white-black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}}}}var r=t(this),l,u,c,d,h,p=!1,f={end:void 0,now:t.now(),labels:!0,labelsOptions:{lang:{days:"Days",hours:"Hours",minutes:"Minutes",seconds:"Seconds"},style:"font-size: 0.5em;"},style:{element:"",labels:!1,textResponsive:.5,days:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""},hours:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""},minutes:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""},seconds:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""}},onEndCallback:function(){}};e.theme&&(f=t.extend(!0,f,s(e.theme))),f=t.extend(!0,f,e),r.append('<div class="ClassyCountdown-wrapper"><div class="ClassyCountdown-days"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div><div class="ClassyCountdown-hours"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div><div class="ClassyCountdown-minutes"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div><div class="ClassyCountdown-seconds"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div></div>'),r.find(".ClassyCountdown-days input").knob(t.extend({width:"100%",displayInput:!1,readOnly:!0,max:365},f.style.days.gauge)),r.find(".ClassyCountdown-hours input").knob(t.extend({width:"100%",displayInput:!1,readOnly:!0,max:24},f.style.hours.gauge)),r.find(".ClassyCountdown-minutes input").knob(t.extend({width:"100%",displayInput:!1,readOnly:!0,max:60},f.style.minutes.gauge)),r.find(".ClassyCountdown-seconds input").knob(t.extend({width:"100%",displayInput:!1,readOnly:!0,max:60},f.style.seconds.gauge)),r.find(".ClassyCountdown-wrapper > div").attr("style",f.style.element),r.find(".ClassyCountdown-days .ClassyCountdown-value").attr("style",f.style.days.textCSS),r.find(".ClassyCountdown-hours .ClassyCountdown-value").attr("style",f.style.hours.textCSS),r.find(".ClassyCountdown-minutes .ClassyCountdown-value").attr("style",f.style.minutes.textCSS),r.find(".ClassyCountdown-seconds .ClassyCountdown-value").attr("style",f.style.seconds.textCSS),r.find(".ClassyCountdown-value").each((function(){t(this).css("margin-top",Math.floor(0-parseInt(t(this).height())/2)+"px")})),f.labels&&(r.find(".ClassyCountdown-days .ClassyCountdown-value > span").html(f.labelsOptions.lang.days),r.find(".ClassyCountdown-hours .ClassyCountdown-value > span").html(f.labelsOptions.lang.hours),r.find(".ClassyCountdown-minutes .ClassyCountdown-value > span").html(f.labelsOptions.lang.minutes),r.find(".ClassyCountdown-seconds .ClassyCountdown-value > span").html(f.labelsOptions.lang.seconds),r.find(".ClassyCountdown-value > span").attr("style",f.labelsOptions.style)),h=f.end-f.now,n(),o(),setInterval(o,1e3),r.find(".ClassyCountdown-wrapper > div").each((function(){t(this).css("height",t(this).width()+"px")})),f.style.textResponsive&&(r.find(".ClassyCountdown-value").css("font-size",Math.floor(r.find("> div").eq(0).width()*f.style.textResponsive/10)+"px"),r.find(".ClassyCountdown-value").each((function(){t(this).css("margin-top",Math.floor(0-parseInt(t(this).height())/2)+"px")}))),t(window).trigger("resize"),t(window).resize(t.throttle(50,a))}}(jQuery),document.createElement("canvas").getContext||function(){function t(){return this.context_||(this.context_=new u(this))}function e(t,e,i){var n=S.call(arguments,2);return function(){return t.apply(e,n.concat(S.call(arguments)))}}function i(t){var e=t.srcElement;switch(t.propertyName){case"width":e.style.width=e.attributes.width.nodeValue+"px",e.getContext().clearRect();break;case"height":e.style.height=e.attributes.height.nodeValue+"px",e.getContext().clearRect();break}}function n(t){var e=t.srcElement;e.firstChild&&(e.firstChild.style.width=e.clientWidth+"px",e.firstChild.style.height=e.clientHeight+"px")}function o(){return[[1,0,0],[0,1,0],[0,0,1]]}function a(t,e){for(var i=[[1,0,0],[0,1,0],[0,0,1]],n=0;n<3;n++)for(var o=0;o<3;o++){for(var a=0,s=0;s<3;s++)a+=t[n][s]*e[s][o];i[n][o]=a}return i}function s(t,e){e.fillStyle=t.fillStyle,e.lineCap=t.lineCap,e.lineJoin=t.lineJoin,e.lineWidth=t.lineWidth,e.miterLimit=t.miterLimit,e.shadowBlur=t.shadowBlur,e.shadowColor=t.shadowColor,e.shadowOffsetX=t.shadowOffsetX,e.shadowOffsetY=t.shadowOffsetY,e.strokeStyle=t.strokeStyle,e.globalAlpha=t.globalAlpha,e.arcScaleX_=t.arcScaleX_,e.arcScaleY_=t.arcScaleY_,e.lineScale_=t.lineScale_}function r(t){var e,i=1;if("rgb"==(t=String(t)).substring(0,3)){var n=t.indexOf("(",3),o=t.indexOf(")",n+1),a=t.substring(n+1,o).split(",");e="#";for(var s=0;s<3;s++)e+=x[Number(a[s])];4==a.length&&"a"==t.substr(3,1)&&(i=a[3])}else e=t;return{color:e,alpha:i}}function l(t){switch(t){case"butt":return"flat";case"round":return"round";case"square":default:return"square"}}function u(t){this.m_=[[1,0,0],[0,1,0],[0,0,1]],this.mStack_=[],this.aStack_=[],this.currentPath_=[],this.strokeStyle="#000",this.fillStyle="#000",this.lineWidth=1,this.lineJoin="miter",this.lineCap="butt",this.miterLimit=10,this.globalAlpha=1,this.canvas=t;var e=t.ownerDocument.createElement("div");e.style.width=t.clientWidth+"px",e.style.height=t.clientHeight+"px",e.style.overflow="hidden",e.style.position="absolute",t.appendChild(e),this.element_=e,this.arcScaleX_=1,this.arcScaleY_=1,this.lineScale_=1}function c(t,e,i,n){t.currentPath_.push({type:"bezierCurveTo",cp1x:e.x,cp1y:e.y,cp2x:i.x,cp2y:i.y,x:n.x,y:n.y}),t.currentX_=n.x,t.currentY_=n.y}function d(t){this.type_=t,this.x0_=0,this.y0_=0,this.r0_=0,this.x1_=0,this.y1_=0,this.r1_=0,this.colors_=[]}function h(){}var p=Math,f=p.round,m=p.sin,g=p.cos,v=p.abs,y=p.sqrt,b=10,w=5,S=Array.prototype.slice,C={init:function(t){if(/MSIE/.test(navigator.userAgent)&&!window.opera){var i=t||document;i.createElement("canvas"),i.attachEvent("onreadystatechange",e(this.init_,this,i))}},init_:function(t){if(t.namespaces.g_vml_||t.namespaces.add("g_vml_","urn:schemas-microsoft-com:vml","#default#VML"),t.namespaces.g_o_||t.namespaces.add("g_o_","urn:schemas-microsoft-com:office:office","#default#VML"),!t.styleSheets.ex_canvas_){var e=t.createStyleSheet();e.owningElement.id="ex_canvas_",e.cssText="canvas{display:inline-block;overflow:hidden;text-align:left;width:300px;height:150px}g_vml_\\:*{behavior:url(#default#VML)}g_o_\\:*{behavior:url(#default#VML)}"}for(var i=t.getElementsByTagName("canvas"),n=0;n<i.length;n++)this.initElement(i[n])},initElement:function(e){if(!e.getContext){e.getContext=t,e.innerHTML="",e.attachEvent("onpropertychange",i),e.attachEvent("onresize",n);var o=e.attributes;o.width&&o.width.specified?e.style.width=o.width.nodeValue+"px":e.width=e.clientWidth,o.height&&o.height.specified?e.style.height=o.height.nodeValue+"px":e.height=e.clientHeight}return e}};C.init();for(var x=[],k=0;k<16;k++)for(var T=0;T<16;T++)x[16*k+T]=k.toString(16)+T.toString(16);var _=u.prototype;_.clearRect=function(){this.element_.innerHTML=""},_.beginPath=function(){this.currentPath_=[]},_.moveTo=function(t,e){var i=this.getCoords_(t,e);this.currentPath_.push({type:"moveTo",x:i.x,y:i.y}),this.currentX_=i.x,this.currentY_=i.y},_.lineTo=function(t,e){var i=this.getCoords_(t,e);this.currentPath_.push({type:"lineTo",x:i.x,y:i.y}),this.currentX_=i.x,this.currentY_=i.y},_.bezierCurveTo=function(t,e,i,n,o,a){var s=this.getCoords_(o,a),r,l;c(this,this.getCoords_(t,e),this.getCoords_(i,n),s)},_.quadraticCurveTo=function(t,e,i,n){var o=this.getCoords_(t,e),a=this.getCoords_(i,n),s={x:this.currentX_+2/3*(o.x-this.currentX_),y:this.currentY_+2/3*(o.y-this.currentY_)},r;c(this,s,{x:s.x+(a.x-this.currentX_)/3,y:s.y+(a.y-this.currentY_)/3},a)},_.arc=function(t,e,i,n,o,a){i*=b;var s=a?"at":"wa",r=t+g(n)*i-5,l=e+m(n)*i-5,u=t+g(o)*i-5,c=e+m(o)*i-5;r!=u||a||(r+=.125);var d=this.getCoords_(t,e),h=this.getCoords_(r,l),p=this.getCoords_(u,c);this.currentPath_.push({type:s,x:d.x,y:d.y,radius:i,xStart:h.x,yStart:h.y,xEnd:p.x,yEnd:p.y})},_.rect=function(t,e,i,n){this.moveTo(t,e),this.lineTo(t+i,e),this.lineTo(t+i,e+n),this.lineTo(t,e+n),this.closePath()},_.strokeRect=function(t,e,i,n){var o=this.currentPath_;this.beginPath(),this.moveTo(t,e),this.lineTo(t+i,e),this.lineTo(t+i,e+n),this.lineTo(t,e+n),this.closePath(),this.stroke(),this.currentPath_=o},_.fillRect=function(t,e,i,n){var o=this.currentPath_;this.beginPath(),this.moveTo(t,e),this.lineTo(t+i,e),this.lineTo(t+i,e+n),this.lineTo(t,e+n),this.closePath(),this.fill(),this.currentPath_=o},_.createLinearGradient=function(t,e,i,n){var o=new d("gradient");return o.x0_=t,o.y0_=e,o.x1_=i,o.y1_=n,o},_.createRadialGradient=function(t,e,i,n,o,a){var s=new d("gradientradial");return s.x0_=t,s.y0_=e,s.r0_=i,s.x1_=n,s.y1_=o,s.r1_=a,s},_.drawImage=function(t,e,i,n,o,a,s,r,l){var u,c,d,h,m,g,v,y,w=t.runtimeStyle.width,S=t.runtimeStyle.height;t.runtimeStyle.width="auto",t.runtimeStyle.height="auto";var C=t.width,x=t.height;if(t.runtimeStyle.width=w,t.runtimeStyle.height=S,3==arguments.length)u=e,c=i,m=g=0,v=d=C,y=h=x;else if(5==arguments.length)u=e,c=i,d=n,h=o,m=g=0,v=C,y=x;else{if(9!=arguments.length)throw Error("Invalid number of arguments");m=e,g=i,v=n,y=o,u=a,c=s,d=r,h=l}var k=this.getCoords_(u,c),T=v/2,_=y/2,O=[],P=10,M=10;if(O.push(" <g_vml_:group",' coordsize="',b*P,",",b*M,'"',' coordorigin="0,0"',' style="width:',P,"px;height:",M,"px;position:absolute;"),1!=this.m_[0][0]||this.m_[0][1]){var A=[];A.push("M11=",this.m_[0][0],",","M12=",this.m_[1][0],",","M21=",this.m_[0][1],",","M22=",this.m_[1][1],",","Dx=",f(k.x/b),",","Dy=",f(k.y/b),"");var E=k,D=this.getCoords_(u+d,c),I=this.getCoords_(u,c+h),$=this.getCoords_(u+d,c+h);E.x=p.max(E.x,D.x,I.x,$.x),E.y=p.max(E.y,D.y,I.y,$.y),O.push("padding:0 ",f(E.x/b),"px ",f(E.y/b),"px 0;filter:progid:DXImageTransform.Microsoft.Matrix(",A.join(""),", sizingmethod='clip');")}else O.push("top:",f(k.y/b),"px;left:",f(k.x/b),"px;");O.push(' ">','<g_vml_:image src="',t.src,'"',' style="width:',b*d,"px;"," height:",b*h,'px;"',' cropleft="',m/C,'"',' croptop="',g/x,'"',' cropright="',(C-m-v)/C,'"',' cropbottom="',(x-g-y)/x,'"'," />","</g_vml_:group>"),this.element_.insertAdjacentHTML("BeforeEnd",O.join(""))},_.stroke=function(t){var e=[],i=!1,n=r(t?this.fillStyle:this.strokeStyle),o=n.color,a=n.alpha*this.globalAlpha,s=10,u=10;e.push("<g_vml_:shape",' filled="',!!t,'"',' style="position:absolute;width:',s,"px;height:",u,'px;"',' coordorigin="0 0" coordsize="',100," ",100,'"',' stroked="',!t,'"',' path="');for(var c=!1,d={x:null,y:null},h={x:null,y:null},m=0;m<this.currentPath_.length;m++){var g=this.currentPath_[m],v;switch(g.type){case"moveTo":v=g,e.push(" m ",f(g.x),",",f(g.y));break;case"lineTo":e.push(" l ",f(g.x),",",f(g.y));break;case"close":e.push(" x "),g=null;break;case"bezierCurveTo":e.push(" c ",f(g.cp1x),",",f(g.cp1y),",",f(g.cp2x),",",f(g.cp2y),",",f(g.x),",",f(g.y));break;case"at":case"wa":e.push(" ",g.type," ",f(g.x-this.arcScaleX_*g.radius),",",f(g.y-this.arcScaleY_*g.radius)," ",f(g.x+this.arcScaleX_*g.radius),",",f(g.y+this.arcScaleY_*g.radius)," ",f(g.xStart),",",f(g.yStart)," ",f(g.xEnd),",",f(g.yEnd));break}g&&((null==d.x||g.x<d.x)&&(d.x=g.x),(null==h.x||g.x>h.x)&&(h.x=g.x),(null==d.y||g.y<d.y)&&(d.y=g.y),(null==h.y||g.y>h.y)&&(h.y=g.y))}if(e.push(' ">'),t)if("object"==typeof this.fillStyle){var y=this.fillStyle,w=0,S={x:0,y:0},C=0,x=1;if("gradient"==y.type_){var k=y.x0_/this.arcScaleX_,T=y.y0_/this.arcScaleY_,_=y.x1_/this.arcScaleX_,O=y.y1_/this.arcScaleY_,P=this.getCoords_(k,T),M=this.getCoords_(_,O),A=M.x-P.x,E=M.y-P.y;(w=180*Math.atan2(A,E)/Math.PI)<0&&(w+=360),w<1e-6&&(w=0)}else{var P=this.getCoords_(y.x0_,y.y0_),D=h.x-d.x,I=h.y-d.y;S={x:(P.x-d.x)/D,y:(P.y-d.y)/I},D/=this.arcScaleX_*b,I/=this.arcScaleY_*b;var $=p.max(D,I);C=2*y.r0_/$,x=2*y.r1_/$-C}var q=y.colors_;q.sort((function(t,e){return t.offset-e.offset}));for(var L=q.length,j=q[0].color,N=q[L-1].color,H=q[0].alpha*this.globalAlpha,F=q[L-1].alpha*this.globalAlpha,R=[],m=0;m<L;m++){var z=q[m];R.push(z.offset*x+C+" "+z.color)}e.push('<g_vml_:fill type="',y.type_,'"',' method="none" focus="100%"',' color="',j,'"',' color2="',N,'"',' colors="',R.join(","),'"',' opacity="',F,'"',' g_o_:opacity2="',H,'"',' angle="',w,'"',' focusposition="',S.x,",",S.y,'" />')}else e.push('<g_vml_:fill color="',o,'" opacity="',a,'" />');else{var V=this.lineScale_*this.lineWidth;V<1&&(a*=V),e.push("<g_vml_:stroke",' opacity="',a,'"',' joinstyle="',this.lineJoin,'"',' miterlimit="',this.miterLimit,'"',' endcap="',l(this.lineCap),'"',' weight="',V,'px"',' color="',o,'" />')}e.push("</g_vml_:shape>"),this.element_.insertAdjacentHTML("beforeEnd",e.join(""))},_.fill=function(){this.stroke(!0)},_.closePath=function(){this.currentPath_.push({type:"close"})},_.getCoords_=function(t,e){var i=this.m_;return{x:b*(t*i[0][0]+e*i[1][0]+i[2][0])-5,y:b*(t*i[0][1]+e*i[1][1]+i[2][1])-5}},_.save=function(){var t={};s(this,t),this.aStack_.push(t),this.mStack_.push(this.m_),this.m_=a([[1,0,0],[0,1,0],[0,0,1]],this.m_)},_.restore=function(){s(this.aStack_.pop(),this),this.m_=this.mStack_.pop()},_.translate=function(t,e){var i=[[1,0,0],[0,1,0],[t,e,1]];this.m_=a(i,this.m_)},_.rotate=function(t){var e=g(t),i=m(t),n=[[e,i,0],[-i,e,0],[0,0,1]];this.m_=a(n,this.m_)},_.scale=function(t,e){this.arcScaleX_*=t,this.arcScaleY_*=e;var i=[[t,0,0],[0,e,0],[0,0,1]],n=this.m_=a(i,this.m_),o=n[0][0]*n[1][1]-n[0][1]*n[1][0];this.lineScale_=y(v(o))},_.clip=function(){},_.arcTo=function(){},_.createPattern=function(){return new h},d.prototype.addColorStop=function(t,e){e=r(e),this.colors_.push({offset:t,color:e.color,alpha:e.alpha})},G_vmlCanvasManager=C,CanvasRenderingContext2D=u,CanvasGradient=d,CanvasPattern=h}(),Animator.prototype={setOptions:function(t){this.options=Animator.applyDefaults({interval:20,duration:400,onComplete:function(){},onStep:function(){},transition:Animator.tx.easeInOut},t)},seekTo:function(t){this.seekFromTo(this.state,t)},seekFromTo:function(t,e){this.target=Math.max(0,Math.min(1,e)),this.state=Math.max(0,Math.min(1,t)),this.lastTime=(new Date).getTime(),this.intervalId||(this.intervalId=window.setInterval(this.timerDelegate,this.options.interval))},jumpTo:function(t){this.target=this.state=Math.max(0,Math.min(1,t)),this.propagate()},toggle:function(){this.seekTo(1-this.target)},addSubject:function(t,e){return this.subjects[this.subjects.length]=t,this.subjectScopes[this.subjectScopes.length]=e,this},clearSubjects:function(){this.subjects=[],this.subjectScopes=[]},propagate:function(){for(var t=this.options.transition(this.state),e=0;e<this.subjects.length;e++)this.subjects[e].setState?this.subjects[e].setState(t):this.subjects[e].apply(this.subjectScopes[e],[t])},onTimerEvent:function(){var t=(new Date).getTime(),e=t-this.lastTime;this.lastTime=t;var i=e/this.options.duration*(this.state<this.target?1:-1);Math.abs(i)>=Math.abs(this.state-this.target)?this.state=this.target:this.state+=i;try{this.propagate()}finally{this.options.onStep.call(this),this.target==this.state&&(window.clearInterval(this.intervalId),this.intervalId=null,this.options.onComplete.call(this))}},play:function(){this.seekFromTo(0,1)},reverse:function(){this.seekFromTo(1,0)},inspect:function(){for(var t="#<Animator:\n",e=0;e<this.subjects.length;e++)t+=this.subjects[e].inspect();return t+=">"}},Animator.applyDefaults=function(t,e){e=e||{};var i,n={};for(i in t)n[i]=void 0!==e[i]?e[i]:t[i];return n},Animator.makeArray=function(t){if(null==t)return[];if(!t.length)return[t];for(var e=[],i=0;i<t.length;i++)e[i]=t[i];return e},Animator.camelize=function(t){var e=t.split("-");if(1==e.length)return e[0];for(var i=0==t.indexOf("-")?e[0].charAt(0).toUpperCase()+e[0].substring(1):e[0],n=1,o=e.length;n<o;n++){var a=e[n];i+=a.charAt(0).toUpperCase()+a.substring(1)}return i},Animator.apply=function(t,e,i){return e instanceof Array?new Animator(i).addSubject(new CSSStyleSubject(t,e[0],e[1])):new Animator(i).addSubject(new CSSStyleSubject(t,e))},Animator.makeEaseIn=function(t){return function(e){return Math.pow(e,2*t)}},Animator.makeEaseOut=function(t){return function(e){return 1-Math.pow(1-e,2*t)}},Animator.makeElastic=function(t){return function(e){return e=Animator.tx.easeInOut(e),(1-Math.cos(e*Math.PI*t))*(1-e)+e}},Animator.makeADSR=function(t,e,i,n){return null==n&&(n=.5),function(o){return o<t?o/t:o<e?1-(o-t)/(e-t)*(1-n):o<i?n:n*(1-(o-i)/(1-i))}},Animator.makeBounce=function(t){var e=Animator.makeElastic(t);return function(t){return(t=e(t))<=1?t:2-t}},Animator.tx={easeInOut:function(t){return-Math.cos(t*Math.PI)/2+.5},linear:function(t){return t},easeIn:Animator.makeEaseIn(1.5),easeOut:Animator.makeEaseOut(1.5),strongEaseIn:Animator.makeEaseIn(2.5),strongEaseOut:Animator.makeEaseOut(2.5),elastic:Animator.makeElastic(1),veryElastic:Animator.makeElastic(3),bouncy:Animator.makeBounce(1),veryBouncy:Animator.makeBounce(3)},NumericalStyleSubject.prototype={setState:function(t){for(var e=this.getStyle(t),i="opacity"==this.property&&0==t?"hidden":"",n=0,o=0;o<this.els.length;o++){try{this.els[o].style[this.property]=e}catch(t){if("fontWeight"!=this.property)throw t}if(n++>20)return}},getStyle:function(t){return t=this.from+(this.to-this.from)*t,"filter"==this.property?"alpha(opacity="+Math.round(100*t)+")":"opacity"==this.property?t:Math.round(t)+this.units},inspect:function(){return"\t"+this.property+"("+this.from+this.units+" to "+this.to+this.units+")\n"}},ColorStyleSubject.prototype={expandColor:function(t){var e,i,n,o;if(e=ColorStyleSubject.parseColor(t))return[i=parseInt(e.slice(1,3),16),n=parseInt(e.slice(3,5),16),o=parseInt(e.slice(5,7),16)];window.DEBUG&&alert("Invalid colour: '"+t+"'")},getValueForState:function(t,e){return Math.round(this.from[t]+(this.to[t]-this.from[t])*e)},setState:function(t){for(var e="#"+ColorStyleSubject.toColorPart(this.getValueForState(0,t))+ColorStyleSubject.toColorPart(this.getValueForState(1,t))+ColorStyleSubject.toColorPart(this.getValueForState(2,t)),i=0;i<this.els.length;i++)this.els[i].style[this.property]=e},inspect:function(){return"\t"+this.property+"("+this.origFrom+" to "+this.origTo+")\n"}},ColorStyleSubject.parseColor=function(t){var e="#",i;if(i=ColorStyleSubject.parseColor.rgbRe.exec(t)){for(var n,o=1;o<=3;o++)n=Math.max(0,Math.min(255,parseInt(i[o]))),e+=ColorStyleSubject.toColorPart(n);return e}if(i=ColorStyleSubject.parseColor.hexRe.exec(t)){if(3==i[1].length){for(var o=0;o<3;o++)e+=i[1].charAt(o)+i[1].charAt(o);return e}return"#"+i[1]}return!1},ColorStyleSubject.toColorPart=function(t){t>255&&(t=255);var e=t.toString(16);return t<16?"0"+e:e},ColorStyleSubject.parseColor.rgbRe=/^rgb\(\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*\)$/i,ColorStyleSubject.parseColor.hexRe=/^\#([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$/,DiscreteStyleSubject.prototype={setState:function(t){for(var e=0,i=0;i<this.els.length;i++)this.els[i].style[this.property]=t<=this.threshold?this.from:this.to},inspect:function(){return"\t"+this.property+"("+this.from+" to "+this.to+" @ "+this.threshold+")\n"}},CSSStyleSubject.prototype={parseStyle:function(t,e){var i={};if(-1!=t.indexOf(":"))for(var n=t.split(";"),o=0;o<n.length;o++){var a=CSSStyleSubject.ruleRe.exec(n[o]);a&&(i[a[1]]=a[2])}else{var s,r,l;l=e.className,e.className=t;for(var o=0;o<CSSStyleSubject.cssProperties.length;o++)s=CSSStyleSubject.cssProperties[o],null!=(r=CSSStyleSubject.getStyle(e,s))&&(i[s]=r);e.className=l}return i},setState:function(t){for(var e=0;e<this.subjects.length;e++)this.subjects[e].setState(t)},inspect:function(){for(var t="",e=0;e<this.subjects.length;e++)t+=this.subjects[e].inspect();return t}},CSSStyleSubject.getStyle=function(t,e){var i;return document.defaultView&&document.defaultView.getComputedStyle&&(i=document.defaultView.getComputedStyle(t,"").getPropertyValue(e))?i:(e=Animator.camelize(e),t.currentStyle&&(i=t.currentStyle[e]),i||t.style[e])},CSSStyleSubject.ruleRe=/^\s*([a-zA-Z\-]+)\s*:\s*(\S(.+\S)?)\s*$/,CSSStyleSubject.numericalRe=/^-?\d+(?:\.\d+)?(%|[a-zA-Z]{2})?$/,CSSStyleSubject.discreteRe=/^\w+$/,CSSStyleSubject.cssProperties=["azimuth","background","background-attachment","background-color","background-image","background-position","background-repeat","border-collapse","border-color","border-spacing","border-style","border-top","border-top-color","border-right-color","border-bottom-color","border-left-color","border-top-style","border-right-style","border-bottom-style","border-left-style","border-top-width","border-right-width","border-bottom-width","border-left-width","border-width","bottom","clear","clip","color","content","cursor","direction","display","elevation","empty-cells","css-float","font","font-family","font-size","font-size-adjust","font-stretch","font-style","font-variant","font-weight","height","left","letter-spacing","line-height","list-style","list-style-image","list-style-position","list-style-type","margin","margin-top","margin-right","margin-bottom","margin-left","max-height","max-width","min-height","min-width","orphans","outline","outline-color","outline-style","outline-width","overflow","padding","padding-top","padding-right","padding-bottom","padding-left","pause","position","right","size","table-layout","text-align","text-decoration","text-indent","text-shadow","text-transform","top","vertical-align","visibility","white-space","width","word-spacing","z-index","opacity","outline-offset","overflow-x","overflow-y"],AnimatorChain.prototype={setOptions:function(t){this.options=Animator.applyDefaults({resetOnPlay:!0},t)},play:function(){if(this.forwards=!0,this.current=-1,this.options.resetOnPlay)for(var t=0;t<this.animators.length;t++)this.animators[t].jumpTo(0);this.advance()},reverse:function(){if(this.forwards=!1,this.current=this.animators.length,this.options.resetOnPlay)for(var t=0;t<this.animators.length;t++)this.animators[t].jumpTo(1);this.advance()},toggle:function(){this.forwards?this.seekTo(0):this.seekTo(1)},listenTo:function(t){var e=t.options.onComplete,i=this;t.options.onComplete=function(){e&&e.call(t),i.advance()}},advance:function(){if(this.forwards){if(null==this.animators[this.current+1])return;this.current++,this.animators[this.current].play()}else{if(null==this.animators[this.current-1])return;this.current--,this.animators[this.current].reverse()}},seekTo:function(t){t<=0?(this.forwards=!1,this.animators[this.current].seekTo(0)):(this.forwards=!0,this.animators[this.current].seekTo(1))}},Accordion.prototype={setOptions:function(t){this.options=Object.extend({sections:null,getActivator:function(t){return document.getElementById(t.getAttribute("activator"))},shift:0,initialSection:0,rememberance:!0,animatorOptions:{}},t||{})},show:function(t){for(var e=0;e<this.ans.length;e++)this.ans[e].seekTo(e>t?1:0)
;this.options.rememberance&&(document.location.hash=this.rememberanceTexts[t])}},
/** @license
 *
 * SoundManager 2: JavaScript Sound for the Web
 * ----------------------------------------------
 * http://schillmania.com/projects/soundmanager2/
 *
 * Copyright (c) 2007, Scott Schiller. All rights reserved.
 * Code provided under the BSD License:
 * http://schillmania.com/projects/soundmanager2/license.txt
 *
 * V2.97a.20150601
 */
function(t,e){"use strict";function i(e,i){function n(t){return s.preferFlash&&Lt&&!s.ignoreFlash&&void 0!==s.flash[t]&&s.flash[t]}function o(t){return function(e){var i=this._s,n;return n=i&&i._a?t.call(this,e):null}}this.setupOptions={url:e||null,flashVersion:8,debugMode:!0,debugFlash:!1,useConsole:!0,consoleOnly:!0,waitForWindowLoad:!1,bgColor:"#ffffff",useHighPerformance:!1,flashPollingInterval:null,html5PollingInterval:null,flashLoadTimeout:1e3,wmode:null,allowScriptAccess:"always",useFlashBlock:!1,useHTML5Audio:!0,forceUseGlobalHTML5Audio:!1,ignoreMobileRestrictions:!1,html5Test:/^(probably|maybe)$/i,preferFlash:!1,noSWFCache:!1,idPrefix:"sound"},this.defaultOptions={autoLoad:!1,autoPlay:!1,from:null,loops:1,onid3:null,onload:null,whileloading:null,onplay:null,onpause:null,onresume:null,whileplaying:null,onposition:null,onstop:null,onfailure:null,onfinish:null,multiShot:!0,multiShotEvents:!1,position:null,pan:0,stream:!0,to:null,type:null,usePolicyFile:!1,volume:100},this.flash9Options={isMovieStar:null,usePeakData:!1,useWaveformData:!1,useEQData:!1,onbufferchange:null,ondataerror:null},this.movieStarOptions={bufferTime:3,serverURL:null,onconnect:null,duration:null},this.audioFormats={mp3:{type:['audio/mpeg; codecs="mp3"',"audio/mpeg","audio/mp3","audio/MPA","audio/mpa-robust"],required:!0},mp4:{related:["aac","m4a","m4b"],type:['audio/mp4; codecs="mp4a.40.2"',"audio/aac","audio/x-m4a","audio/MP4A-LATM","audio/mpeg4-generic"],required:!1},ogg:{type:["audio/ogg; codecs=vorbis"],required:!1},opus:{type:["audio/ogg; codecs=opus","audio/opus"],required:!1},wav:{type:['audio/wav; codecs="1"',"audio/wav","audio/wave","audio/x-wav"],required:!1}},this.movieID="sm2-container",this.id=i||"sm2movie",this.debugID="soundmanager-debug",this.debugURLParam=/([#?&])debug=1/i,this.versionNumber="V2.97a.20150601",this.version=null,this.movieURL=null,this.altURL=null,this.swfLoaded=!1,this.enabled=!1,this.oMC=null,this.sounds={},this.soundIDs=[],this.muted=!1,this.didFlashBlock=!1,this.filePattern=null,this.filePatterns={flash8:/\.mp3(\?.*)?$/i,flash9:/\.mp3(\?.*)?$/i},this.features={buffering:!1,peakData:!1,waveformData:!1,eqData:!1,movieStar:!1},this.sandbox={},this.html5={usingFlash:null},this.flash={},this.html5Only=!1,this.ignoreFlash=!1;var a,s=this,r=null,l=null,u,c="soundManager"+": ",d="HTML5::",h,p=navigator.userAgent,f=t.location.href.toString(),m=document,g,v,y,b,w=[],S=!0,C,x=!1,k=!1,T=!1,_=!1,O=!1,P,M=0,A,E,D,I,$,q,L,j,N,H,F,R,z,V,B,W,Q,X,U,Y,G,Z,J=["log","info","warn","error"],K=8,tt,et,it,nt=null,ot=null,at,st,rt,lt,ut,ct,dt,ht,pt,ft=!1,mt=!1,gt,vt,yt,bt=0,wt=null,St,Ct=[],xt,kt=null,Tt,_t,Ot,Pt,Mt,At,Et,Dt,It=Array.prototype.slice,$t=!1,qt,Lt,jt,Nt,Ht,Ft,Rt,zt,Vt=0,Bt,Wt=1e3,Qt=p.match(/(ipad|iphone|ipod)/i),Xt=p.match(/android/i),Ut=p.match(/msie/i),Yt=p.match(/webkit/i),Gt=p.match(/safari/i)&&!p.match(/chrome/i),Zt=p.match(/opera/i),Jt=p.match(/(mobile|pre\/|xoom)/i)||Qt||Xt,Kt=!f.match(/usehtml5audio/i)&&!f.match(/sm2\-ignorebadua/i)&&Gt&&!p.match(/silk/i)&&p.match(/OS X 10_6_([3-7])/i),te=void 0!==t.console&&void 0!==console.log,ee=void 0!==m.hasFocus?m.hasFocus():null,ie=Gt&&(void 0===m.hasFocus||!m.hasFocus()),ne=!ie,oe=/(mp3|mp4|mpa|m4a|m4b)/i,ae="about:blank",se="data:audio/wave;base64,/UklGRiYAAABXQVZFZm10IBAAAAABAAEARKwAAIhYAQACABAAZGF0YQIAAAD//w==",re=m.location?m.location.protocol.match(/http/i):null,le=re?"":"http://",ue=/^\s*audio\/(?:x-)?(?:mpeg4|aac|flv|mov|mp4||m4v|m4a|m4b|mp4v|3gp|3g2)\s*(?:$|;)/i,ce=["mpeg4","aac","flv","mov","mp4","m4v","f4v","m4a","m4b","mp4v","3gp","3g2"],de=new RegExp("\\.("+ce.join("|")+")(\\?.*)?$","i");this.mimePattern=/^\s*audio\/(?:x-)?(?:mp(?:eg|3))\s*(?:$|;)/i,this.useAltURL=!re,lt={swfBox:"sm2-object-box",swfDefault:"movieContainer",swfError:"swf_error",swfTimedout:"swf_timedout",swfLoaded:"swf_loaded",swfUnblocked:"swf_unblocked",sm2Debug:"sm2_debug",highPerf:"high_performance",flashDebug:"flash_debug"},this.hasHTML5=function(){try{return void 0!==Audio&&void 0!==(Zt&&void 0!==opera&&opera.version()<10?new Audio(null):new Audio).canPlayType}catch(t){return!1}}(),this.setup=function(t){var e=!s.url;return void 0!==t&&T&&kt&&s.ok()&&(void 0!==t.flashVersion||void 0!==t.url||t.html5Test),D(t),$t||(Jt?s.setupOptions.ignoreMobileRestrictions&&!s.setupOptions.forceUseGlobalHTML5Audio||(Ct.push(z.globalHTML5),$t=!0):s.setupOptions.forceUseGlobalHTML5Audio&&(Ct.push(z.globalHTML5),$t=!0)),!Bt&&Jt&&(s.setupOptions.ignoreMobileRestrictions?Ct.push(z.ignoreMobile):(s.setupOptions.useHTML5Audio=!0,s.setupOptions.preferFlash=!1,Qt?s.ignoreFlash=!0:(Xt&&!p.match(/android\s2\.3/i)||!Xt)&&($t=!0))),t&&(e&&Q&&void 0!==t.url&&s.beginDelayedInit(),Q||void 0===t.url||"complete"!==m.readyState||setTimeout(B,1)),Bt=!0,s},this.ok=function(){return kt?T&&!_:s.useHTML5Audio&&s.hasHTML5},this.supported=this.ok,this.getMovie=function(e){return h(e)||m[e]||t[e]},this.createSound=function(t,e){function i(){return r=ct(r),s.sounds[r.id]=new a(r),s.soundIDs.push(r.id),s.sounds[r.id]}var n,o,r,u=null;if(!T||!s.ok())return!1;if(void 0!==e&&(t={id:t,url:e}),(r=E(t)).url=St(r.url),void 0===r.id&&(r.id=s.setupOptions.idPrefix+Vt++),pt(r.id,!0))return s.sounds[r.id];if(_t(r))(u=i())._setup_html5(r);else{if(s.html5Only)return i();if(s.html5.usingFlash&&r.url&&r.url.match(/data\:/i))return i();b>8&&null===r.isMovieStar&&(r.isMovieStar=!!(r.serverURL||r.type&&r.type.match(ue)||r.url&&r.url.match(de))),r=dt(r,n),u=i(),8===b?l._createSound(r.id,r.loops||1,r.usePolicyFile):(l._createSound(r.id,r.url,r.usePeakData,r.useWaveformData,r.useEQData,r.isMovieStar,!!r.isMovieStar&&r.bufferTime,r.loops||1,r.serverURL,r.duration||null,r.autoPlay,!0,r.autoLoad,r.usePolicyFile),r.serverURL||(u.connected=!0,r.onconnect&&r.onconnect.apply(u))),r.serverURL||!r.autoLoad&&!r.autoPlay||u.load(r)}return!r.serverURL&&r.autoPlay&&u.play(),u},this.destroySound=function(t,e){if(!pt(t))return!1;var i=s.sounds[t],n;for(i.stop(),i._iO={},i.unload(),n=0;n<s.soundIDs.length;n++)if(s.soundIDs[n]===t){s.soundIDs.splice(n,1);break}return e||i.destruct(!0),i=null,delete s.sounds[t],!0},this.load=function(t,e){return!!pt(t)&&s.sounds[t].load(e)},this.unload=function(t){return!!pt(t)&&s.sounds[t].unload()},this.onPosition=function(t,e,i,n){return!!pt(t)&&s.sounds[t].onposition(e,i,n)},this.onposition=this.onPosition,this.clearOnPosition=function(t,e,i){return!!pt(t)&&s.sounds[t].clearOnPosition(e,i)},this.play=function(t,e){var i=null,n=e&&!(e instanceof Object);if(!T||!s.ok())return!1;if(pt(t,n))n&&(e={url:e});else{if(!n)return!1;n&&(e={url:e}),e&&e.url&&(e.id=t,i=s.createSound(e).play())}return null===i&&(i=s.sounds[t].play(e)),i},this.start=this.play,this.setPosition=function(t,e){return!!pt(t)&&s.sounds[t].setPosition(e)},this.stop=function(t){return!!pt(t)&&s.sounds[t].stop()},this.stopAll=function(){var t;for(t in s.sounds)s.sounds.hasOwnProperty(t)&&s.sounds[t].stop()},this.pause=function(t){return!!pt(t)&&s.sounds[t].pause()},this.pauseAll=function(){var t;for(t=s.soundIDs.length-1;t>=0;t--)s.sounds[s.soundIDs[t]].pause()},this.resume=function(t){return!!pt(t)&&s.sounds[t].resume()},this.resumeAll=function(){var t;for(t=s.soundIDs.length-1;t>=0;t--)s.sounds[s.soundIDs[t]].resume()},this.togglePause=function(t){return!!pt(t)&&s.sounds[t].togglePause()},this.setPan=function(t,e){return!!pt(t)&&s.sounds[t].setPan(e)},this.setVolume=function(t,e){var i,n;if(void 0===t||isNaN(t)||void 0!==e)return!!pt(t)&&s.sounds[t].setVolume(e);for(i=0,n=s.soundIDs.length;i<n;i++)s.sounds[s.soundIDs[i]].setVolume(t)},this.mute=function(t){var e=0;if(t instanceof String&&(t=null),t)return!!pt(t)&&s.sounds[t].mute();for(e=s.soundIDs.length-1;e>=0;e--)s.sounds[s.soundIDs[e]].mute();return s.muted=!0,!0},this.muteAll=function(){s.mute()},this.unmute=function(t){var e;if(t instanceof String&&(t=null),t)return!!pt(t)&&s.sounds[t].unmute();for(e=s.soundIDs.length-1;e>=0;e--)s.sounds[s.soundIDs[e]].unmute();return s.muted=!1,!0},this.unmuteAll=function(){s.unmute()},this.toggleMute=function(t){return!!pt(t)&&s.sounds[t].toggleMute()},this.getMemoryUse=function(){var t=0;return l&&8!==b&&(t=parseInt(l._getMemoryUse(),10)),t},this.disable=function(e){var i;if(void 0===e&&(e=!1),_)return!1;for(_=!0,i=s.soundIDs.length-1;i>=0;i--)tt(s.sounds[s.soundIDs[i]]);return A(e),Dt.remove(t,"load",L),!0},this.canPlayMIME=function(t){var e;return s.hasHTML5&&(e=Ot({type:t})),!e&&kt&&(e=t&&s.ok()?!!(b>8&&t.match(ue)||t.match(s.mimePattern)):null),e},this.canPlayURL=function(t){var e;return s.hasHTML5&&(e=Ot({url:t})),!e&&kt&&(e=t&&s.ok()?!!t.match(s.filePattern):null),e},this.canPlayLink=function(t){return!(void 0===t.type||!t.type||!s.canPlayMIME(t.type))||s.canPlayURL(t.href)},this.getSoundById=function(t,e){return t?s.sounds[t]:null;var i},this.onready=function(e,i){var n="onready",o=!1;if("function"!=typeof e)throw at("needFunction",n);return i||(i=t),$(n,e,i),q(),o=!0},this.ontimeout=function(e,i){var n="ontimeout",o=!1;if("function"!=typeof e)throw at("needFunction",n);return i||(i=t),$(n,e,i),q({type:n}),o=!0},this._writeDebug=function(t,e){return!0},this._wD=this._writeDebug,this._debug=function(){},this.reboot=function(e,i){var n,o,a;for(n=s.soundIDs.length-1;n>=0;n--)s.sounds[s.soundIDs[n]].destruct();if(l)try{Ut&&(ot=l.innerHTML),nt=l.parentNode.removeChild(l)}catch(t){}if(ot=nt=kt=l=null,s.enabled=Q=T=ft=mt=x=k=_=$t=s.swfLoaded=!1,s.soundIDs=[],s.sounds={},Vt=0,Bt=!1,e)w=[];else for(n in w)if(w.hasOwnProperty(n))for(o=0,a=w[n].length;o<a;o++)w[n][o].fired=!1;return s.html5={usingFlash:null},s.flash={},s.html5Only=!1,s.ignoreFlash=!1,t.setTimeout((function(){i||s.beginDelayedInit()}),20),s},this.reset=function(){return s.reboot(!0,!0)},this.getMoviePercent=function(){return l&&"PercentLoaded"in l?l.PercentLoaded():null},this.beginDelayedInit=function(){O=!0,B(),setTimeout((function(){return!mt&&(U(),V(),mt=!0,!0)}),20),j()},this.destruct=function(){s.disable(!0)},a=function(t){var e=this,i,n,o,a,u,c,d=!1,h=[],p=0,f,m,g=null,v,y;v={duration:null,time:null},this.id=t.id,this.sID=this.id,this.url=t.url,this.options=E(t),this.instanceOptions=this.options,this._iO=this.instanceOptions,this.pan=this.options.pan,this.volume=this.options.volume,this.isHTML5=!1,this._a=null,y=!this.url,this.id3={},this._debug=function(){},this.load=function(t){var i=null,n;if(void 0!==t?e._iO=E(t,e.options):(t=e.options,e._iO=t,g&&g!==e.url&&(e._iO.url=e.url,e.url=null)),e._iO.url||(e._iO.url=e.url),e._iO.url=St(e._iO.url),e.instanceOptions=e._iO,!(n=e._iO).url&&!e.url)return e;if(n.url===e.url&&0!==e.readyState&&2!==e.readyState)return 3===e.readyState&&n.onload&&zt(e,(function(){n.onload.apply(e,[!!e.duration])})),e;if(e.loaded=!1,e.readyState=1,e.playState=0,e.id3={},_t(n))(i=e._setup_html5(n))._called_load||(e._html5_canplay=!1,e.url!==n.url&&(e._a.src=n.url,e.setPosition(0)),e._a.autobuffer="auto",e._a.preload="auto",e._a._called_load=!0);else{if(s.html5Only)return e;if(e._iO.url&&e._iO.url.match(/data\:/i))return e;try{e.isHTML5=!1,e._iO=dt(ct(n)),e._iO.autoPlay&&(e._iO.position||e._iO.from)&&(e._iO.autoPlay=!1),n=e._iO,8===b?l._load(e.id,n.url,n.stream,n.autoPlay,n.usePolicyFile):l._load(e.id,n.url,!!n.stream,!!n.autoPlay,n.loops||1,!!n.autoLoad,n.usePolicyFile)}catch(t){Y({type:"SMSOUND_LOAD_JS_EXCEPTION",fatal:!0})}}return e.url=n.url,e},this.unload=function(){return 0!==e.readyState&&(e.isHTML5?(a(),e._a&&(e._a.pause(),g=Mt(e._a))):8===b?l._unload(e.id,ae):l._unload(e.id),i()),e},this.destruct=function(t){e.isHTML5?(a(),e._a&&(e._a.pause(),Mt(e._a),$t||o(),e._a._s=null,e._a=null)):(e._iO.onfailure=null,l._destroySound(e.id)),t||s.destroySound(e.id,!0)},this.play=function(t,i){var n,o,a,r,h,p,f,g=!0,v=null;if(i=void 0===i||i,t||(t={}),e.url&&(e._iO.url=e.url),e._iO=E(e._iO,e.options),e._iO=E(t,e._iO),e._iO.url=St(e._iO.url),e.instanceOptions=e._iO,!e.isHTML5&&e._iO.serverURL&&!e.connected)return e.getAutoPlay()||e.setAutoPlay(!0),e;if(_t(e._iO)&&(e._setup_html5(e._iO),u()),1!==e.playState||e.paused||(o=e._iO.multiShot)||(e.isHTML5&&e.setPosition(e._iO.position),v=e),null!==v)return v;if(t.url&&t.url!==e.url&&(e.readyState||e.isHTML5||8!==b||!y?e.load(e._iO):y=!1),e.loaded||(0===e.readyState?(e.isHTML5||s.html5Only?e.isHTML5?e.load(e._iO):v=e:(e._iO.autoPlay=!0,e.load(e._iO)),e.instanceOptions=e._iO):2===e.readyState&&(v=e)),null!==v)return v;if(!e.isHTML5&&9===b&&e.position>0&&e.position===e.duration&&(t.position=0),e.paused&&e.position>=0&&(!e._iO.serverURL||e.position>0))e.resume();else{if(e._iO=E(t,e._iO),(!e.isHTML5&&null!==e._iO.position&&e._iO.position>0||null!==e._iO.from&&e._iO.from>0||null!==e._iO.to)&&0===e.instanceCount&&0===e.playState&&!e._iO.serverURL){if(r=function(){e._iO=E(t,e._iO),e.play(e._iO)},e.isHTML5&&!e._html5_canplay?(e.load({_oncanplay:r}),v=!1):e.isHTML5||e.loaded||e.readyState&&2===e.readyState||(e.load({onload:r}),v=!1),null!==v)return v;e._iO=m()}(!e.instanceCount||e._iO.multiShotEvents||e.isHTML5&&e._iO.multiShot&&!$t||!e.isHTML5&&b>8&&!e.getAutoPlay())&&e.instanceCount++,e._iO.onposition&&0===e.playState&&c(e),e.playState=1,e.paused=!1,e.position=void 0===e._iO.position||isNaN(e._iO.position)?0:e._iO.position,e.isHTML5||(e._iO=dt(ct(e._iO))),e._iO.onplay&&i&&(e._iO.onplay.apply(e),d=!0),e.setVolume(e._iO.volume,!0),e.setPan(e._iO.pan,!0),e.isHTML5?e.instanceCount<2?(u(),a=e._setup_html5(),e.setPosition(e._iO.position),a.play()):(h=new Audio(e._iO.url),p=function(){Dt.remove(h,"ended",p),e._onfinish(e),Mt(h),h=null},f=function(){Dt.remove(h,"canplay",f);try{h.currentTime=e._iO.position/1e3}catch(t){}h.play()},Dt.add(h,"ended",p),void 0!==e._iO.volume&&(h.volume=Math.max(0,Math.min(1,e._iO.volume/100))),e.muted&&(h.muted=!0),e._iO.position?Dt.add(h,"canplay",f):h.play()):(g=l._start(e.id,e._iO.loops||1,9===b?e.position:e.position/1e3,e._iO.multiShot||!1),9!==b||g||e._iO.onplayerror&&e._iO.onplayerror.apply(e))}return e},this.start=this.play,this.stop=function(t){var i=e._iO,n;return 1===e.playState&&(e._onbufferchange(0),e._resetOnPosition(0),e.paused=!1,e.isHTML5||(e.playState=0),f(),i.to&&e.clearOnPosition(i.to),e.isHTML5?e._a&&(n=e.position,e.setPosition(0),e.position=n,e._a.pause(),e.playState=0,e._onTimer(),a()):(l._stop(e.id,t),i.serverURL&&e.unload()),e.instanceCount=0,e._iO={},i.onstop&&i.onstop.apply(e)),e},this.setAutoPlay=function(t){e._iO.autoPlay=t,e.isHTML5||(l._setAutoPlay(e.id,t),t&&(e.instanceCount||1!==e.readyState||e.instanceCount++))},this.getAutoPlay=function(){return e._iO.autoPlay},this.setPosition=function(t){void 0===t&&(t=0);var i,n,o=e.isHTML5?Math.max(t,0):Math.min(e.duration||e._iO.duration,Math.max(t,0));if(e.position=o,n=e.position/1e3,e._resetOnPosition(e.position),e._iO.position=o,e.isHTML5){if(e._a){if(e._html5_canplay){if(e._a.currentTime!==n)try{e._a.currentTime=n,(0===e.playState||e.paused)&&e._a.pause()}catch(t){}}else if(n)return e;e.paused&&e._onTimer(!0)}}else i=9===b?e.position:n,e.readyState&&2!==e.readyState&&l._setPosition(e.id,i,e.paused||!e.playState,e._iO.multiShot);return e},this.pause=function(t){return e.paused||0===e.playState&&1!==e.readyState||(e.paused=!0,e.isHTML5?(e._setup_html5().pause(),a()):(t||void 0===t)&&l._pause(e.id,e._iO.multiShot),e._iO.onpause&&e._iO.onpause.apply(e)),e},this.resume=function(){var t=e._iO;return e.paused?(e.paused=!1,e.playState=1,e.isHTML5?(e._setup_html5().play(),u()):(t.isMovieStar&&!t.serverURL&&e.setPosition(e.position),l._pause(e.id,t.multiShot)),!d&&t.onplay?(t.onplay.apply(e),d=!0):t.onresume&&t.onresume.apply(e),e):e},this.togglePause=function(){return 0===e.playState?(e.play({position:9!==b||e.isHTML5?e.position/1e3:e.position}),e):(e.paused?e.resume():e.pause(),e)},this.setPan=function(t,i){return void 0===t&&(t=0),void 0===i&&(i=!1),e.isHTML5||l._setPan(e.id,t),e._iO.pan=t,i||(e.pan=t,e.options.pan=t),e},this.setVolume=function(t,i){return void 0===t&&(t=100),void 0===i&&(i=!1),e.isHTML5?e._a&&(s.muted&&!e.muted&&(e.muted=!0,e._a.muted=!0),e._a.volume=Math.max(0,Math.min(1,t/100))):l._setVolume(e.id,s.muted&&!e.muted||e.muted?0:t),e._iO.volume=t,i||(e.volume=t,e.options.volume=t),e},this.mute=function(){return e.muted=!0,e.isHTML5?e._a&&(e._a.muted=!0):l._setVolume(e.id,0),e},this.unmute=function(){e.muted=!1;var t=void 0!==e._iO.volume;return e.isHTML5?e._a&&(e._a.muted=!1):l._setVolume(e.id,t?e._iO.volume:e.options.volume),e},this.toggleMute=function(){return e.muted?e.unmute():e.mute()},this.onPosition=function(t,i,n){return h.push({position:parseInt(t,10),method:i,scope:void 0!==n?n:e,fired:!1}),e},this.onposition=this.onPosition,this.clearOnPosition=function(t,e){var i;if(t=parseInt(t,10),isNaN(t))return!1;for(i=0;i<h.length;i++)t===h[i].position&&(e&&e!==h[i].method||(h[i].fired&&p--,h.splice(i,1)))},this._processOnPosition=function(){var t,i,n=h.length;if(!n||!e.playState||p>=n)return!1;for(t=n-1;t>=0;t--)!(i=h[t]).fired&&e.position>=i.position&&(i.fired=!0,p++,i.method.apply(i.scope,[i.position]),n=h.length);return!0},this._resetOnPosition=function(t){var e,i,n=h.length;if(!n)return!1;for(e=n-1;e>=0;e--)(i=h[e]).fired&&t<=i.position&&(i.fired=!1,p--);return!0},m=function(){var t=e._iO,i=t.from,n=t.to,o,a;return a=function(){e.clearOnPosition(n,a),e.stop()},o=function(){null===n||isNaN(n)||e.onPosition(n,a)},null===i||isNaN(i)||(t.position=i,t.multiShot=!1,o()),t},c=function(){var t,i=e._iO.onposition;if(i)for(t in i)i.hasOwnProperty(t)&&e.onPosition(parseInt(t,10),i[t])},f=function(){var t,i=e._iO.onposition;if(i)for(t in i)i.hasOwnProperty(t)&&e.clearOnPosition(parseInt(t,10))},u=function(){e.isHTML5&&gt(e)},a=function(){e.isHTML5&&vt(e)},(i=function(t){t||(h=[],p=0),d=!1,e._hasTimer=null,e._a=null,e._html5_canplay=!1,e.bytesLoaded=null,e.bytesTotal=null,e.duration=e._iO&&e._iO.duration?e._iO.duration:null,e.durationEstimate=null,e.buffered=[],e.eqData=[],e.eqData.left=[],e.eqData.right=[],e.failures=0,e.isBuffering=!1,e.instanceOptions={},e.instanceCount=0,e.loaded=!1,e.metadata={},e.readyState=0,e.muted=!1,e.paused=!1,e.peakData={left:0,right:0},e.waveformData={left:[],right:[]},e.playState=0,e.position=null,e.id3={}})(),this._onTimer=function(t){var i,n=!1,o,a={};if(e._hasTimer||t)return e._a&&(t||(e.playState>0||1===e.readyState)&&!e.paused)&&((i=e._get_html5_duration())!==v.duration&&(v.duration=i,e.duration=i,n=!0),e.durationEstimate=e.duration,(o=1e3*e._a.currentTime||0)!==v.time&&(v.time=o,n=!0),(n||t)&&e._whileplaying(o,a,a,a,a)),n},this._get_html5_duration=function(){var t=e._iO,i=e._a&&e._a.duration?1e3*e._a.duration:t&&t.duration?t.duration:null,n;return i&&!isNaN(i)&&i!==1/0?i:null},this._apply_loop=function(t,e){t.loop=e>1?"loop":""},this._setup_html5=function(t){var o=E(e._iO,t),a=$t?r:e._a,s=decodeURI(o.url),l;if($t?s===decodeURI(qt)&&(l=!0):s===decodeURI(g)&&(l=!0),a){if(a._s)if($t)a._s&&a._s.playState&&!l&&a._s.stop();else if(!$t&&s===decodeURI(g))return e._apply_loop(a,o.loops),a;l||(g&&i(!1),a.src=o.url,e.url=o.url,g=o.url,qt=o.url,a._called_load=!1)}else o.autoLoad||o.autoPlay?(e._a=new Audio(o.url),e._a.load()):e._a=Zt&&opera.version()<10?new Audio(null):new Audio,(a=e._a)._called_load=!1,$t&&(r=a);return e.isHTML5=!0,e._a=a,a._s=e,n(),e._apply_loop(a,o.loops),o.autoLoad||o.autoPlay?e.load():(a.autobuffer=!1,a.preload="auto"),a},n=function(){function t(t,i,n){return e._a?e._a.addEventListener(t,i,n||!1):null}if(e._a._added_events)return!1;var i;for(i in e._a._added_events=!0,Ht)Ht.hasOwnProperty(i)&&t(i,Ht[i]);return!0},o=function(){function t(t,i,n){return e._a?e._a.removeEventListener(t,i,n||!1):null}var i;for(i in e._a._added_events=!1,Ht)Ht.hasOwnProperty(i)&&t(i,Ht[i])},this._onload=function(t){var i,n=!!t||!e.isHTML5&&8===b&&e.duration;return e.loaded=n,e.readyState=n?3:2,e._onbufferchange(0),e._iO.onload&&zt(e,(function(){e._iO.onload.apply(e,[n])})),!0},this._onbufferchange=function(t){return 0!==e.playState&&(!(t&&e.isBuffering||!t&&!e.isBuffering)&&(e.isBuffering=1===t,e._iO.onbufferchange&&e._iO.onbufferchange.apply(e,[t]),!0))},this._onsuspend=function(){return e._iO.onsuspend&&e._iO.onsuspend.apply(e),!0},this._onfailure=function(t,i,n){e.failures++,e._iO.onfailure&&1===e.failures&&e._iO.onfailure(t,i,n)},this._onwarning=function(t,i,n){e._iO.onwarning&&e._iO.onwarning(t,i,n)},this._onfinish=function(){var t=e._iO.onfinish;e._onbufferchange(0),e._resetOnPosition(0),e.instanceCount&&(e.instanceCount--,e.instanceCount||(f(),e.playState=0,e.paused=!1,e.instanceCount=0,e.instanceOptions={},e._iO={},a(),e.isHTML5&&(e.position=0)),e.instanceCount&&!e._iO.multiShotEvents||t&&zt(e,(function(){t.apply(e)})))},this._whileloading=function(t,i,n,o){var a=e._iO;e.bytesLoaded=t,e.bytesTotal=i,e.duration=Math.floor(n),e.bufferLength=o,e.isHTML5||a.isMovieStar?e.durationEstimate=e.duration:a.duration?e.durationEstimate=e.duration>a.duration?e.duration:a.duration:e.durationEstimate=parseInt(e.bytesTotal/e.bytesLoaded*e.duration,10),e.isHTML5||(e.buffered=[{start:0,end:e.duration}]),(3!==e.readyState||e.isHTML5)&&a.whileloading&&a.whileloading.apply(e)},this._whileplaying=function(t,i,n,o,a){var s=e._iO,r;return!isNaN(t)&&null!==t&&(e.position=Math.max(0,t),e._processOnPosition(),!e.isHTML5&&b>8&&(s.usePeakData&&void 0!==i&&i&&(e.peakData={left:i.leftPeak,right:i.rightPeak}),s.useWaveformData&&void 0!==n&&n&&(e.waveformData={left:n.split(","),right:o.split(",")}),s.useEQData&&void 0!==a&&a&&a.leftEQ&&(r=a.leftEQ.split(","),e.eqData=r,e.eqData.left=r,void 0!==a.rightEQ&&a.rightEQ&&(e.eqData.right=a.rightEQ.split(",")))),1===e.playState&&(e.isHTML5||8!==b||e.position||!e.isBuffering||e._onbufferchange(0),s.whileplaying&&s.whileplaying.apply(e)),!0)},this._oncaptiondata=function(t){e.captiondata=t,e._iO.oncaptiondata&&e._iO.oncaptiondata.apply(e,[t])},this._onmetadata=function(t,i){var n={},o,a;for(o=0,a=t.length;o<a;o++)n[t[o]]=i[o];e.metadata=n,e._iO.onmetadata&&e._iO.onmetadata.call(e,e.metadata)},this._onid3=function(t,i){var n=[],o,a;for(o=0,a=t.length;o<a;o++)n[t[o]]=i[o];e.id3=E(e.id3,n),e._iO.onid3&&e._iO.onid3.apply(e)},this._onconnect=function(t){t=1===t,e.connected=t,t&&(e.failures=0,pt(e.id)&&(e.getAutoPlay()?e.play(void 0,e.getAutoPlay()):e._iO.autoLoad&&e.load()),e._iO.onconnect&&e._iO.onconnect.apply(e,[t]))},this._ondataerror=function(t){e.playState>0&&e._iO.ondataerror&&e._iO.ondataerror.apply(e)}},X=function(){return m.body||m.getElementsByTagName("div")[0]},h=function(t){return m.getElementById(t)},E=function(t,e){var i=t||{},n,o;for(o in n=void 0===e?s.defaultOptions:e)n.hasOwnProperty(o)&&void 0===i[o]&&("object"!=typeof n[o]||null===n[o]?i[o]=n[o]:i[o]=E(i[o],n[o]));return i},zt=function(e,i){e.isHTML5||8!==b?i():t.setTimeout(i,0)},I={onready:1,ontimeout:1,defaultOptions:1,flash9Options:1,movieStarOptions:1},D=function(t,e){var i,n=!0,o=void 0!==e,a=s.setupOptions,r=I;for(i in t)if(t.hasOwnProperty(i))if("object"!=typeof t[i]||null===t[i]||t[i]instanceof Array||t[i]instanceof RegExp)o&&void 0!==r[e]?s[e][i]=t[i]:void 0!==a[i]?(s.setupOptions[i]=t[i],s[i]=t[i]):void 0===r[i]?n=!1:s[i]instanceof Function?s[i].apply(s,t[i]instanceof Array?t[i]:[t[i]]):s[i]=t[i];else{if(void 0!==r[i])return D(t[i],i);n=!1}return n},Dt=function(){function e(t){var e=It.call(t),i=e.length;return a?(e[1]="on"+e[1],i>3&&e.pop()):3===i&&e.push(!1),e}function i(t,e){var i=t.shift(),n=[s[e]];a?i[n](t[0],t[1]):i[n].apply(i,t)}function n(){i(e(arguments),"add")}function o(){i(e(arguments),"remove")}var a=t.attachEvent,s={add:a?"attachEvent":"addEventListener",remove:a?"detachEvent":"removeEventListener"};return{add:n,remove:o}}(),Ht={abort:o((function(){})),canplay:o((function(){var t=this._s,e;if(t._html5_canplay)return!0;if(t._html5_canplay=!0,t._onbufferchange(0),e=void 0===t._iO.position||isNaN(t._iO.position)?null:t._iO.position/1e3,this.currentTime!==e)try{this.currentTime=e}catch(t){}t._iO._oncanplay&&t._iO._oncanplay()})),canplaythrough:o((function(){var t=this._s;t.loaded||(t._onbufferchange(0),t._whileloading(t.bytesLoaded,t.bytesTotal,t._get_html5_duration()),t._onload(!0))})),durationchange:o((function(){var t=this._s,e;e=t._get_html5_duration(),isNaN(e)||e===t.duration||(t.durationEstimate=t.duration=e)})),ended:o((function(){var t;this._s._onfinish()})),error:o((function(){this._s._onload(!1)})),loadeddata:o((function(){var t=this._s;t._loaded||Gt||(t.duration=t._get_html5_duration())})),loadedmetadata:o((function(){})),loadstart:o((function(){this._s._onbufferchange(1)})),play:o((function(){this._s._onbufferchange(0)})),playing:o((function(){this._s._onbufferchange(0)})),progress:o((function(t){var e=this._s,i,n,o,a=0,s="progress"===t.type,r=t.target.buffered,l=t.loaded||0,u=t.total||1;if(e.buffered=[],r&&r.length){for(i=0,n=r.length;i<n;i++)e.buffered.push({start:1e3*r.start(i),end:1e3*r.end(i)});a=1e3*(r.end(0)-r.start(0)),l=Math.min(1,a/(1e3*t.target.duration))}isNaN(l)||(e._whileloading(l,u,e._get_html5_duration()),l&&u&&l===u&&Ht.canplaythrough.call(this,t))})),ratechange:o((function(){})),suspend:o((function(t){var e=this._s;Ht.progress.call(this,t),e._onsuspend()})),stalled:o((function(){})),timeupdate:o((function(){this._s._onTimer()})),waiting:o((function(){var t;this._s._onbufferchange(1)}))},_t=function(t){var e;return e=!(!t||!(t.type||t.url||t.serverURL))&&(!(t.serverURL||t.type&&n(t.type))&&(t.type?Ot({type:t.type}):Ot({url:t.url})||s.html5Only||t.url.match(/data\:/i)))},Mt=function(t){var e;return t&&(e=Gt?ae:s.html5.canPlayType("audio/wav")?se:ae,t.src=e,void 0!==t._called_unload&&(t._called_load=!1)),$t&&(qt=null),e},Ot=function(t){if(!s.useHTML5Audio||!s.hasHTML5)return!1;var e=t.url||null,i=t.type||null,o=s.audioFormats,a,r,l,u;if(i&&void 0!==s.html5[i])return s.html5[i]&&!n(i);if(!Pt){for(u in Pt=[],o)o.hasOwnProperty(u)&&(Pt.push(u),o[u].related&&(Pt=Pt.concat(o[u].related)));Pt=new RegExp("\\.("+Pt.join("|")+")(\\?.*)?$","i")}return(l=e?e.toLowerCase().match(Pt):null)&&l.length?l=l[1]:i?l=(-1!==(r=i.indexOf(";"))?i.substr(0,r):i).substr(6):a=!1,l&&void 0!==s.html5[l]?a=s.html5[l]&&!n(l):(i="audio/"+l,a="probably"),a},Et=function(){function t(t){var i,n,o=!1,a=!1;if(!e||"function"!=typeof e.canPlayType)return o;if(t instanceof Array){for(r=0,n=t.length;r<n;r++)(s.html5[t[r]]||e.canPlayType(t[r]).match(s.html5Test))&&(a=!0,s.html5[t[r]]=!0,s.flash[t[r]]=!!t[r].match(oe));o=a}else o=!(!(i=!(!e||"function"!=typeof e.canPlayType)&&e.canPlayType(t))||!i.match(s.html5Test));return o}if(!s.useHTML5Audio||!s.hasHTML5)return s.html5.usingFlash=!0,kt=!0,!1;var e=void 0!==Audio?Zt&&opera.version()<10?new Audio(null):new Audio:null,i,n,o={},a,r;for(i in a=s.audioFormats)if(a.hasOwnProperty(i)&&(n="audio/"+i,o[i]=t(a[i].type),o[n]=o[i],i.match(oe)?(s.flash[i]=!0,s.flash[n]=!0):(s.flash[i]=!1,s.flash[n]=!1),a[i]&&a[i].related))for(r=a[i].related.length-1;r>=0;r--)o["audio/"+a[i].related[r]]=o[i],s.html5[a[i].related[r]]=o[i],s.flash[a[i].related[r]]=o[i];return o.canPlayType=e?t:null,s.html5=E(s.html5,o),s.html5.usingFlash=Tt(),kt=s.html5.usingFlash,!0},z={},at=function(){},ct=function(t){return 8===b&&t.loops>1&&t.stream&&(t.stream=!1),t},dt=function(t,e){return t&&!t.usePolicyFile&&(t.onid3||t.usePeakData||t.useWaveformData||t.useEQData)&&(t.usePolicyFile=!0),t},ht=function(t){},g=function(){return!1},tt=function(t){var e;for(e in t)t.hasOwnProperty(e)&&"function"==typeof t[e]&&(t[e]=g);e=null},et=function(t){void 0===t&&(t=!1),(_||t)&&s.disable(t)},it=function(t){var e=null,i;if(t)if(t.match(/\.swf(\?.*)?$/i)){if(e=t.substr(t.toLowerCase().lastIndexOf(".swf?")+4))return t}else t.lastIndexOf("/")!==t.length-1&&(t+="/");return i=(t&&-1!==t.lastIndexOf("/")?t.substr(0,t.lastIndexOf("/")+1):"./")+s.movieURL,s.noSWFCache&&(i+="?ts="+(new Date).getTime()),i},F=function(){8!==(b=parseInt(s.flashVersion,10))&&9!==b&&(s.flashVersion=b=8);var t=s.debugMode||s.debugFlash?"_debug.swf":".swf";s.useHTML5Audio&&!s.html5Only&&s.audioFormats.mp4.required&&b<9&&(s.flashVersion=b=9),s.version=s.versionNumber+(s.html5Only?" (HTML5-only mode)":9===b?" (AS3/Flash 9)":" (AS2/Flash 8)"),b>8?(s.defaultOptions=E(s.defaultOptions,s.flash9Options),s.features.buffering=!0,s.defaultOptions=E(s.defaultOptions,s.movieStarOptions),s.filePatterns.flash9=new RegExp("\\.(mp3|"+ce.join("|")+")(\\?.*)?$","i"),s.features.movieStar=!0):s.features.movieStar=!1,s.filePattern=s.filePatterns[8!==b?"flash9":"flash8"],s.movieURL=(8===b?"soundmanager2.swf":"soundmanager2_flash9.swf").replace(".swf",t),s.features.peakData=s.features.waveformData=s.features.eqData=b>8},G=function(t,e){if(!l)return!1;l._setPolling(t,e)},Z=function(){},pt=this.getSoundById,rt=function(){var t=[];return s.debugMode&&t.push(lt.sm2Debug),s.debugFlash&&t.push(lt.flashDebug),s.useHighPerformance&&t.push(lt.highPerf),t.join(" ")},st=function(){var t=at("fbHandler"),e=s.getMoviePercent(),i=lt,n={type:"FLASHBLOCK"};if(s.html5Only)return!1;s.ok()?s.oMC&&(s.oMC.className=[rt(),i.swfDefault,i.swfLoaded+(s.didFlashBlock?" "+i.swfUnblocked:"")].join(" ")):(kt&&(s.oMC.className=rt()+" "+i.swfDefault+" "+(null===e?i.swfTimedout:i.swfError)),s.didFlashBlock=!0,q({type:"ontimeout",ignoreInit:!0,error:n}),Y(n))},$=function(t,e,i){void 0===w[t]&&(w[t]=[]),w[t].push({method:e,scope:i||null,fired:!1})},q=function(t){if(t||(t={type:s.ok()?"onready":"ontimeout"}),!T&&t&&!t.ignoreInit)return!1;if("ontimeout"===t.type&&(s.ok()||_&&!t.ignoreInit))return!1;var e={success:t&&t.ignoreInit?s.ok():!_},i=t&&t.type&&w[t.type]||[],n=[],o,a,r=[e],l=kt&&!s.ok();for(t.error&&(r[0].error=t.error),o=0,a=i.length;o<a;o++)!0!==i[o].fired&&n.push(i[o]);if(n.length)for(o=0,a=n.length;o<a;o++)n[o].scope?n[o].method.apply(n[o].scope,r):n[o].method.apply(this,r),l||(n[o].fired=!0);return!0},L=function(){t.setTimeout((function(){s.useFlashBlock&&st(),q(),"function"==typeof s.onload&&s.onload.apply(t),s.waitForWindowLoad&&Dt.add(t,"load",L)}),1)},jt=function(){if(void 0!==Lt)return Lt;var e=!1,i=navigator,n=i.plugins,o,a,s,r=t.ActiveXObject;if(n&&n.length)a="application/x-shockwave-flash",(s=i.mimeTypes)&&s[a]&&s[a].enabledPlugin&&s[a].enabledPlugin.description&&(e=!0);else if(void 0!==r&&!p.match(/MSAppHost/i)){try{o=new r("ShockwaveFlash.ShockwaveFlash")}catch(t){o=null}e=!!o,o=null}return Lt=e,e},Tt=function(){var t,e,i=s.audioFormats,n;if(Qt&&!!p.match(/os (1|2|3_0|3_1)\s/i)?(s.hasHTML5=!1,s.html5Only=!0,s.oMC&&(s.oMC.style.display="none")):s.useHTML5Audio&&(s.html5&&s.html5.canPlayType||(s.hasHTML5=!1)),s.useHTML5Audio&&s.hasHTML5)for(e in xt=!0,i)i.hasOwnProperty(e)&&i[e].required&&(s.html5.canPlayType(i[e].type)?s.preferFlash&&(s.flash[e]||s.flash[i[e].type])&&(t=!0):(xt=!1,t=!0));return s.ignoreFlash&&(t=!1,xt=!0),s.html5Only=s.hasHTML5&&s.useHTML5Audio&&!t,!s.html5Only},St=function(t){var e,i,n=0,o;if(t instanceof Array){for(e=0,i=t.length;e<i;e++)if(t[e]instanceof Object){if(s.canPlayMIME(t[e].type)){n=e;break}}else if(s.canPlayURL(t[e])){n=e;break}t[n].url&&(t[n]=t[n].url),o=t[n]}else o=t;return o},gt=function(t){t._hasTimer||(t._hasTimer=!0,!Jt&&s.html5PollingInterval&&(null===wt&&0===bt&&(wt=setInterval(yt,s.html5PollingInterval)),bt++))},vt=function(t){t._hasTimer&&(t._hasTimer=!1,!Jt&&s.html5PollingInterval&&bt--)},yt=function(){var t;if(null!==wt&&!bt)return clearInterval(wt),wt=null,!1;for(t=s.soundIDs.length-1;t>=0;t--)s.sounds[s.soundIDs[t]].isHTML5&&s.sounds[s.soundIDs[t]]._hasTimer&&s.sounds[s.soundIDs[t]]._onTimer()},Y=function(e){e=void 0!==e?e:{},"function"==typeof s.onerror&&s.onerror.apply(t,[{type:void 0!==e.type?e.type:null}]),void 0!==e.fatal&&e.fatal&&s.disable()},Nt=function(){if(!Kt||!jt())return!1;var t=s.audioFormats,e,i;for(i in t)if(t.hasOwnProperty(i)&&("mp3"===i||"mp4"===i)&&(s.html5[i]=!1,t[i]&&t[i].related))for(e=t[i].related.length-1;e>=0;e--)s.html5[t[i].related[e]]=!1},this._setSandboxType=function(t){},this._externalInterfaceOK=function(t){if(s.swfLoaded)return!1;var e;s.swfLoaded=!0,ie=!1,Kt&&Nt(),setTimeout(y,Ut?100:1)},U=function(t,e){function i(){}function n(t,e){return'<param name="'+t+'" value="'+e+'" />'}if(x&&k)return!1;if(s.html5Only)return F(),s.oMC=h(s.movieID),y(),x=!0,k=!0,!1
;var o=e||s.url,a=s.altURL||o,r="JS/Flash audio component (SoundManager 2)",l=X(),u=rt(),c=null,d=m.getElementsByTagName("html")[0],f,g,v,b,w,S,C,T;if(c=d&&d.dir&&d.dir.match(/rtl/i),t=void 0===t?s.id:t,F(),s.url=it(re?o:a),e=s.url,s.wmode=!s.wmode&&s.useHighPerformance?"transparent":s.wmode,null!==s.wmode&&(p.match(/msie 8/i)||!Ut&&!s.useHighPerformance)&&navigator.platform.match(/win32|win64/i)&&(Ct.push(z.spcWmode),s.wmode=null),f={name:t,id:t,src:e,quality:"high",allowScriptAccess:s.allowScriptAccess,bgcolor:s.bgColor,pluginspage:le+"www.macromedia.com/go/getflashplayer",title:r,type:"application/x-shockwave-flash",wmode:s.wmode,hasPriority:"true"},s.debugFlash&&(f.FlashVars="debug=1"),s.wmode||delete f.wmode,Ut)g=m.createElement("div"),b=['<object id="'+t+'" data="'+e+'" type="'+f.type+'" title="'+f.title+'" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,40,0">',n("movie",e),n("AllowScriptAccess",s.allowScriptAccess),n("quality",f.quality),s.wmode?n("wmode",s.wmode):"",n("bgcolor",s.bgColor),n("hasPriority","true"),s.debugFlash?n("FlashVars",f.FlashVars):"","</object>"].join("");else for(v in g=m.createElement("embed"),f)f.hasOwnProperty(v)&&g.setAttribute(v,f[v]);if(u=rt(),l=X())if(s.oMC=h(s.movieID)||m.createElement("div"),s.oMC.id)T=s.oMC.className,s.oMC.className=(T?T+" ":lt.swfDefault)+(u?" "+u:""),s.oMC.appendChild(g),Ut&&((w=s.oMC.appendChild(m.createElement("div"))).className=lt.swfBox,w.innerHTML=b),k=!0;else{if(s.oMC.id=s.movieID,s.oMC.className=lt.swfDefault+" "+u,S=null,w=null,s.useFlashBlock||(s.useHighPerformance?S={position:"fixed",width:"8px",height:"8px",bottom:"0px",left:"0px",overflow:"hidden"}:(S={position:"absolute",width:"6px",height:"6px",top:"-9999px",left:"-9999px"},c&&(S.left=Math.abs(parseInt(S.left,10))+"px"))),Yt&&(s.oMC.style.zIndex=1e4),!s.debugFlash)for(C in S)S.hasOwnProperty(C)&&(s.oMC.style[C]=S[C]);try{Ut||s.oMC.appendChild(g),l.appendChild(s.oMC),Ut&&((w=s.oMC.appendChild(m.createElement("div"))).className=lt.swfBox,w.innerHTML=b),k=!0}catch(t){throw new Error(at("domError")+" \n"+t.toString())}}return x=!0,!0},V=function(){return s.html5Only?(U(),!1):!l&&(!!s.url&&((l=s.getMovie(s.id))||(nt?(Ut?s.oMC.innerHTML=ot:s.oMC.appendChild(nt),nt=null,x=!0):U(s.id,s.url),l=s.getMovie(s.id)),"function"==typeof s.oninitmovie&&setTimeout(s.oninitmovie,1),!0))},j=function(){setTimeout(N,1e3)},H=function(){t.setTimeout((function(){s.setup({preferFlash:!1}).reboot(),s.didFlashBlock=!0,s.beginDelayedInit()}),1)},N=function(){var e,i=!1;return!!s.url&&(!ft&&(ft=!0,Dt.remove(t,"load",j),!(Lt&&ie&&!ee)&&(T||(e=s.getMoviePercent())>0&&e<100&&(i=!0),void setTimeout((function(){if(e=s.getMoviePercent(),i)return ft=!1,t.setTimeout(j,1),!1;!T&&ne&&(null===e?s.useFlashBlock||0===s.flashLoadTimeout?s.useFlashBlock&&st():!s.useFlashBlock&&xt?H():q({type:"ontimeout",ignoreInit:!0,error:{type:"INIT_FLASHBLOCK"}}):0===s.flashLoadTimeout||(!s.useFlashBlock&&xt?H():et(!0)))}),s.flashLoadTimeout))))},R=function(){function e(){Dt.remove(t,"focus",R)}return ee||!ie?(e(),!0):(ne=!0,ee=!0,ft=!1,j(),e(),!0)},Rt=function(){},Ft=function(){},A=function(e){if(T)return!1;if(s.html5Only)return T=!0,L(),!0;var i,n=!0,o;return s.useFlashBlock&&s.flashLoadTimeout&&!s.getMoviePercent()||(T=!0),o={type:!Lt&&kt?"NO_FLASH":"INIT_TIMEOUT"},(_||e)&&(s.useFlashBlock&&s.oMC&&(s.oMC.className=rt()+" "+(null===s.getMoviePercent()?lt.swfTimedout:lt.swfError)),q({type:"ontimeout",error:o,ignoreInit:!0}),Y(o),n=!1),_||(s.waitForWindowLoad&&!O?Dt.add(t,"load",L):L()),n},v=function(){var t,e=s.setupOptions;for(t in e)e.hasOwnProperty(t)&&(void 0===s[t]?s[t]=e[t]:s[t]!==e[t]&&(s.setupOptions[t]=s[t]))},y=function(){function e(){Dt.remove(t,"load",s.beginDelayedInit)}if(T)return!1;if(s.html5Only)return T||(e(),s.enabled=!0,A()),!0;V();try{l._externalInterfaceTest(!1),G(!0,s.flashPollingInterval||(s.useHighPerformance?10:50)),s.debugMode||l._disableDebug(),s.enabled=!0,s.html5Only||Dt.add(t,"unload",g)}catch(t){return Y({type:"JS_TO_FLASH_EXCEPTION",fatal:!0}),et(!0),A(),!1}return A(),e(),!0},B=function(){return!Q&&(Q=!0,v(),!Lt&&s.hasHTML5&&s.setup({useHTML5Audio:!0,preferFlash:!1}),Et(),!Lt&&kt&&(Ct.push(z.needFlash),s.setup({flashLoadTimeout:1})),m.removeEventListener&&m.removeEventListener("DOMContentLoaded",B,!1),V(),!0)},At=function(){return"complete"===m.readyState&&(B(),m.detachEvent("onreadystatechange",At)),!0},W=function(){O=!0,B(),Dt.remove(t,"load",W)},jt(),Dt.add(t,"focus",R),Dt.add(t,"load",j),Dt.add(t,"load",W),m.addEventListener?m.addEventListener("DOMContentLoaded",B,!1):m.attachEvent?m.attachEvent("onreadystatechange",At):Y({type:"NO_DOM2_EVENTS",fatal:!0})}if(!t||!t.document)throw new Error("SoundManager requires a browser with window and document objects.");var n=null;void 0!==t.SM2_DEFER&&SM2_DEFER||(n=new i),"object"==typeof module&&module&&"object"==typeof module.exports?(module.exports.SoundManager=i,module.exports.soundManager=n):"function"==typeof define&&define.amd&&define((function(){function e(e){if(!t.soundManager&&e instanceof Function){var n=e(i);n instanceof i&&(t.soundManager=n)}return t.soundManager}return{constructor:i,getInstance:e}})),t.SoundManager=i,t.soundManager=n}(window),function(t){"use strict";function e(t){this._attr={},void 0===t&&(t={}),this.playedInterval=t.playedInterval||t.interval||3e4,this.statsInterval=t.statsInterval||t.interval||5e3,this.protocol=t.protocol||"http",this.host=t.host,this.port=parseInt(t.port,10)||8e3,this.stream=parseInt(t.stream,10)||1,this.stats_path=t.stats_path||"stats",this.played_path=t.played_path||"played",this._statsinterval=null,this._playedinterval=null,this._stats=t.stats||function(){},this._played=t.played||function(){}}e.prototype.get=function(t,e){return t?void 0!==this._attr[t.toLowerCase()]?this._attr[t.toLowerCase()]:e:this._attr},e.prototype.stats=function(e){var i=this,n;"443"!==this.port&&443!==this.port||(this.protocol="https");var o=this.protocol+"://"+this.host+":"+this.port+"/"+this.stats_path+"?sid="+this.stream+"&json=1";return null!==this._statsinterval&&clearInterval(this._statsinterval),e=e||function(){},(n=t.ajax({url:o,dataType:"jsonp",timeout:"5000"})).success((function(t){"object"==typeof t&&void 0!==t.streamstatus?(i._status=1===t.streamstatus?2:1,i._attr=t,i._attr.status=i.getStatusAsText(),e.call(i,i._attr),i._stats(i._attr)):i._status=0})),n.error((function(){null!==this._statsinterval&&clearInterval(this._statsinterval)})),this},e.prototype.played=function(e){"443"===this.port&&(this.protocol="https");var i=this,n=this.protocol+"://"+this.host+":"+this.port+"/"+this.played_path+"?sid="+this.stream+"&type=json";return t.ajax({url:n,dataType:"jsonp",timeout:2e3,success:function(t){!t instanceof Array||(e&&e.call(i,t),i._played(t))}}),this},e.prototype.startStats=function(){return this.stats(),null!==this._statsinterval&&void 0!==this._statsinterval&&clearInterval(this._statsinterval),this},e.prototype.stopStats=function(){return this._statsinterval&&clearInterval(this._statsinterval),this},e.prototype.startPlayed=function(){return this.stopPlayed(),this.played(),t.proxy(this.played,this),this},e.prototype.stopPlayed=function(){return this._playedinterval&&clearInterval(this._playedinterval),this},e.prototype.getStatus=function(){return this._status},e.prototype.getStatusAsText=function(){return["Offline","Awaiting Connection","On Air"][this._status]},e.prototype.onAir=function(){return 2===this._status},t.SHOUTcast=function(t){return new e(t)}}(jQuery),function(t){function e(){var e=this,i=this,n=soundManager,o=navigator.userAgent,a=o.match(/msie/i),s=o.match(/opera/i),r=o.match(/safari/i),l=o.match(/chrome/i),u=o.match(/firefox/i),c=o.match(/ipad|iphone/i),d=void 0===t.G_vmlCanvasManager&&void 0!==document.createElement("canvas").getContext("2d"),h=s||l?359.9:360,p=navigator.userAgent.match(/msie [678]/i)?1:2;void 0===t.soundManagerVolume&&(t.soundManagerVolume=100),void 0===t.soundManagerVolumeRad&&(t.soundManagerVolumeRad=360),this.excludeClass="threesixty-exclude",this.links=[],this.sounds=[],this.soundsByURL=[],this.indexByURL=[],this.lastSound=null,this.lastTouchedSound=null,this.soundCount=0,this.oUITemplate=null,this.oUIImageMap=null,this.vuMeter=null,this.callbackCount=0,this.peakDataHistory=[],this.config={playNext:!1,autoPlay:!1,allowMultiple:!1,loadRingColor:"#ccc",playRingColor:"#000",backgroundRingColor:"#eee",segmentRingColor:"rgba(255,255,255,0.33)",segmentRingColorAlt:"rgba(0,0,0,0.1)",loadRingColorMetadata:"#ddd",playRingColorMetadata:"rgba(128,192,256,0.9)",circleDiameter:null,circleRadius:null,animDuration:500,animTransition:t.Animator.tx.bouncy,showHMSTime:!1,scaleFont:!0,useWaveformData:!1,waveformDataColor:"#0099ff",waveformDataDownsample:3,waveformDataOutside:!1,waveformDataConstrain:!1,waveformDataLineRatio:.64,useEQData:!1,eqDataColor:"#339933",eqDataDownsample:4,eqDataOutside:!0,eqDataLineRatio:.54,usePeakData:!0,peakDataColor:"#ff33ff",peakDataOutside:!0,peakDataLineRatio:.5,useAmplifier:!0,fontSizeMax:null,scaleArcWidth:1,useFavIcon:!1,playervolume:!1},navigator.userAgent.match(/mobile/i)&&(this.config.playervolume=!1),this.css={sDefault:"sm2_link",sBuffering:"sm2_buffering",sPlaying:"sm2_playing",sPaused:"sm2_paused"},this.addEventHandler=void 0!==t.addEventListener?function(t,e,i){return t.addEventListener(e,i,!1)}:function(t,e,i){t.attachEvent("on"+e,i)},this.removeEventHandler=void 0!==t.removeEventListener?function(t,e,i){return t.removeEventListener(e,i,!1)}:function(t,e,i){return t.detachEvent("on"+e,i)},this.hasClass=function(t,e){return void 0!==t.className&&t.className.match(new RegExp("(\\s|^)"+e+"(\\s|$)"))},this.addClass=function(t,i){if(!t||!i||e.hasClass(t,i))return!1;t.className=(t.className?t.className+" ":"")+i},this.removeClass=function(t,i){if(!t||!i||!e.hasClass(t,i))return!1;t.className=t.className.replace(new RegExp("( "+i+")|("+i+")","g"),"")},this.getElementsByClassName=function(t,i,n){var o=n||document,a=[],s,r,l=[];if(void 0!==i&&"string"!=typeof i)for(s=i.length;s--;)l&&l[i[s]]||(l[i[s]]=o.getElementsByTagName(i[s]));else l=i?o.getElementsByTagName(i):o.all||o.getElementsByTagName("*");if("string"!=typeof i)for(s=i.length;s--;)for(r=l[i[s]].length;r--;)e.hasClass(l[i[s]][r],t)&&a.push(l[i[s]][r]);else for(s=0;s<l.length;s++)e.hasClass(l[s],t)&&a.push(l[s]);return a},this.getParentByNodeName=function(t,e){if(!t||!e)return!1;for(e=e.toLowerCase();t.parentNode&&e!==t.parentNode.nodeName.toLowerCase();)t=t.parentNode;return t.parentNode&&e===t.parentNode.nodeName.toLowerCase()?t.parentNode:null},this.getParentByClassName=function(t,i){if(!t||!i)return!1;for(;t.parentNode&&!e.hasClass(t.parentNode,i);)t=t.parentNode;return t.parentNode&&e.hasClass(t.parentNode,i)?t.parentNode:null},this.getSoundByURL=function(t){return void 0!==e.soundsByURL[t]?e.soundsByURL[t]:null},this.isChildOfNode=function(t,e){if(!t||!t.parentNode)return!1;e=e.toLowerCase();do{t=t.parentNode}while(t&&t.parentNode&&t.nodeName.toLowerCase()!==e);return t&&t.nodeName.toLowerCase()===e?t:null},this.isChildOfClass=function(t,i){if(!t||!i)return!1;for(;t.parentNode&&!e.hasClass(t,i);)t=e.findParent(t);return e.hasClass(t,i)},this.findParent=function(t){if(!t||!t.parentNode)return!1;if(2===(t=t.parentNode).nodeType)for(;t&&t.parentNode&&2===t.parentNode.nodeType;)t=t.parentNode;return t},this.getStyle=function(e,i){try{if(e.currentStyle)return e.currentStyle[i];if(t.getComputedStyle)return document.defaultView.getComputedStyle(e,null).getPropertyValue(i)}catch(t){}return null},this.findXY=function(t){var e=0,i=0;do{e+=t.offsetLeft,i+=t.offsetTop}while(t=t.offsetParent);return[e,i]},this.getMouseXY=function(i){return i=i||t.event,c&&i.touches&&(i=i.touches[0]),i.pageX||i.pageY?[i.pageX,i.pageY]:i.clientX||i.clientY?[i.clientX+e.getScrollLeft(),i.clientY+e.getScrollTop()]:void 0},this.getScrollLeft=function(){return document.body.scrollLeft+document.documentElement.scrollLeft},this.getScrollTop=function(){return document.body.scrollTop+document.documentElement.scrollTop},this.events={play:function(){i.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className=i.css.sPlaying,i.addClass(this._360data.oUIBox,this._360data.className),e.fanOut(this)},stop:function(){i.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className="",e.fanIn(this)},pause:function(){i.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className=i.css.sPaused,i.addClass(this._360data.oUIBox,this._360data.className)},resume:function(){i.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className=i.css.sPlaying,i.addClass(this._360data.oUIBox,this._360data.className)},finish:function(){var t;i.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className="",this._360data.didFinish=!0,e.fanIn(this),i.config.playNext&&(t=i.indexByURL[this._360data.oLink.href]+1)<i.links.length&&i.handleClick({target:i.links[t]})},whileloading:function(){this.paused&&e.updatePlaying.apply(this)},whileplaying:function(){e.updatePlaying.apply(this),this._360data.fps++},bufferchange:function(){this.isBuffering?i.addClass(this._360data.oUIBox,i.css.sBuffering):i.removeClass(this._360data.oUIBox,i.css.sBuffering)}},this.stopEvent=function(e){return void 0!==e&&void 0!==e.preventDefault?e.preventDefault():void 0!==t.event&&void 0!==t.event.returnValue&&(t.event.returnValue=!1),!1},this.getTheDamnLink=a?function(e){return e&&e.target?e.target:t.event.srcElement}:function(t){return t.target},this.handleClick=function(i){if(i.button>1)return!0;var o=e.getTheDamnLink(i),a,s,r,l,u,c,d;return"a"!==o.nodeName.toLowerCase()&&!(o=e.isChildOfNode(o,"a"))||(!e.isChildOfClass(o,"ui360")||(s=o.getAttribute("href"),o.href&&n.canPlayLink(o)&&!e.hasClass(o,e.excludeClass)?(n._writeDebug("handleClick()"),r=o.href,(l=e.getSoundByURL(r))?l===e.lastSound?l.togglePause():(l.togglePause(),n._writeDebug("sound different than last sound: "+e.lastSound.id),!e.config.allowMultiple&&e.lastSound&&e.stopSound(e.lastSound)):(u=o.parentNode,c=e.getElementsByClassName("ui360-vis","div",u.parentNode).length,l=n.createSound({id:"radioSound",url:r,onplay:e.events.play,onstop:e.events.stop,onpause:e.events.pause,onresume:e.events.resume,onfinish:e.events.finish,onbufferchange:e.events.bufferchange,type:o.type||null,whileloading:e.events.whileloading,whileplaying:e.events.whileplaying,useWaveformData:c&&e.config.useWaveformData,useEQData:c&&e.config.useEQData,usePeakData:c&&e.config.usePeakData}),d=parseInt(e.getElementsByClassName("sm2-360ui","div",u)[0].offsetWidth*p,10),a=e.getElementsByClassName("sm2-canvas","canvas",u),l._360data={oUI360:e.getParentByClassName(o,"ui360"),oLink:o,className:e.css.sPlaying,oUIBox:e.getElementsByClassName("sm2-360ui","div",u)[0],oCanvas:a[a.length-1],oButton:e.getElementsByClassName("sm2-360btn","span",u)[0],oTiming:e.getElementsByClassName("sm2-timing","div",u)[0],oCover:e.getElementsByClassName("sm2-cover","div",u)[0],circleDiameter:d,circleRadius:d/2,lastTime:null,didFinish:null,pauseCount:0,radius:0,fontSize:1,fontSizeMax:e.config.fontSizeMax,scaleFont:c&&e.config.scaleFont,showHMSTime:c,amplifier:c&&e.config.usePeakData?.9:1,radiusMax:.175*d,width:0,widthMax:.4*d,lastValues:{bytesLoaded:0,bytesTotal:0,position:0,durationEstimate:0},animating:!1,oAnim:new t.Animator({duration:e.config.animDuration,transition:e.config.animTransition,onComplete:function(){}}),oAnimProgress:function(t){var i=this;this._360data.radius=parseInt(this._360data.radiusMax*this._360data.amplifier*t,10),this._360data.width=parseInt(this._360data.widthMax*this._360data.amplifier*t,10),this._360data.scaleFont&&null!==this._360data.fontSizeMax&&(this._360data.oTiming.style.fontSize=parseInt(Math.max(1,this._360data.fontSizeMax*t),10)+"px",this._360data.oTiming.style.opacity=t),(this.paused||0===this.playState||0===this._360data.lastValues.bytesLoaded||0===this._360data.lastValues.position)&&e.updatePlaying.apply(this)},fps:0},void 0!==e.Metadata&&e.getElementsByClassName("metadata","div",l._360data.oUI360).length&&(l._360data.metadata=new e.Metadata(l,e)),l._360data.scaleFont&&null!==l._360data.fontSizeMax&&(l._360data.oTiming.style.fontSize="1px"),l._360data.oAnim.addSubject(l._360data.oAnimProgress,l),e.refreshCoords(l),e.updatePlaying.apply(l),e.soundsByURL[r]=l,e.sounds.push(l),!e.config.allowMultiple&&e.lastSound&&e.stopSound(e.lastSound),l.play()),e.lastSound=l,void 0!==i&&void 0!==i.preventDefault?i.preventDefault():void 0!==t.event&&(t.event.returnValue=!1),!1):(console.log("Non MP3 link detected"),!0)))},this.fanOut=function(i){var n=i;if(1===n._360data.animating)return!1;n._360data.animating=0,soundManager._writeDebug("fanOut: "+n.id+": "+n._360data.oLink.href),n._360data.oAnim.seekTo(1),t.setTimeout((function(){n._360data.animating=0}),e.config.animDuration+20)},this.fanIn=function(i){var n=i;if(-1===n._360data.animating)return!1;n._360data.animating=-1,soundManager._writeDebug("fanIn: "+n.id+": "+n._360data.oLink.href),n._360data.oAnim.seekTo(0),t.setTimeout((function(){n._360data.didFinish=!1,n._360data.animating=0,e.resetLastValues(n)}),e.config.animDuration+20)},this.resetLastValues=function(t){t._360data.lastValues.position=0},this.refreshCoords=function(t){t._360data.canvasXY=e.findXY(t._360data.oCanvas),t._360data.canvasMid=[t._360data.circleRadius,t._360data.circleRadius],t._360data.canvasMidXY=[t._360data.canvasXY[0]+t._360data.canvasMid[0],t._360data.canvasXY[1]+t._360data.canvasMid[1]]},this.stopSound=function(t){soundManager._writeDebug("stopSound: "+t.id),soundManager.stop(t.id),c||soundManager.unload(t.id)},this.buttonClick=function(i){var n=i?i.target?i.target:i.srcElement:t.event.srcElement;return e.handleClick({target:e.getParentByClassName(n,"sm2-360ui").nextSibling}),!1},this.buttonMouseDown=function(t){return c?e.addEventHandler(document,"touchmove",e.mouseDown):document.onmousemove=function(t){e.mouseDown(t)},e.stopEvent(t),!1},this.mouseDown=function(i){if(!c&&i.button>1)return!0;if(!e.lastSound)return e.stopEvent(i),!1;var n=i||t.event,o,a,s;return c&&n.touches&&(n=n.touches[0]),o=n.target||n.srcElement,a=e.getSoundByURL(e.getElementsByClassName("sm2_link","a",e.getParentByClassName(o,"ui360"))[0].href),e.lastTouchedSound=a,e.refreshCoords(a),s=a._360data,e.addClass(s.oUIBox,"sm2_dragging"),s.pauseCount=e.lastTouchedSound.paused?1:0,e.mmh(i||t.event),c?(e.removeEventHandler(document,"touchmove",e.mouseDown),e.addEventHandler(document,"touchmove",e.mmh),e.addEventHandler(document,"touchend",e.mouseUp)):(document.onmousemove=e.mmh,document.onmouseup=e.mouseUp),e.stopEvent(i),!1},this.mouseUp=function(t){var i=e.lastTouchedSound._360data;e.removeClass(i.oUIBox,"sm2_dragging"),0===i.pauseCount&&e.lastTouchedSound.resume(),c?(e.removeEventHandler(document,"touchmove",e.mmh),e.removeEventHandler(document,"touchend",e.mouseUP)):(document.onmousemove=null,document.onmouseup=null)},this.mmh=function(i){void 0===i&&(i=t.event);var n=e.lastTouchedSound,o=e.getMouseXY(i),a=o[0],s=o[1],r=a-n._360data.canvasMidXY[0],l=s-n._360data.canvasMidXY[1],u=Math.floor(h-(e.rad2deg(Math.atan2(r,l))+180)),c=u/h*100;return!0===e.config.playervolume?navigator.userAgent.match(/mobile/i)?console.log("Is a mobile device"):(t.soundManagerVolume=c,t.soundManagerVolumeRad=u,soundManager.setVolume("radioSound",Math.round(c))):n.setPosition(n.durationEstimate*(u/h)),e.stopEvent(i),!1},this.drawSolidArc=function(t,i,n,o,a,l,u){var c=n,d=n,h=t,p,f,m,g;h.getContext&&(p=h.getContext("2d")),t=p,u||e.clearCanvas(h),i&&(p.fillStyle=i),t.beginPath(),isNaN(a)&&(a=0),f=n-o,(!(m=s||r)||m&&n>0)&&(t.arc(0,0,n,l,a,!1),g=e.getArcEndpointCoords(f,a),t.lineTo(g.x,g.y),t.arc(0,0,f,a,l,!0),t.closePath(),t.fill())},this.getArcEndpointCoords=function(t,e){return{x:t*Math.cos(e),y:t*Math.sin(e)}},this.deg2rad=function(t){return t*Math.PI/180},this.rad2deg=function(t){return 180*t/Math.PI},this.getTime=function(t,e){var i=Math.floor(t/1e3),n=Math.floor(i/60),o=i-60*n;return e?n+":"+(o<10?"0"+o:o):{min:n,sec:o}},this.clearCanvas=function(t){var e=t,i=null,n,o;e.getContext&&(i=e.getContext("2d")),i&&(n=e.offsetWidth,o=e.offsetHeight,i.clearRect(-n/2,-o/2,n,o))},this.updatePlaying=function(){var i=this._360data.showHMSTime?e.getTime(this.position,!0):parseInt(this.position/1e3,10),n=e.config.scaleArcWidth;this.bytesLoaded&&(this._360data.lastValues.bytesLoaded=this.bytesLoaded,this._360data.lastValues.bytesTotal=this.bytesTotal),this.position&&(this._360data.lastValues.position=this.position),this.durationEstimate&&(this._360data.lastValues.durationEstimate=this.durationEstimate),e.drawSolidArc(this._360data.oCanvas,e.config.backgroundRingColor,this._360data.width,this._360data.radius*n,e.deg2rad(h),!1),!0!==e.config.playervolume||navigator.userAgent.match(/mobile/i)?0!==this._360data.lastValues.position&&e.drawSolidArc(this._360data.oCanvas,this._360data.metadata?e.config.playRingColorMetadata:e.config.playRingColor,this._360data.width,this._360data.radius*n,e.deg2rad(1===this._360data.didFinish?h:h*(this._360data.lastValues.position/this._360data.lastValues.durationEstimate)),0,!0):e.drawSolidArc(this._360data.oCanvas,this._360data.metadata?e.config.loadRingColorMetadata:e.config.playRingColor,this._360data.width,this._360data.radius*n,e.deg2rad(t.soundManagerVolumeRad),0,!0),this._360data.metadata&&this._360data.metadata.events.whileplaying(),i!==this._360data.lastTime&&(this._360data.lastTime=i,(!1===e.config.playervolume||navigator.userAgent.match(/mobile/i))&&(this._360data.oTiming.innerHTML=i)),!0!==e.config.playervolume||navigator.userAgent.match(/mobile/i)||(this._360data.oTiming.innerHTML=Math.round(t.soundManagerVolume)),(this.instanceOptions.useWaveformData||this.instanceOptions.useEQData)&&d&&e.updateWaveform(this),e.config.useFavIcon&&e.vuMeter&&e.vuMeter.updateVU(this)},this.updateWaveform=function(t){if(!e.config.useWaveformData&&!e.config.useEQData||!n.features.waveformData&&!n.features.eqData)return!1;if(!t.waveformData.left.length&&!t.eqData.length&&!t.peakData.left)return!1;var i=t._360data.oCanvas.getContext("2d"),o=0,a=parseInt(t._360data.circleDiameter/2,10),s=a/2,r=1,l=1,u=0,c=a,d,h,p,f,m,g,v,y,b,w,S,C,x,k,T,_;if(e.config.useWaveformData)for(f=e.config.waveformDataDownsample,m=256,g=256/(f=Math.max(1,f)),v=0,y=0,b=null,w=e.config.waveformDataOutside?1:e.config.waveformDataConstrain?.5:.565,s=e.config.waveformDataOutside?.7:.75,S=e.deg2rad(360/g*e.config.waveformDataLineRatio),d=0;d<256;d+=f)y=(v=e.deg2rad(d/g*1/f*360))+S,(b=t.waveformData.left[d])<0&&e.config.waveformDataConstrain&&(b=Math.abs(b)),e.drawSolidArc(t._360data.oCanvas,e.config.waveformDataColor,t._360data.width*w*(2-e.config.scaleArcWidth),t._360data.radius*s*1.25*b,y,v,!0);if(e.config.useEQData)for(f=e.config.eqDataDownsample,C=0,g=(x=192)/(f=Math.max(1,f)),w=e.config.eqDataOutside?1:.565,p=e.config.eqDataOutside?-1:1,s=e.config.eqDataOutside?.5:.75,v=0,y=0,S=e.deg2rad(360/g*e.config.eqDataLineRatio),k=e.deg2rad(1===t._360data.didFinish?360:t._360data.lastValues.position/t._360data.lastValues.durationEstimate*360),h=0,T=0,d=0;d<x;d+=f)y=(v=e.deg2rad(d/x*360))+S,e.drawSolidArc(t._360data.oCanvas,y>k?e.config.eqDataColor:e.config.playRingColor,t._360data.width*w,t._360data.radius*s*(t.eqData.left[d]*p),y,v,!0);if(e.config.usePeakData&&!t._360data.animating){for(_=t.peakData.left||t.peakData.right,x=3,d=0;d<x;d++)_=_||t.eqData[d];t._360data.amplifier=e.config.useAmplifier?.9+.1*_:1,t._360data.radiusMax=.175*t._360data.circleDiameter*t._360data.amplifier,t._360data.widthMax=.4*t._360data.circleDiameter*t._360data.amplifier,t._360data.radius=parseInt(t._360data.radiusMax*t._360data.amplifier,10),t._360data.width=parseInt(t._360data.widthMax*t._360data.amplifier,10)}},this.getUIHTML=function(t){return['<canvas class="sm2-canvas" width="'+t+'" height="'+t+'"></canvas>',' <span class="sm2-360btn sm2-360btn-default"></span>',' <div class="sm2-timing'+(navigator.userAgent.match(/safari/i)?" alignTweak":"")+'"></div>',' <div class="sm2-cover"></div>']},this.uiTest=function(t){var i=document.createElement("div"),n,o,a,s,r,l,u,c,d;return i.className="sm2-360ui",(n=document.createElement("div")).className="ui360"+(t?" "+t:""),o=n.appendChild(i.cloneNode(!0)),n.style.position="absolute",n.style.left="-9999px",a=document.body.appendChild(n),s=o.offsetWidth*p,r=e.getUIHTML(s),o.innerHTML=r[1]+r[2]+r[3],l=parseInt(s,10),u=parseInt(l/2,10),d=e.getElementsByClassName("sm2-timing","div",a)[0],c=parseInt(e.getStyle(d,"font-size"),10),isNaN(c)&&(c=null),n.parentNode.removeChild(n),r=n=o=a=null,{circleDiameter:l,circleRadius:u,fontSizeMax:c}},this.init=function(){n._writeDebug("threeSixtyPlayer.init()");var i=e.getElementsByClassName("ui360","div"),o,s,r=[],l=!1,u=0,d,h,f,m,g,v,y,b,w,S,C,x,k;for(o=0,s=i.length;o<s;o++)r.push(i[o].getElementsByTagName("a")[0]),i[o].style.backgroundImage="none";for(e.oUITemplate=document.createElement("div"),e.oUITemplate.className="sm2-360ui",e.oUITemplateVis=document.createElement("div"),e.oUITemplateVis.className="sm2-360ui",y=e.uiTest(),e.config.circleDiameter=y.circleDiameter,e.config.circleRadius=y.circleRadius,b=e.uiTest("ui360-vis"),e.config.fontSizeMax=b.fontSizeMax,e.oUITemplate.innerHTML=e.getUIHTML(e.config.circleDiameter).join(""),e.oUITemplateVis.innerHTML=e.getUIHTML(b.circleDiameter).join(""),o=0,s=r.length;o<s;o++)!n.canPlayLink(r[o])||e.hasClass(r[o],e.excludeClass)||e.hasClass(r[o],e.css.sDefault)||(e.addClass(r[o],e.css.sDefault),e.links[u]=r[o],e.indexByURL[r[o].href]=u,u++,g=((l=e.hasClass(r[o].parentNode,"ui360-vis"))?b:y).circleDiameter,v=(l?b:y).circleRadius,w=r[o].parentNode.insertBefore((l?e.oUITemplateVis:e.oUITemplate).cloneNode(!0),r[o]),a&&void 0!==t.G_vmlCanvasManager?(C=r[o].parentNode,(x=document.createElement("canvas")).className="sm2-canvas",k="sm2_canvas_"+o+(new Date).getTime(),x.id=k,x.width=g,x.height=g,w.appendChild(x),t.G_vmlCanvasManager.initElement(x),(d=(h=document.getElementById(k)).parentNode.getElementsByTagName("canvas")).length>1&&(h=d[d.length-1])):h=r[o].parentNode.getElementsByTagName("canvas")[0],p>1&&e.addClass(h,"hi-dpi"),m=e.getElementsByClassName("sm2-cover","div",r[o].parentNode)[0],S=r[o].parentNode.getElementsByTagName("span")[0],e.addEventHandler(S,"click",e.buttonClick),c?e.addEventHandler(m,"touchstart",e.mouseDown):e.addEventHandler(m,"mousedown",e.mouseDown),(f=h.getContext("2d")).translate(v,v),f.rotate(e.deg2rad(-90)));u>0&&(e.addEventHandler(document,"click",e.handleClick),e.config.autoPlay&&e.handleClick({target:e.links[0],preventDefault:function(){}})),n._writeDebug("threeSixtyPlayer.init(): Found "+u+" relevant items."),e.config.useFavIcon&&void 0!==this.VUMeter&&(this.vuMeter=new this.VUMeter(this))}}e.prototype.VUMeter=function(t){var e=t,i=this,n=document.getElementsByTagName("head")[0],o=navigator.userAgent.match(/opera/i),a=navigator.userAgent.match(/firefox/i);this.vuMeterData=[],this.vuDataCanvas=null,this.setPageIcon=function(t){if(!e.config.useFavIcon||!e.config.usePeakData||!t)return!1;var i=document.getElementById("sm2-favicon");i&&(n.removeChild(i),i=null),i||((i=document.createElement("link")).id="sm2-favicon",i.rel="shortcut icon",i.type="image/png",i.href=t,document.getElementsByTagName("head")[0].appendChild(i))},this.resetPageIcon=function(){if(!e.config.useFavIcon)return!1;var t=document.getElementById("favicon");t&&(t.href="/favicon.ico")},this.updateVU=function(t){soundManager.flashVersion>=9&&e.config.useFavIcon&&e.config.usePeakData&&i.setPageIcon(i.vuMeterData[parseInt(16*t.peakData.left,10)][parseInt(16*t.peakData.right,10)])},this.createVUData=function(){var t=0,e=0,n=i.vuDataCanvas.getContext("2d"),o=n.createLinearGradient(0,16,0,0),a=n.createLinearGradient(0,16,0,0),s="rgba(0,0,0,0.2)";for(o.addColorStop(0,"rgb(0,192,0)"),o.addColorStop(.3,"rgb(0,255,0)"),o.addColorStop(.625,"rgb(255,255,0)"),o.addColorStop(.85,"rgb(255,0,0)"),a.addColorStop(0,s),a.addColorStop(1,"rgba(0,0,0,0.5)"),t=0;t<16;t++)i.vuMeterData[t]=[];for(t=0;t<16;t++)for(e=0;e<16;e++)i.vuDataCanvas.setAttribute("width",16),i.vuDataCanvas.setAttribute("height",16),n.fillStyle=a,n.fillRect(0,0,7,15),n.fillRect(8,0,7,15),n.fillStyle=o,n.fillRect(0,15-t,7,16-(16-t)),n.fillRect(8,15-e,7,16-(16-e)),n.clearRect(0,3,16,1),n.clearRect(0,7,16,1),n.clearRect(0,11,16,1),i.vuMeterData[t][e]=i.vuDataCanvas.toDataURL("image/png")},this.testCanvas=function(){var t=document.createElement("canvas"),e=null,i;if(!t||void 0===t.getContext)return null;if(!(e=t.getContext("2d"))||"function"!=typeof t.toDataURL)return null;try{i=t.toDataURL("image/png")}catch(t){return null}return t},this.init=function(){e.config.useFavIcon&&(i.vuDataCanvas=i.testCanvas(),i.vuDataCanvas&&(a||o)?i.createVUData():e.config.useFavIcon=!1)},this.init()},e.prototype.Metadata=function(t,e){soundManager._wD("Metadata()");var i=this,n=t._360data.oUI360,o,a=n.getElementsByTagName("ul")[0].getElementsByTagName("li"),s=navigator.userAgent.match(/firefox/i),r=!1,l,u;for(this.lastWPExec=0,this.refreshInterval=250,this.totalTime=0,this.events={whileplaying:function(){var n=t._360data.width,o=t._360data.radius,a=t.durationEstimate||1e3*i.totalTime,s=null,r,l,u;for(r=0,l=i.data.length;r<l;r++)s=r%2==0,e.drawSolidArc(t._360data.oCanvas,s?e.config.segmentRingColorAlt:e.config.segmentRingColor,n,o/2,e.deg2rad(i.data[r].endTimeMS/a*360),e.deg2rad((i.data[r].startTimeMS||1)/a*360),!0);(u=new Date)-i.lastWPExec>i.refreshInterval&&(i.refresh(),i.lastWPExec=u)}},this.refresh=function(){var e,i,n=null,o=t.position,a=t._360data.metadata.data;for(e=0,i=a.length;e<i;e++)if(o>=a[e].startTimeMS&&o<=a[e].endTimeMS){n=e;break}n!==a.currentItem&&n<a.length&&(t._360data.oLink.innerHTML=a.mainTitle+' <span class="metadata"><span class="sm2_divider"> | </span><span class="sm2_metadata">'+a[n].title+"</span></span>",a.currentItem=n)},this.strToTime=function(t){var e=t.split(":"),i=0,n;for(n=e.length;n--;)i+=parseInt(e[n],10)*Math.pow(60,e.length-1-n);return i},this.data=[],this.data.givenDuration=null,this.data.currentItem=null,this.data.mainTitle=t._360data.oLink.innerHTML,l=0;l<a.length;l++)this.data[l]={o:null,title:a[l].getElementsByTagName("p")[0].innerHTML,startTime:a[l].getElementsByTagName("span")[0].innerHTML,startSeconds:i.strToTime(a[l].getElementsByTagName("span")[0].innerHTML.replace(/[()]/g,"")),duration:0,durationMS:null,startTimeMS:null,endTimeMS:null,oNote:null};for(u=e.getElementsByClassName("duration","div",n),this.data.givenDuration=u.length?1e3*i.strToTime(u[0].innerHTML):0,l=0;l<this.data.length;l++)this.data[l].duration=parseInt(this.data[l+1]?this.data[l+1].startSeconds:(i.data.givenDuration?i.data.givenDuration:t.durationEstimate)/1e3,10)-this.data[l].startSeconds,this.data[l].startTimeMS=1e3*this.data[l].startSeconds,this.data[l].durationMS=1e3*this.data[l].duration,this.data[l].endTimeMS=this.data[l].startTimeMS+this.data[l].durationMS,this.totalTime+=this.data[l].duration},navigator.userAgent.match(/webkit/i)&&navigator.userAgent.match(/mobile/i)&&soundManager.setup({useHTML5Audio:!0}),soundManager.setup({html5PollingInterval:50,debugMode:t.location.href.match(/debug=1/i),consoleOnly:!0,flashVersion:9,useHighPerformance:!0}),soundManager.debugMode&&t.setInterval((function(){var e=t.threeSixtyPlayer;e&&e.lastSound&&e.lastSound._360data.fps&&void 0===t.isHome&&(soundManager._writeDebug("fps: ~"+e.lastSound._360data.fps),e.lastSound._360data.fps=0)}),1e3),t.ThreeSixtyPlayer=e}(window),function(t){t.fn.popupwindow=function(e){t("body").on("click",".qt-popupwindow",(function(e){var i,n,o,a,s,r;e.preventDefault();var l=t(this),u=l.attr("href"),c=l.attr("data-name"),d=l.attr("data-width"),h=l.attr("data-height");return i={height:600,width:600,toolbar:0,scrollbars:1,status:0,resizable:1,left:0,top:0,center:0,createnew:1,location:0,menubar:0,onUnload:null},d&&(i.width=d),h&&(i.height=h),1==i.center&&(i.top=(screen.height-(i.height+110))/2,i.left=(screen.width-i.width)/2),
n="location="+i.location+",menubar="+i.menubar+",height="+i.height+",width="+i.width+",toolbar="+i.toolbar+",scrollbars="+i.scrollbars+",status="+i.status+",resizable="+i.resizable+",left="+i.left+",screenX="+i.left+",top="+i.top+",screenY="+i.top,r=window.open(u,c,n),i.onUnload&&(unloadInterval=setInterval((function(){r&&!r.closed||(clearInterval(unloadInterval),i.onUnload.call(t(this)))}),500)),!1}))}}(jQuery),function(t){"use strict";t.fn.fitVids=function(e){var i={customSelector:null,ignore:null};if(!document.getElementById("fit-vids-style")){var n=document.head||document.getElementsByTagName("head")[0],o=".fluid-width-video-wrapper{width:100%;position:relative;padding:0;}.fluid-width-video-wrapper iframe,.fluid-width-video-wrapper object,.fluid-width-video-wrapper embed {position:absolute;top:0;left:0;width:100%;height:100%;}",a=document.createElement("div");a.innerHTML='<p>x</p><style id="fit-vids-style">'+o+"</style>",n.appendChild(a.childNodes[1])}return e&&t.extend(i,e),this.each((function(){var e=['iframe[src*="player.vimeo.com"]','iframe[src*="youtube.com"]','iframe[src*="youtube-nocookie.com"]','iframe[src*="kickstarter.com"][src*="video.html"]',"object","embed"];i.customSelector&&e.push(i.customSelector);var n=".fitvidsignore";i.ignore&&(n=n+", "+i.ignore);var o=t(this).find(e.join(","));(o=(o=o.not("object object")).not(n)).each((function(){var e=t(this);if(!(e.parents(n).length>0||"embed"===this.tagName.toLowerCase()&&e.parent("object").length||e.parent(".fluid-width-video-wrapper").length)){e.css("height")||e.css("width")||!isNaN(e.attr("height"))&&!isNaN(e.attr("width"))||(e.attr("height",9),e.attr("width",16));var i,o,a=("object"===this.tagName.toLowerCase()||e.attr("height")&&!isNaN(parseInt(e.attr("height"),10))?parseInt(e.attr("height"),10):e.height())/(isNaN(parseInt(e.attr("width"),10))?e.width():parseInt(e.attr("width"),10));if(!e.attr("name")){var s="fitvid"+t.fn.fitVids._count;e.attr("name",s),t.fn.fitVids._count++}e.wrap('<div class="fluid-width-video-wrapper"></div>').parent(".fluid-width-video-wrapper").css("padding-top",100*a+"%"),e.removeAttr("height").removeAttr("width")}}))}))},t.fn.fitVids._count=0}(window.jQuery||window.Zepto),function(t,e,i){"use strict";function n(i){if(o=e.documentElement,a=e.body,W(),rt=this,ht=(i=i||{}).constants||{},i.easing)for(var n in i.easing)U[n]=i.easing[n];bt=i.edgeStrategy||"set",ct={beforerender:i.beforerender,render:i.render,keyframe:i.keyframe},(dt=!1!==i.forceHeight)&&(Lt=i.scale||1),pt=i.mobileDeceleration||k,mt=!1!==i.smoothScrolling,gt=i.smoothScrollingDuration||_,vt={targetTop:rt.getScrollTop()},(Bt=(i.mobileCheck||function(){return/Android|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent||navigator.vendor||t.opera)})())?((ut=e.getElementById(i.skrollrBody||T))&&st(),Y(),At(o,[y,S],[b])):At(o,[y,w],[b]),rt.refresh(),Ct(t,"resize orientationchange",(function(){var t=o.clientWidth,e=o.clientHeight;(e!==Rt||t!==Ft)&&(Rt=e,Ft=t,zt=!0)}));var s=Q();return function t(){J(),St=s(t)}(),rt}var o,a,s={get:function(){return rt},init:function(t){return rt||new n(t)},VERSION:"0.6.30"},r=Object.prototype.hasOwnProperty,l=t.Math,u=t.getComputedStyle,c="touchstart",d="touchmove",h="touchcancel",p="touchend",f="skrollable",m=f+"-before",g=f+"-between",v=f+"-after",y="skrollr",b="no-"+y,w=y+"-desktop",S=y+"-mobile",C="linear",x=1e3,k=.004,T="skrollr-body",_=200,O="start",P="end",M="center",A="bottom",E="___skrollable_id",D=/^(?:input|textarea|button|select)$/i,I=/^\s+|\s+$/g,$=/^data(?:-(_\w+))?(?:-?(-?\d*\.?\d+p?))?(?:-?(start|end|top|center|bottom))?(?:-?(top|center|bottom))?$/,q=/\s*(@?[\w\-\[\]]+)\s*:\s*(.+?)\s*(?:;|$)/gi,L=/^(@?[a-z\-]+)\[(\w+)\]$/,j=/-([a-z0-9_])/g,N=function(t,e){return e.toUpperCase()},H=/[\-+]?[\d]*\.?[\d]+/g,F=/\{\?\}/g,R=/rgba?\(\s*-?\d+\s*,\s*-?\d+\s*,\s*-?\d+/g,z=/[a-z\-]+-gradient/g,V="",B="",W=function(){var t=/^(?:O|Moz|webkit|ms)|(?:-(?:o|moz|webkit|ms)-)/;if(u){var e=u(a,null);for(var i in e)if(V=i.match(t)||+i==i&&e[i].match(t))break;if(!V)return void(V=B="");"-"===(V=V[0]).slice(0,1)?(B=V,V={"-webkit-":"webkit","-moz-":"Moz","-ms-":"ms","-o-":"O"}[V]):B="-"+V.toLowerCase()+"-"}},Q=function(){var e=t.requestAnimationFrame||t[V.toLowerCase()+"RequestAnimationFrame"],i=It();return(Bt||!e)&&(e=function(e){var n=It()-i,o=l.max(0,1e3/60-n);return t.setTimeout((function(){i=It(),e()}),o)}),e},X=function(){var e=t.cancelAnimationFrame||t[V.toLowerCase()+"CancelAnimationFrame"];return(Bt||!e)&&(e=function(e){return t.clearTimeout(e)}),e},U={begin:function(){return 0},end:function(){return 1},linear:function(t){return t},quadratic:function(t){return t*t},cubic:function(t){return t*t*t},swing:function(t){return-l.cos(t*l.PI)/2+.5},sqrt:function(t){return l.sqrt(t)},outCubic:function(t){return l.pow(t-1,3)+1},bounce:function(t){var e;if(.5083>=t)e=3;else if(.8489>=t)e=9;else if(.96208>=t)e=27;else{if(!(.99981>=t))return 1;e=91}return 1-l.abs(3*l.cos(t*e*1.028)/e)}};n.prototype.refresh=function(t){var n,o,a=!1;for(t===i?(a=!0,lt=[],Vt=0,t=e.getElementsByTagName("*")):t.length===i&&(t=[t]),n=0,o=t.length;o>n;n++){var s=t[n],r=s,l=[],u=mt,c=bt,d=!1;if(a&&E in s&&delete s[E],s.attributes){for(var h=0,p=s.attributes.length;p>h;h++){var m=s.attributes[h];if("data-anchor-target"!==m.name)if("data-smooth-scrolling"!==m.name)if("data-edge-strategy"!==m.name)if("data-emit-events"!==m.name){var g=m.name.match($);if(null!==g){var v={props:m.value,element:s,eventType:m.name.replace(j,N)};l.push(v);var y=g[1];y&&(v.constant=y.substr(1));var b=g[2];/p$/.test(b)?(v.isPercentage=!0,v.offset=(0|b.slice(0,-1))/100):v.offset=0|b;var w=g[3],S=g[4]||w;w&&w!==O&&w!==P?(v.mode="relative",v.anchors=[w,S]):(v.mode="absolute",w===P?v.isEnd=!0:v.isPercentage||(v.offset=v.offset*Lt))}}else d=!0;else c=m.value;else u="off"!==m.value;else if(null===(r=e.querySelector(m.value)))throw'Unable to find anchor target "'+m.value+'"'}var C,x,k;if(l.length)!a&&E in s?(k=s[E],C=lt[k].styleAttr,x=lt[k].classAttr):(k=s[E]=Vt++,C=s.style.cssText,x=Mt(s)),lt[k]={element:s,styleAttr:C,classAttr:x,anchorTarget:r,keyFrames:l,smoothScrolling:u,edgeStrategy:c,emitEvents:d,lastFrameIndex:-1},At(s,[f],[])}}for(_t(),n=0,o=t.length;o>n;n++){var T=lt[t[n][E]];T!==i&&(K(T),et(T))}return rt},n.prototype.relativeToAbsolute=function(t,e,i){var n=o.clientHeight,a=t.getBoundingClientRect(),s=a.top,r=a.bottom-a.top;return e===A?s-=n:e===M&&(s-=n/2),i===A?s+=r:i===M&&(s+=r/2),(s+=rt.getScrollTop())+.5|0},n.prototype.animateTo=function(t,e){e=e||{};var n=It(),o=rt.getScrollTop(),a=e.duration===i?x:e.duration;return(ft={startTop:o,topDiff:t-o,targetTop:t,duration:a,startTime:n,endTime:n+a,easing:U[e.easing||C],done:e.done}).topDiff||(ft.done&&ft.done.call(rt,!1),ft=i),rt},n.prototype.stopAnimateTo=function(){ft&&ft.done&&ft.done.call(rt,!0),ft=i},n.prototype.isAnimatingTo=function(){return!!ft},n.prototype.isMobile=function(){return Bt},n.prototype.setScrollTop=function(e,i){return yt=!0===i,Bt?Wt=l.min(l.max(e,0),qt):t.scrollTo(0,e),rt},n.prototype.getScrollTop=function(){return Bt?Wt:t.pageYOffset||o.scrollTop||a.scrollTop||0},n.prototype.getMaxScrollTop=function(){return qt},n.prototype.on=function(t,e){return ct[t]=e,rt},n.prototype.off=function(t){return delete ct[t],rt},n.prototype.destroy=function(){var t;X()(St),kt(),At(o,[b],[y,w,S]);for(var e=0,n=lt.length;n>e;e++)at(lt[e].element);o.style.overflow=a.style.overflow="",o.style.height=a.style.height="",ut&&s.setStyle(ut,"transform","none"),rt=i,ut=i,ct=i,dt=i,qt=0,Lt=1,ht=i,pt=i,jt="down",Nt=-1,Ft=0,Rt=0,zt=!1,ft=i,mt=i,gt=i,vt=i,yt=i,Vt=0,bt=i,Bt=!1,Wt=0,wt=i};var Y=function(){var n,s,r,u,f,m,g,v,y,b,w,S;Ct(o,[c,d,h,p].join(" "),(function(t){var o=t.changedTouches[0];for(u=t.target;3===u.nodeType;)u=u.parentNode;switch(f=o.clientY,m=o.clientX,b=t.timeStamp,D.test(u.tagName)||t.preventDefault(),t.type){case c:n&&n.blur(),rt.stopAnimateTo(),n=u,s=g=f,r=m,y=b;break;case d:D.test(u.tagName)&&e.activeElement!==u&&t.preventDefault(),v=f-g,S=b-w,rt.setScrollTop(Wt-v,!0),g=f,w=b;break;default:case h:case p:var a=s-f,C=r-m,x;if(49>C*C+a*a){if(!D.test(n.tagName)){n.focus();var k=e.createEvent("MouseEvents");k.initMouseEvent("click",!0,!0,t.view,1,o.screenX,o.screenY,o.clientX,o.clientY,t.ctrlKey,t.altKey,t.shiftKey,t.metaKey,0,null),n.dispatchEvent(k)}return}n=i;var T=v/S;T=l.max(l.min(T,3),-3);var _=l.abs(T/pt),O=T*_+.5*pt*_*_,P=rt.getScrollTop()-O,M=0;P>qt?(M=(qt-P)/O,P=qt):0>P&&(M=-P/O,P=0),_*=1-M,rt.animateTo(P+.5|0,{easing:"outCubic",duration:_})}})),t.scrollTo(0,0),o.style.overflow=a.style.overflow="hidden"},G=function(){var t,e,i,n,a,s,r,u,c,d,h,p=o.clientHeight,f=Ot();for(u=0,c=lt.length;c>u;u++)for(e=(t=lt[u]).element,i=t.anchorTarget,a=0,s=(n=t.keyFrames).length;s>a;a++)d=(r=n[a]).offset,h=f[r.constant]||0,r.frame=d,r.isPercentage&&(d*=p,r.frame=d),"relative"===r.mode&&(at(e),r.frame=rt.relativeToAbsolute(i,r.anchors[0],r.anchors[1])-d,at(e,!0)),r.frame+=h,dt&&!r.isEnd&&r.frame>qt&&(qt=r.frame);for(qt=l.max(qt,Pt()),u=0,c=lt.length;c>u;u++){for(a=0,s=(n=(t=lt[u]).keyFrames).length;s>a;a++)h=f[(r=n[a]).constant]||0,r.isEnd&&(r.frame=qt-r.offset+h);t.keyFrames.sort($t)}},Z=function(t,e){for(var i=0,n=lt.length;n>i;i++){var o,a,l=lt[i],u=l.element,c=l.smoothScrolling?t:e,d=l.keyFrames,h=d.length,p=d[0],y=d[d.length-1],b=c<p.frame,w=c>y.frame,S=b?p:y,C=l.emitEvents,x=l.lastFrameIndex;if(b||w){if(b&&-1===l.edge||w&&1===l.edge)continue;switch(b?(At(u,[m],[v,g]),C&&x>-1&&(Tt(u,p.eventType,jt),l.lastFrameIndex=-1)):(At(u,[v],[m,g]),C&&h>x&&(Tt(u,y.eventType,jt),l.lastFrameIndex=h)),l.edge=b?-1:1,l.edgeStrategy){case"reset":at(u);continue;case"ease":c=S.frame;break;default:case"set":var k=S.props;for(o in k)r.call(k,o)&&(a=ot(k[o].value),0===o.indexOf("@")?u.setAttribute(o.substr(1),a):s.setStyle(u,o,a));continue}}else 0!==l.edge&&(At(u,[f,g],[m,v]),l.edge=0);for(var T=0;h-1>T;T++)if(c>=d[T].frame&&c<=d[T+1].frame){var _=d[T],O=d[T+1];for(o in _.props)if(r.call(_.props,o)){var P=(c-_.frame)/(O.frame-_.frame);P=_.props[o].easing(P),a=nt(_.props[o].value,O.props[o].value,P),a=ot(a),0===o.indexOf("@")?u.setAttribute(o.substr(1),a):s.setStyle(u,o,a)}C&&x!==T&&(Tt(u,"down"===jt?_.eventType:O.eventType,jt),l.lastFrameIndex=T);break}}},J=function(){zt&&(zt=!1,_t());var t,e,n=rt.getScrollTop(),o=It();if(ft)o>=ft.endTime?(n=ft.targetTop,t=ft.done,ft=i):(e=ft.easing((o-ft.startTime)/ft.duration),n=ft.startTop+e*ft.topDiff|0),rt.setScrollTop(n,!0);else if(!yt){var a;vt.targetTop-n&&(vt={startTop:Nt,topDiff:n-Nt,targetTop:n,startTime:Ht,endTime:Ht+gt}),o<=vt.endTime&&(e=U.sqrt((o-vt.startTime)/gt),n=vt.startTop+e*vt.topDiff|0)}if(yt||Nt!==n){yt=!1;var r={curTop:n,lastTop:Nt,maxTop:qt,direction:jt=n>Nt?"down":Nt>n?"up":jt},l;!1!==(ct.beforerender&&ct.beforerender.call(rt,r))&&(Z(n,rt.getScrollTop()),Bt&&ut&&s.setStyle(ut,"transform","translate(0, "+-Wt+"px) "+wt),Nt=n,ct.render&&ct.render.call(rt,r)),t&&t.call(rt,!1)}Ht=o},K=function(t){for(var e=0,i=t.keyFrames.length;i>e;e++){for(var n,o,a,s,r=t.keyFrames[e],l={};null!==(s=q.exec(r.props));)a=s[1],o=s[2],null!==(n=a.match(L))?(a=n[1],n=n[2]):n=C,o=o.indexOf("!")?tt(o):[o.slice(1)],l[a]={value:o,easing:U[n]};r.props=l}},tt=function(t){var e=[];return R.lastIndex=0,t=t.replace(R,(function(t){return t.replace(H,(function(t){return t/255*100+"%"}))})),B&&(z.lastIndex=0,t=t.replace(z,(function(t){return B+t}))),t=t.replace(H,(function(t){return e.push(+t),"{?}"})),e.unshift(t),e},et=function(t){var e,i,n={};for(e=0,i=t.keyFrames.length;i>e;e++)it(t.keyFrames[e],n);for(n={},e=t.keyFrames.length-1;e>=0;e--)it(t.keyFrames[e],n)},it=function(t,e){var i;for(i in e)r.call(t.props,i)||(t.props[i]=e[i]);for(i in t.props)e[i]=t.props[i]},nt=function(t,e,i){var n,o=t.length;if(o!==e.length)throw"Can't interpolate between \""+t[0]+'" and "'+e[0]+'"';var a=[t[0]];for(n=1;o>n;n++)a[n]=t[n]+(e[n]-t[n])*i;return a},ot=function(t){var e=1;return F.lastIndex=0,t[0].replace(F,(function(){return t[e++]}))},at=function(t,e){for(var i,n,o=0,a=(t=[].concat(t)).length;a>o;o++)n=t[o],(i=lt[n[E]])&&(e?(n.style.cssText=i.dirtyStyleAttr,At(n,i.dirtyClassAttr)):(i.dirtyStyleAttr=n.style.cssText,i.dirtyClassAttr=Mt(n),n.style.cssText=i.styleAttr,At(n,i.classAttr)))},st=function(){wt="translateZ(0)",s.setStyle(ut,"transform",wt);var t=u(ut),e=t.getPropertyValue("transform"),i=t.getPropertyValue(B+"transform"),n;e&&"none"!==e||i&&"none"!==i||(wt="")};s.setStyle=function(t,e,i){var n=t.style;if("zIndex"===(e=e.replace(j,N).replace("-","")))isNaN(i)?n[e]=i:n[e]=""+(0|i);else if("float"===e)n.styleFloat=n.cssFloat=i;else try{V&&(n[V+e.slice(0,1).toUpperCase()+e.slice(1)]=i),n[e]=i}catch(t){}};var rt,lt,ut,ct,dt,ht,pt,ft,mt,gt,vt,yt,bt,wt,St,Ct=s.addEvent=function(e,i,n){for(var o=function(e){return(e=e||t.event).target||(e.target=e.srcElement),e.preventDefault||(e.preventDefault=function(){e.returnValue=!1,e.defaultPrevented=!0}),n.call(this,e)},a,s=0,r=(i=i.split(" ")).length;r>s;s++)a=i[s],e.addEventListener?e.addEventListener(a,n,!1):e.attachEvent("on"+a,o),Qt.push({element:e,name:a,listener:n})},xt=s.removeEvent=function(t,e,i){for(var n=0,o=(e=e.split(" ")).length;o>n;n++)t.removeEventListener?t.removeEventListener(e[n],i,!1):t.detachEvent("on"+e[n],i)},kt=function(){for(var t,e=0,i=Qt.length;i>e;e++)t=Qt[e],xt(t.element,t.name,t.listener);Qt=[]},Tt=function(t,e,i){ct.keyframe&&ct.keyframe.call(rt,t,e,i)},_t=function(){var t=rt.getScrollTop();qt=0,dt&&!Bt&&(a.style.height=""),G(),dt&&!Bt&&(a.style.height=qt+o.clientHeight+"px"),Bt?rt.setScrollTop(l.min(rt.getScrollTop(),qt)):rt.setScrollTop(t,!0),yt=!0},Ot=function(){var t,e,i=o.clientHeight,n={};for(t in ht)"function"==typeof(e=ht[t])?e=e.call(rt):/p$/.test(e)&&(e=e.slice(0,-1)/100*i),n[t]=e;return n},Pt=function(){var t,e=0;return ut&&(e=l.max(ut.offsetHeight,ut.scrollHeight)),(t=l.max(e,a.scrollHeight,a.offsetHeight,o.scrollHeight,o.offsetHeight,o.clientHeight))-o.clientHeight},Mt=function(e){var i="className";return t.SVGElement&&e instanceof t.SVGElement&&(e=e[i],i="baseVal"),e[i]},At=function(e,n,o){var a="className";if(t.SVGElement&&e instanceof t.SVGElement&&(e=e[a],a="baseVal"),o!==i){for(var s=e[a],r=0,l=o.length;l>r;r++)s=Dt(s).replace(Dt(o[r])," ");s=Et(s);for(var u=0,c=n.length;c>u;u++)-1===Dt(s).indexOf(Dt(n[u]))&&(s+=" "+n[u]);e[a]=Et(s)}else e[a]=n},Et=function(t){return t.replace(I,"")},Dt=function(t){return" "+t+" "},It=Date.now||function(){return+new Date},$t=function(t,e){return t.frame-e.frame},qt=0,Lt=1,jt="down",Nt=-1,Ht=It(),Ft=0,Rt=0,zt=!1,Vt=0,Bt=!1,Wt=0,Qt=[];"function"==typeof define&&define.amd?define([],(function(){return s})):"undefined"!=typeof module&&module.exports?module.exports=s:t.skrollr=s}(window,document),function(t){"use strict";function e(t){var e=t.match(/(\d+)/g);return new Date(e[0],e[1]-1,e[2])}var i;t.onAir2Obj={},t.onAir2Obj.body=t("body"),t.onAir2Obj.htmlAndbody=t("html,body"),window.goBack=function(t){var e="http://www.mysite.com",i=window.location.hash,n;return history.back(),window.location.hash!==i||"string"==typeof document.referrer&&""!==document.referrer||window.setTimeout((function(){window.location.href=e}),1e3),t&&(t.preventDefault&&t.preventDefault(),t.preventPropagation&&t.preventPropagation()),!1},t.fn.qtIsMobileBrowser=function(){return!!(/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)||t(window).width()<1180)||(t("body").hasClass("qt-playerbar-open-desktop")&&t("body").addClass("qt-playerbar-open"),!1)},t.fn.embedMixcloudPlayer=function(t){var e=encodeURIComponent(t),i;return'<iframe data-state="0" class="mixcloudplayer" width="100%" height="80" src="//www.mixcloud.com/widget/iframe/?feed='+(e=e.replace("https","http"))+'&embed_uuid=addfd1ba-1531-4f6e-9977-6ca2bd308dcc&stylecolor=&embed_type=widget_standard" frameborder="0"></iframe><div class="canc"></div>'},t.fn.embedVideo=function(t,e,i){i=e/16*9;var n,o,a=t.match(/=[\w-]{11}/)[0].replace(/=/,""),s;return'<iframe width="'+e+'" height="'+i+'" src="'+window.location.protocol+"//www.youtube.com/embed/"+a+'?html5=1" frameborder="0" class="youtube-player" allowfullscreen></iframe>'},t.fn.embedSpotify=function(t,e,i){var n;return'<iframe src="https://open.spotify.com/embed/track/'+t.split("https://open.spotify.com/track/").join("")+'" width="'+e+'" height="'+i+'" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>'},t.fn.NewYoutubeResize=function(){t("iframe").each((function(e,i){var n=t(i);if(n.attr("src")){var o=n.attr("src");if(o.match("youtube.com")||o.match("vimeo.com")||o.match("vevo.com")||o.match("dailymotion.com")){var a=n.parent().width(),s=n.height();n.css({width:a}),n.height(a/16*9)}}}))},t.fn.imagesLoaded=function(){var e=this.find('img[src!=""]');if(!e.length)return t.Deferred().resolve().promise();var i=[];return e.each((function(){var e=t.Deferred();i.push(e);var n=new Image;n.onload=function(){e.resolve()},n.onerror=function(){e.resolve()},n.src=this.src})),t.when.apply(t,i)},t.fn.transformlinks=function(e){void 0===e&&(e="body"),t("body").hasClass("qt-autoembed-disable")||(jQuery(e).find("a[href*='youtube.com'],a[href*='youtu.be'],a[href*='mixcloud.com'],a[href*='soundcloud.com'], [data-autoembed]").not(".qw-disableembedding").each((function(e){function i(t){return e.replaceWith(t),!0}var n=jQuery(this);if(!n.parent().hasClass("qw-disableembedding")){var o=n.attr("href");n.attr("data-autoembed")&&(o=n.attr("data-autoembed"));var a=n.parent().width();0===a&&(a=n.parent().parent().parent().width()),0===a&&(a=n.parent().parent().parent().width()),0===a&&(a=n.parent().parent().parent().parent().width());var s=n.height(),e=n,r=/(http|https):\/\/(\w{0,3}\.)?youtube\.\w{2,3}\/watch\?v=[\w-]{11}/gi,l=o.match(r);if(null!==l)for(var u=0;u<l.length;u++)i(o=o.replace(l[u],t.fn.embedVideo(l[u],a,a/16*9)));var r=/https:\/\/open\.spotify\.\w{2,3}\/track\/[\w-]{22}/gi,c=o.match(r);if(null!==c)for(var u=0;u<c.length;u++)i(o=o.replace(c[u],t.fn.embedSpotify(c[u],a,80)));var d="",h="",p,r=/(http|https)(\:\/\/soundcloud.com\/+([a-zA-Z0-9\/\-_]*))/g,f=o.match(r);if(null!==f)for(u=0;u<f.length;u++){var m=f[u].replace(":","%3A");m=m.replace("https","http"),jQuery.getJSON("https://soundcloud.com/oembed?maxheight=140&format=js&url="+m+"&iframe=true&callback=?",(function(e){d=e.html,n.closest("li").length>0?n.closest("li").hasClass("qt-collapsible-item")&&(p=t(d),i('<div class="qt-dynamic-iframe" data-src="'+(h=p.attr("src"))+'"></div>')):i(d)}))}var r=/(http|https)\:\/\/www\.mixcloud\.com\/[\w-]{0,150}\/[\w-]{0,150}\/[\w-]{0,1}/gi;if(null!==(l=o.match(r)))for(u=0;u<l.length;u++)i(o=o.replace(l[u],t.fn.embedMixcloudPlayer(l[u])));t.fn.NewYoutubeResize()}})),t.onAir2Obj.body.on("click",".qt-collapsible li",(function(e){var i=t(this);if(i.hasClass("active")){var n=i.find(".qt-dynamic-iframe"),o=n.attr("data-src");n.replaceWith('<iframe src="'+o+'" frameborder="0"></iframe>'),t.fn.NewYoutubeResize()}})))},t.fn.qtFitvids=function(){void 0!==t.fn.fitVids&&t("#maincontent").fitVids()},t.fn.qtMobileNav=function(){return t.onAir2Obj.body.find(".side-nav li.menu-item-has-children").each((function(e,i){var n=t(i);n.append("<a class='qt-openthis'><i class='dripicons-chevron-down'></i></a>"),n.on("click",".qt-openthis",(function(t){t.preventDefault(),n.toggleClass("open")}))})),!0},t.fn.slickGallery=function(){0!==t(".qt-slickslider, .qt-slick").length&&t(".qt-slickslider, .qt-slick").not(".slick-initialized").each((function(){var e=t(this),i=e.attr("data-slidestoshow"),n=e.attr("data-slidestoshowmobile"),o=e.attr("data-slidestoshowipad"),a=e.attr("data-appendArrows");void 0!==i&&""!==i||(i=1),void 0!==n&&""!==n||(n=1),void 0!==o&&""!==o||(o=i),a=void 0===a||""===a?e:e.closest(a),e.slick({slidesToScroll:1,pauseOnHover:"true"===e.attr("data-pauseonhover"),infinite:"true"===e.attr("data-infinite"),autoplay:"true"===e.attr("data-autoplay"),autoplaySpeed:4e3,centerPadding:0,slide:".qt-item",dots:"true"===e.attr("data-dots"),variableWidth:"true"===e.attr("data-variablewidth"),arrows:"true"===e.attr("data-arrows"),centerMode:"true"===e.attr("data-centermode"),slidesToShow:i,appendArrows:a,responsive:[{breakpoint:1170,settings:{slidesToShow:o,arrows:1===o,dots:o>1}},{breakpoint:600,settings:{arrows:"true"===e.attr("data-arrowsmobile"),centerMode:"true"===e.attr("data-centermodemobile"),centerPadding:0,variableWidth:"true"===e.attr("data-variablewidthmobile"),variableHeight:!1,dots:"true"===e.attr("data-dotsmobile"),slidesToShow:1,draggable:!1,swipe:!0,touchMove:!0,infinite:"true"===e.attr("data-infinitemobile")}}]}).promise().done((function(){e.removeClass("qt-invisible")}))}))},t.fn.qtQtSwitch=function(){t.onAir2Obj.body.off("click","[data-qtswitch]"),t.onAir2Obj.body.on("click","[data-qtswitch]",(function(e){var i=t(this);e.preventDefault(),t(i.attr("data-target")).toggleClass(i.attr("data-qtswitch"))})),t("[data-expandable]").each((function(e,i){var n,o=t(i).attr("data-expandable"),a=t(o);""!==o&&a.hasClass("open")&&a.velocity({properties:{height:a.find(".qt-expandable-inner").height()+"px"},options:{duration:50}})})),t.onAir2Obj.body.off("click","[data-expandable]"),t.onAir2Obj.body.on("click","[data-expandable]",(function(e){e.preventDefault();var i=t(this),n=t(i.attr("data-expandable"));n.hasClass("open")?(n.removeClass("open"),n.velocity({properties:{height:0},options:{duration:300}})):(n.addClass("open"),n.velocity({properties:{height:n.find(".qt-expandable-inner").height()+"px"},options:{duration:300}}))}))},t.fn.parallaxV3=function(e){var i=t(window).height(),n=t(window).width(),o,a=0;/Mozilla/i.test(navigator.userAgent)&&(a=800);var s=t.extend({speed:.12},e);return this.each((function(){var e=t(this),i=t(window).scrollTop(),o=e.offset().top,r=0,l=e.outerHeight()+0,u=0;u=Math.round((o-i)*s.speed);var c=s.speed/6;if(e.initialBlur=e.attr("data-blurStart"),e.css("background-position","center "+u+"px"),e.scrolling=e.attr("data-scrolling"),e.hasClass("vc_parallax")?e.css({opacity:1}):e.css({opacity:.85}),e.css("background-attachment","fixed"),t.fn.qtIsMobileBrowser()||n<1279)return e.css("background-attachment","local"),void e.css("background-position","center center");if(e.css("background-attachment","fixed"),!t.onAir2Obj.body.hasClass("mobile")){var d=5,h=Date.now(),p=h;i=t(window).scrollTop(),o=e.offset().top-a,l=e.outerHeight()+0,u=Math.round((o-i)*c),e.css({"background-position":"center "+u+"px","min-height":l}),t(document).scroll((function(){(h=Date.now())>p+5&&(console.log("s"),i=t(window).scrollTop(),o=e.offset().top-a,l=e.outerHeight(),u=Math.round((o-i)*c),e.css("background-position","center "+u+"px"),p=h)}))}}))},t.fn.dynamicBackgrounds=function(e){void 0===e&&(e="body"),t(e+" [data-bgimage]").each((function(){var e=t(this),i=e.attr("data-bgimage"),n=e.attr("data-parallax"),o=1.5,a=e.attr("data-bgattachment");void 0===a&&(a="static"),""!==i&&(e.css({"background-image":"url("+i+")","background-size":"cover","background-position":"center center","background-repeat":"no-repeat","-webkit-transform":"translate3d(0, 0, 0)","-webkit-backface-visibility":"hidden","-webkit-perspective":"1000"}),e.hasClass("vc_parallax")?e.css({opacity:1}):e.css({opacity:.85}),"1"===n?e.data("speed")&&(o=e.data("speed")):e.css({opacity:.85}))}))},t.fn.qtPageloadInit=function(){t(".button-collapse").sideNav(),t(".button-playlistswitch").sideNav({menuWidth:280,edge:"right",closeOnClick:!1,draggable:!1}),t.onAir2Obj.body.off("click",".button-playlistswitch-close"),t.onAir2Obj.body.on("click",".button-playlistswitch-close",(function(e){e.preventDefault(),t(".button-playlistswitch").sideNav("hide")})),t.onAir2Obj.body.off("click",".qt-scrolltop"),t.onAir2Obj.body.on("click",".qt-scrolltop",(function(e){e.preventDefault(),t("html, body").animate({scrollTop:0},"slow")}))},t.fn.qtPushpin=function(){if(void 0!==t.fn.pushpin&&t(window).width()>1280&&t(".qt-pushpin").length>0){t(".qt-pushpin").css({width:t(".qt-pushpin").width()});var e=t(".qt-pushpin-container").parent(),i=e.offset().top+e.outerHeight(!0)-(t(".qt-sharepage").outerHeight(!0)+40),n=t(".qt-pushpin-container").offset().top,o=0;t("body").hasClass("qt-playertype-header")&&t("body").hasClass("qt-stickymenu")?(o+=140,n-=140,i-=140):(o+=50,n-=50,i-=140),t("body").hasClass("qt-stickymenu")&&(o+=80,n-=250,i-=250),t(".qt-pushpin").pushpin({top:n,offset:o,bottom:i})}},t.fn.qtCountdown=function(){t.each(t(".qt-countdown"),(function(e,i){var n=t(i),o=n.attr("data-end"),a=n.data("now"),s,r,l,u;n.html(""),void 0!==o&&""!==o&&(o=new Date(o),a=new Date(a),l=(s=o.getTime())-(r=a.getTime()),t(i).ClassyCountdown({theme:"white-wide",end:t.now()+l/1e3}),n.find(".ClassyCountdown-days .ClassyCountdown-value span").html(n.attr("data-dayslabel")),n.find(".ClassyCountdown-hours .ClassyCountdown-value span").html(n.attr("data-hourslabel")),n.find(".ClassyCountdown-minutes .ClassyCountdown-value span").html(n.attr("data-minuteslabel")),n.find(".ClassyCountdown-seconds .ClassyCountdown-value span").html(n.attr("data-secondslabel")))}))},t.fn.qtSharelink=function(){t(".qt-sharelink").each((function(){return;var e=t(this),i=encodeURIComponent(window.location.href),n,o="";switch(e.attr("data-sharetype")){case"facebook":o="https://www.facebook.com/sharer/sharer.php?u="+i;break;case"twitter":o="https://twitter.com/intent/tweet?url="+i;break;case"google":o="https://plus.google.com/share?url="+i;break;case"pinterest":o="https://pinterest.com/pin/create/bookmarklet/?url="+i;break}e.attr("href",o)}))},t.fn.qtMasonry=function(e){return void 0===e&&(e="body"),t(e).find(".qt-masonry").each((function(e,i){var n=t(i).attr("id"),o=document.querySelector("#"+n);if(o)var a=new Masonry(o,{itemSelector:".qt-ms-item",columnWidth:".qt-ms-item"})})),t.onAir2Obj.body.imagesLoaded().then((function(){t(e).find(".gallery").each((function(e,i){var n=t(i).attr("id"),o=document.querySelector("#"+n);if(o)var a=new Masonry(o,{itemSelector:".gallery-item",columnWidth:".gallery-item"})}))})),!0},t.fn.destroyAll360Sounds=function(){void 0!==threeSixtyPlayer&&threeSixtyPlayer.sounds.forEach((function(t,e,i){soundManager.stop(t.id),soundManager.destroySound(t.id)}))},t.fn.qt360player=function(e,i){function n(i,n){if(t.fn.destroyAll360Sounds(),void 0!==(T=i.attr("data-playtrack"))){a=i.attr("data-playtrack").split("geo-sample").join("sample"),soundManager.stopAll();var o=t(".qt-ui360");o.empty();var s=Math.floor(1e6*Math.random());o.append('<a id="playerlink" href="'+a+"?ver="+s+'"></a>'),n?(threeSixtyPlayer.config.autoPlay=!0,t(e).find("a.beingplayed").removeClass("beingplayed").find("i").removeClass(A).addClass(M),S=a,i.addClass("beingplayed").find("i").removeClass(M).addClass(A)):(t(e).find("a.beingplayed").removeClass("beingplayed").find("i").removeClass(A).addClass(M),threeSixtyPlayer.config.autoPlay=!1);var r=i.attr("data-background"),l=i.attr("data-logo"),u=i.attr("data-title"),c=i.attr("data-subtitle");O.html(u),P.html(c),t("#playerimage").attr("data-bgimage",r).css({"background-image":"url("+r+")"}),t("#playerimage img").attr("src",r),threeSixtyPlayer.init()}}var o=t("#qtplayercontainer"),a="",s=o.data("fullstop"),r=t("body");soundManager.setup({url:o.attr("data-soundmanagerurl"),allowScriptAccess:"always",useHighPerformance:!0,consoleOnly:!0,debugMode:!1,debugFlash:!1,bufferTime:2}),soundManager.flash9Options.useWaveformData=!0,soundManager.flash9Options.useEQData=!0,soundManager.flash9Options.usePeakData=!0,soundManager.preferFlash=!0,soundManager.flashVersion=9;var l=!1;navigator.userAgent.match(/mobile/i)||"true"!==o.attr("data-playervolume")||(l=!0),(threeSixtyPlayer=new ThreeSixtyPlayer).config={fullStop:s,playNext:!1,autoPlay:!1,allowMultiple:!1,playervolume:!0,loadRingColor:o.attr("data-textcolor"),playRingColor:o.attr("data-accentcolor"),backgroundRingColor:o.attr("data-accentcolordark"),circleDiameter:280,circleRadius:140,animDuration:500,animTransition:Animator.tx.bouncy,showHMSTime:!0,useWaveformData:!0,waveformDataColor:"#fff",waveformDataDownsample:3,waveformDataOutside:!1,waveformDataConstrain:!1,waveformDataLineRatio:.8,useEQData:!0,eqDataColor:"#FFF",eqDataDownsample:2,eqDataOutside:!0,eqDataLineRatio:.73,usePeakData:!0,peakDataColor:"#FFF",peakDataOutside:!0,peakDataLineRatio:1.8,scaleArcWidth:.8,useAmplifier:!0,useFavIcon:!0},soundManager.onready(threeSixtyPlayer.init);var u=threeSixtyPlayer.events.play,c=threeSixtyPlayer.events.resume,d=threeSixtyPlayer.events.finish,h=threeSixtyPlayer.events.pause,p=threeSixtyPlayer.events.stop;s&&(h=threeSixtyPlayer.events.stop),t("#qtpausebtn .pause").hide();var f=function(){k="play",m.addClass("qt-btn-primary"),t("#qtpausebtn i").addClass("dripicons-media-pause").removeClass("dripicons-media-play"),t("#qtpausebtn .pause").show(),t("#qtpausebtn .play").hide(),u.apply(this)};threeSixtyPlayer.events.play=f;var m=t(".qtlistenbutton"),g=function(){m.addClass("qt-btn-primary"),t("#qtpausebtn i").addClass("dripicons-media-pause").removeClass("dripicons-media-play"),t("#qtpausebtn .pause").show(),t("#qtpausebtn .play").hide(),u.apply(this)};threeSixtyPlayer.events.resume=g;var v=function(){d.apply(this)};threeSixtyPlayer.events.finish=v;var y=function(){m.removeClass("qt-btn-primary"),t("#qtpausebtn i").removeClass("dripicons-media-pause").addClass("dripicons-media-play"),t("#qtpausebtn .pause").hide(),t("#qtpausebtn .play").show(),h.apply(this),s&&t.fn.destroyAll360Sounds()};threeSixtyPlayer.events.pause=y;var b=function(){m.removeClass("qt-btn-primary"),t("#qtpausebtn i").removeClass("dripicons-media-pause").addClass("dripicons-media-play"),t("#qtpausebtn .pause").hide(),t("#qtpausebtn .play").show(),t.fn.destroyAll360Sounds(),p.apply(this)};threeSixtyPlayer.events.stop=b,threeSixtyPlayer.config.useWaveformData=!0,threeSixtyPlayer.config.useEQData=!0,threeSixtyPlayer.config.useWaveformData&&(soundManager.flash9Options.useWaveformData=!0),threeSixtyPlayer.config.useEQData&&(soundManager.flash9Options.useEQData=!0),threeSixtyPlayer.config.usePeakData&&(soundManager.flash9Options.usePeakData=!0),(threeSixtyPlayer.config.useWaveformData||threeSixtyPlayer.flash9Options.useEQData||threeSixtyPlayer.flash9Options.usePeakData)&&(soundManager.preferFlash=!1),threeSixtyPlayer.config.fullStop=s,"destroy"===i&&t.fn.destroyAll360Sounds(),void 0===e&&(e="body");var w,S,C,x,k=!1,T,_=!1,O=t(e).find("#qtradiotitle"),P=t(e).find("#qtradiosubtitle"),M="dripicons-media-play",A="dripicons-media-pause",E="dripicons-media-play",D="";r.off("click","a[data-playtrack]"),r.on("click","a[data-playtrack]",(function(e){e.preventDefault();var i=t(this);i.hasClass("beingplayed")?n(t(this),!1):n(i,!0),t(".activeRadioChannel").removeClass("activeRadioChannel"),i.addClass("activeRadioChannel");var o=t("#qtShoutcastFeedData"),a=i.attr("data-icymetadata"),s=i.attr("data-playtrack"),r=i.attr("data-host"),l=i.attr("data-port"),u=i.attr("data-channel"),c=i.attr("data-protocol"),d=i.attr("data-icecasturl"),h=i.attr("data-icecastmountpoint"),p=i.attr("data-icecastchannel"),f=i.attr("data-radiodotco"),m=i.attr("data-airtime"),g=i.attr("data-radionomy"),v=i.attr("data-live365"),y=i.attr("data-securesystems"),b=i.attr("data-winmedia"),w=i.attr("data-textfeed"),S=i.attr("data-jazler"),C=i.attr("data-mediacp"),x=i.attr("data-qtradioid"),k=o.attr("data-style");return""!==u&&void 0!==u||(u="1"),o.attr("data-playtrack",s),o.attr("data-icymetadata",a),o.attr("data-host",r),o.attr("data-port",l),o.attr("data-icecasturl",d),o.attr("data-icecastmountpoint",h),o.attr("data-icecastchannel",p),o.attr("data-channel",u),o.attr("data-protocol",c),o.attr("data-radiodotco",f),o.attr("data-airtime",m),o.attr("data-radionomy",g),o.attr("data-live365",v),o.attr("data-securesystems",y),o.attr("data-winmedia",b),o.attr("data-textfeed",w),o.attr("data-jazler",S),o.attr("data-qtradioid",x),o.attr("data-mediacp",C),t("#qtPlayerTrackInfo").hide(),t.fn.qtShoutcastFeedNew(),!1})),r.on("click","#qtpausebtn",(function(e){e.preventDefault(),t(".activeRadioChannel").click()}));var I=t(".qt-autoselect-channel");I.length>0&&n(I,!1)},t.fn.qtRadioAutoplay=function(){jQuery("#qtfirstchannel").click()},t.fn.qtGetThumbnail={cachedThumbsArray:[],
displayThumbnail:function(e){t(".onair-artwork img").remove(),e&&(t(".onair-artwork a").append('<img src="'+e+'">'),t(".onair-artwork a").attr("href",e))},init:function(e,i,n){if(!(t(".onair-artwork").length<1)){var o=i.split("\x3c!--"),a;o.length>1&&(i=o[0]);var s="https://itunes.apple.com/search?term="+(i=i.split(" - ").join("-").split(" ").join("+"));if("Song title unavailable"==i||"No Titles Available"==i)return e.cachedThumbsArray[i]=!1,void e.displayThumbnail(!1);void 0===e.cachedThumbsArray[i]?t.ajax({type:"GET",cache:!0,url:s,async:!0,dataType:"jsonp",context:this,success:function(t){if("object"!=typeof t&&(t=JSON.parse(t)),t.resultCount>0)return a=t.results[0].artworkUrl100.split("100x100bb.jpg").join("1000x1000bb.jpg"),e.cachedThumbsArray[i]=a,void e.displayThumbnail(a)}}):e.displayThumbnail(e.cachedThumbsArray[i])}}},t.fn.qtApplyTitle=function(e){if(e){var i=e.split(" - "),n,o;i.length>1?(n=i[0],o=i[1]):(n="",o=e),t("#qtFeedPlayerTrack, .qtFeedPlayerTrack").html(o),t("#qtFeedPlayerAuthor, .qtFeedPlayerAuthor").html(n),t("#qtPlayerTrackInfo").show(),t(".qt-short-nowonairtextual span").html(" "+n+" - "+o),t.fn.qtGetThumbnail.init(t.fn.qtGetThumbnail,n+" - "+o)}},t.fn.qtShoutcastFeedNew=function(){if(0!==t("#qtShoutcastFeedData").length)if(t("body").hasClass("qt-customizer-active"))t.fn.qtApplyTitle("Disabled during customization - Song title");else{var e=t("#qantumthemesproxyurl").data("proxyurl"),i=t("#qtShoutcastFeedData"),n=i.attr("data-playtrack"),o=i.attr("data-icymetadata"),a=i.attr("data-host"),s=i.attr("data-port"),r=i.attr("data-protocol"),l=i.attr("data-icecasturl"),u=i.attr("data-icecastmountpoint"),c=i.attr("data-icecastchannel"),d=i.attr("data-radiodotco"),h=i.attr("data-airtime"),p=i.attr("data-radionomy"),f=i.attr("data-mediacp"),m=i.attr("data-live365"),g=i.attr("data-securesystems"),v=i.attr("data-winmedia"),y=i.attr("data-textfeed"),b=i.attr("data-useproxy"),w=i.attr("data-jazler"),S=t("#qtFeedPlayerTrack"),C=t("#qtFeedPlayerAuthor"),x=i.attr("data-channel"),k=t("#qtPlayerTrackInfo"),T=i.attr("data-qtradioid"),_,O,P,M,A=(new Date).getUTCMilliseconds();if(""!==g||""!==f||""!==v||""!==o||""!==w||""!==y||""!==p||""!==m||""!==h||""!==a&&""!==s&&void 0!==a||""!==l&&void 0!==l||""!==d&&void 0!==d)if("1"===o||1===o){if(!n||""===n)return;if(-1==n.indexOf("/proxy/")||-1==n.indexOf("https")||-1==n.indexOf("?mp=/")&&-1==n.indexOf("/stream"))t.ajax({type:"GET",url:e,jsonpCallback:"parseMusic",async:!0,cache:!1,data:{qtdir:T,qtproxycall:window.btoa(T+"[-]"+n),icymetadata:"1"},success:function(e){return void t.fn.qtApplyTitle(e);t.fn.qtApplyTitle(e)},error:function(t){console.log("Your stream does not provide ICY metadata. Please contact your streaming provider or use another server format."),console.log(t)}});else{a=(a=(a=n.split("?mp=/"))[0]+"?mp=/stats").split("stream").join("stats");var E={};b&&(a=e+"?qtproxycall="+window.btoa(T+"[-]"+a),E={qtdir:T,qtproxycall:window.btoa(T+"[-]"+a)}),t.ajax({type:"GET",url:a,async:!0,cache:!1,dataType:"xml",data:E,beforeSend:function(t){t.withCredentials=!1},success:function(e){t.fn.qtApplyTitle(t(e).find("SONGTITLE").html())},error:function(e){t.fn.qtApplyTitle(!1),console.log(e)}})}}else{if(""!==f)return void t.ajax({type:"GET",cache:!1,url:f,async:!0,jsonp:!0,success:function(e){t.fn.qtApplyTitle(e.nowplaying)},error:function(t){console.log("MediaCP Feed not working - see error:"),console.log(t)}});if(""!==g)t.ajax({type:"GET",cache:!1,url:g,async:!0,dataType:"xml",success:function(e){t.fn.qtApplyTitle(t(e).find("artist").html()+" - "+t(e).find("title").html())},error:function(t){}});else if(""!==m)t.ajax({type:"GET",cache:!1,url:"https://api.live365.com/station/"+m,async:!0,success:function(e){t.fn.qtApplyTitle(e["current-track"].artist+" - "+e["current-track"].title)},error:function(t){}});else if(""!==y){var D,O;"1"!==b?t.ajax({type:"GET",cache:!1,url:y,async:!0,dataType:"html",success:function(e){t.fn.qtApplyTitle(e)},error:function(t){}}):t.ajax({type:"GET",cache:!1,url:e,async:!0,data:{qtdir:T,qtproxycall:window.btoa(T+"[-]"+y)},dataType:"html",success:function(e){t.fn.qtApplyTitle(e)},error:function(t){}})}else if(""!==p)t.ajax({type:"GET",url:p,async:!0,cache:!1,dataType:"xml",success:function(e){t.fn.qtApplyTitle(t(e).find("artists").html()+" - "+t(e).find("title").html())},error:function(t){}});else if(""!==h&&"undefined"!==h&&void 0!==h&&void 0!==h){var D,O;t.ajax({type:"GET",cache:!1,url:e,async:!0,data:{qtproxycall:window.btoa(T+"[-]"+h),qtdir:T},contentType:"application/json",success:function(e){D=JSON.parse(e),O=D.tracks.current.name,t.fn.qtApplyTitle(O)},error:function(t){}})}else if(""!==l&&void 0!==l){var D,O;if("1"!==b)t.ajax({type:"GET",url:l,async:!0,jsonpCallback:"parseMusic",jsonp:!1,success:function(e){if("object"==typeof e){var i=e.icestats.source;if(void 0===i)return;""!==u?(P=i[0][u].title,i[0][u].artist&&(P=i[0][u].artist+" - "+P)):i[0]?(P=i[0].title,i[0].artist&&(P=i[0].artist+" - "+P)):i.title&&(P=i.title,i.artist&&(P=i.artist+" - "+P))}else"array"==typeof e&&(""!==u?void 0!==e[u]?P=e[u].title:void 0!==e.source[u]&&(P=e.source[u].title):e.icestats.source.title?(P=e.icestats.source.title,e.icestats.source.artist&&(P=e.icestats.source.artist+" - "+P)):e.icestats.source[0].title&&(P=e.icestats.source[0].title,e.icestats.source.artist&&(P=e.icestats.source.artist+" - "+P)));t.fn.qtApplyTitle(P)},error:function(t){console.log("Error: your icecast feed is not available. You can try to enable the Proxy in the WP Customizer, under Radio Settings."),console.log(t)}});else t.ajax({type:"GET",cache:!1,url:e,async:!0,data:{qtproxycall:window.btoa(T+"[-]"+l),qtdir:T},contentType:"application/json",success:function(e){"object"!=typeof e&&(e=JSON.parse(e)),D=e,c?(D.icestats.source[c].title||D.icestats.source[c].title||D.icestats.source[c].title)&&(O=D.icestats.source[c].title):D.icestats.source.title?O=D.icestats.source.title:D.icestats.source[1].title?O=D.icestats.source[1].title:D.icestats.source[0].title&&(O=D.icestats.source[0].title),t.fn.qtApplyTitle(O)},error:function(t){console.log(t)}})}else if(""!==a&&""!==s&&void 0!==a){var I="http";"https"==r&&(I="https");var $=I+"://"+a+":"+s+"/stats?sid="+x+"&json=1",D,O;"1"===b?t.ajax({type:"GET",cache:!1,url:e,async:!0,data:{urltocheck:window.btoa(a),qtproxycall:window.btoa(T+"[-]"+$),qtdir:T},contentType:"application/json",success:function(e){D=JSON.parse(e),t.fn.qtApplyTitle(D.songtitle)},error:function(t){console.log(t)}}):t.SHOUTcast({host:a,port:s,protocol:r,interval:1e4,stream:x,stats_path:"stats",stats:function(){this.onAir()&&(P=this.get("songtitle"),t.fn.qtApplyTitle(P))}}).startStats()}else if(""!==d&&void 0!==d){var q="https://public.radio.co/stations/"+d+"/status";t.ajax({type:"GET",cache:!1,url:q,async:!0,contentType:"application/json",success:function(e){O=e.current_track.title,t.fn.qtApplyTitle(O)},error:function(t){}})}}}},t.fn.qtSkrollrInit=function(){/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)||(t.skrollrInstance=skrollr.init({smoothScrolling:!0,forceHeight:!1}))},t.fn.qtPopupwindow=function(){void 0!==t.fn.popupwindow&&t.fn.popupwindow(),t.onAir2Obj.body.on("click","#qtmainmenucontainer .qt-popupwindow",(function(e,i){t(".sm2_playing .sm2-360btn").click()}))},t.fn.qtAjaxElementsRefresh=function(){var e;if(!(t("#qtcurrentpermalink").length<=0)){var i,n,o,a=window.location.href,s=new Array(".qt-qtonairhero","#qtupcomingshowscarousel","#qtshowslidercontainer",".qtnowonairwidget",".qt-upcoming-refresh",".qt-nowonair-refresh",".qt-shows-schedule-refresh",".qt-widget-upcoming");t.ajax({url:a,success:function(e){t.ajaxData=e,s.forEach((function(e){t(e).animate({opacity:0},0,(function(){t(e).html(t(t.ajaxData).find(e).html()).animate({opacity:1},0,(function(){t.fn.dynamicBackgrounds(e),t.fn.slickGallery()}))}))})),"function"==typeof jQuery.fn.tabs&&jQuery(".qt-shows-schedule-refresh ul.tabs").tabs()}})}},setInterval((function(){t.fn.qtAjaxElementsRefresh()}),6e4),t.fn.qtOpenPlayerBar=function(){t.onAir2Obj.body.on("click",".qt-openplayerbar",(function(e){return e.preventDefault(),t.onAir2Obj.body.toggleClass("qt-playerbar-open"),!0}))},t.fn.initializeVisualComposerAfterAjax=function(){"function"==typeof vc_toggleBehaviour&&vc_toggleBehaviour(),"function"==typeof vc_tabsBehaviour&&vc_tabsBehaviour(),"function"==typeof vc_accordionBehaviour&&vc_accordionBehaviour(),"function"==typeof vc_teaserGrid&&vc_teaserGrid(),"function"==typeof vc_carouselBehaviour&&vc_carouselBehaviour(),"function"==typeof vc_slidersBehaviour&&vc_slidersBehaviour(),"function"==typeof vc_prettyPhoto&&vc_prettyPhoto(),"function"==typeof vc_googleplus&&vc_googleplus(),"function"==typeof vc_pinterest&&vc_pinterest(),"function"==typeof vc_initVideoBackgrounds&&vc_initVideoBackgrounds(),window.setTimeout((function(){jQuery(".wpb_animate_when_almost_visible:not(.wpb_start_animation)").each((function(){var t=jQuery(this);t.vcwaypoint((function(){t.addClass("wpb_start_animation animated")}),{offset:"85%"})}))}),250),t("body [data-bgimagevc]").each((function(){var e=t(this),i=e.attr("data-bgimagevc"),n=e.attr("data-bgattachment");void 0===n&&(n="static"),""!==i&&e.css({"background-image":"url("+i+")","background-attachment":"fixed"})}))},t.fn.initializeOnlyAfterAjax=function(){var e=t(".qt-autoselect-channel");e.length>0&&e.click()},t.fn.initializeAfterAjax=function(){return t.fn.slickGallery(),t.fn.qtQtSwitch(),t.fn.dynamicBackgrounds(),t(".qt-pageheader").attr("data-start","@class: qt-pageheader qt-js qt-negative").attr("data-10-start","@class: qt-pageheader qt-js qt-negative qt-pageheader-scrolled").promise().done((function(){t.fn.qtSkrollrInit()})),void 0!==t.skrollrInstance&&t.skrollrInstance.refresh(),t.fn.qtSharelink(),t.fn.qtMasonry(),t.fn.qtCountdown(),t.fn.qtFitvids(),t.fn.qtPushpin(),t.fn.transformlinks("#maincontent"),t.fn.NewYoutubeResize(),void 0!==t.fn.qtChartvoteInit&&t.fn.qtChartvoteInit(),t(".qt-collapsible").collapsible(),"function"==typeof jQuery.fn.tabs&&jQuery("ul.tabs").tabs(),!1===t.fn.qtIsMobileBrowser()&&t(window).width()>1279&&t(".qt-tooltipped").tooltip({delay:50}),"function"==typeof jQuery.vdl_Init&&jQuery.vdl_Init(),"function"==typeof t.qtSwipeboxFunction&&t.qtSwipeboxFunction(),"function"==typeof t.fn.qtDynamicMaps&&t.fn.qtDynamicMaps(),"function"==typeof t.fn.qtPlacesInit&&t.fn.qtPlacesInit(),t("#qwShowDropdown").on("change",(function(){t(this).closest(".qt-show-schedule").find("#"+this.value).click()})),t.fn.qtPopupwindow(),t("body").hasClass("qt-html5audio-disable")||"function"==typeof jQuery.fn.mediaelementplayer&&(jQuery("video").mediaelementplayer(),jQuery("audio").mediaelementplayer()),!0},jQuery(document).ready((function(){t.fn.qtPageloadInit(),t.fn.qtMobileNav(),t.fn.qt360player(),t.fn.qtShoutcastFeedNew(),t.fn.qtOpenPlayerBar(),i=setInterval((function(){t.fn.qtShoutcastFeedNew()}),15e3),t.fn.initializeAfterAjax(),t.fn.qtRadioAutoplay()}))}(jQuery);